<?php
if (!defined('BASEPATH'))
    exit('No direct script access allowed');

/*
 *  @author : Wallace Pacheco
 *  date    : 01 junho, 2015
 *  ContSimples Tecnologia
 *  http://contsimples.com.br
 */

/*
|---------------------------------------------------------------
| TimeZone
|---------------------------------------------------------------
*/
date_default_timezone_set('America/Sao_Paulo');

class Client extends CI_Controller
{


    function __construct()
    {
        parent::__construct();
        $this->load->database();
        $this->load->library('calendar');
        //$this->load->library('pdf');
        $this->load->helper('date');
        //$this->load->dbutil();
        //$this->load->library('phplot.php');
        /*cache control*/
        $this->output->set_header('Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0');
        $this->output->set_header('Pragma: no-cache');
    }

/***default functin, redirects to login page if no client logged in yet***/
    public function index()
    {

        if ($this->session->userdata('client_login') != 1)
            redirect(base_url() . 'index.php?login', 'refresh');
        if ($this->session->userdata('client_login') == 1)
            redirect(base_url() . 'index.php?client/dashboard', 'refresh');
    }

/***CLIENTE DASHBOARD***/
    function dashboard()
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');

        $page_data['page_name']  = 'dashboard';
        $page_data['page_icon'] = 'dashboard';
        $page_data['page_title'] = 'Painel';
        $this->load->view('index', $page_data);
    }


/****MANAGE Avisos*****/
    function avisos($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        //$this->session->set_flashdata('flash_message', 'Passou en!!');

        if ($param1 == 'create') {
            $data['sender']        = $this->input->post('sender');
            $data['sender_type']   = $this->input->post('sender_type');
            $data['receiver']      = $this->input->post('receiver');
            $data['receiver_type'] = $this->input->post('receiver_type');
            $data['subject']       = $this->input->post('subject');
            $data['body']          = $this->input->post('body');
            $data['time']          = $this->input->post('time');
            $data['date']          = $this->input->post('date');
            $data['status']        = $this->input->post('status');
            $this->db->insert('files', $data);

            // Envio Email
            //$Xsender        = $this->db->get_where('client', array('client_id' => $this->input->post('sender')))->row()->name;
            //$Xsend_email    = $this->db->get_where('client', array('client_id' => $this->input->post('sender')))->row()->email;


            //$this->email_model->envia_email_mensagem_cliente($Xsender,$Xsend_email,$this->input->post('subject'),$this->input->post('body'));


            redirect(base_url() . 'index.php?client/avisos/', 'refresh');
        }
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/avisos/', 'refresh');

        }
        if ($param1 == 'delete') {
            $this->db->where('file_id', $param2);
            $this->db->delete('files');
            redirect(base_url() . 'index.php?client/avisos/', 'refresh');
        }

        $page_data['avisos']    = $this->db->get_where('files', array('client' => $this->session->userdata('client_id')))->result_array();
        //$page_data['message']    =  $this->db->get_where('message', array('sender' => $this->session->userdata('client_id')))->result_array();
        $page_data['page_name']  = 'avisos';
        $page_data['page_icon']  = 'envelope';
        $page_data['page_title'] = 'Avisos Importantes!';
        $this->load->view('index', $page_data);
    }

    /****MANAGE message*****/
    function message($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        //$this->session->set_flashdata('flash_message', 'Passou en!!');

        if ($param1 == 'create') {
            $data['sender']        = $this->input->post('sender');
            $data['sender_type']   = $this->input->post('sender_type');
            $data['receiver']      = $this->input->post('receiver');
            $data['receiver_type'] = $this->input->post('receiver_type');
            $data['subject']       = $this->input->post('subject');
            $data['body']          = $this->input->post('body');
            $data['time']          = $this->input->post('time');
            $data['date']          = $this->input->post('date');
            $data['status']        = $this->input->post('status');
            $this->db->insert('message', $data);

            // Envio Email
            $Xsender        = $this->db->get_where('client', array('client_id' => $this->input->post('sender')))->row()->name;
            $Xsend_email    = $this->db->get_where('client', array('client_id' => $this->input->post('sender')))->row()->email;


            $this->email_model->envia_email_mensagem_cliente($Xsender,$Xsend_email,$this->input->post('subject'),$this->input->post('body'));


            redirect(base_url() . 'index.php?client/message/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['sender']        = $this->input->post('sender');
            $data['sender_type']   = $this->input->post('sender_type');
            $data['receiver']      = $this->input->post('receiver');
            $data['receiver_type'] = $this->input->post('receiver_type');
            $data['subject']       = $this->input->post('subject');
            $data['body']          = $this->input->post('body');
            $data['time']          = $this->input->post('time');
            $data['date']          = $this->input->post('date');
            $data['status']        = $this->input->post('status');
            $this->db->insert('message', $data);
            redirect(base_url() . 'index.php?client/message/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile']   = true;
            $page_data['current_message_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('message', array(
                'message_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'update_finalizar') {

            $data['status']      = 'concluido';
            $this->db->where('message_id', $param2);
            $this->db->update('message', $data);
            redirect(base_url() . 'index.php?client/message/', 'refresh');

        }
        if ($param1 == 'delete') {
            $this->db->where('message_id', $param2);
            $this->db->delete('message');
            redirect(base_url() . 'index.php?client/message/', 'refresh');
        }

        $page_data['message']    = $this->db->get('message')->result_array();
        //$page_data['message']    =  $this->db->get_where('message', array('sender' => $this->session->userdata('client_id')))->result_array();
        $page_data['page_name']  = 'message';
        $page_data['page_icon']  = 'envelope';
        $page_data['page_title'] = 'Mensagem Importante!';
        $this->load->view('index', $page_data);
    }
/****MANAGE CONTRATO*****/
    function contrato($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');


        if ($param1 == 'create') {
            $data['cliente']        = $this->input->post('cliente');
            $data['cnpj_cpf']       = $this->input->post('cnpj_cpf');
            $data['pj_pf']          = $this->input->post('pj_pf');
            $data['email']          = $this->input->post('email');
            $data['nome']           = $this->input->post('nome');
            $data['data']           = $this->input->post('data');
            $data['ip']             = $this->input->post('ip');
            $data['cliente_socio']  = $this->input->post('cliente_socio');
            $data['socio_nome']     = $this->input->post('socio_nome');
            $data['socio_cnpj_cpf'] = $this->input->post('socio_cnpj_cpf');
            $this->db->insert('client_contrato', $data);

            $this->session->set_flashdata('flash_message', 'Contrato Registrado com Sucesso!!');
            // Envio Email
            //$Xsender        = $this->db->get_where('client', array('client_id' => $this->input->post('sender')))->row()->name;
            //$Xsend_email    = $this->db->get_where('client', array('client_id' => $this->input->post('sender')))->row()->email;


            //$this->email_model->envia_email_mensagem_cliente($Xsender,$Xsend_email,$this->input->post('subject'),$this->input->post('body'));

            redirect(base_url() . 'index.php?client/dashboard/', 'refresh');
        }

        if ($param1 == 'do_update') {
            $data['cliente']        = $this->input->post('cliente');
            $data['cnpj_cpf']       = $this->input->post('cnpj_cpf');
            $data['pj_pf']          = $this->input->post('pj_pf');
            $data['email']          = $this->input->post('email');
            $data['nome']           = $this->input->post('nome');
            $data['data']           = $this->input->post('data');
            $data['ip']             = $this->input->post('ip');
            $data['cliente_socio']  = $this->input->post('cliente_socio');
            $data['socio_nome']     = $this->input->post('socio_nome');
            $data['socio_cnpj_cpf'] = $this->input->post('socio_cnpj_cpf');
            $this->db->where('dp_funcionario_id', $param2);
            $this->db->update('dp_funcionario', $data);
            redirect(base_url() . 'index.php?client/client_contrato/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile']   = true;
            $page_data['current_message_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('client_contrato', array(
                'message_id' => $param2
            ))->result_array();
        }


        $page_data['contrato']    = $this->db->get_where('client_contrato',array('cliente' => $this->session->userdata('client_id') ))->result_array();
        //$page_data['message']    =  $this->db->get_where('message', array('sender' => $this->session->userdata('client_id')))->result_array();
        $page_data['page_name']  = 'contrato';
        $page_data['page_icon']  = 'file';
        $page_data['page_title'] = 'Contrato de Prestação de Serviço';
        $this->load->view('index', $page_data);
    }

/**** MEI |-> Movimentação ****/
    function mov_mei($param1 = '', $param2 = '', $param3 = '')
    {

        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            
            $array = array("01_Jan", "02_Fev", "03_Mar", "04_Abr","05_Mai","06_Jun","07_Jul","08_Ago","09_Set","10_Out","11_Nov","12_Dez"); 
            foreach($array as $value){
            
            $rec_com = $value.'_rec_com';
            $rec_serv = $value.'_rec_serv';
            $desp = $value.'_desp';
            $rl = $value.'_rl';
            $ano =  $this->input->post('ano');


            $data['client']           = $this->input->post('client');
            $data['ano']              = $ano;
            $data['mes']              = substr($value,0,2);
            $data['receitas_com']     = str_replace(',','.',str_replace('.','',$this->input->post($rec_com)));
            $data['receitas_serv']    = str_replace(',','.',str_replace('.','',$this->input->post($rec_serv)));
            $data['despesas']         = str_replace(',','.',str_replace('.','',$this->input->post($desp)));
            $data['retirada_lucro']   = str_replace(',','.',str_replace('.','',$this->input->post($rl)));
            $data['saldo']            = (str_replace(',','.',str_replace('.','',$this->input->post($rec_com))) + str_replace(',','.',str_replace('.','',$this->input->post($rec_serv))))-($this->input->post($desp)+$this->input->post($rl));
            $data['data_lancamento']  = $this->input->post('data_lancamento'); 
            $data['data_alteracao']   = $this->input->post('data_alteracao'); 
            $data['status']           = $this->input->post('status');             
            $this->db->insert('mov_mei', $data);
            
            }
            
            $this->session->set_flashdata('flash_message', 'Movimento Gravado com Sucesso!!!');
            redirect(base_url() . 'index.php?client/mov_mei/', 'refresh');
        }
        if ($param1 == 'do_update') {
        
            
            $array = array("01", "02", "03", "04","05","06","07","08","09","10","11","12"); 
            foreach($array as $value){
            
            $rec_com = $value.'_rec_com';
            $rec_serv = $value.'_rec_serv';
            $desp = $value.'_desp';
            $rl = $value.'_rl';
            $sl = $value.'_sl';
            $ano =  $this->input->post('ano');
                       
//            $data['client']           = $this->input->post('client');
//            $data['ano']              = '2016';
//            $data['mes']              = substr($value,0,2);
            $data['receitas_com']       = str_replace(',','.',str_replace('.','',$this->input->post($rec_com)));
            $data['receitas_serv']      = str_replace(',','.',str_replace('.','',$this->input->post($rec_serv))); 
            $data['despesas']           = str_replace(',','.',str_replace('.','',$this->input->post($desp)));
            $data['retirada_lucro']     = str_replace(',','.',str_replace('.','',$this->input->post($rl)));
            $data['saldo']              = str_replace(',','.',str_replace('.','',$this->input->post($sl)));              

//            $data['data_lancamento']  = $this->input->post('data_lancamento'); 
            $data['data_alteracao']   = $this->input->post('data_alteracao'); 
//            $data['status']           = $this->input->post('status');             
            $this->db->where(array('client' => $this->input->post('client'),'ano' => $ano, 'mes' => $value  ));
            $this->db->update('mov_mei', $data);

            
            }
            
            $this->session->set_flashdata('flash_message', 'Movimento Atualizado com Sucesso!!!');
            redirect(base_url() . 'index.php?client/mov_mei/', 'refresh');
        }
        if ($param1 == 'finalizar') {
        
            $array = array("01", "02", "03", "04","05","06","07","08","09","10","11","12"); 
            foreach($array as $value){
                  
            $data['status']         = 'a contabilizar';             
            $this->db->where(array('client' => $this->session->userdata('client_id'),'ano' => $ano, 'mes' => $value  ));
            $this->db->update('mei_declaracao', $data);

            }
                      
            
            $this->session->set_flashdata('flash_message', 'Declaração Finalizada com Sucesso!!!');
            redirect(base_url() . 'index.php?client/mov_mei/', 'refresh');
            
        }        

        $page_data['mov_mei']     =  $this->db->get_where('mov_mei', array('client' => $this->session->userdata('client_id')))->result_array();
        $page_data['page_name']   = 'mov_mei';
        $page_data['page_icon']   = 'file';
        $page_data['page_title']  = 'Movimentações - Lançamento MEI';
        $this->load->view('index', $page_data);
    }

/**** MEI |-> Declaração ****/
    function mei_declaracao($param1 = '', $param2 = '', $param3 = '')
    {

        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            
            $array = array("01_Jan", "02_Fev", "03_Mar", "04_Abr","05_Mai","06_Jun","07_Jul","08_Ago","09_Set","10_Out","11_Nov","12_Dez"); 
            foreach($array as $value){
            
            $rec = $value.'_rec';
            $desp = $value.'_desp';
            $rl = $value.'_rl';
            
            $data['client']           = $this->input->post('client');
            $data['ano']              = '2016';
            $data['mes']              = substr($value,0,2);
            $data['receitas']         = str_replace(',','.',str_replace('.','',$this->input->post($rec)));
            $data['despesas']         = str_replace(',','.',str_replace('.','',$this->input->post($desp)));
            $data['retirada_lucro']   = str_replace(',','.',str_replace('.','',$this->input->post($rl)));
            $data['saldo']            = str_replace(',','.',str_replace('.','',$this->input->post($rec)-($this->input->post($desp)+$this->input->post($rl))));
            $data['data_lancamento']  = $this->input->post('data_lancamento'); 
            $data['data_alteracao']   = $this->input->post('data_alteracao'); 
            $data['status']           = $this->input->post('status');             
            $this->db->insert('mei_declaracao', $data);
            
            }
            
            $this->session->set_flashdata('flash_message', 'Declaração Gravada com Sucesso!!!');
            redirect(base_url() . 'index.php?client/mei_declaracao/', 'refresh');
        }
        if ($param1 == 'do_update') {
        
            
            $array = array("01", "02", "03", "04","05","06","07","08","09","10","11","12"); 
            foreach($array as $value){
            
            $rec = $value.'_rec';
            $desp = $value.'_desp';
            $rl = $value.'_rl';
            $sl = $value.'_sl';
                       
//            $data['client']           = $this->input->post('client');
//            $data['ano']              = '2016';
//            $data['mes']              = substr($value,0,2);
            $data['receitas'] = str_replace(',','.',str_replace('.','',$this->input->post($rec))); 
            $data['despesas'] = str_replace(',','.',str_replace('.','',$this->input->post($desp)));
            $data['retirada_lucro'] = str_replace(',','.',str_replace('.','',$this->input->post($rl)));
            $data['saldo'] = str_replace(',','.',str_replace('.','',$this->input->post($sl)));              

//            $data['data_lancamento']  = $this->input->post('data_lancamento'); 
            $data['data_alteracao']   = $this->input->post('data_alteracao'); 
//            $data['status']           = $this->input->post('status');             
            $this->db->where(array('client' => $this->input->post('client'),'ano' => '2016', 'mes' => $value  ));
            $this->db->update('mei_declaracao', $data);

            
            }
            
            $this->session->set_flashdata('flash_message', 'Declaração Atualizada com Sucesso!!!');
            redirect(base_url() . 'index.php?client/mei_declaracao/', 'refresh');
        }
        if ($param1 == 'finalizar') {
        
            $array = array("01", "02", "03", "04","05","06","07","08","09","10","11","12"); 
            foreach($array as $value){
                  
            $data['status']         = 'a contabilizar';             
            $this->db->where(array('client' => $this->session->userdata('client_id'),'ano' => '2016', 'mes' => $value  ));
            $this->db->update('mei_declaracao', $data);

            }
                      
            
            $this->session->set_flashdata('flash_message', 'Declaração Finalizada com Sucesso!!!');
            redirect(base_url() . 'index.php?client/mei_declaracao/', 'refresh');
            
        }        

        $page_data['mei_declaracao']      =  $this->db->get_where('mei_declaracao', array('client' => $this->session->userdata('client_id')))->result_array();
        $page_data['page_name']  = 'mei_declaracao';
        $page_data['page_icon'] = 'file';
        $page_data['page_title'] = 'Movimentações - Lançamento de caixa';
        $this->load->view('index', $page_data);
    } 

/****MANAGE Departamento Pessoal*/
    function dp_funcionarios($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {

            $data['cliente']                = $this->input->post('cliente');
            $data['dt_criacao']             = date('Y-m-d', strtotime($this->input->post('dt_criacao')));
            $data['dt_alteracao']           = date('Y-m-d', strtotime($this->input->post('dt_alteracao')));
            $data['nome']                   = $this->input->post('nome');
            $data['ddd_tel']                = $this->input->post('ddd_tel');
            $data['tel']                    = str_replace('-','',$this->input->post('tel'));
            $data['ddd_cel']                = $this->input->post('ddd_cel');
            $data['cel']                    = str_replace('-','',$this->input->post('cel'));
            $data['email']                  = $this->input->post('email');
            $data['endereco']               = $this->input->post('endereco');
            $data['end_n']                  = $this->input->post('end_n');
            $data['end_comp']               = $this->input->post('end_comp');
            $data['end_bairro']             = $this->input->post('end_bairro');
            $data['end_cidade']             = $this->input->post('end_cidade');
            $data['end_uf']                 = $this->input->post('end_uf');
            $data['end_cep']                = str_replace('.','',str_replace('-','',$this->input->post('end_cep')));
            $data['end_pais']               = $this->input->post('end_pais');
            $data['sexo']                   = $this->input->post('sexo');
            $data['estado_civil']           = $this->input->post('estado_civil');
            $data['cor_raca']               = $this->input->post('cor_raca');
            $data['nome_pai']               = $this->input->post('nome_pai');
            $data['nome_mae']               = $this->input->post('nome_mae');
            $data['dt_nasc']                = date('Y-m-d', strtotime($this->input->post('dt_nasc')));
            if ($data['dt_nasc']=='1969-12-31')
            { $data['dt_nasc'] = '';};
            $data['nasc_uf']                = $this->input->post('nasc_uf');
            $data['nasc_cidade']            = $this->input->post('nasc_cidade');
            $data['dt_admissao']            = date('Y-m-d', strtotime($this->input->post('dt_admissao')));
            if ($data['dt_admissao']=='1969-12-31')
            { $data['dt_admissao'] = '';};
            $data['pri_trab']               = $this->input->post('pri_trab');
            $data['contrato_experiencia']   = $this->input->post('contrato_experiencia');
            $data['contrato_dias']          = $this->input->post('contrato_dias');
            $data['dt_atestado']            = date('Y-m-d', strtotime($this->input->post('dt_atestado')));
            if ($data['dt_atestado']=='1969-12-31')
            { $data['dt_atestado'] = '';};
            $data['depto']                  = $this->input->post('depto');
            $data['funcao']                 = $this->input->post('funcao');
            $data['salario']                = str_replace(',','.',$this->input->post('salario'));
            $data['sindicato']              = $this->input->post('sindicato');
            $data['trab_hrs_entrada']       = $this->input->post('trab_hrs_entrada');
            $data['trab_hrs_saida']         = $this->input->post('trab_hrs_saida');
            $data['trab_hrs_intervalo']     = $this->input->post('trab_hrs_intervalo');
            $data['cpf']                    = str_replace('.','',str_replace('-','',$this->input->post('cpf')));
            $data['dic']                    = $this->input->post('dic');
            $data['dic_uf']                 = $this->input->post('dic_uf');
            $data['dic_exped']              = $this->input->post('dic_exped');
            $data['dic_dt_exped']           = date('Y-m-d', strtotime($this->input->post('dic_dt_exped')));
            if ($data['dic_dt_exped']=='1969-12-31')
            { $data['dic_dt_exped'] = '';};
            $data['ctps']                   = $this->input->post('ctps');
            $data['ctps_serie']             = $this->input->post('ctps_serie');
            $data['ctps_uf']                = $this->input->post('ctps_uf');
            $data['ctps_dt_emissao']        = date('Y-m-d', strtotime($this->input->post('ctps_dt_emissao')));
            if ($data['ctps_dt_emissao']=='1969-12-31')
            { $data['ctps_dt_emissao'] = '';};
            $data['titulo_eleitor']         = $this->input->post('titulo_eleitor');
            $data['titulo_eleitor_zona']    = $this->input->post('titulo_eleitor_zona');
            $data['titulo_eleitor_secao']   = $this->input->post('titulo_eleitor_secao');
            $data['pis']                    = $this->input->post('pis');
            $data['pis_dt_emissao']         = date('Y-m-d', strtotime($this->input->post('pis_dt_emissao')));
            if ($data['pis_dt_emissao']=='1969-12-31')
            { $data['pis_dt_emissao'] = '';};
            $data['cert_nasc']              = $this->input->post('cert_nasc');
            $data['cert_nasc_dt_emissao']   = date('Y-m-d', strtotime($this->input->post('cert_nasc_dt_emissao')));
            if ($data['cert_nasc_dt_emissao']=='1969-12-31')
            { $data['cert_nasc_dt_emissao'] = '';};
            $data['cert_nasc_termo']        = $this->input->post('cert_nasc_termo');
            $data['cert_nasc_livro']        = $this->input->post('cert_nasc_livro');
            $data['cert_nasc_folha']        = $this->input->post('cert_nasc_folha');
            $data['cert_nasc_cartorio']     = $this->input->post('cert_nasc_cartorio');
            $data['cert_nasc_uf']           = $this->input->post('cert_nasc_uf');
            $data['cert_nasc_cidade']       = $this->input->post('cert_nasc_cidade');
            $data['cnh']                    = $this->input->post('cnh');
            $data['cnh_dt_exp']             = date('Y-m-d', strtotime($this->input->post('cnh_dt_exp')));
            if ($data['cnh_dt_exp']=='1969-12-31')
            { $data['cnh_dt_exp'] = '';};
            $data['cnh_dt_venc']            = date('Y-m-d', strtotime($this->input->post('cnh_dt_venc')));
            if ($data['cnh_dt_venc']=='1969-12-31')
            { $data['cnh_dt_venc'] = '';};
            $data['cnh_cat']                = $this->input->post('cnh_cat');
            $data['cnh_org_emissor']        = $this->input->post('cnh_org_emissor');
            $data['cnh_dt_venc']            = date('Y-m-d', strtotime($this->input->post('cnh_dt_venc')));
            if ($data['cnh_dt_venc']=='1969-12-31')
            { $data['cnh_dt_venc'] = '';};
            $data['cnh_dt_pri']             = date('Y-m-d', strtotime($this->input->post('cnh_dt_pri')));
            if ($data['cnh_dt_pri']=='1969-12-31')
            { $data['cnh_dt_pri'] = '';};
            $data['cnh_dt_venc']            = date('Y-m-d', strtotime($this->input->post('cnh_dt_venc')));
            if ($data['cnh_dt_venc']=='1969-12-31')
            { $data['cnh_dt_venc'] = '';};
            $data['cr']                     = $this->input->post('cr');
            $data['cr_serie']               = $this->input->post('cr_serie');
            $data['cr_cat']                 = $this->input->post('cr_cat');
            $data['cr_reg_classe']          = $this->input->post('cr_reg_classe');
            $data['cr_org_emissor']         = $this->input->post('cr_org_emissor');
            $data['cr_dt_emissao']          = date('Y-m-d', strtotime($this->input->post('cr_dt_emissao')));
            if ($data['cr_dt_emissao']=='1969-12-31')
            { $data['cr_dt_emissao'] = '';};
            $data['cr_dt_validade']         = date('Y-m-d', strtotime($this->input->post('cr_dt_validade')));
            if ($data['cr_dt_validade']=='1969-12-31')
            { $data['cr_dt_validade'] = '';};
            $data['vl']                     = str_replace(',','.',$this->input->post('vl'));
            $data['vl_uni']                 = str_replace(',','.',$this->input->post('vl_uni'));
            $data['vl_qtde_dia']            = str_replace(',','.',$this->input->post('vl_qtde_dia'));
            $data['ferias_vencidas']        = $this->input->post('ferias_vencidas');
            $data['obs']                    = $this->input->post('obs');

            $this->db->insert('dp_funcionario', $data);

            // Envio Email
            $Xsender        = $this->db->get_where('client', array('client_id' => $this->session->userdata('client_id')))->row()->name;
            $Xsend_email    = $this->db->get_where('client', array('client_id' => $this->session->userdata('client_id')))->row()->email;

            $this->email_model->envia_email_cadastro_funcionario_cliente($Xsender,$Xsend_email,$this->input->post('nome'));

            //Upload Identidade / CNH:

            $Xrand =  mt_rand();

            if ( !empty($_FILES['userfile']['name'][1])){

                $XnovoNome_1 = strtolower($this->caracter_model->t5f_translit($_FILES['userfile']['name'][1]));

                $data_f1['dp_arquivo']     = $_FILES['userfile']['name'][1];
                $data_f1['caminho']        = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome_1;
                //$data_f1['path']         = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$_FILES['file']['name'];
                $data_f1['cliente']        = $this->input->post('cliente');
                $data_f1['funcionario']    = str_replace('.','',str_replace('-','',$this->input->post('cpf')));
                $data_f1['produto']        = $this->input->post('product');
                //$data_f1['desc_file']    = $_FILES['file']['name'];
                $data_f1['desc_arquivo']   = 'Identidade ou CNH do Funcionário: '.$this->input->post('nome');
                $data_f1['quantidade']     = $this->input->post('quantity');
                $data_f1['valor']          = $this->input->post('valor');
                $data_f1['data']           = $this->input->post('date');
                $data_f1['data_venc']      = $this->input->post('date');
                $data_f1['ind_up']         = $this->input->post('ind_up');
                $data_f1['status']         = $this->input->post('status');
                $this->db->insert('dp_arquivo', $data_f1);

                move_uploaded_file($_FILES['userfile']['tmp_name'][1], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome_1);
                //move_uploaded_file($_FILES['file']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$_FILES['file']['name']);
                $this->session->set_flashdata('flash_message', 'Funcionário Cadastrado... Arquivos Enviados');

                /* enviar email de cadastro de funcionário
                $Xcontato       = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->contact;
                $Xemail         = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->email;
                $Xnome_empresa  = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->name;
                $Xtel           = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->ddd_phone.' '.$this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->phone;
                $Xdocumento     = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->cnpj_cpf;
                $Xalterdata     = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->alterdata;
                $Xdesc_arquivo  = $this->input->post('desc_file');
                $Xarquivo       = ($this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome);

                $this->email_model->envia_email_postagem_cliente($Xcontato,$Xemail,$Xnome_empresa,$Xarquivo,$Xdesc_arquivo,$Xtel,$Xdocumento,$Xalterdata);
                */

            }  else
            {
                $this->session->set_flashdata('flash_message', 'Arquivo Não Enviado, favor adicionar um arquivo para Identidade ou CNH do Funcionário!');
                //redirect(base_url() . 'index.php?client/dp_funcionarios/', 'refresh');
            }
            //  Upload - Carteira de Trabalho - Frente (CTPS)
            if ( !empty($_FILES['userfile']['name'][2])){

                $XnovoNome_2 = strtolower($this->caracter_model->t5f_translit($_FILES['userfile']['name'][2]));

                $data_f2['dp_arquivo']     = $_FILES['userfile']['name'][2];
                $data_f2['caminho']        = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome_2;
                //$data_f2['path']         = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$_FILES['file']['name'];
                $data_f2['cliente']        = $this->input->post('cliente');
                $data_f2['funcionario']    = str_replace('.','',str_replace('-','',$this->input->post('cpf')));
                $data_f2['produto']        = $this->input->post('product');
                //$data_f2['desc_file']    = $_FILES['file']['name'];
                $data_f2['desc_arquivo']   = 'CTPS (frente) do funcionário: '.$this->input->post('nome');
                $data_f2['quantidade']     = $this->input->post('quantity');
                $data_f2['valor']          = $this->input->post('valor');
                $data_f2['data']           = $this->input->post('date');
                $data_f2['data_venc']      = $this->input->post('date');
                $data_f2['ind_up']         = $this->input->post('ind_up');
                $data_f2['status']         = $this->input->post('status');
                $this->db->insert('dp_arquivo', $data_f2);

                move_uploaded_file($_FILES['userfile']['tmp_name'][2], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome_2);
                //move_uploaded_file($_FILES['file']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$_FILES['file']['name']);
                $this->session->set_flashdata('flash_message', 'Funcionário Cadastrado... Arquivos Enviados');

            }  else
            {
                $this->session->set_flashdata('flash_message', 'Arquivo Não Enviado, favor adicionar um arquivo de CTPS (frente) do funcionário!');
                //redirect(base_url() . 'index.php?client/dp_funcionarios/', 'refresh');
            }
            //  Upload - Carteira de Trabalho - Verso (CTPS)
            if ( !empty($_FILES['userfile']['name'][3])){

                $XnovoNome_3 = strtolower($this->caracter_model->t5f_translit($_FILES['userfile']['name'][3]));

                $data_f3['dp_arquivo']     = $_FILES['userfile']['name'][3];
                $data_f3['caminho']        = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome_3;
                //$data_f3['path']         = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$_FILES['file']['name'];
                $data_f3['cliente']        = $this->input->post('cliente');
                $data_f3['funcionario']    = str_replace('.','',str_replace('-','',$this->input->post('cpf')));
                $data_f3['produto']        = $this->input->post('product');
                //$data_f3['desc_file']    = $_FILES['file']['name'];
                $data_f3['desc_arquivo']   = 'CTPS (verso) do funcionário: '.$this->input->post('nome');
                $data_f3['quantidade']     = $this->input->post('quantity');
                $data_f3['valor']          = $this->input->post('valor');
                $data_f3['data']           = $this->input->post('date');
                $data_f3['data_venc']      = $this->input->post('date');
                $data_f3['ind_up']         = $this->input->post('ind_up');
                $data_f3['status']         = $this->input->post('status');
                $this->db->insert('dp_arquivo', $data_f3);

                move_uploaded_file($_FILES['userfile']['tmp_name'][3], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome_3);
                //move_uploaded_file($_FILES['file']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$_FILES['file']['name']);
                $this->session->set_flashdata('flash_message', 'Funcionário Cadastrado... Arquivos Enviados');

            }  else
            {
                $this->session->set_flashdata('flash_message', 'Arquivo Não Enviado, favor adicionar um arquivo de CTPS (verso) do funcionário!');
                //redirect(base_url() . 'index.php?client/dp_funcionarios/', 'refresh');
            }
            //  Upload - Carteira de Trabalho - Verso (CTPS)
            if ( !empty($_FILES['userfile']['name'][4])){

                $XnovoNome_4 = strtolower($this->caracter_model->t5f_translit($_FILES['userfile']['name'][4]));

                $data_f4['dp_arquivo']     = $_FILES['userfile']['name'][4];
                $data_f4['caminho']        = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome_4;
                //$data_f4['path']         = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$_FILES['file']['name'];
                $data_f4['cliente']        = $this->input->post('cliente');
                $data_f4['funcionario']    = str_replace('.','',str_replace('-','',$this->input->post('cpf')));
                $data_f4['produto']        = $this->input->post('product');
                //$data_f4['desc_file']    = $_FILES['file']['name'];
                $data_f4['desc_arquivo']   = 'CPF do Funcionário: '.$this->input->post('nome');
                $data_f4['quantidade']     = $this->input->post('quantity');
                $data_f4['valor']          = $this->input->post('valor');
                $data_f4['data']           = $this->input->post('date');
                $data_f4['data_venc']      = $this->input->post('date');
                $data_f4['ind_up']         = $this->input->post('ind_up');
                $data_f4['status']         = $this->input->post('status');
                $this->db->insert('dp_arquivo', $data_f4);

                move_uploaded_file($_FILES['userfile']['tmp_name'][4], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome_4);
                //move_uploaded_file($_FILES['file']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$_FILES['file']['name']);
                $this->session->set_flashdata('flash_message', 'Funcionário Cadastrado... Arquivos Enviados');

            }
            redirect(base_url() . 'index.php?client/dp_funcionarios/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['cliente']                = $this->input->post('cliente');
            $data['dt_criacao']             = date('Y-m-d', strtotime($this->input->post('dt_criacao')));
            $data['dt_alteracao']           = date('Y-m-d', strtotime($this->input->post('dt_alteracao')));
            $data['nome']                   = $this->input->post('nome');
            $data['ddd_tel']                = $this->input->post('ddd_tel');
            $data['tel']                    = str_replace('-','',$this->input->post('tel'));
            $data['ddd_cel']                = $this->input->post('ddd_cel');
            $data['cel']                    = str_replace('-','',$this->input->post('cel'));
            $data['email']                  = $this->input->post('email');
            $data['endereco']               = $this->input->post('endereco');
            $data['end_n']                  = $this->input->post('end_n');
            $data['end_comp']               = $this->input->post('end_comp');
            $data['end_bairro']             = $this->input->post('end_bairro');
            $data['end_cidade']             = $this->input->post('end_cidade');
            $data['end_uf']                 = $this->input->post('end_uf');
            $data['end_cep']                = str_replace('.','',str_replace('-','',$this->input->post('end_cep')));
            $data['end_pais']               = $this->input->post('end_pais');
            $data['sexo']                   = $this->input->post('sexo');
            $data['estado_civil']           = $this->input->post('estado_civil');
            $data['cor_raca']               = $this->input->post('cor_raca');
            $data['nome_pai']               = $this->input->post('nome_pai');
            $data['nome_mae']               = $this->input->post('nome_mae');
            $data['dt_nasc']                = date('Y-m-d', strtotime($this->input->post('dt_nasc')));
            if ($data['dt_nasc']=='1969-12-31' || $data['dt_nasc']=='')
            { $data['dt_nasc'] = '';};
            $data['nasc_uf']                = $this->input->post('nasc_uf');
            $data['nasc_cidade']            = $this->input->post('nasc_cidade');
            $data['dt_admissao']            = date('Y-m-d', strtotime($this->input->post('dt_admissao')));
            if ($data['dt_admissao']=='1969-12-31')
            { $data['dt_admissao'] = '';};
            $data['pri_trab']               = $this->input->post('pri_trab');
            $data['contrato_experiencia']   = $this->input->post('contrato_experiencia');
            $data['contrato_dias']          = $this->input->post('contrato_dias');
            $data['dt_atestado']            = date('Y-m-d', strtotime($this->input->post('dt_atestado')));
            if ($data['dt_atestado']=='1969-12-31')
            { $data['dt_atestado'] = '';};
            $data['depto']                  = $this->input->post('depto');
            $data['funcao']                 = $this->input->post('funcao');
            $data['salario']                = str_replace(',','.',$this->input->post('salario'));
            $data['sindicato']              = $this->input->post('sindicato');
            $data['trab_hrs_entrada']       = $this->input->post('trab_hrs_entrada');
            $data['trab_hrs_saida']         = $this->input->post('trab_hrs_saida');
            $data['trab_hrs_intervalo']     = $this->input->post('trab_hrs_intervalo');
            $data['cpf']                    = str_replace('.','',str_replace('-','',$this->input->post('cpf')));
            $data['dic']                    = $this->input->post('dic');
            $data['dic_uf']                 = $this->input->post('dic_uf');
            $data['dic_exped']              = $this->input->post('dic_exped');
            $data['dic_dt_exped']           = date('Y-m-d', strtotime($this->input->post('dic_dt_exped')));
            if ($data['dic_dt_exped']=='1969-12-31')
            { $data['dic_dt_exped'] = '';};
            $data['ctps']                   = $this->input->post('ctps');
            $data['ctps_serie']             = $this->input->post('ctps_serie');
            $data['ctps_uf']                = $this->input->post('ctps_uf');
            $data['ctps_dt_emissao']        = date('Y-m-d', strtotime($this->input->post('ctps_dt_emissao')));
            if ($data['ctps_dt_emissao']=='1969-12-31')
            { $data['ctps_dt_emissao'] = '';};
            $data['titulo_eleitor']         = $this->input->post('titulo_eleitor');
            $data['titulo_eleitor_zona']    = $this->input->post('titulo_eleitor_zona');
            $data['titulo_eleitor_secao']   = $this->input->post('titulo_eleitor_secao');
            $data['pis']                    = $this->input->post('pis');
            $data['pis_dt_emissao']         = date('Y-m-d', strtotime($this->input->post('pis_dt_emissao')));
            if ($data['pis_dt_emissao']=='1969-12-31')
            { $data['pis_dt_emissao'] = '';};
            $data['cert_nasc']              = $this->input->post('cert_nasc');
            $data['cert_nasc_dt_emissao']   = date('Y-m-d', strtotime($this->input->post('cert_nasc_dt_emissao')));
            if ($data['cert_nasc_dt_emissao']=='1969-12-31')
            { $data['cert_nasc_dt_emissao'] = '';};
            $data['cert_nasc_termo']        = $this->input->post('cert_nasc_termo');
            $data['cert_nasc_livro']        = $this->input->post('cert_nasc_livro');
            $data['cert_nasc_folha']        = $this->input->post('cert_nasc_folha');
            $data['cert_nasc_cartorio']     = $this->input->post('cert_nasc_cartorio');
            $data['cert_nasc_uf']           = $this->input->post('cert_nasc_uf');
            $data['cert_nasc_cidade']       = $this->input->post('cert_nasc_cidade');
            $data['cnh']                    = $this->input->post('cnh');
            $data['cnh_dt_exp']             = date('Y-m-d', strtotime($this->input->post('cnh_dt_exp')));
            if ($data['cnh_dt_exp']=='1969-12-31')
            { $data['cnh_dt_exp'] = '';};
            $data['cnh_dt_venc']            = date('Y-m-d', strtotime($this->input->post('cnh_dt_venc')));
            if ($data['cnh_dt_venc']=='1969-12-31')
            { $data['cnh_dt_venc'] = '';};
            $data['cnh_cat']                = $this->input->post('cnh_cat');
            $data['cnh_org_emissor']        = $this->input->post('cnh_org_emissor');
            $data['cnh_dt_venc']            = date('Y-m-d', strtotime($this->input->post('cnh_dt_venc')));
            if ($data['cnh_dt_venc']=='1969-12-31')
            { $data['cnh_dt_venc'] = '';};
            $data['cnh_dt_pri']             = date('Y-m-d', strtotime($this->input->post('cnh_dt_pri')));
            if ($data['cnh_dt_pri']=='1969-12-31')
            { $data['cnh_dt_pri'] = '';};
            $data['cnh_dt_venc']            = date('Y-m-d', strtotime($this->input->post('cnh_dt_venc')));
            if ($data['cnh_dt_venc']=='1969-12-31')
            { $data['cnh_dt_venc'] = '';};
            $data['cr']                     = $this->input->post('cr');
            $data['cr_serie']               = $this->input->post('cr_serie');
            $data['cr_cat']                 = $this->input->post('cr_cat');
            $data['cr_reg_classe']          = $this->input->post('cr_reg_classe');
            $data['cr_org_emissor']         = $this->input->post('cr_org_emissor');
            $data['cr_dt_emissao']          = date('Y-m-d', strtotime($this->input->post('cr_dt_emissao')));
            if ($data['cr_dt_emissao']=='1969-12-31')
            { $data['cr_dt_emissao'] = '';};
            $data['cr_dt_validade']         = date('Y-m-d', strtotime($this->input->post('cr_dt_validade')));
            if ($data['cr_dt_validade']=='1969-12-31')
            { $data['cr_dt_validade'] = '';};
            $data['vl']                     = str_replace(',','.',$this->input->post('vl'));
            $data['vl_uni']                 = str_replace(',','.',$this->input->post('vl_uni'));
            $data['vl_qtde_dia']            = str_replace(',','.',$this->input->post('vl_qtde_dia'));
            $data['ferias_vencidas']        = $this->input->post('ferias_vencidas');
            $data['obs']                    = $this->input->post('obs');
            $this->db->where('dp_funcionario_id', $param2);
            $this->db->update('dp_funcionario', $data);

            $this->session->set_flashdata('flash_message', 'Cadastrado Atualizado!');

            redirect(base_url() . 'index.php?client/dp_funcionarios/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile']   = true;
            $page_data['current_dp_funcionario_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('dp_funcionario', array(
                'dp_funcionario_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {
            $this->db->where('dp_funcionario_id', $param2);
            $this->db->delete('dp_funcionario');
            redirect(base_url() . 'index.php?client/dp_funcionarios/', 'refresh');
        }
        $page_data['dp_funcionario']    = $this->db->get_where('dp_funcionario', array('cliente' => $this->session->userdata('client_id')))->result_array();
        $page_data['dp_dependente']     = $this->db->get_where('dp_dependente', array('cliente' => $this->session->userdata('client_id')))->result_array();
        //$page_data['message']         =  $this->db->get_where('message', array('sender' => $this->session->userdata('client_id')))->result_array();
        $page_data['page_name']         = 'dp_funcionarios';
        $page_data['page_icon']         = 'plus';
        $page_data['page_title']        = 'Cadastro de Funcionário';
        $this->load->view('index', $page_data);
    }

/****MANAGE Dependentes*****/
    function dp_dependente($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['dp_funcionario']         = $this->input->post('dp_funcionario');
            $data['cliente']                = $this->input->post('cliente');
            $data['nome']                   = $this->input->post('nome');
            $data['tipo_rel']               = $this->input->post('tipo_rel');
            $data['sexo']                   = $this->input->post('sexo');
            $data['cpf']                    = $this->input->post('cpf');
            $data['dt_nasc']                = $this->input->post('dt_nasc');
            $data['cert_nasc_cidade']       = $this->input->post('cert_nasc_cidade');
            $data['cert_nasc_uf']           = $this->input->post('cert_nasc_uf');
            $data['cert_nasc']              = $this->input->post('cert_nasc');
            $data['cert_nasc_dt_emissao']   = $this->input->post('cert_nasc_dt_emissao');
            $data['cert_nasc_termo']        = $this->input->post('cert_nasc_termo');
            $data['cert_nasc_livro']        = $this->input->post('cert_nasc_livro');
            $data['cert_nasc_folha']        = $this->input->post('cert_nasc_folha');
            $data['cert_nasc_cartorio']     = $this->input->post('cert_nasc_cartorio');
            $data['situacao_dependente']    = $this->input->post('situacao_dependente');

            $this->db->insert('dp_dependente', $data);

            // Envio Email
            $Xsender        = $this->db->get_where('client', array('client_id' => $this->session->userdata('client_id')))->row()->name;
            $Xsend_email    = $this->db->get_where('client', array('client_id' => $this->session->userdata('client_id')))->row()->email;

            $this->email_model->envia_email_cadastro_funcionario_cliente($Xsender,$Xsend_email,$this->input->post('nome'));


            redirect(base_url() . 'index.php?client/dp_funcionarios/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['dp_funcionario']         = $this->input->post('dp_funcionario');
            $data['cliente']                = $this->input->post('cliente');
            $data['nome']                   = $this->input->post('nome');
            $data['tipo_rel']               = $this->input->post('tipo_rel');
            $data['sexo']                   = $this->input->post('sexo');
            $data['cpf']                    = $this->input->post('cpf');
            $data['dt_nasc']                = $this->input->post('dt_nasc');
            $data['cert_nasc_cidade']       = $this->input->post('cert_nasc_cidade');
            $data['cert_nasc_uf']           = $this->input->post('cert_nasc_uf');
            $data['cert_nasc']              = $this->input->post('cert_nasc');
            $data['cert_nasc_dt_emissao']   = $this->input->post('cert_nasc_dt_emissao');
            $data['cert_nasc_termo']        = $this->input->post('cert_nasc_termo');
            $data['cert_nasc_livro']        = $this->input->post('cert_nasc_livro');
            $data['cert_nasc_folha']        = $this->input->post('cert_nasc_folha');
            $data['cert_nasc_cartorio']     = $this->input->post('cert_nasc_cartorio');
            $data['situacao_dependente']    = $this->input->post('situacao_dependente');
            $this->db->where('dp_dependente_id', $param2);
            $this->db->update('dp_dependente', $data);

            redirect(base_url() . 'index.php?client/dp_funcionarios/', 'refresh');

        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile']   = true;
            $page_data['current_dp_dependente_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('dp_dependente', array(
                'dp_dependente_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {
            $this->db->where('dp_dependente_id', $param2);
            $this->db->delete('dp_dependente');
            redirect(base_url() . 'index.php?client/dp_funcionarios/', 'refresh');
        }
        $page_data['dependente']    = $this->db->get_where('dp_dependente', array('cliente' => $this->session->userdata('client_id')))->result_array();
        //$page_data['message']    =  $this->db->get_where('message', array('sender' => $this->session->userdata('client_id')))->result_array();
        $page_data['page_name']     = 'dependentes';
        $page_data['page_icon']     = 'plus';
        $page_data['page_title']    = 'Dependentes';
        $this->load->view('index', $page_data);
    }
    /**** Departamento Pessoal |-> dp_guias****/
    function dp_guias($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/dp_guias/', 'refresh');

        }

        $page_data['files']      =  $this->db->get_where('files', array('product' => '10'))->result_array();
        $page_data['page_name']  = 'dp_guias';
        $page_data['page_icon']  = 'calendar';
        $page_data['page_title'] = 'Guias - Departamento Pessoal';
        $this->load->view('index', $page_data);
    }
    /**** Departamento Pessoal |-> dp_controles****/
    function dp_controles($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');

        $page_data['files']      =  $this->db->get_where('files', array('product' => '10'))->result_array();
        $page_data['page_name']  = 'dp_controles';
        $page_data['page_icon']  = 'cog';
        $page_data['page_title'] = 'Controles - Departamento Pessoal';
        $this->load->view('index', $page_data);
    }
    /**** Departamento Pessoal |-> dp_relatorios****/
    function dp_relatorios($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');

        $page_data['files']      =  $this->db->get_where('files', array('product' => '10'))->result_array();
        $page_data['page_name']  = 'dp_relatorios';
        $page_data['page_icon']  = 'print';
        $page_data['page_title'] = 'Relatórios - Departamento Pessoal';
        $this->load->view('index', $page_data);
    }
/**** FIM  - Departamento pessoal de gestão de dependentes

/****MANAGE files*****
    function files($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['file']      = $this->input->post('file');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            $data['status']      = $this->input->post('status');
            $this->db->insert('files', $data);
            redirect(base_url() . 'index.php?client/files/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['file']        = $this->input->post('file');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            $data['status']      = $this->input->post('status');
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/files/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile'] = true;
            $page_data['current_file_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('files', array(
                'file_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {
            $this->db->where('file_id', $param2);
            $this->db->delete('files');
            redirect(base_url() . 'index.php?client/files/', 'refresh');
        }
        if ($param1 == 'upload_info') {


            $data['file']        = $_FILES['file']['name'];
            $data['path']        = $this->input->post('path').$_FILES['file']['name'];
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['desc_file']     = $this->input->post('desc_file');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            $data['status']      = $this->input->post('status');
            $this->db->insert('files', $data);

            move_uploaded_file($_FILES['file']['tmp_name'], $this->input->post('path').$_FILES['file']['name']);
            $this->session->set_flashdata('flash_message', 'Arquivo Enviado');

            redirect(base_url() . 'index.php?client/files/', 'refresh');
        }
        $page_data['files']      = $this->db->get('files')->result_array();
        $page_data['page_name']  = 'files';
        $page_data['page_icon'] = 'file';
        $page_data['page_title'] = 'manage_files';
        $this->load->view('index', $page_data);
    }
/****GESTÃO - files_extra*****/
    function files_extra($param1 = '', $param2 = '', $param3 = '')
    {
        /**** Definição de variáveis *****/
        $Xrand = '';
        $origem = '';
        $destino = '';
        $XnovoNome = '';


        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['file']         = $this->input->post('file');
            $data['path']         = $this->input->post('path');
            $data['client']       = $this->input->post('client');
            $data['product']      = $this->input->post('product');
            $data['quantity']     = $this->input->post('quantity');
            $data['valor']        = $this->input->post('valor');
            $data['date']         = $this->input->post('date');
            $data['ind_up']       = $this->input->post('ind_up');
            $data['status']       = $this->input->post('status');
            $this->db->insert('files_extra', $data);
            redirect(base_url() . 'index.php?client/files_extra/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['file']        = $this->input->post('file');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            $data['status']      = $this->input->post('status');
            $this->db->where('file_extra_id', $param2);
            $this->db->update('files_extra', $data);
            redirect(base_url() . 'index.php?client/files_extra/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile'] = true;
            $page_data['current_file_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('files_extra', array(
                'file_extra_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {

            $Xdados = $this->db->get_where('files_extra', array('file_extra_id' => $param2))->result_array();
             //print_r($Xdados);

            foreach($Xdados as $row):
            $origem = $row['path'];
            $destino = $origem;
            endforeach;
            //print_r($origem);

            $destino =  str_replace('/doc_extra/','/_lixo/', $destino);
            //print_r($destino);

            copy($origem, $destino);
            unlink($origem);

            // Geração do Log   ------------------------------------------------
            $log['admin']        = '';
            $log['client']       = $this->session->userdata('client_id');
            $log['path']         = $destino;
            $format = 'DATE_W3C';
            $time = time();
            $log['date']         = standard_date($format, $time) ;
            $log['tipo']         = 'deleted';
            $this->db->insert('log', $log);
            // FIM - Geração do Log   ------------------------------------------

            $this->db->where('file_extra_id', $param2);
            $this->db->delete('files_extra');
            $this->session->set_flashdata('flash_message', 'Arquivo Deletado!');
            redirect(base_url() . 'index.php?client/files_extra/', 'refresh');
        }
        if ($param1 == 'upload_info') {

            $Xrand =  mt_rand();

            if ( !empty($_FILES['file']['name'])){

            $XnovoNome = strtolower($this->caracter_model->t5f_translit($_FILES['file']['name']));

            $data['file']         = $_FILES['file']['name'];
            $data['path']         = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome;
            //$data['path']         = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$_FILES['file']['name'];
            $data['client']       = $this->input->post('client');
            $data['product']      = $this->input->post('product');
            //$data['desc_file']    = $_FILES['file']['name'];
            $data['desc_file']    = $this->input->post('desc_file');
            $data['quantity']     = $this->input->post('quantity');
            $data['valor']        = $this->input->post('valor');
            $data['date']         = $this->input->post('date');
            $data['data_venc']    = $this->input->post('date');
            $data['ind_up']       = $this->input->post('ind_up');
            $data['status']       = $this->input->post('status');
            $this->db->insert('files_extra', $data);

            move_uploaded_file($_FILES['file']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome);
            //move_uploaded_file($_FILES['file']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$_FILES['file']['name']);
            $this->session->set_flashdata('flash_message', 'Arquivo Enviado');

            $Xcontato       = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->contact;
            $Xemail         = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->email;
            $Xnome_empresa  = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->name;
            $Xtel           = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->ddd_phone.' '.$this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->phone;
            $Xdocumento     = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->cnpj_cpf;
            $Xalterdata     = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->alterdata;
            $Xdesc_arquivo  = $this->input->post('desc_file');
            $Xarquivo       = ($this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome);

            $this->email_model->envia_email_postagem_cliente($Xcontato,$Xemail,$Xnome_empresa,$Xarquivo,$Xdesc_arquivo,$Xtel,$Xdocumento,$Xalterdata);

            redirect(base_url() . 'index.php?client/files_extra/', 'refresh');
              }  else
                  {
                 $this->session->set_flashdata('flash_message', 'Arquivo Não Enviado, favor adicionar um arquivo!');
                 redirect(base_url() . 'index.php?client/files_extra/', 'refresh');
                 }

        }
        $page_data['files']       = $this->db->get_where('files_extra', array('client' => $this->session->userdata('client_id')))->result_array();
        $page_data['page_name']   = 'files_extra';
        $page_data['page_icon']   = 'file';
        $page_data['page_title']  = 'Enviar Documentos Extras';
        $this->load->view('index', $page_data);
    }

/**** BLOCO  - NOTAS FISCAIS |-> nf

    Importar || importar
    consultar || consultar

*****/
    /**** NOTAS FISCAIS |-> nf  -  importar ****/
    function nf_importar($param1 = '', $param2 = '', $param3 = '')
    {

        /**** Definição de variáveis *****/
        $Xrand = '';
        $origem = '';
        $destino = '';
        $XnovoNome = '';

        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['xml']      = $this->input->post('xml');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            //$data['rate']      = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->insert('xmls', $data);
            redirect(base_url() . 'index.php?client/nf_importar/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['xml']        = $this->input->post('xml');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            //$data['rate']      = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->where('xml_id', $param2);
            $this->db->update('xmls', $data);
            redirect(base_url() . 'index.php?client/nf_importar/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile'] = true;
            $page_data['current_xml_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('xmls', array(
                'xml_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {

            $Xdados = $this->db->get_where('xmls', array('xml_id' => $param2))->result_array();
             //print_r($Xdados);

            foreach($Xdados as $row):
            $origem = $row['path'];
            $destino = $origem;
            endforeach;
            //print_r($origem);

            $destino =  str_replace('/xml/','/_lixo/', $destino);
            //print_r($destino);

            copy($origem, $destino);
            unlink($origem);

            $this->db->where('xml_id', $param2);
            $this->db->delete('xmls');
            $this->session->set_flashdata('flash_message', 'Arquivo Deletado!');
            redirect(base_url() . 'index.php?client/nf_consultar/', 'refresh');

        }
        if ($param1 == 'upload_info') {

            $Xrand =  mt_rand();

            if ( !empty($_FILES['file']['name'])){

            $XnovoNome = strtolower($this->caracter_model->t5f_translit($_FILES['file']['name']));

            $data['xml']         = $_FILES['file']['name'];
            $data['path']        = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome;
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['desc_xml']    = $_FILES['file']['name'];
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            $data['status']      = $this->input->post('status');
            $this->db->insert('xmls', $data);

            move_uploaded_file($_FILES['file']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome);
            $this->session->set_flashdata('flash_message', 'Arquivo Enviado');

            redirect(base_url() . 'index.php?client/nf_importar/', 'refresh');
              }  else
                  {
                 $this->session->set_flashdata('flash_message', 'Arquivo Não Importado, favor adicionar o arquivo');
                 redirect(base_url() . 'index.php?client/nf_importar/', 'refresh');
                 }
        }
        $page_data['xmls']      = $this->db->get('xmls')->result_array();
        $page_data['page_name']  = 'nf_importar';
        $page_data['page_icon'] = 'download-alt';
        $page_data['page_title'] = 'Nota Fiscal - Importar';
        $this->load->view('index', $page_data);
    }

    /**** NOTAS FISCAIS |-> nf  -  consultar ****/
    function nf_consultar($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');

        $page_data['files']      = $this->db->get('xmls')->result_array();
        $page_data['page_name']  = 'nf_consultar';
        $page_data['page_icon']  = 'search';
        $page_data['page_title'] = 'Nota Fiscal - Consultar';
        $this->load->view('index', $page_data);

        if ($param1 == 'historico') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltro = $this->input->post('data_ano').'-'.$this->input->post('data_mes');

            $this->session->set_flashdata('XFiltro', $XFiltro);


            redirect(base_url() . 'index.php?client/nf_consultar/', 'refresh');
        }

    }
/**** FIM - BLOCO  -    NOTAS FISCAIS |-> nf    *****/

/**** BLOCO  - NOTAS FISCAIS SERVIÇO |-> nfS

Emitir || emitir
Importar || importar
consultar || consultar

 *****/

/**** NOTAS FISCAIS SERVIÇO |-> nfS  -  emitir ****/
    function nfs_emitir($param1 = '', $param2 = '', $param3 = '')

    {
            /**** Definição de variáveis *****/
            $Xrand = '';
            $origem = '';
            $destino = '';
            $XnovoNome = '';

            if ($this->session->userdata('client_login') != 1)
                redirect(base_url(), 'refresh');
            if ($param1 == 'create') {

                //$Xcnpj_verifica = $this->db->get_where('dest_cliente', array('dest_cnpj_cpf' => str_replace('/','',str_replace('.','',str_replace('-','',$this->input->post('cpf_cnpj'))))))->row()->cliente;

                if ($this->input->post('cpf_cnpj_novo') == '') {

                    $data3['dest_ie'] = str_replace('/', '', str_replace('.', '', str_replace('-', '', $this->input->post('ie'))));
                    $data3['dest_cmc'] = str_replace('/', '', str_replace('.', '', str_replace('-', '', $this->input->post('cmc'))));
                    $data3['dest_end'] = strtoupper($this->input->post('endereco'));
                    $data3['dest_n'] = strtoupper($this->input->post('end_n'));
                    $data3['dest_comp'] = strtoupper($this->input->post('end_compl'));
                    $data3['dest_bairro'] = strtoupper($this->input->post('bairro'));
                    $data3['dest_cidade'] = strtoupper($this->input->post('cidade'));
                    $data3['dest_uf'] = strtoupper($this->input->post('uf'));
                    $data3['dest_pais'] = strtoupper($this->input->post('pais'));
                    $data3['dest_cep'] = $this->input->post('cep');
                    $data3['dest_email'] = $this->input->post('email');
                    $data3['dest_ddd'] = $this->input->post('ddd');
                    $data3['dest_tel'] = $this->input->post('tel');
                    $data3['dest_alt_data'] = $this->input->post('alt_data');
                    $this->db->where('dest_cliente_id', $this->input->post('dest_cliente'));
                    $this->db->update('dest_cliente', $data3);

                    $LastIdInserted = $this->input->post('dest_cliente');
                }

                else {

                    $data4['dest_cliente']       = strtoupper($this->input->post('razao_social'));
                    $data4['cliente']            =  $this->input->post('cliente');
                    $data4['dest_cnpj_cpf']      = str_replace('/','',str_replace('.','',str_replace('-','',$this->input->post('cpf_cnpj_novo'))));
                    $data4['dest_ie']            = str_replace('/','',str_replace('.','',str_replace('-','',$this->input->post('ie'))));
                    $data4['dest_cmc']           = str_replace('/','',str_replace('.','',str_replace('-','',$this->input->post('cmc'))));
                    $data4['dest_end']           = strtoupper($this->input->post('endereco'));
                    $data4['dest_n']             = strtoupper($this->input->post('end_n'));
                    $data4['dest_comp']          = strtoupper($this->input->post('end_compl'));
                    $data4['dest_bairro']        = strtoupper($this->input->post('bairro'));
                    $data4['dest_cidade']        = strtoupper($this->input->post('cidade'));
                    $data4['dest_uf']            = strtoupper($this->input->post('uf'));
                    $data4['dest_pais']          = strtoupper($this->input->post('pais'));
                    $data4['dest_cep']           = $this->input->post('cep');
                    $data4['dest_email']         = $this->input->post('email');
                    $data4['dest_ddd']           = $this->input->post('ddd');
                    $data4['dest_tel']           = $this->input->post('tel');
                    $data4['dest_desc']          = $this->input->post('dest_desc');
                    $data4['dest_data']          = $this->input->post('alt_data');
                    $data4['dest_alt_data']      = $this->input->post('alt_data');
                    $data4['dest_desc']          = $this->input->post('dest_desc');
                    $data4['dest_status']        = 'ativo';
                    $this->db->insert('dest_cliente', $data4);

                    $query = $this->db->query('SELECT LAST_INSERT_ID()');
                    $row = $query->row_array();
                    $LastIdInserted = $row['LAST_INSERT_ID()'];

                };


                if ( !empty($this->input->post('incentivador_cultural'))){
                    $incentivador_cultural = $this->input->post('incentivador_cultural');
                } else { $incentivador_cultural = 0; };

                if ( !empty($this->input->post('iss_retido'))){
                    $iss_retido = $this->input->post('iss_retido');
                } else { $iss_retido = 0; };

                $data['nfs']                    = $this->input->post('nfs');
                $data['nfs_num']                = $this->input->post('xnfs_num');
                $data['tipo_nfs']               = $this->input->post('tipo_nfs');
                $data['caminho']                = $this->input->post('caminho');
                $data['cliente']                = $this->input->post('cliente');
                $data['dest_cliente']           = $LastIdInserted;//$this->input->post('dest_cliente');
                $data['categoria']              = $this->input->post('categoria');
                $data['desc_nfs']               = $this->input->post('desc_nfs');
                $data['quantidade']             = $this->input->post('quantidade');
                $data['valor']                  = str_replace(',','.',$this->input->post('valor'));
                $data['valor_liquido']          = str_replace(',','.',$this->input->post('valor_liquido'));
                $data['data_emissao']           = $this->input->post('data_emissao');
                $data['data_competencia']       = $this->input->post('data_competencia');
                $data['alt_data']               = $this->input->post('alt_data');
                $data['status']                 = $this->input->post('status');
                $data['cod_verificacao']        = $this->input->post('cod_verificacao');
                $data['nat_operacao']           = $this->input->post('nat_operacao');
                $data['opt_simplesnacional']    = $this->input->post('opt_simplesnacional');
                $data['incentivador_cultural']  = $incentivador_cultural;
                $data['outras_informacoes']     = $this->input->post('outras_informacoes');
                $data['iss_retido']             = $iss_retido;
                $data['iss_valor']              = str_replace(',','.',$this->input->post('iss_valor'));
                $data['iss_aliquota']           = $this->input->post('iss_aliquota');
                $data['item_lista_servico']     = $this->input->post('item_lista_servico');
                $data['cod_cnae']               = $this->input->post('item_lista_servico');
                $data['codigo_trib_municipio']  = $this->input->post('codigo_trib_municipio');
                $data['valor_deducao']          = str_replace(',','.',$this->input->post('valor_deducao'));
                $data['valor_desc_inc']         = str_replace(',','.',$this->input->post('valor_desc_inc'));
                $data['valor_desc_cond']        = str_replace(',','.',$this->input->post('valor_desc_cond'));

                $this->db->insert('nfs', $data);

                // incrementa nº nfs

                $data2['nfs_num']     =  $this->input->post('xnfs_num')+1;
                $this->db->where('cliente', $this->input->post('cliente'));
                $this->db->update('nfs_n', $data2);

                $this->session->set_flashdata('flash_message', 'Nota Criada com Sucesso!!!');
                

                //move_uploaded_file($_FILES['recibo']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_R_'.$_FILES['recibo']['name']);
                //$this->session->set_flashdata('flash_message', 'Recibo Salvo!');


                redirect(base_url() . 'index.php?client/nfs_consultar/', 'refresh');
            }
        if ($param1 == 'gera_xml') {

            $XnfsDados = $this->db->get_where('nfs', array('nfs_id' => $this->input->post('nfs')))->result_array();

            $arquivo = './uploads/1/'.'1'.'_download.txt';

            $ponteiro = fopen($arquivo, 'w+');
            fwrite($ponteiro, '<?xml version=\"1.0\" encoding=\"UTF-8\"?>');

            fclose($ponteiro);
            // incrementa nº nfs

            //envia email
            $this->email_model->envia_email_cadastro_de_nota($data['cliente'], $data['nfs_num']);
            //$this->email_model->abertura_de_conta_confirma_cadastro('client',$data['name'],$data['$this->input->post('xnfs_num')'], $data['email']);



            $this->session->set_flashdata('flash_message', 'Arquivo XML Gerado com Sucesso!!!');

            //move_uploaded_file($_FILES['recibo']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_R_'.$_FILES['recibo']['name']);
            //$this->session->set_flashdata('flash_message', 'Recibo Salvo!');


            redirect(base_url() . 'index.php?client/nfs_consultar/', 'refresh');
        }
        if ($param1 == 'cancelar') {

            $data['status']     =  'cancelado';
            $this->db->where('nfs_id', $param2);
            $this->db->update('nfs', $data);

            //envia email
            //$this->email_model->envia_email_cadastro_de_nota($data['cliente'], $data['nfs_num']);
            //$this->email_model->abertura_de_conta_confirma_cadastro('client',$data['name'],$data['$this->input->post('xnfs_num')'], $data['email']);

            $this->session->set_flashdata('flash_message', 'Nota Cancelada! Aguarde confirmação do Cancelamento...!!!');
            redirect(base_url() . 'index.php?client/nfs_consultar/', 'refresh');
        }
        if ($param1 == 'dest_cliente_consultar') {

            
            $Xdados = $this->db->get_where('dest_cliente', array('dest_cliente_id' => $param2))->result_array();

            $this->session->set_flashdata('Xdest_cliente', $Xdados);

            $Xdt_competencia = $this->input->post('data_competencia');


            $this->session->set_flashdata('Xdt_competencia', $Xdt_competencia);

            //envia email
            //$this->email_model->abertura_de_conta('client', $data['email']);
            //$this->email_model->abertura_de_conta_confirma_cadastro('client',$data['name'],$data['cnpj_cpf'], $data['email']);

            redirect(base_url() . 'index.php?client/nfs_emitir/', 'refresh');
        }

        if ($param1 == 'historico') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltro = $this->input->post('data_ano').'-'.$this->input->post('data_mes');

            $this->session->set_flashdata('XFiltro', $XFiltro);


            redirect(base_url() . 'index.php?client/nfs_emitir/', 'refresh');
        }

        $page_data['nfs']      = $this->db->get('nfs')->result_array();
        $page_data['page_name']  = 'nfs_emitir';
        $page_data['page_icon']  = 'file';
        $page_data['page_title'] = 'Emissão de Nota Fiscal de Serviços - NFS-e';
        $this->load->view('index', $page_data);


    }

/**** NOTAS FISCAIS SERVIÇO |-> nfS  -  importar ****/
    function nfs_importar($param1 = '', $param2 = '', $param3 = '')
    {

        /**** Definição de variáveis *****/
        $Xrand = '';
        $origem = '';
        $destino = '';
        $XnovoNome = '';

        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['xml']      = $this->input->post('xml');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            //$data['rate']      = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->insert('xmls', $data);
            redirect(base_url() . 'index.php?client/nf_importar/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['xml']        = $this->input->post('xml');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            //$data['rate']      = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->where('xml_id', $param2);
            $this->db->update('xmls', $data);
            redirect(base_url() . 'index.php?client/nfs_importar/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile'] = true;
            $page_data['current_xml_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('xmls', array(
                'xml_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {

            $Xdados = $this->db->get_where('xmls', array('xml_id' => $param2))->result_array();
            //print_r($Xdados);

            foreach($Xdados as $row):
                $origem = $row['path'];
                $destino = $origem;
            endforeach;
            //print_r($origem);

            $destino =  str_replace('/xml/','/_lixo/', $destino);
            //print_r($destino);

            copy($origem, $destino);
            unlink($origem);

            $this->db->where('xml_id', $param2);
            $this->db->delete('xmls');
            $this->session->set_flashdata('flash_message', 'Arquivo Deletado!');
            redirect(base_url() . 'index.php?client/nfs_consultar/', 'refresh');

        }
        if ($param1 == 'upload_info') {

            $Xrand =  mt_rand();

            if ( !empty($_FILES['file']['name'])){

                $XnovoNome = strtolower($this->caracter_model->t5f_translit($_FILES['file']['name']));

                $data['xml']         = $_FILES['file']['name'];
                $data['path']        = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome;
                $data['client']      = $this->input->post('client');
                $data['product']     = $this->input->post('product');
                $data['desc_xml']    = $_FILES['file']['name'];
                $data['quantity']    = $this->input->post('quantity');
                $data['valor']       = $this->input->post('valor');
                $data['date']        = $this->input->post('date');
                $data['ind_up']      = $this->input->post('ind_up');
                $data['status']      = $this->input->post('status');
                $this->db->insert('xmls', $data);

                move_uploaded_file($_FILES['file']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome);
                $this->session->set_flashdata('flash_message', 'Arquivo Enviado');

                redirect(base_url() . 'index.php?client/nfs_importar/', 'refresh');
            }  else
            {
                $this->session->set_flashdata('flash_message', 'Arquivo Não Importado, favor adicionar o arquivo');
                redirect(base_url() . 'index.php?client/nfs_importar/', 'refresh');
            }
        }
        $page_data['xmls']      = $this->db->get('xmls')->result_array();
        $page_data['page_name']  = 'nfs_importar';
        $page_data['page_icon'] = 'download-alt';
        $page_data['page_title'] = 'Nota Fiscal Serviço - Importar';
        $this->load->view('index', $page_data);
    }

/**** NOTAS FISCAIS SERVIÇO |-> nfS  -  consultar ****/
    function nfs_consultar($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');

        $page_data['files']      = $this->db->get('nfs')->result_array();
        $page_data['page_name']  = 'nfs_consultar';
        $page_data['page_icon']  = 'search';
        $page_data['page_title'] = 'Nota Fiscal Serviço - Consultar';
        $this->load->view('index', $page_data);

        if ($param1 == 'historico') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltro = $this->input->post('data_ano').'-'.$this->input->post('data_mes');

            $this->session->set_flashdata('XFiltro', $XFiltro);


            redirect(base_url() . 'index.php?client/nfs_consultar/', 'refresh');
        }
        if ($param1 == 'email') {

            $Xnota = $this->input->post('nfs_id');

            $data['status']      = 'processando';
            $this->db->where('nfs_id', $Xnota);
            $this->db->update('nfs', $data);


            $this->email_model->envia_email_cadastro_de_nota($Xnota);

            $this->session->set_flashdata('flash_message', 'Nota enviada! Favor aguardar retorno da prefeitura...');

            redirect(base_url() . 'index.php?client/nfs_consultar/', 'refresh');
        }

    }
/**** FIM - BLOCO  -    NOTAS FISCAIS SERVIÇO |-> nfS    *****/

/**** MEUS CLIENTES |-> meus_clientes ****/
    function meus_clientes($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['dest_cliente']       = strtoupper($this->input->post('dest_cliente'));
            $data['cliente']            =  $this->input->post('cliente');
            $data['dest_cnpj_cpf']      = str_replace('/','',str_replace('.','',str_replace('-','',$this->input->post('dest_cnpj_cpf'))));
            $data['dest_ie']            = str_replace('/','',str_replace('.','',str_replace('-','',$this->input->post('dest_ie'))));
            $data['dest_cmc']           = str_replace('/','',str_replace('.','',str_replace('-','',$this->input->post('dest_cmc'))));
            $data['dest_end']           = mb_strtoupper($this->input->post('dest_end'), 'UTF-8');
            $data['dest_n']             = strtoupper($this->input->post('dest_n'));
            $data['dest_comp']          = mb_strtoupper($this->input->post('dest_comp'), 'UTF-8');
            $data['dest_bairro']        = mb_strtoupper($this->input->post('dest_bairro'), 'UTF-8');
            $data['dest_cidade']        = mb_strtoupper($this->input->post('dest_cidade'), 'UTF-8');
            $data['dest_uf']            = strtoupper($this->input->post('dest_uf'));
            $data['dest_pais']          = strtoupper($this->input->post('dest_pais'));
            $data['dest_cep']           = $this->input->post('dest_cep');
            $data['dest_email']         = $this->input->post('dest_email');
            $data['dest_ddd']           = $this->input->post('dest_ddd');
            $data['dest_tel']           = $this->input->post('dest_tel');
            $data['dest_desc']          = $this->input->post('dest_desc');
            $data['dest_data']          = date('Y-m-d');
            $data['dest_alt_data']      = date('Y-m-d');
            $data['dest_desc']          = $this->input->post('dest_desc');
            $data['dest_status']        = $this->input->post('dest_status');
            $this->db->insert('dest_cliente', $data);

            $this->session->set_flashdata('flash_message', 'Cliente adicionado com sucesso!!!');

            //envia email
            //$this->email_model->abertura_de_conta('client', $data['email']);
            //$this->email_model->abertura_de_conta_confirma_cadastro('client',$data['name'],$data['cnpj_cpf'], $data['email']);

            redirect(base_url() . 'index.php?client/meus_clientes/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['dest_cliente']       = strtoupper($this->input->post('dest_cliente'));
            $data['cliente']            =  $this->input->post('cliente');
            $data['dest_cnpj_cpf']      = str_replace('/','',str_replace('.','',str_replace('-','',$this->input->post('dest_cnpj_cpf'))));
            $data['dest_ie']            = str_replace('/','',str_replace('.','',str_replace('-','',$this->input->post('dest_ie'))));
            $data['dest_cmc']           = str_replace('/','',str_replace('.','',str_replace('-','',$this->input->post('dest_cmc'))));
            $data['dest_end']           = strtoupper($this->input->post('dest_end'));
            $data['dest_n']             = strtoupper($this->input->post('dest_n'));
            $data['dest_comp']          = strtoupper($this->input->post('dest_comp'));
            $data['dest_bairro']        = strtoupper($this->input->post('dest_bairro'));
            $data['dest_cidade']        = strtoupper($this->input->post('dest_cidade'));
            $data['dest_uf']            = strtoupper($this->input->post('dest_uf'));
            $data['dest_pais']          = strtoupper($this->input->post('dest_pais'));
            $data['dest_cep']           = $this->input->post('dest_cep');
            $data['dest_email']         = $this->input->post('dest_email');
            $data['dest_ddd']           = $this->input->post('dest_ddd');
            $data['dest_tel']           = $this->input->post('dest_tel');
            $data['dest_desc']          = $this->input->post('dest_desc');
            $data['dest_data']          = $this->input->post('dest_data');
            $data['dest_alt_data']      = $this->input->post('dest_alt_data');
            $data['dest_desc']          = $this->input->post('dest_desc');
            $data['dest_status']        = $this->input->post('dest_status');
            $this->db->where('dest_cliente_id', $param2);
            $this->db->update('dest_cliente', $data);
            redirect(base_url() . 'index.php?client/meus_clientes/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile']  = true;
            $page_data['current_dest_cliente_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('dest_cliente', array(
                'dest_cliente_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {

            //$destino = $this->db->get_where('client' , array('client_id' => $param2))->row()->alterdata ;
            //$this->db->where('client_id', $param2);
            //$this->db->delete('client');

            $data['dest_status']        = 'inativo';

            $this->db->where('dest_cliente_id', $param2);
            $this->db->update('dest_cliente', $data);
            redirect(base_url() . 'index.php?client/meus_clientes/', 'refresh');

        }

        $page_data['client']     = $this->db->get('dest_cliente')->result_array();
        $page_data['page_name']  = 'meus_clientes';
        $page_data['page_icon'] = 'user';
        $page_data['page_title'] = 'Cadastro de Clientes';
        $this->load->view('index', $page_data);

    }
/**** FIM - MEUS CLIENTES |-> meus_clientes ****/


 /**** BLOCO  -   MOV |-> Movimentações

    Consultar - consultar
    Importar - importar
    lançar - lancar
    Recibos

*****/
    /**** MOV |-> Movimentações  -  consultar ****/
    function mov_consultar($param1 = '', $param2 = '', $param3 = '')
    {

                /**** Definição de variáveis *****/
        $Xrand = '';
        $origem = '';
        $destino = '';
        $XnovoNome = '';

        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['file']        = $this->input->post('file');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            //$data['rate']      = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->insert('files', $data);
            redirect(base_url() . 'index.php?client/mov_consultar/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['file']        = $this->input->post('file');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            //$data['rate']      = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/mov_consultar/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile'] = true;
            $page_data['current_file_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('files', array(
                'file_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {
            $this->db->where('file_id', $param2);
            $this->db->delete('files');
            redirect(base_url() . 'index.php?client/mov_consultar/', 'refresh');
        }
        if ($param1 == 'upload_info') {

            $Xrand =  mt_rand();

            $XnovoNome = strtolower($this->caracter_model->t5f_translit($_FILES['file']['name']));

            $data['file']        = $_FILES['file']['name'];
            $data['path']        = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome;
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['desc_file']   = $this->input->post('desc_file');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            $data['status']      = $this->input->post('status');
            $this->db->insert('files', $data);

            move_uploaded_file($_FILES['file']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome);
            $this->session->set_flashdata('flash_message', 'Arquivo Enviado');

            redirect(base_url() . 'index.php?client/mov_consultar/', 'refresh');
        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => ''))->result_array();
        $page_data['page_name']  = 'mov_consultar';
        $page_data['page_icon'] = 'search';
        $page_data['page_title'] = 'Consultar Movimentos';
        $this->load->view('index', $page_data);
    }

    /**** MOV |-> Movimentações  -  importar ****/
    function mov_importar($param1 = '', $param2 = '', $param3 = '')
    {
                /**** Definição de variáveis *****/
        $Xrand = '';
        $origem = '';
        $destino = '';
        $XnovoNome = '';


        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['file']        = $this->input->post('file');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            //$data['rate']      = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->insert('files', $data);
            redirect(base_url() . 'index.php?client/mov_importar/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['file']        = $this->input->post('file');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            //$data['rate']      = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/mov_importar/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile'] = true;
            $page_data['current_file_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('files', array(
                'file_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {

            $Xdados = $this->db->get_where('files', array('file_id' => $param2))->result_array();
            //print_r($Xdados);

            foreach($Xdados as $row):
            $origem = $row['path'];
            $destino = $origem;
            endforeach;
            //print_r($origem);

            $destino =  str_replace('/mov/','/_lixo/', $destino);
            //print_r($destino);

            copy($origem, $destino);
            unlink($origem);

            $this->db->where('file_id', $param2);
            $this->db->delete('files');
            $this->session->set_flashdata('flash_message', 'Arquivo Deletado!');
            redirect(base_url() . 'index.php?client/mov_importar/', 'refresh');


        }
        if ($param1 == 'upload_info') {

            $Xrand =  mt_rand();
            
            
             if ( !empty($_FILES['file']['name'][1])){

                $XnovoNome = strtolower($this->caracter_model->t5f_translit($_FILES['file']['name']));
    
                $data['file']        = $_FILES['file']['name'];
                $data['path']        = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome;
                $data['client']      = $this->input->post('client');
                $data['product']     = $this->input->post('product');
                $data['desc_file']   = $this->input->post('desc_file');
                $data['quantity']    = $this->input->post('quantity');
                $data['valor']       = $this->input->post('valor');
                $data['date']        = $this->input->post('date');
                $data['ind_up']      = $this->input->post('ind_up');
                $data['status']      = $this->input->post('status');
                $this->db->insert('files', $data);
    
                move_uploaded_file($_FILES['file']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome);
                $this->session->set_flashdata('flash_message', 'Arquivo Enviado');
    
                redirect(base_url() . 'index.php?client/mov_importar/', 'refresh');
     
            }  else
            {
                $this->session->set_flashdata('flash_message', 'Arquivo Não Informado, Favor entre com um arquivo!');
            }
            
        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => ''))->result_array();
        $page_data['page_name']  = 'mov_importar';
        $page_data['page_icon']  = 'download-alt';
        $page_data['page_title'] = 'Movimentações - Importar Extrato Bancário';
        $this->load->view('index', $page_data);
    }

    /**** MOV |-> Movimentações  -  lancar ****/
    function mov_lancar($param1 = '', $param2 = '', $param3 = '')
    {
                /**** Definição de variáveis *****/
        $Xrand = '';
        $origem = '';
        $destino = '';
        $XnovoNome = '';

        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['mov']          = $_FILES['mov']['name'];
            $data['tipo_mov']     = $this->input->post('tipo_mov');
            if ( empty($_FILES['mov']['name'])){
                $data['path']         = '';
              }  else {

                $Xrand =  mt_rand();

                $XnovoNome = strtolower($this->caracter_model->t5f_translit($_FILES['mov']['name']));

                $data['path']         = $this->input->post('path').$this->input->post('alterdata').'_E_'.$Xrand.'_'.$XnovoNome;
              }

            $data['client']       = $this->input->post('client');
            $data['category']     = $this->input->post('category');
            $data['desc_mov']     = $this->input->post('desc_mov');
            $data['quantity']     = $this->input->post('quantity');
            $data['valor']        = str_replace(',','.',str_replace('.','',$this->input->post('valor')));
            $data['date']         = date('Y-m-d',strtotime(str_replace('/', '-',$this->input->post('date'))));
            $data['alt_date']     = $this->input->post('alt_date');
            $data['status']       = $this->input->post('status');
            $this->db->insert('mov', $data);

            move_uploaded_file($_FILES['mov']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_E_'.$Xrand.'_'.$XnovoNome);
            $this->session->set_flashdata('flash_message', 'Movimento Salvo!');


            redirect(base_url() . 'index.php?client/mov_lancar/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['mov']          = $this->input->post('mov');
            $data['tipo_mov']     = $this->input->post('tipo_mov');
            $data['path']         = $this->input->post('path');
            $data['client']       = $this->input->post('client');
            $data['category']     = $this->input->post('category');
            $data['desc_mov']     = $this->input->post('mov');
            $data['quantity']     = $this->input->post('quantity');
            $data['valor']        = str_replace(',','.',$this->input->post('valor'));
            $data['date']         = $this->input->post('date');
            $data['alt_date']     = $this->input->post('alt_date');
            $data['status']       = $this->input->post('status');
            $this->db->where('mov_id', $param2);
            $this->db->update('mov', $data);
            redirect(base_url() . 'index.php?client/mov_lancar/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile'] = true;
            $page_data['current_file_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('mov', array(
                'mov_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {

            $Xdados = $this->db->get_where('mov', array('mov_id' => $param2))->result_array();
            //print_r($Xdados);

            foreach($Xdados as $row):
            $origem = $row['path'];
            $destino = $origem;
            endforeach;
            //print_r($origem);

              if ( $origem != 'Sem Arquivo' ){


                $destino =  str_replace('/mov/','/_lixo/', $destino);
                //print_r($destino);

                copy($origem, $destino);
                unlink($origem);
            }

            $this->db->where('mov_id', $param2);
            $this->db->delete('mov');
            $this->session->set_flashdata('flash_message', 'Arquivo Deletado!');
            redirect(base_url() . 'index.php?client/mov_lancar/', 'refresh');

        }
        if ($param1 == 'visualizar') {

            //$caminho =  $this->db->get_where('mov', array('mov_id' => $param2))->result_array();
             echo   'id cliente:'.$this->input->post('client') ;
             echo   ' - ' ;
             echo   'id movimento:'.$this->input->post('mov_id') ;
            redirect(base_url() . 'index.php?client/mov_recibos/', 'refresh');
        }
        if ($param1 == 'historico') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltro = $this->input->post('data_ano').'-'.$this->input->post('data_mes');

            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?client/mov_lancar/', 'refresh');
        }
        if ($param1 == 'create_saida') {

            $data['mov']          = $_FILES['mov']['name'];
            $data['tipo_mov']     = $this->input->post('tipo_mov');
            if ( empty($_FILES['mov']['name'])){
                $data['path']         = 'Sem Arquivo';
              }  else {

                $Xrand =  mt_rand();

                $XnovoNome = strtolower($this->caracter_model->t5f_translit($_FILES['mov']['name']));

                $data['path']         = $this->input->post('path').$this->input->post('alterdata').'_S_'.$Xrand.'_'.$XnovoNome;
              }

            $data['client']       = $this->input->post('client');
            $data['category']     = $this->input->post('category');
            $data['desc_mov']     = $this->input->post('desc_mov');
            $data['quantity']     = $this->input->post('quantity');
            $data['valor']        = str_replace(',','.',str_replace('.','',$this->input->post('valor')))*(-1);
            $data['date']         = date('Y-m-d',strtotime(str_replace('/', '-',$this->input->post('date'))));
            $data['alt_date']     = $this->input->post('alt_date');
            $data['status']       = $this->input->post('status');
            $this->db->insert('mov', $data);

            move_uploaded_file($_FILES['mov']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_S_'.$Xrand.'_'.$XnovoNome);
            $this->session->set_flashdata('flash_message', 'Movimento Salvo!');


            redirect(base_url() . 'index.php?client/mov_lancar/', 'refresh');
        }
        $page_data['mov']      =  $this->db->get_where('mov', array('client' => ''))->result_array();
        $page_data['page_name']  = 'mov_lancar';
        $page_data['page_icon'] = 'inbox';
        $page_data['page_title'] = 'Movimentações - Lançamento Contábil';
        $this->load->view('index', $page_data);
    }

    /**** MOV |-> Movimentações  -  Recibos ****/
    function mov_recibos($param1 = '', $param2 = '', $param3 = '')
    {
                /**** Definição de variáveis *****/
        $Xrand = '';
        $origem = '';
        $destino = '';
        $XnovoNome = '';

        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {


            // cliente não encontrado
            if ($this->input->post('dest_cliente') == '')
                $XNome_Cliente = $this->input->post('rec_cliente');
            else
                $XNome_Cliente = $this->db->get_where('dest_cliente', array(
                    'dest_cliente_id' => $this->input->post('dest_cliente')))->row()->dest_cliente;

                //move_uploaded_file($_FILES['recibo']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_R_'.$_FILES['recibo']['name']);
                //$this->session->set_flashdata('flash_message', 'Recibo Salvo!');

                //$data['recibo']       = $_FILES['recibo']['name'];
                $data['recibo']       = $this->input->post('recibo');
                $data['recibo_num']   = $this->input->post('xrecibo_n');
                $data['tipo_recibo']  = $this->input->post('tipo_recibo');
                //$data['path']         = $this->input->post('path').$this->input->post('alterdata').'_R_'.$_FILES['recibo']['name'];
                $data['path']         = 'Sem Arquivo';
                $data['client']       = $this->input->post('client');
                $data['category']     = $this->input->post('category');
                $data['desc_recibo']  = $this->input->post('desc_recibo');
                $data['quantity']     = $this->input->post('quantity');
                $data['valor']        = str_replace(',','.',$this->input->post('valor'));
                $data['date']         = $this->input->post('date');
                $data['alt_date']     = $this->input->post('alt_date');
                $data['atend_date']   = date('Y-m-d',strtotime($this->input->post('rec_atend_date')));
                $data['status']       = $this->input->post('status');
                $data['rec_cliente']  = $XNome_Cliente;
                $data['rec_doc']      = $this->input->post('rec_doc');
                $data['rec_end']      = $this->input->post('rec_end');
                $data['rec_n']        = $this->input->post('rec_n');
                $data['rec_comp']     = $this->input->post('rec_comp');
                $data['rec_bairro']   = $this->input->post('rec_bairro');
                $data['rec_cidade']   = $this->input->post('rec_cidade');
                $data['rec_uf']       = $this->input->post('rec_uf');
                $data['rec_cep']      = $this->input->post('rec_cep');
                $data['rec_ddd']      = $this->input->post('rec_ddd');
                $data['rec_tel']      = $this->input->post('rec_tel');
                $data['rec_email']    = $this->input->post('rec_email');
                $data['rec_desc']     = $this->input->post('rec_desc');

                $this->db->insert('recibo', $data);

                // incrementa nº recibo

                $data3['recibo_num']     =  $this->input->post('xrecibo_n')+1;
                $this->db->where('client', $this->input->post('client'));
                $this->db->update('recibo_n', $data3);

                $this->session->set_flashdata('flash_message', 'Recibo Criado com Sucesso!!!');


                // verifica se cpf ou cnpj já existe então atualiza ou cadastra

                $XCpf_Cnpj = $this->db->get_where('dest_cliente', array(
                    'cliente' => $this->input->post('client')))->result_array();

                $XnDest_Client_ID = 0 ;

                foreach($XCpf_Cnpj as $XCpf_Cnpj_row):
                    if ($XCpf_Cnpj_row['dest_cnpj_cpf'] == str_replace('/', '', str_replace('.', '', str_replace('-', '', $this->input->post('rec_doc')))))
                        $XnDest_Client_ID = $XnDest_Client_ID + 1;
                endforeach;

                if ($XnDest_Client_ID == 0) {
                    $data2['dest_cliente'] = strtoupper($this->input->post('rec_cliente'));
                    $data2['cliente'] = $this->input->post('client');
                    $data2['dest_ie'] = '';
                    $data2['dest_cmc'] = '';
                    $data2['dest_cnpj_cpf'] = str_replace('/', '', str_replace('.', '', str_replace('-', '', $this->input->post('rec_doc'))));
                    $data2['dest_end'] = strtoupper($this->input->post('rec_end'));
                    $data2['dest_n'] = strtoupper($this->input->post('rec_n'));
                    $data2['dest_comp'] = strtoupper($this->input->post('rec_comp'));
                    $data2['dest_bairro'] = strtoupper($this->input->post('rec_bairro'));
                    $data2['dest_cidade'] = strtoupper($this->input->post('rec_cidade'));
                    $data2['dest_uf'] = strtoupper($this->input->post('rec_uf'));
                    $data2['dest_pais'] = $this->input->post('rec_pais');
                    $data2['dest_cep'] = $this->input->post('rec_cep');
                    $data2['dest_email'] = $this->input->post('rec_email');
                    $data2['dest_ddd'] = $this->input->post('rec_ddd');
                    $data2['dest_tel'] = $this->input->post('rec_tel');
                    $data2['dest_desc'] = 'Cliente gerado pelo Recibo';
                    $data2['dest_data'] = date('Y-m-d');
                    $data2['dest_alt_data'] = date('Y-m-d');
                    $data2['dest_status'] = 'ativo';
                    $this->db->insert('dest_cliente', $data2);

                    $LastIdInserted = $this->input->post('dest_cliente');

            }

            redirect(base_url() . 'index.php?client/mov_recibos_consultar/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['recibo']       = $this->input->post('recibo');
            $data['tipo_recibo']  = $this->input->post('tipo_recibo');
            $data['path']         = $this->input->post('path');
            $data['client']       = $this->input->post('client');
            $data['category']     = $this->input->post('category');
            $data['desc_recibo']  = $this->input->post('recibo');
            $data['quantity']     = $this->input->post('quantity');
            $data['valor']        = $this->input->post('valor');
            $data['date']         = $this->input->post('date');
            $data['alt_date']     = $this->input->post('alt_date');
            $data['status']       = $this->input->post('status');
            $this->db->where('recibo_id', $param2);
            $this->db->update('recibo', $data);
            redirect(base_url() . 'index.php?client/mov_recibos/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile'] = true;
            $page_data['current_file_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('recibo', array(
                'recibo_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {

            $caminho =  $this->db->get_where('recibo', array('recibo_id' => $param2))->result_array();
            //delte_file($caminho['path'])

            $this->db->where('recibo_id', $param2);
            $this->db->delete('recibo');
            $this->session->set_flashdata('flash_message', 'Arquivo Deletado!');

            redirect(base_url() . 'index.php?client/mov_recibos_consultar/', 'refresh');
        }
        if ($param1 == 'cancelar') {

            $data['quantity']     = '0';
            $data['alt_date']     = (date('Y-m-d'));
            $data['status']       = 'cancelado';
            $this->db->where('recibo_id', $param2);
            $this->db->update('recibo', $data);

            $this->session->set_flashdata('flash_message', 'Recibo Cancelado!');

            redirect(base_url() . 'index.php?client/mov_recibos_consultar/', 'refresh');
        }
        if ($param1 == 'dest_cliente_consultar') {


            $Xdados = $this->db->get_where('dest_cliente', array('dest_cliente_id' => $param2))->result_array();

            $this->session->set_flashdata('Xdest_cliente', $Xdados);

            $valor = $this->input->post('valor');
            $this->session->set_flashdata('Xvalor', $valor);
            //envia email
            //$this->email_model->abertura_de_conta('client', $data['email']);
            //$this->email_model->abertura_de_conta_confirma_cadastro('client',$data['name'],$data['cnpj_cpf'], $data['email']);

            redirect(base_url() . 'index.php?client/mov_recibos/', 'refresh');
        }

        $page_data['rec']        =  $this->db->get_where('recibo', array('client' => ''))->result_array();
        $page_data['page_name']  = 'mov_recibos';
        $page_data['page_icon']  = 'list-alt';
        $page_data['page_title'] = 'Recibo - Emitir Recibo';
        $this->load->view('index', $page_data);
    }

    /**** MOV |-> Movimentações  -  Recibos Consultar****/
    function mov_recibos_consultar($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');

        if ($param1 == 'historico') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltro = $this->input->post('data_ano').'-'.$this->input->post('data_mes');

            $this->session->set_flashdata('XFiltro', $XFiltro);


            redirect(base_url() . 'index.php?client/mov_recibos_consultar/', 'refresh');
        }

        if ($param1 == 'email') {


        //$data = $this->db->get_where('recibo', array('recibo_id' => $this->input->post('recibo_id')));
        $data =  [];
        $XRecido_id_envia_cliente = $this->input->post('recibo_id');
        $this->session->set_flashdata('XRecido_id_envia_cliente', $XRecido_id_envia_cliente);
        //load the view and saved it into $html variable
        $html=$this->load->view('client/mov_recibos_imprimir', $data, true);

        echo  $html;
        //this the the PDF filename that user will get to download
        $pdfFilePath = "output_pdf_name.pdf";

        echo  $pdfFilePath;

       //generate the PDF from the given html
        $this->pdf->pdf->WriteHTML($html);

        echo $this->pdf->pdf->WriteHTML($html);
        //download it.
        $this->pdf->pdf->Output($pdfFilePath, "D");

        echo $this->pdf->pdf->Output($pdfFilePath, "D");
            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');
            //print_r($this->input->post('recibo_id'));

             // Envio Email
            $Xn_recibo        = $this->db->get_where('recibo', array('recibo_id' => $this->input->post('recibo_id')))->row()->recibo_num;
            $Xn_rec_email     = $this->db->get_where('recibo', array('recibo_id' => $this->input->post('recibo_id')))->row()->rec_email;

            //$this->email_model->envia_email_recibo_cliente_cliente($Xsender,$Xsend_email,$this->input->post('subject'),$this->input->post('body'));

            //print_r($Xn_recibo);
            //print_r($Xn_rec_email);

            //redirect(base_url() . 'index.php?client/mov_recibos_consultar/', 'refresh');
        }

        $page_data['rec']        =  $this->db->get_where('recibo', array('client' => ''))->result_array();
        $page_data['page_name']  = 'mov_recibos_consultar';
        $page_data['page_icon']  = 'search';
        $page_data['page_title'] = 'Recibo - Consultar Recibos';
        $this->load->view('index', $page_data);
    }
/**** FIM - BLOCO  -   MOV |-> Movimentação    *****/


/**** BLOCO  -   GUIAS |-> guias

    DAS  Simples Nacional || das
    GPS  INSS || gps
    GPS  INSS || darf

*****/
     /**** GUIAS |-> guias  -  DAS ****/
    function guias_das($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/guias_das/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '10'))->result_array();
        $page_data['page_name']  = 'guias_das';
        $page_data['page_icon']  = 'check';
        $page_data['page_title'] = 'Guias/Impostos - Simples Nacional ou DAS-MEI';
        $this->load->view('index', $page_data);
    }

    /**** GUIAS |-> guias  -  GPS ****/
    function guias_gps($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/guias_gps/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '11'))->result_array();
        $page_data['page_name']  = 'guias_gps';
        $page_data['page_icon'] = 'check';
        $page_data['page_title'] = 'Guias/Impostos - GPS';
        $this->load->view('index', $page_data);
    }
    /**** GUIAS |-> guias  -  DARF ****/
    function guias_darf($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/guias_darf/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '14'))->result_array();
        $page_data['page_name']  = 'guias_darf';
        $page_data['page_icon'] = 'check';
        $page_data['page_title'] = 'Guias/DARF - Imposto de Renda';
        $this->load->view('index', $page_data);
    }   
    /**** GUIAS |-> guias  -  Impostos ****/
    function guias_impostos($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/guias_impostos/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '18'))->result_array();
        $page_data['page_name']  = 'guias_impostos';
        $page_data['page_icon'] = 'check';
        $page_data['page_title'] = 'Guias - Impostos';
        $this->load->view('index', $page_data);
    }
     /**** GUIAS |-> guias  -  FGTS ****/
    function guias_fgts($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/guias_das/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '12'))->result_array();
        $page_data['page_name']  = 'guias_das';
        $page_data['page_icon']  = 'check';
        $page_data['page_title'] = 'Guias/Impostos - FGTS';
        $this->load->view('index', $page_data);
    }    
/**** FIM - BLOCO  -   GUIAS |-> guias    *****/


/**** BLOCO  - RELATORIOS |-> relatorios

    BALANÇO PATRIMONIAL || balanco_patri
    DEMONSTRATIVO DO RESULTADO ECONÔMICO|| drecom
    BALANCETE Periodico || balancete_peri
    DIARIO || diario
    RAZÃO || razao
    Livro Caixa
    DRE - Livro Caixa ( Profissional Liberal )

*****/
    /**** RELATORIOS |-> relatorios  -  importar ****/
    function rel_balanco_patri($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/rel_balanco_patri/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '20'))->result_array();
        $page_data['page_name']  = 'rel_balanco_patri';
        $page_data['page_icon']  = 'print';
        $page_data['page_title'] = 'Relatórios - Balanço Patrimonial';
        $this->load->view('index', $page_data);
    }
    /**** RELATORIOS |-> relatorios  -  consultar ****/
    function rel_drecom($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/rel_drecom/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '21'))->result_array();
        $page_data['page_name']  = 'rel_drecom';
        $page_data['page_icon']  = 'print';
        $page_data['page_title'] = 'Relatórios - DRE';
        $this->load->view('index', $page_data);
    }
    /**** RELATORIOS |-> relatorios  -  rel_balancete_peri ****/
    function rel_balancete_peri($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/rel_balancete_peri/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '22'))->result_array();
        $page_data['page_name']  = 'rel_balancete_peri';
        $page_data['page_icon']  = 'print';
        $page_data['page_title'] = 'Relatórios - Balancete Período';
        $this->load->view('index', $page_data);
    }
    /**** RELATORIOS |-> relatorios  -  rel_diario ****/
    function rel_diario($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/rel_diario/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '23'))->result_array();
        $page_data['page_name']  = 'rel_diario';
        $page_data['page_icon']  = 'print';
        $page_data['page_title'] = 'Relatórios - Diário';
        $this->load->view('index', $page_data);
    }
    /**** RELATORIOS |-> relatorios  -  DAS ****/
    function rel_razao($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/rel_razao/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '24'))->result_array();
        $page_data['page_name']  = 'rel_razao';
        $page_data['page_icon']  = 'print';
        $page_data['page_title'] = 'Relatórios - Razão';
        $this->load->view('index', $page_data);
    }
    /**** RELATORIOS |-> relatorios  -  rel_la_iss ****/
    function rel_la_iss($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/rel_la_iss/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '25'))->result_array();
        $page_data['page_name']  = 'rel_la_iss';
        $page_data['page_icon']  = 'print';
        $page_data['page_title'] = 'Relatórios - Apuração ISS';
        $this->load->view('index', $page_data);
    }
    /**** RELATORIOS |-> relatorios  -  rel_lc ****/
    function rel_lc($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/rel_lc/', 'refresh');

        }
        $page_data['rec']        =  $this->db->get_where('mov', array('client' => ''))->result_array();
        $page_data['page_name']  = 'rel_lc';
        $page_data['page_icon']  = 'search';
        $page_data['page_title'] = 'Livro Caixa';
        $this->load->view('index', $page_data);
    }
    /**** RELATORIOS |-> relatorios  -  rel_lc ****/
    function rel_dre_lc($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/rel_dre_lc/', 'refresh');

        }
        $dre_lc_data = date('Y-m-d');
        $xcliente = $this->session->userdata('client_id');

        if ($param1 == 'historico') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltro = $this->input->post('data_ano')."-01-01";

            $this->session->set_flashdata('XFiltro', $XFiltro);


            redirect(base_url() . 'index.php?client/rel_dre_lc/', 'refresh');
        }

        $page_data['dre_lc']     =  $this->db->get_where('mov', array('client' => ''))->result_array();//$this->db->query("CALL gera_visao_livro_caixa('{$dre_lc_data}','{$xcliente}')")->result_array();;
        $page_data['page_name']  = 'rel_dre_lc';
        $page_data['page_icon']  = 'coffee';
        $page_data['page_title'] = 'Livro Caixa ( DRE - Demostrativo de Resultado )';
        $this->load->view('index', $page_data);
    }
/**** FIM - BLOCO  -   RELATORIOS |-> relatorios    *****/


/**** BLOCO  - DOCUMENTOS DE CADASTRO |-> doc_cad

        Contrato Social / AlteraÃƒÂ§ÃƒÂµes || contrato_social
        Enquadramento (ME/EPP) || enquadramento
        Alvará (Prefeitura) || alvara
        Cartão de Inscrição Estadual || cartao_ie -- nÃƒÂ£o precisa
        Sócios (CPF, RG, ResidÃƒÂªncia) || doc_soc
        Certificado do MEI  || cert_mei
        Cadastro do CEI / INSS  || cei_inss


*****/
   /**** DOCUMENTOS DE CADASTRO |-> doc_cad  -  Contrato Social / Alteração || contrato_social ****/
    function doc_cad_contrato_social($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/doc_cad_contrato_social/', 'refresh');

        }
        $page_data['files']      = $this->db->get_where('files', array('product' => '1'))->result_array();
        $page_data['page_name']  = 'doc_cad_contrato_social';
        $page_data['page_icon']  = 'folder-open';
        $page_data['page_title'] = 'Arquivo - Contrato Social';
        $this->load->view('index', $page_data);
    }
    /**** DOCUMENTOS DE CADASTRO |-> doc_cad  -  Enquadramento (ME/EPP) || enquadramento ****/
    function doc_cad_enquadramento($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/doc_cad_enquadramento/', 'refresh');

        }
        $page_data['files']      = $this->db->get_where('files', array('product' => '3'))->result_array();
        $page_data['page_name']  = 'doc_cad_enquadramento';
        $page_data['page_icon']  = 'folder-open';
        $page_data['page_title'] = 'Arquivo - Enquadramento';
        $this->load->view('index', $page_data);
    }
    /**** DOCUMENTOS DE CADASTRO |-> doc_cad   -  CNPJ ****/
    function doc_cad_cnpj($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/doc_cad_cnpj/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '2'))->result_array();
        $page_data['page_name']  = 'doc_cad_cnpj';
        $page_data['page_icon']  = 'folder-open';
        $page_data['page_title'] = 'Arquivo - Cartão CNPJ';
        $this->load->view('index', $page_data);
    }
    /**** DOCUMENTOS DE CADASTRO |-> doc_cad   -  Cartão de Inscrição Estadual ****/
    function doc_cad_cartao_ie($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/doc_cad_cartao_ie/', 'refresh');

        }

        $page_data['files']      =  $this->db->get_where('files', array('product' => '9'))->result_array();
        $page_data['page_name']  = 'doc_cad_cartao_ie';
        $page_data['page_icon']  = 'folder-open';
        $page_data['page_title'] = 'Arquivo - Cartão de Inscrição Estadual';
        $this->load->view('index', $page_data);
    }
    /**** DOCUMENTOS DE CADASTRO |-> doc_cad  -  Alvará (Prefeitura) || alvara ****/
    function doc_cad_alvara($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/doc_cad_alvara/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '4'))->result_array();
        $page_data['page_name']  = 'doc_cad_alvara';
        $page_data['page_icon']  = 'folder-open';
        $page_data['page_title'] = 'Arquivo - Alvará';
        $this->load->view('index', $page_data);
    }
    /**** DOCUMENTOS DE CADASTRO |-> doc_cad   -  CA do Corpo de Bomdeiro ****/
    function doc_cad_ca_cb($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/doc_cad_ca_cb/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '5'))->result_array();
        $page_data['page_name']  = 'doc_cad_ca_cb';
        $page_data['page_icon']  = 'folder-open';
        $page_data['page_title'] = 'Arquivo - CA Corpo de Bombeiros';
        $this->load->view('index', $page_data);
    }
    /**** DOCUMENTOS DE CADASTRO |-> doc_cad   -  Sócios (CPF, RG, Residência) || doc_soc ****/
    function doc_cad_doc_soc($param1 = '', $param2 = '', $param3 = '')
    {
                /**** Definição de variáveis *****/
        $Xrand = '';
        $origem = '';
        $destino = '';
        $XnovoNome = '';

        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['file']      = $this->input->post('file');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            //$data['rate']      = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->insert('files', $data);
            redirect(base_url() . 'index.php?client/doc_cad_doc_soc/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['file']        = $this->input->post('file');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            //$data['rate']      = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/doc_cad_doc_soc/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile'] = true;
            $page_data['current_file_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('files', array(
                'file_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {
            $this->db->where('file_id', $param2);
            $this->db->delete('files');
            redirect(base_url() . 'index.php?client/doc_cad_doc_soc/', 'refresh');
        }
        if ($param1 == 'upload_info') {

            $Xrand =  mt_rand();

            $XnovoNome = strtolower($this->caracter_model->t5f_translit($_FILES['file']['name']));

            $data['file']        = $_FILES['file']['name'];
            $data['path']        = $this->input->post('path').'_'.$Xrand.'_'.$XnovoNome;
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['desc_file']     = $this->input->post('desc_file');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            $data['status']      = $this->input->post('status');
            $this->db->insert('files', $data);

            move_uploaded_file($_FILES['file']['tmp_name'], $this->input->post('path').'_'.$Xrand.'_'.$XnovoNome);
            $this->session->set_flashdata('flash_message', 'Arquivo Enviado');

            redirect(base_url() . 'index.php?client/doc_cad_doc_soc/', 'refresh');
        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '6'))->result_array();
        $page_data['page_name']  = 'doc_cad_doc_soc';
        $page_data['page_icon']  = 'folder-open';
        $page_data['page_title'] = 'Arquivo - Documentos dos Sócios';
        $this->load->view('index', $page_data);
    }
    /**** DOCUMENTOS DE CADASTRO |-> doc_cad   -  Cadastro do MEI || cert_mei ****/
    function doc_cad_cert_mei($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/doc_cad_cert_mei/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '7'))->result_array();
        $page_data['page_name']  = 'doc_cad_cert_mei';
        $page_data['page_icon']  = 'folder-open';
        $page_data['page_title'] = 'Certificado do MEI';
        $this->load->view('index', $page_data);
    }
    /**** DOCUMENTOS DE CADASTRO |-> doc_cad   -  Cadastro do CEI / INSS || cei_inss ****/
    function doc_cad_cei_inss($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/doc_cad_cei_inss/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '8'))->result_array();
        $page_data['page_name']  = 'doc_cad_cei_inss';
        $page_data['page_icon']  = 'folder-open';
        $page_data['page_title'] = 'Cadastro do CEI / INSS';
        $this->load->view('index', $page_data);
    }

/**** FIM - BLOCO  -   DOCUMENTOS DE CADASTRO |-> doc_cad     *****/

/**** BLOCO  - DOCUMENTOS FISCAIS |-> doc_fis

            DEFIS Declaração Anual || defis
            Extrato do Simples Nacional Ã¢â‚¬â€œ Mensal || extrato_simples_nacional
            SEFIP - Mensal || sefip
            RAIS Anual ||rais
            DIRF  Anual || dirf
            Certidão Negativa || cert_neg
            DASN - SIMEI || dasn_simei

*****/

    /**** DOCUMENTOS FISCAIS |-> doc_fis  -  DEFIS Declaração Anual || defis ****/
    function doc_fis_defis($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/doc_fis_defis/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '40'))->result_array();
        $page_data['page_name']  = 'doc_fis_defis';
        $page_data['page_icon']  = 'file';
        $page_data['page_title'] = 'Documentos Fiscais - Defis - Declaração Anual';
        $this->load->view('index', $page_data);
    }
    /**** DOCUMENTOS FISCAIS |-> doc_fis  -  Extrato do Simples Nacional Mensal || extrato_simples_nacional ****/
    function doc_fis_extrato_simples_nacional($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/doc_fis_extrato_simples_nacional/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '41'))->result_array();
        $page_data['page_name']  = 'doc_fis_extrato_simples_nacional';
        $page_data['page_icon']  = 'file';
        $page_data['page_title'] = 'Documentos Fiscais - Extrato Simples Nacional';
        $this->load->view('index', $page_data);
    }
    /**** DOCUMENTOS FISCAIS |-> doc_fis  -  SEFIP - Mensal || sefip ****/
    function doc_fis_sefip($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/doc_fis_sefip/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '42'))->result_array();
        $page_data['page_name']  = 'doc_fis_sefip';
        $page_data['page_icon']  = 'file';
        $page_data['page_title'] = 'Documentos Fiscais - SEFIP';
        $this->load->view('index', $page_data);
    }
    /**** DOCUMENTOS FISCAIS |-> doc_fis  -  RAIS Anual ||rais ****/
    function doc_fis_rais($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/doc_fis_rais/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '43'))->result_array();
        $page_data['page_name']  = 'doc_fis_rais';
        $page_data['page_icon']  = 'file';
        $page_data['page_title'] = 'Documentos Fiscais - RAIS';
        $this->load->view('index', $page_data);
    }
/**** DOCUMENTOS FISCAIS |-> doc_fis  -  DIRF Anual || dirf ****/
    function doc_fis_dirf($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/doc_fis_dirf/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '44'))->result_array();
        $page_data['page_name']  = 'doc_fis_dirf';
        $page_data['page_icon']  = 'file';
        $page_data['page_title'] = 'Documentos Fiscais - DIRF';
        $this->load->view('index', $page_data);
    }
    /**** DOCUMENTOS FISCAIS |-> doc_fis  -  Certidão Negativa || cert_neg ****/
    function doc_fis_cert_neg($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/doc_fis_cert_neg/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '45'))->result_array();
        $page_data['page_name']  = 'doc_fis_cert_neg';
        $page_data['page_icon']  = 'file';
        $page_data['page_title'] = 'Documentos Fiscais - Certidão Negativa';
        $this->load->view('index', $page_data);
    }
    /**** DOCUMENTOS FISCAIS |-> doc_fis  -  Certidão Negativa || cert_neg ****/
    function doc_fis_dasn_simei($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/doc_fis_dasn_simei/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '46'))->result_array();
        $page_data['page_name']  = 'doc_fis_dasn_simei';
        $page_data['page_icon']  = 'file';
        $page_data['page_title'] = 'Documentos DASN - SIMEI';
        $this->load->view('index', $page_data);
    }
/**** FIM - BLOCO  -   DOCUMENTOS FISCAIS |-> doc_fis    *****/

/**** BLOCO  - PRÓ LABORE |-> pro_labore

            Distribuição das cotas ||
            Cadastro dos Sócios ||

*****/
    function pro_labore($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
                $data['client']           = $this->input->post('client');
                $data['cnpj_cpf']         = $this->input->post('cnpj_cpf');
                $data['pj_pf']            = $this->input->post('pj_pf');
                $data['email']            = $this->input->post('email');
                $data['name']             = strtoupper($this->input->post('name'));
                $data['creation_date']    = $this->input->post('creation_date');
                $data['alt_date']         = $this->input->post('alt_date');
                $data['cota']             = $this->input->post('cota');
                $data['administrador']    = $this->input->post('administrador');
                $data['tem_pl']           = $this->input->post('tem_pl');
                $data['pl_valor']         = $this->input->post('pl_valor');
                $data['ddd_phone']        = $this->input->post('ddd_phone');
                $data['phone']            = $this->input->post('phone');
                $data['contact']          = $this->input->post('contact');
                $this->db->insert('client_socio', $data);



            redirect(base_url() . 'index.php?client/pro_labore/', 'refresh');
        }
        if ($param1 == 'do_update') {
                //$data['client']           = $this->input->post('client');
                //$data['cnpj_cpf']         = $this->input->post('cnpj_cpf');
                //$data['pj_pf']            = $this->input->post('pj_pf');
                $data['email']            = $this->input->post('email');
                //$data['name']             = strtoupper($this->input->post('name'));
                //$data['creation_date']    = $this->input->post('creation_date');
                $data['alt_date']         = $this->input->post('alt_date');
                //$data['cota']             = $this->input->post('cota');
                //$data['administrador']    = $this->input->post('administrador');
                //$data['tem_pl']           = $this->input->post('tem_pl');
                if  (strstr($this->input->post('pl_valor'),',')){
                $data['pl_valor'] = str_replace(',','.',str_replace('.','',$this->input->post('pl_valor')));
                } else {  $data['pl_valor'] = $this->input->post('pl_valor');   }; 
                $data['ddd_phone']        = $this->input->post('ddd_phone');
                $data['phone']            = $this->input->post('phone');
                $data['contact']          = $this->input->post('contact');

                $this->db->where('client_socio_id', $param2);
                $this->db->update('client_socio', $data);

                $this->session->set_flashdata('flash_message', 'Cadastro Atualizado Com Sucesso!!!');

            redirect(base_url() . 'index.php?client/pro_labore/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile']   = true;
            $page_data['current_client_socio_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('client_socio', array(
                'client_socio_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {
            $this->db->where('client_socio_id', $param2);
            $this->db->delete('client_socio');
            redirect(base_url() . 'index.php?client/pro_labore/', 'refresh');
        }
        $page_data['pro_labore']    =  $this->db->get_where('client_socio', array('client' => $this->session->userdata('client_id')))->result_array();
        $page_data['page_name']     = 'pro_labore';
        $page_data['page_icon']     = 'briefcase';
        $page_data['page_title']    = 'Pró Labore';
        $this->load->view('index', $page_data);
    }

/**** BLOCO  -  Cobrança |-> cobranca

        Mensalidade (boleto) || mensalidade
        Histórico || historico

*****/

    /**** COBRANÇA |-> cobranca - Histórico  *****/
    function cobranca_historico($param1 = '', $param2 = '', $param3 = '')
    {
                /**** Definição de variáveis *****/
        $Xrand = '';
        $origem = '';
        $destino = '';
        $XnovoNome = '';

        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['file']      = $this->input->post('file');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            //$data['rate']      = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->insert('files', $data);
            redirect(base_url() . 'index.php?client/cobranca_historico/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['file']        = $this->input->post('file');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            //$data['rate']      = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/cobranca_historico/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile'] = true;
            $page_data['current_file_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('files', array(
                'file_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {
            $this->db->where('file_id', $param2);
            $this->db->delete('files');
            redirect(base_url() . 'index.php?client/cobranca_historico/', 'refresh');
        }
        if ($param1 == 'upload_info') {

            $Xrand =  mt_rand();

            $XnovoNome = strtolower($this->caracter_model->t5f_translit($_FILES['file']['name']));

            $data['file']        = $_FILES['file']['name'];
            $data['path']        = $this->input->post('path').'_'.$Xrand.'_'.$XnovoNome;
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['desc_file']     = $this->input->post('desc_file');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            $data['status']      = $this->input->post('status');
            $this->db->insert('files', $data);

            move_uploaded_file($_FILES['file']['tmp_name'], $this->input->post('path').'_'.$Xrand.'_'.$XnovoNome);
            $this->session->set_flashdata('flash_message', 'Arquivo Enviado');

            redirect(base_url() . 'index.php?client/cobranca_historico/', 'refresh');
        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => ''))->result_array();
        $page_data['page_name']  = 'cobranca_historico';
        $page_data['page_icon']  = 'time';
        $page_data['page_title'] = 'Cobrança - Histórico';
        $this->load->view('index', $page_data);
    }

    /**** COBRANÇA |-> cobranca - mensalidade  *****/
    function cobranca_mensalidade($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['file']      = $this->input->post('file');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            //$data['rate']      = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->insert('files', $data);
            redirect(base_url() . 'index.php?client/cobranca_mensalidade/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['file']        = $this->input->post('file');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            //$data['rate']      = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/cobranca_mensalidade/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile'] = true;
            $page_data['current_file_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('files', array(
                'file_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {
            $this->db->where('file_id', $param2);
            $this->db->delete('files');
            redirect(base_url() . 'index.php?client/cobranca_mensalidade/', 'refresh');
        }
        if ($param1 == 'upload_info') {

            $Xrand =  mt_rand();

            $XnovoNome = strtolower($this->caracter_model->t5f_translit($_FILES['file']['name']));

            $data['file']        = $_FILES['file']['name'];
            $data['path']        = $this->input->post('path').'_'.$Xrand.'_'.$XnovoNome;
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['desc_file']     = $this->input->post('desc_file');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            $data['status']      = $this->input->post('status');
            $this->db->insert('files', $data);

            move_uploaded_file($_FILES['file']['tmp_name'], $this->input->post('path').'_'.$Xrand.'_'.$XnovoNome);
            $this->session->set_flashdata('flash_message', 'Arquivo Enviado');

            redirect(base_url() . 'index.php?client/cobranca_mensalidade/', 'refresh');
        }
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/cobranca_mensalidade/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => ''))->result_array();
        $page_data['page_name']  = 'cobranca_mensalidade';
        $page_data['page_icon']  = 'calendar';
        $page_data['page_title'] = 'Cobrança - Mensalidade(s)';
        $this->load->view('index', $page_data);
    }

/**** FIM - BLOCO  -   COBRANÇA |-> cobranca     *****/

/**** GESTÃO product*****/
    function product($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        else if ($param1 == 'personal_profile') {
            $page_data['personal_profile']   = true;
            $page_data['current_product_id'] = $param2;
        }
        $page_data['product']    = $this->db->get('product')->result_array();
        $page_data['page_name']  = 'product';
        $page_data['page_title'] = 'manage_product';
        $this->load->view('index', $page_data);
    }

/**** Página Serviços Avulsos*****/
    function serv_avulso($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        else if ($param1 == 'personal_profile') {
            $page_data['personal_profile']   = true;
            $page_data['current_product_id'] = $param2;
        }
        $page_data['page_name']  = 'serv_avulso';
        $page_data['page_icon']  = 'tasks';
        $page_data['page_title'] = 'Serviços Avulsos';
        $this->load->view('index', $page_data);
    }

/*****SITE/SYSTEM SETTINGS********
    function system_settings($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url() . 'index.php?login', 'refresh');

        if ($param2 == 'do_update') {
            $this->db->where('type', $param1);
            $this->db->update('settings', array(
                'description' => $this->input->post('description')
            ));
            $this->session->set_flashdata('flash_message', 'settings_updated');
            redirect(base_url() . 'index.php?client/system_settings/', 'refresh');
        }
        if ($param1 == 'upload_logo') {
            move_uploaded_file($_FILES['userfile']['tmp_name'], 'uploads/logo.png');
            $this->session->set_flashdata('flash_message', 'settings_updated');
            redirect(base_url() . 'index.php?client/system_settings/', 'refresh');
   }
        $page_data['page_name']  = 'system_settings';
        $page_data['page_title'] = 'ConfiguraÃ§Ãµes do Sistema';
        $page_data['settings']   = $this->db->get('settings')->result_array();
        $this->load->view('index', $page_data);
    }
  */
/****** GESTÃO DO USUÁRIO E TROCA DE SENHA ***/
    function manage_profile($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url() . 'index.php?login', 'refresh');
        if ($param1 == 'update_profile_info') {
            $data['name']    = $this->input->post('name');
            $data['address'] = $this->input->post('address');
            $data['phone']   = $this->input->post('phone');
            $data['email']   = $this->input->post('email');

            $this->db->where('client_id', $this->session->userdata('client_id'));
            $this->db->update('client', $data);
            $this->session->set_flashdata('flash_message', 'account_updated');
            redirect(base_url() . 'index.php?client/manage_profile/', 'refresh');
        }
        if ($param1 == 'change_password') {
            $data['password']             = $this->input->post('password');
            $data['new_password']         = $this->input->post('new_password');
            $data['confirm_new_password'] = $this->input->post('confirm_new_password');

            $current_password = $this->db->get_where('client', array(
                'client_id' => $this->session->userdata('client_id')
            ))->row()->password;
            if ($current_password == $data['password'] && $data['new_password'] == $data['confirm_new_password']) {
                $this->db->where('client_id', $this->session->userdata('client_id'));
                $this->db->update('client', array(
                    'password' => $data['new_password']
                ));
                $this->session->set_flashdata('flash_message', 'password_updated');
            } else {
                $this->session->set_flashdata('flash_message', 'password_mismatch');
            }
            redirect(base_url() . 'index.php?client/manage_profile/', 'refresh');
        }
        $page_data['page_name']  = 'manage_profile';
        $page_data['page_title'] = 'Gestão Usuário';
        $page_data['page_icon'] = 'user';
        $page_data['edit_data']  = $this->db->get_where('client', array(
            'client_id' => $this->session->userdata('client_id')
        ))->result_array();
        $this->load->view('index', $page_data);
    }

}
/****** GESTÃO DO USUÁRIO E TROCA DE SENHA ***/