<?php
if (!defined('BASEPATH'))
    exit('No direct script access allowed');

/*  
 *  @author : Wallace Pacheco
 *  date    : 01 junho, 2015
 *  ContSimples Tecnologia
 *  http://contsimples.com.br
 */

/*
|---------------------------------------------------------------
| TimeZone 
|---------------------------------------------------------------
*/
date_default_timezone_set('America/Sao_Paulo');


class Admin extends CI_Controller
{


    function __construct()
    {
        parent::__construct();
        $this->load->database();
        $this->load->helper('date');
        $this->load->library('boleto');
        //$this->load->library('session');
        /*cache control*/
        $this->output->set_header('Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0');
        $this->output->set_header('Pragma: no-cache');
    }


/***default functin, redirects to login page if no admin logged in yet***/
    public function index()
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url() . 'index.php?login', 'refresh');
        if ($this->session->userdata('admin_login') == 1)
            redirect(base_url() . 'index.php?admin/dashboard', 'refresh');
    }


/***ADMIN DASHBOARD***/
    function dashboard()
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        $page_data['page_name']  = 'dashboard';
        $page_data['page_icon'] = 'dashboard';
        $page_data['page_title'] = 'Painel Administrativo';
        $this->load->view('index', $page_data);
    }
    
    function download_arq_cli($param1 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');

              $file = $this->db->get_where('w_files', 'file_id = '. $param1)->result_array();
              $file_path = $file[0]['path'];
              $file_path = substr($file_path, 2);

              $this->load->helper('download');
              force_download($file_path, NULL);
              //var_dump($file_path);
    }

/***Gerador de Boletos***/
    function boleto()
    {

        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');

        if ($this->input->post('todos')=='todos')
        {


            
            $client = $this->db->get_where('client' , array('client_id' => $xcod_cliente))->result_array();
           // foreach($client as $row))


            
        } else {
        
              if  (empty($this->input->post('client'))){
        
                $this->session->set_flashdata('flash_message', 'Você Precisa selecionar 1 Cliente ou Marcar TODOS!');
            
                redirect(base_url() . 'index.php?admin/fin_boleto/', 'refresh');
              
              } else {
                  $xcod_cliente= $this->input->post('client');
                  
                  
                  $n_doc_temp =  $this->db->query('SELECT MAX(n_doc) AS `maxid` FROM `boleto_controle`')->row()->maxid ;
                  
                  
                  $n_documento = intval($n_doc_temp) + 1;
          
                  $nome = $this->db->get_where('client' , array('client_id' => $xcod_cliente))->row()->name ;
                  $endereco = $this->db->get_where('client' , array('client_id' => $xcod_cliente))->row()->address . ', '.
                              $this->db->get_where('client' , array('client_id' => $xcod_cliente))->row()->addr_n .
                              $this->db->get_where('client' , array('client_id' => $xcod_cliente))->row()->addr_comp . ' - ' .
                              $this->db->get_where('client' , array('client_id' => $xcod_cliente))->row()->addr_bairro;
                  $cidade = $this->db->get_where('client' , array('client_id' => $xcod_cliente))->row()->addr_cidade ;
                  $uf = $this->db->get_where('client' , array('client_id' => $xcod_cliente))->row()->addr_estado ;
                  $cep = $this->db->get_where('client' , array('client_id' => $xcod_cliente))->row()->addr_cep ;
          
                  // verifica atraves do não preenchimento do campo valor se o sistema vai pegar da base de dados 
                  if  (empty($this->input->post('valor'))){
                  $valor_mensalidade = '59.90';
                  } else { 
                            if  (strstr($this->input->post('valor'),',')){
                                $valor_mensalidade = str_replace(',','.',str_replace('.','',$this->input->post('valor')));
                              } else {  $valor_mensalidade = $this->input->post('valor');   }; 
                          }
                  
                  $mes_mensalidade = $this->input->post('data_mes'). ' - '. $this->input->post('data_ano');
                  $vencimento = $this->input->post('vencimento') ;
          
                  $dados = array(
                      // Informações necessárias para todos os bancos
                      'dias_de_prazo_para_pagamento' => 5,
                      'taxa_boleto'                  => 0,
                      'pedido'  => array(
                          'nome'           => 'MENSALIDADE DE SERVIÇOS CONTABEIS REF: '. $mes_mensalidade,
                          'quantidade'     => '1', 
                          'valor_unitario' => $valor_mensalidade,
                          'vencimento'     => $vencimento,
                          'numero'         => $n_documento,
                          'aceite'         => 'N',
                          'especie'        => 'R$',
                          'especie_doc'    => 'DS',
                      ),
                      'sacado'  => array(
                          'nome'     => $nome,
                          'endereco' => $endereco,
                          'cidade'   => $cidade,
                          'uf'       => $uf,
                          'cep'      => $cep,
                      ),
                      'demonstrativo'  => array(
                          'linha1'  => 'MENSALIDADE DE SERVIÇOS CONTABEIS REF: '. $mes_mensalidade,
                          'linha2'  => 'Taxa bancária: R$ ',
                          'linha3'  => '',
                      ),
                      'instrucoes'  => array(
                          'linha1'  => 'Sr. Caixa, cobrar multa de 5% após o vencimento',
                          'linha2'  => 'NÃO RECEBER APOS 30 DIAS DO VENCIMENTO',
                          'linha3'  => 'Em caso de dúvidas entre em contato conosco: financeiro@contsimples.com.br',
                          'linha4'  => '',
                      ),
                      // Informações necessárias que são específicas do Caixa Economica Federal
                      'variacao_carteira'            => '019',
                      'contrato'                     => 999999,
                      'convenio'                     => 7777777,
                  );
          
                  // Gera o boleto ( tabela com tipo de boleto)
                  $this->boleto->cef($dados);
                  
                  $data2['n_doc']         = $n_documento ;
                  $data2['cliente']       = $xcod_cliente;
                  $data2['valor']         = $valor_mensalidade;
                  $data2['data_emissao']  = date('Y-m-d');
                  $data2['data_venc']     = date('Y-m-d', strtotime(str_replace('/', '-', $vencimento)));
                  $data2['status']        = 'gerado';
                  $data2['obs']           = 'MENSALIDADE DE SERVIÇOS CONTABEIS REF: '. $mes_mensalidade;
                  $this->db->insert('boleto_controle', $data2);
                  
                  
                  
                  }
        }
    }

/***Controle***/
    function controle($param1 = '', $param2 = '', $param3 = '')
    {

        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');

        if ($param1 == 'consulta_cliente') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');
            
            $XFiltro = date('Y-m', strtotime($this->input->post('data')));
            $this->session->set_flashdata('XFiltro', $XFiltro);

            $XFiltroCli = $this->input->post('cliente');

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);

            redirect(base_url() . 'index.php?admin/controle/', 'refresh');
        }
        if ($param1 == 'historico') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltro = $this->input->post('data_ano').'-'.$this->input->post('data_mes');
            $XFiltroCli = $this->input->post('cliente');

            //var_dump($XFiltroCli);

            $this->session->set_flashdata('XFiltro', $XFiltro);
            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);

            redirect(base_url() . 'index.php?admin/controle/', 'refresh');
        }
        if ($param1 == 'marca_contabilizado') {

            $XFiltroCli = $this->input->post('cliente');
            $XFiltro = date('Y-m', strtotime($this->input->post('data')));

            if (empty($this->input->post('cliente'))){
            $array = $this->db->get_where('client_controle',array('data_ref'=>$this->input->post('data')))->result_array();
            
            } else { 
            
            $array = $this->db->get_where('client_controle',array('client' => $this->input->post('cliente'),'data_ref'=>$this->input->post('data')))->result_array();
            
            }

            foreach($array as $value){
            
                $id = $value['client_controle_id'];
                $data['status'] = 'Conferido';
                //$this->db->where('client', $XFiltroCli);
                //$this->db->where("DATE_FORMAT(date,'%Y-%m') =", $XFiltro);
                $this->db->where('client_controle_id', $id);
                $this->db->update('client_controle', $data);
            
            }

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/controle/', 'refresh');
        }
        if ($param1 == 'desmarca_contabilizado') {

            $XFiltroCli = $this->input->post('cliente');
            $XFiltro = date('Y-m', strtotime($this->input->post('data')));

            if (empty($this->input->post('cliente'))){
            $array = $this->db->get_where('client_controle',array('data_ref'=>$this->input->post('data')))->result_array();
            
            } else { 
            
            $array = $this->db->get_where('client_controle',array('client' => $this->input->post('cliente'),'data_ref'=>$this->input->post('data')))->result_array();
            
            }

            foreach($array as $value){
            
                $id = $value['client_controle_id'];            
                $data['status'] = 'A Conferir';
                //$this->db->where('client', $XFiltroCli);
               // $this->db->where("DATE_FORMAT(date,'%Y-%m') =", $XFiltro);
                $this->db->where('client_controle_id', $id);
                $this->db->update('client_controle', $data);
            
            }

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/controle/', 'refresh');
        }

        if ($param1 == 'gravar') {

            if (empty($this->input->post('cliente'))){
            $array = $this->db->get_where('client_controle',array('data_ref'=>$this->input->post('data')))->result_array();
            
            } else { 
            
            $array = $this->db->get_where('client_controle',array('client' => $this->input->post('cliente'),'data_ref'=>$this->input->post('data')))->result_array();
            
            }

            //var_dump($array);
            foreach($array as $value){
            
                $id = $value['client_controle_id'];
                $socio = $value['client_controle_id'].'_socio';
                $faturamento = $value['client_controle_id'].'_faturamento';
                $mensalidade_base = $value['client_controle_id'].'_mensalidade_base';
                $mensalidade = $value['client_controle_id'].'_mensalidade';
                $status = $value['client_controle_id'].'_status';
                $obs = $value['client_controle_id'].'_obs';
                
                //$data['client']           = '1';
                //$data['data_ref']         = $this->input->post('usuario_avaliador'); //substr($value,0,2);
                $data['socio']            = $this->input->post($socio);                
                //$data['faturamento']      = $this->input->post($faturamento);
                if  (empty($this->input->post($faturamento))){
                  $data['faturamento'] = '0.00';
                  } else { 
                            if  ((strrpos($this->input->post($faturamento),",")) > 0) {
                                $data['faturamento'] = str_replace(',','.',str_replace('.','',$this->input->post($faturamento)));
                              } else { $data['faturamento']      = $this->input->post($faturamento);} 
                          }
                //$data['mensalidade_base'] = $this->input->post($mensalidade_base);
                //$data['mensalidade']      = $this->input->post($mensalidade);
                if  (empty($this->input->post($mensalidade))){
                  $data['mensalidade']  = '0.00';
                  } else { 
                            if  ((strrpos($this->input->post($mensalidade),",")) > 0) {
                                $data['mensalidade']  = str_replace(',','.',str_replace('.','',$this->input->post($mensalidade)));
                              } else {$data['mensalidade']      = $this->input->post($mensalidade);} 
                          }
                $data['status']           = $this->input->post($status);
                $data['obs']              = $this->input->post($obs);
                $this->db->where('client_controle_id', $id);
                $this->db->update('client_controle', $data);


            }

            $XFiltroCli = $this->input->post('cliente');
            $XFiltro = date('Y-m', strtotime($this->input->post('data')));

            $this->session->set_flashdata('flash_message', 'Controle Atualizado com Sucesso!!!');

            redirect(base_url() . 'index.php?admin/controle/', 'refresh');

        }
        
        if ($param1 == 'gerar') {
          $array_cliente = $this->db->get('client')->result_array();
          
          foreach($array_cliente as $value_cliente){
          
                  //@$verificador = $this->db->get_where('client_controle',array('client' => $value_cliente['client'],'data_ref'=>'11-2017'))->result_array();
                  
                  
                  // verifica qtde de sócios
                  $qtde_socio = '';
                  $qtde_socio = @$this->db->get_where('client',array('client_id'=>$value_cliente['client_id']))->row()->qtde_socios;
                  if (empty($qtde_socio)) { $qtde_socio='1'; }
                  
                  // verifica quantidade de funcionarios
                  $qtde_funcionarios = '';
                  $XQuery_qtde_funcionarios = "SELECT cliente, count(*) as n_func FROM `w_funcionario_e_prolabore` WHERE cliente = '".$value_cliente['client_id']."' and status not in ('C','D') and tipo <> 'PróLabore' group by cliente";
                  $qtde_funcionarios = @$this->db->query($XQuery_qtde_funcionarios)->row()->n_func;
                  if (empty($qtde_funcionarios)) { $qtde_funcionarios='0'; }
                  
                  // pega faturamento mês anterior
                  $faturamento = ''; 
                  $Xdata_anterior =  date('Y-m', strtotime('-1 months', strtotime($this->input->post('data_geracao')))); 
                  $XQuery_Faturamento = "SELECT client, date, rotulo, valor FROM `w_graf_entrada_dados` WHERE client = '".$value_cliente['client_id']."' and date='".$Xdata_anterior."'";
                  $faturamento = @$this->db->query($XQuery_Faturamento)->row()->valor;
                  if (empty($faturamento)) { $faturamento='0'; }
                  
                  // Calculadora de mensalidade
                  $vl_add_funcionario = 0;
                  if ($qtde_funcionarios > 0) {
			               for ($i = 0; $i < $qtde_funcionarios; $i++) {
				                $vl_add_funcionario = $vl_add_funcionario + 30;
			               }
		              }
                  $vl_qtde_socio = 0;
                  $add_qtde_socio = 0;
                  if ($qtde_socio > 2) {
              			 $add_qtde_socio = $qtde_socio - 2;
              
              			for ($i = 0; $i < $add_qtde_socio; $i++) {
              				$vl_qtde_socio = $vl_qtde_socio + 15;
              			}
              		}
                  
                  $XFbase='49.00';
                  if ($faturamento <= 25000) { $XFbase='49.00'; }
                    elseif ($faturamento <= 50000) { $XFbase='99.00'; } 
                      elseif ($faturamento <= 100000) { $XFbase='199.00'; }
                        else  { $XFbase='999.00'; }

                  $Mensalidade_base = $XFbase + $vl_qtde_socio + $vl_add_funcionario ;
                  
                  
                  //if (empty(@$verificador)){
                                    
                      $data_cliente['client']           = $value_cliente['client_id'];
                      $data_cliente['data_ref']         = $this->input->post('data_geracao');     
                      $data_cliente['socio']            = $qtde_socio;
                      $data_cliente['funcionario']      = $qtde_funcionarios;
                      $data_cliente['faturamento']      = $faturamento;
                      $data_cliente['mensalidade_base'] = $Mensalidade_base;
                      $data_cliente['mensalidade']      = $Mensalidade_base;
                      $data_cliente['status']           = 'A Conferir';
                      $data_cliente['obs']              = '';
                      
                      $this->db->insert('client_controle', $data_cliente);
                 // }

          }
          $XFiltro = date('Y-m', strtotime($this->input->post('data_geracao')));
          $this->session->set_flashdata('XFiltro', $XFiltro);
          $this->session->set_flashdata('flash_message', 'Periodo Gerado com Sucesso!!!');
          
        }
        
        $page_data['page_name']   = 'controle';
        $page_data['page_icon']   = 'icon-tasks';
        $page_data['page_title']  = 'Controle';
        $this->load->view('index', $page_data);

    }

/****MANAGE category*****/
    function category($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
        
            $cod_categoria = 0;
            $cod_categoria = $this->db->query('SELECT MAX(category_id) AS `maxid` FROM `category`')->row()->maxid ;
            
            $data['category_id']    = $cod_categoria +1 ;
            $data['cod_category']   = $this->input->post('cod_category');
            $data['name']           = $this->input->post('name');
            $data['about']          = $this->input->post('about');
            $data['ind_client']     = $this->input->post('ind_client');
            $data['type_category']  = $this->input->post('type_category');
            $data['ordem']          = $this->input->post('ordem');
            $this->db->insert('category', $data);
            
            $this->session->set_flashdata('flash_message', 'Categoria Adicionada com sucesso!!!');
            
            redirect(base_url() . 'index.php?admin/category/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['cod_category']   = $this->input->post('cod_category');
            $data['name']           = $this->input->post('name');
            $data['about']          = $this->input->post('about');
            $data['ind_client']     = $this->input->post('ind_client');
            $data['type_category']  = $this->input->post('type_category');
            $data['ordem']          = $this->input->post('ordem');
            $this->db->where('category_id', $param2);
            $this->db->update('category', $data);
            
            $this->session->set_flashdata('flash_message', 'Categoria Atualizada com sucesso!!!');
            
            redirect(base_url() . 'index.php?admin/category/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile']    = true;
            $page_data['current_category_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('category', array(
                'category_id' => $param2
            ))->result_array();
        
        }
        if ($param1 == 'delete') {
            $this->db->where('category_id', $param2);
            $this->db->delete('category');
            
            $this->session->set_flashdata('flash_message', 'Categoria Excluída com sucesso!!!');
            
            redirect(base_url() . 'index.php?admin/category/', 'refresh');
        }
        $page_data['category']    = $this->db->get('category')->result_array();
        $page_data['page_name']   = 'category';
        $page_data['page_icon']   = 'list';
        $page_data['page_title']  = 'Categorias / Plano de Contas';
        $this->load->view('index', $page_data);
    }


/**** Gestão CLIENTE*****/
    function client($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
        
            $query = "SELECT COUNT(cnpj_cpf) AS `id` FROM `client` where cnpj_cpf='".str_replace('/','',str_replace('.','',str_replace('-','',$this->input->post('cnpj_cpf'))))."'";
            $validador_cpf = $this->db->query($query)->row()->id;
            
            $query2 = "SELECT COUNT(email) AS `id` FROM `client` where email='".$this->input->post('email')."'";
            $validador_email = $this->db->query($query2)->row()->id;

            if ($validador_cpf>1)  {

                $this->session->set_flashdata('flash_message', 'CNPJ/CPF já Cadastrado!!!');
                redirect(base_url() . 'index.php?admin/client/', 'refresh');

            } elseif ($validador_email>1) {
            
                $this->session->set_flashdata('flash_message', 'Email já Cadastrado!!!');
                redirect(base_url() . 'index.php?admin/client/', 'refresh');
            
            } else {
        
        
            //$data['cnpj_cpf']        = str_replace(str_replace(str_replace($this->input->post('cnpj_cpf'),'.',''),'/',''),'-','');
            $data['cnpj_cpf']        = str_replace('/','',str_replace('.','',str_replace('-','',$this->input->post('cnpj_cpf'))));
            $data['pj_pf']           = $this->input->post('pj_pf');
            $data['alterdata']       = $this->input->post('alterdata');
            $data['name']            = strtoupper($this->input->post('name'));
            $data['store']           = $this->input->post('store');
            $data['email']           = strtolower($this->input->post('email'));
            if (empty($this->input->post('password'))){
              $data['password']        = md5($this->input->post('password'));
            } else {
              $data['password']       = substr(str_replace('/','',str_replace('.','',str_replace('-','',$this->input->post('cnpj_cpf')))),1,6);
            }     
            $data['creation_date']   = $this->input->post('creation_date');
            $data['alt_date']        = $this->input->post('alt_date');
            $data['about']           = $this->input->post('about');
            $data['ie']              = strtoupper($this->input->post('ie'));
            $data['cmc']             = strtoupper($this->input->post('cmc'));
            $data['address']         = strtoupper($this->input->post('address'));
            $data['addr_n']          = strtoupper($this->input->post('addr_n'));
            $data['addr_comp']       = strtoupper($this->input->post('addr_comp'));
            $data['addr_bairro']     = strtoupper($this->input->post('addr_bairro'));
            $data['addr_cidade']     = strtoupper($this->input->post('addr_cidade'));
            $data['addr_estado']     = strtoupper($this->input->post('addr_estado'));
            $data['addr_cep']        = str_replace('/','',str_replace('.','',str_replace('-','',$this->input->post('addr_cep'))));
            $data['cod_ibge']        = strtoupper($this->input->post('cod_ibge'));
            $data['addr_pais']       = strtoupper($this->input->post('addr_pais'));
            $data['ddd_phone']       = $this->input->post('ddd_phone');
            $data['phone']           = $this->input->post('phone');
            $data['group']           = '2';//$this->input->post('group');
            $data['contact']         = strtoupper($this->input->post('contact'));
            $data['contact_email']   = strtolower($this->input->post('contact_email'));
            $data['qtde_socios']     = $this->input->post('qtde_socios');
            $data['prolabore']     = $this->input->post('prolabore');
            $data['usa_dp']          = $this->input->post('usa_dp');
            $data['aliquota_iss']    = str_replace(',','.',$this->input->post('aliquota_iss'));
            $data['aliquota_ibpt']   = str_replace(',','.',$this->input->post('aliquota_ibpt'));
            $data['usa_nota_fiscal'] = $this->input->post('usa_nota_fiscal');
            $data['opt_simples_nacional'] = $this->input->post('opt_simples_nacional');
            $data['regime_tribut'] = $this->input->post('regime_tribut');
            $data['prefeitura_acesso'] = $this->input->post('prefeitura_acesso');
            $data['prefeitura_senha']= $this->input->post('prefeitura_senha');
            $data['cod_acesso_simples']= $this->input->post('cod_acesso_simples');
            $data['tipo_entrada']= $this->input->post('tipo_entrada');
            $data['tipo_entrada_data']= date('Y-m-d', strtotime($this->input->post('tipo_entrada_data')));
            $this->db->insert('client', $data);

            // cria estrutura de pasta
            mkdir("./uploads/".$this->input->post('alterdata')."/", 0755);
            mkdir("./uploads/".$this->input->post('alterdata')."/cob/", 0755);
            mkdir("./uploads/".$this->input->post('alterdata')."/doc_cad/", 0755);
            mkdir("./uploads/".$this->input->post('alterdata')."/doc_fis/", 0755);
            mkdir("./uploads/".$this->input->post('alterdata')."/guias/", 0755);
            mkdir("./uploads/".$this->input->post('alterdata')."/mov/", 0755);
            mkdir("./uploads/".$this->input->post('alterdata')."/rel/", 0755);
            mkdir("./uploads/".$this->input->post('alterdata')."/xml/", 0755);
            mkdir("./uploads/".$this->input->post('alterdata')."/doc_extra/", 0755);
            mkdir("./uploads/".$this->input->post('alterdata')."/dp_doc_cad/", 0755);
            mkdir("./uploads/".$this->input->post('alterdata')."/dp_rel/", 0755);
            mkdir("./uploads/".$this->input->post('alterdata')."/dp_guias/", 0755);
            mkdir("./uploads/".$this->input->post('alterdata')."/_lixo/", 0755);

            // cria estrutura de recibo para os clientes do profissional 

            $query = $this->db->query('SELECT LAST_INSERT_ID()');
            $row = $query->row_array();
            $LastIdInserted = $row['LAST_INSERT_ID()'];

            $data2['recibo_num']  =  '1';
            $data2['client']      =   $LastIdInserted ;
            $this->db->insert('recibo_n', $data2);

            // cria estrutura de notas para as empresas

            $data3['nfs_num']  =  '1';
            $data3['cliente']      =   $LastIdInserted ;
            $this->db->insert('nfs_n', $data3);
            
            // cria estrutura de status para os Clientes

            $data4['client']        =   $LastIdInserted ;
            $data4['status']        =   'ativo' ;
            $data4['alt_date']      =  $this->input->post('creation_date');
            $data4['obs_entrada']   =  $this->input->post('obs_entrada');
            $this->db->insert('client_status', $data4);
            
            // cria estrutura de configurações para os Clientes

            $data5['client']                =   $LastIdInserted ;
            $data5['permite_retroativo']    =   'N' ;
            if ($this->input->post('pj_pf') == '2'){
              $data5['contabilidade_completa_mei']    =   'S' ;
            }
            $this->db->insert('client_config', $data5);
            
            //cria estrutura certificado digital
            $data6['cliente']        =   $LastIdInserted ;
            $this->db->insert('client_status', $data6);


            $this->session->set_flashdata('flash_message', 'Cliente adicionado com sucesso!!!');


            //envia email
            //$this->email_model->abertura_de_conta('client', $data['email']);
            //$this->email_model->abertura_de_conta_confirma_cadastro('client',$data['name'],$data['cnpj_cpf'], $data['email']);
            $this->email_model->novo_cadastro('client',$data['name'],$data['cnpj_cpf'], $data['email'], $data['alterdata'], $data['creation_date'], $data['contact']);
            

            redirect(base_url() . 'index.php?admin/client/', 'refresh');
            }
        }
        if ($param1 == 'do_update') {
            $data['cnpj_cpf']        = str_replace('/','',str_replace('.','',str_replace('-','',$this->input->post('cnpj_cpf'))));
            $data['pj_pf']           = $this->input->post('pj_pf');
            $data['alterdata']       = $this->input->post('alterdata');
            $data['name']            = $this->input->post('name');
            $data['store']           = $this->input->post('store');
            $data['email']           = strtolower($this->input->post('email'));
            $data['password']        = md5($this->input->post('password'));
            $data['alt_date']        = $this->input->post('alt_date');
            $data['about']           = $this->input->post('about');
            $data['ie']              = $this->input->post('ie');
            $data['cmc']             = $this->input->post('cmc');
            $data['address']         = $this->input->post('address');
            $data['addr_n']          = $this->input->post('addr_n');
            $data['addr_comp']       = $this->input->post('addr_comp');
            $data['addr_bairro']     = $this->input->post('addr_bairro');
            $data['addr_cidade']     = $this->input->post('addr_cidade');
            $data['addr_estado']     = $this->input->post('addr_estado');
            $data['addr_cep']        = str_replace('/','',str_replace('.','',str_replace('-','',$this->input->post('addr_cep'))));
            $data['cod_ibge']        = $this->input->post('cod_ibge');
            $data['addr_pais']       = $this->input->post('addr_pais');
            $data['ddd_phone']       = $this->input->post('ddd_phone');
            $data['phone']           = $this->input->post('phone');
            $data['group']           = $this->input->post('group');
            $data['contact']         = strtoupper($this->input->post('contact'));
            $data['contact_email']   = strtolower($this->input->post('contact_email'));
            $data['qtde_socios']     = $this->input->post('qtde_socios');
            $data['prolabore']     = $this->input->post('prolabore');
            $data['usa_dp']          = $this->input->post('usa_dp');
            $data['aliquota_iss']    = str_replace(',','.',$this->input->post('aliquota_iss'));
            $data['aliquota_ibpt']   = str_replace(',','.',$this->input->post('aliquota_ibpt'));
            $data['usa_nota_fiscal'] = $this->input->post('usa_nota_fiscal');
            $data['opt_simples_nacional'] = $this->input->post('opt_simples_nacional');
            $data['regime_tribut'] = $this->input->post('regime_tribut');
            $data['prefeitura_acesso'] = $this->input->post('prefeitura_acesso');
            $data['prefeitura_senha']= $this->input->post('prefeitura_senha');
            $data['cod_acesso_simples']= $this->input->post('cod_acesso_simples');
            $data['tipo_entrada']= $this->input->post('tipo_entrada');
            $data['tipo_entrada_data']= date('Y-m-d', strtotime($this->input->post('tipo_entrada_data')));            
            $this->db->where('client_id', $param2);
            $this->db->update('client', $data);

            $this->session->set_flashdata('flash_message', 'Ajuste Realizado com Sucesso!!!');

            redirect(base_url() . 'index.php?admin/client/', 'refresh');
            
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile']  = true;
            $page_data['current_client_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('client', array(
                'client_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'insert_atividade') {
            $data['cliente']     = $this->input->post('cliente');
            $data['cae']         = $this->input->post('cae');

            $this->db->insert('client_atividade', $data);

            $this->session->set_flashdata('flash_message', 'Atividade Inserida!');

            redirect(base_url() . 'index.php?admin/client/', 'refresh');
        }
        if ($param1 == 'insert_certificado') {

            $Xalterdata = $this->db->get_where('client', array('client_id' => $this->input->post('cliente')))->row('alterdata');
            //print_r($Xalterdata);

            $XnovoNome = strtolower($this->caracter_model->t5f_translit($_FILES['file']['name']));

            if (!empty($XnovoNome)){
            
            $data['cliente']        = $this->input->post('cliente');
            $data['certificado']    = $this->input->post('certificado');
            $data['senha']          = $this->input->post('senha');
            $data['caminho']        = ($this->input->post('caminho').$Xalterdata.'/'.$Xalterdata.'_'.$XnovoNome);
            $data['data_emissao']   = $this->input->post('data_emissao');

            $this->db->insert('client_certificado', $data);

            move_uploaded_file($_FILES['file']['tmp_name'], ($this->input->post('caminho').$Xalterdata.'/'.$Xalterdata.'_'.$XnovoNome));
            //$this->session->set_flashdata('flash_message', 'Arquivo Enviado!!');
            $this->session->set_flashdata('flash_message', 'Certificado Registrado!');
            }
/*            else
            {
            
            $Xverifica = $this->db->get_where('client_certificado', array('cliente' => $this->input->post('cliente')))->row('cliente');
            
            
            }
*/            
            
            redirect(base_url() . 'index.php?admin/client/', 'refresh');
        }
        if ($param1 == 'delete_certificado') {

            $destino = $this->db->get_where('client' , array('client_id' => $param2))->row()->alterdata ;
            $caminho = $this->db->get_where('client_certificado' , array('cliente' => $param2))->row()->caminho ;

            //rename($caminho,'./uploads/_lixo/'.$destino.'/');
            
            $this->db->where('cliente', $param2);
            $this->db->delete('client_certificado');
            redirect(base_url() . 'index.php?admin/client/', 'refresh');
        }
        if ($param1 == 'atualiza_status') {

            
            $data['status']   = $this->input->post('status');
            $data['alt_date'] = $this->input->post('alt_date');
            $data['obs']      = $this->input->post('obs');
            $this->db->where('client', $param2);
            $this->db->update('client_status', $data);
            
            redirect(base_url() . 'index.php?admin/client/', 'refresh');
        }
        
        if ($param1 == 'atualiza_procuracao') {

            $XCliente = @$this->db->get_where('client_certificado', array('cliente' => $param2))->row('cliente');
            
            if (!empty($XCliente)){
            
                $data['validade_proc_rf']      = $this->input->post('data_venc_rf');
                $data['validade_proc_mt']      = $this->input->post('data_venc_mt');
                $data['validade_proc_cef']      = $this->input->post('data_venc_cef');
                $this->db->where('cliente', $param2);
                $this->db->update('client_certificado', $data);
            
            } else {
            
                $data['cliente']        = $param2;
                $data['certificado']    = '';
                $data['senha']          = '';
                $data['caminho']        = '';
                $data['data_emissao']   = '';
                $data['validade_proc_rf']      = $this->input->post('data_venc_rf');
                $data['validade_proc_mt']      = $this->input->post('data_venc_mt');
                $data['validade_proc_cef']      = $this->input->post('data_venc_cef');
    
                $this->db->insert('client_certificado', $data);
            
            }
            
            redirect(base_url() . 'index.php?admin/client/', 'refresh');
        }        
        if ($param1 == 'insert_cnae') {
            $data['cliente']    = $this->input->post('cliente');
            $data['cnae']       = $this->input->post('cnae');

            $this->db->insert('client_cnae', $data);

            $this->session->set_flashdata('flash_message', 'Cnae Inserido!');

            redirect(base_url() . 'index.php?admin/client/', 'refresh');
        }
        if ($param1 == 'delete') {

            $destino = $this->db->get_where('client' , array('client_id' => $param2))->row()->alterdata ;

            rename('./uploads/'.$destino,'./uploads/_lixo/'.$destino);

            $this->db->where('client_id', $param2);
            $this->db->delete('client');
            redirect(base_url() . 'index.php?admin/client/', 'refresh');
        }
        if ($param1 == 'delete_atividade') {

            $this->db->where('client_atividade_id', $param2);
            $this->db->delete('client_atividade');
            $this->session->set_flashdata('flash_message', 'Atividade Excluída!');
            redirect(base_url() . 'index.php?admin/client/', 'refresh');
        }
        if ($param1 == 'delete_cnae') {

            $this->db->where('client_cnae_id', $param2);
            $this->db->delete('client_cnae');
            $this->session->set_flashdata('flash_message', 'CNAE Excluído!');
            redirect(base_url() . 'index.php?admin/client/', 'refresh');
        }
        if ($param1 == 'upload_file_alterdata') {

        $Xfile = './uploads/import/'.strtolower($this->caracter_model->t5f_translit($_FILES['file']['name']));

        move_uploaded_file($_FILES['file']['tmp_name'],$Xfile);
        $this->session->set_flashdata('XimportFile', $Xfile);
        //$this->session->set_userdata('XimportFile') = $Xfile;
        //print_r($Xfile);
        redirect(base_url() . 'index.php?admin/client/', 'refresh');

        }

        if ($param1 == 'envio_email_boas_vindas') {

            //envia email
            $this->email_model->abertura_de_conta('client', $data['email']);
            $this->email_model->abertura_de_conta_confirma_cadastro('client',$data['name'],$data['cnpj_cpf'], $data['email']);

            $this->session->set_flashdata('flash_message', 'Email enviado com sucesso!!!');

            redirect(base_url() . 'index.php?admin/client/', 'refresh');

        }
        if ($param1 == 'filtro_status') {
        
            //public $xFiltroStatus;

            $xFiltroStatus = '';
            //substr(implode(',',$this->input->post('filtro_status')),0);
            $this->session->set_flashdata('Xfiltro_status', $xFiltroStatus);

        }

        //$xCancelados = '0';
        
         // WRP ajuste
        //$xFiltroStatus = "'ativo','inadimplente','sem movimentação','cancelados'"; 
        //$query_filtro_status = "SELECT * FROM w_client_status where status in (".$xFiltroStatus.")";
        //$query_filtro_status = "SELECT * FROM w_client_status where status in ('ativo','inadimplente','sem movimentação','cancelados')";        
        //$page_data['client']     = $this->db->query($query_filtro_status)->result_array();
        $query_filtro_status = "SELECT * FROM w_client_status where status <> 'cancelado'" ;
        $page_data['client']     =  $this->db->query($query_filtro_status)->result_array();
        $query_filtro_cancelado = "SELECT * FROM w_client_status where status = 'cancelado'" ;
        $page_data['client_cancelado']     =  $this->db->query($query_filtro_cancelado)->result_array();
                
        $page_data['page_name']  = 'client';
        $page_data['page_icon'] = 'user';
        $page_data['page_title'] = 'Clientes';
        $this->load->view('index', $page_data);
    }
/**** FIM - Gestão CLIENTE*****/

/**** Gestão CLIENTE Adicionar*****/
    function client_add($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');


        //$page_data['client']     = $this->db->get('client')->result_array();
        $page_data['page_name']  = 'client_add';
        $page_data['page_icon'] = 'user';
        $page_data['page_title'] = 'Adicionar Clientes';
        $this->load->view('index', $page_data);
    }
/**** FIM - Gestão CLIENTE Adicionar*****/



/**** Gestão CLIENTE SÓCIOS*****/
    function client_socio($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            //$data['cnpj_cpf']        = str_replace(str_replace(str_replace($this->input->post('cnpj_cpf'),'.',''),'/',''),'-','');

           // if ($this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->qtde_socios <= ($this->input->post('qtde_socio'))) {

                $data['client']           = $this->input->post('client');
                $data['cnpj_cpf']         = str_replace('/','',str_replace('.','',str_replace('-','',$this->input->post('cnpj_cpf'))));
                $data['pj_pf']            = $this->input->post('pj_pf');
                $data['email']            = $this->input->post('email');
                $data['name']             = strtoupper($this->input->post('name'));
                $data['creation_date']    = $this->input->post('creation_date');
                $data['alt_date']         = $this->input->post('alt_date');
                $data['cota']             = $this->input->post('cota');
                $data['administrador']    = $this->input->post('administrador');
                $data['resp_cnpj']        = $this->input->post('resp_cnpj');
                $data['tem_pl']           = $this->input->post('tem_pl');
                $data['pis']              = $this->input->post('pis');
                if  (strstr($this->input->post('pl_valor'),',')){
                  $data['pl_valor'] = str_replace(',','.',str_replace('.','',$this->input->post('pl_valor')));
                } else {  $data['pl_valor'] = $this->input->post('pl_valor');   }; 
                $data['ddd_phone']        = $this->input->post('ddd_phone');
                $data['phone']            = $this->input->post('phone');
                $data['contact']          = $this->input->post('contact');

                $this->db->insert('client_socio', $data);
                
               
                //envia email com a senha provisória para o cliente
                if ($this->input->post('resp_cnpj') == '1' && $this->input->post('administrador') == '1'){
                //$this->email_model->abertura_de_conta('client', $data['email']);
                //$this->email_model->abertura_de_conta_confirma_cadastro('client',$data['name'],$data['cnpj_cpf'], $data['email']);
                }
                
                $this->session->set_flashdata('flash_message', 'Sócio Incluído!');

                redirect(base_url() . 'index.php?admin/client_socio_add/', 'refresh');
           //   }
            //  else
            //    {
            //    $this->session->set_flashdata('flash_message', 'Quantidade de Sócios Maior que a Informada no cadastro! Favor Verificar...');

            //    redirect(base_url() . 'index.php?admin/client_socio/', 'refresh');
            //    }
        }
        if ($param1 == 'do_update') {
            $data['client']           = $this->input->post('client');
            $data['cnpj_cpf']         = str_replace('/','',str_replace('.','',str_replace('-','',$this->input->post('cnpj_cpf'))));
            $data['pj_pf']            = $this->input->post('pj_pf');
            $data['email']            = $this->input->post('email');
            $data['name']             = strtoupper($this->input->post('name'));
            $data['alt_date']         = $this->input->post('alt_date');
            $data['cota']             = $this->input->post('cota');
            $data['administrador']    = $this->input->post('administrador');
            $data['resp_cnpj']        = $this->input->post('resp_cnpj');
            $data['tem_pl']           = $this->input->post('tem_pl');
            $data['pis']              = $this->input->post('pis');
            if  (strstr($this->input->post('pl_valor'),',')){
              $data['pl_valor'] = str_replace(',','.',str_replace('.','',$this->input->post('pl_valor')));
            } else {  $data['pl_valor'] = $this->input->post('pl_valor');   }; 
            $data['ddd_phone']        = $this->input->post('ddd_phone');
            $data['phone']            = $this->input->post('phone');
            $data['contact']          = $this->input->post('contact');

            $this->db->where('client_socio_id', $param2);
            $this->db->update('client_socio', $data);

            $this->session->set_flashdata('flash_message', 'Sócio Atualizado!');

            redirect(base_url() . 'index.php?admin/client_socio/', 'refresh');
            
            
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile']  = true;
            $page_data['current_client_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('client_socio', array(
                'client_socio_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {

            //$destino = $this->db->get_where('client_socio' , array('client_socio_id' => $param2))->row()->alterdata ;

            //rename('./uploads/'.$destino,'./uploads/_lixo/'.$destino);

            $this->db->where('client_socio_id', $param2);
            $this->db->delete('client_socio');
            redirect(base_url() . 'index.php?admin/client_socio/', 'refresh');


        }
        if ($param1 == 'upload_file_alterdata') {

        $Xfile = './uploads/import/'.strtolower($this->caracter_model->t5f_translit($_FILES['file']['name']));

        move_uploaded_file($_FILES['file']['tmp_name'],$Xfile);
        $this->session->set_flashdata('XimportFile', $Xfile);
        //$this->session->set_userdata('XimportFile') = $Xfile;
        //print_r($Xfile);
        redirect(base_url() . 'index.php?admin/client_socio/', 'refresh');

        }

        $page_data['client_socio']      = $this->db->get('client_socio')->result_array();
        $page_data['page_name']         = 'client_socio';
        $page_data['page_icon']         = 'user';
        $page_data['page_title']        = 'Clientes Sócio';
        $this->load->view('index', $page_data);
    }
/**** FIM - Gestão CLIENTE SÓCIOS*****/

/**** Gestão CLIENTE Sócio Adicionar*****/
    function client_socio_add($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');


        $page_data['client']     = $this->db->get('client')->result_array();
        $page_data['page_name']  = 'client_socio_add';
        $page_data['page_icon'] = 'user';
        $page_data['page_title'] = 'Adicionar Sócios Clientes';
        $this->load->view('index', $page_data);
    }
/**** FIM - Gestão CLIENTE Sócio Adicionar*****/




/**** Gestão CLIENTE Configurações*****/
    function client_config($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');

        if ($param1 == 'do_update') {

            $data['permite_retroativo']         = $this->input->post('permite_retroativo');
            $data['contabilidade_completa_mei'] = $this->input->post('contabilidade_completa_mei');

            $this->db->where('client', $param2);
            $this->db->update('client_config', $data);

            $this->session->set_flashdata('flash_message', 'Configuração Atualizada com Sucesso!');

            redirect(base_url() . 'index.php?admin/client/', 'refresh');

            }

        $page_data['client']     = $this->db->get('client')->result_array();
        $page_data['page_name']  = 'client';
        $page_data['page_icon'] = 'user';
        $page_data['page_title'] = 'Clientes';
        $this->load->view('index', $page_data);
    }
/**** FIM - Gestão CLIENTE Configurações*****/

/**** Gestão CLIENTE Configurações*****/
    function contrato($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');

        if ($param1 == 'consulta_cliente') {

            $XFiltroCli = $this->input->post('cliente');

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);

            redirect(base_url() . 'index.php?admin/contrato/', 'refresh');
        }


        $page_data['contrato']    = $this->db->get('client_contrato')->result_array();
        $page_data['page_name']  = 'contrato';
        $page_data['page_icon']  = 'book';
        $page_data['page_title'] = 'Contrato de Prestação de Serviço';
        $this->load->view('index', $page_data);
    }
/**** FIM - Gestão CLIENTE Configurações*****/

/**** NFS |-> Gestão nota fiscal ****/
    function nfs_emitida_cli($param1 = '', $param2 = '', $param3 = '')
    {
        /**** Definição de variáveis *****/
        $Xrand = '';
        $origem = '';
        $destino = '';
        $XnovoNome = '';

        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');

        if ($param1 == 'do_update') {
            $data['mov']          = $this->input->post('mov');
            $data['tipo_mov']     = $this->input->post('tipo_mov');
            $data['path']         = $this->input->post('path');
            $data['client']       = $this->input->post('client');
            $data['category']     = $this->input->post('category');
            $data['desc_mov']     = $this->input->post('desc_mov');
            $data['quantity']     = $this->input->post('quantity');
            $data['valor']        = str_replace(',','.',$this->input->post('valor'));
            $data['date']         = $this->input->post('date');
            $data['alt_date']     = $this->input->post('alt_date');
            $data['status']       = $this->input->post('status');
            $this->db->where('nfs_id', $param2);
            $this->db->update('nfs', $data);

            $XFiltroCli = $this->input->post('client');

            $XFiltro = date('Y-m',strtotime($this->input->post('date')));

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/nfs_emitida_cli/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile'] = true;
            $page_data['current_nfs_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('nfs', array(
                'nfs_id' => $param2
            ))->result_array();

        }
        if ($param1 == 'delete') {

            $Xdados = $this->db->get_where('nfs', array('nfs_id' => $param2))->result_array();
            //print_r($Xdados);

            foreach($Xdados as $row):
                $origem = $row['path'];
                $destino = $origem;

                $XFiltroCli = $row['client'];
                $XFiltro = date('Y-m',strtotime($row['date']));
            endforeach;
            //print_r($origem);

            if ( $origem != 'Sem Arquivo' ){


                $destino =  str_replace('/mov/','/_lixo/', $destino);
                //print_r($destino);

                copy($origem, $destino);
                unlink($origem);
            }

            $this->db->where('nfs_id', $param2);
            $this->db->delete('nfs');
            $this->session->set_flashdata('flash_message', 'Arquivo Deletado!');

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/nfs_emitida_cli/', 'refresh');

        }
        if ($param1 == 'visualizar') {

            //$caminho =  $this->db->get_where('mov', array('mov_id' => $param2))->result_array();
            echo   'id cliente:'.$this->input->post('client') ;
            echo   ' - ' ;
            echo   'id nfs:'.$this->input->post('nfs_id') ;
            redirect(base_url() . 'index.php?admin/nfs_emitida_cli/', 'refresh');
        }
        if ($param1 == 'consulta_cliente') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltroCli = $this->input->post('cliente');

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);

            redirect(base_url() . 'index.php?admin/nfs_emitida_cli/', 'refresh');
        }
        if ($param1 == 'inserir_nota') {

            $Xrand =  mt_rand();
            $XnovoNome = strtolower($this->caracter_model->t5f_translit($_FILES['pdfnota']['name']));

            $data['status'] = 'emitida';
            $data['caminho'] = $this->input->post('path').$this->input->post('alterdata').'_pdf_'.$Xrand.'_'.$XnovoNome;
            $this->db->where('nfs_id', $this->input->post('nfs_id'));
            $this->db->update('nfs', $data);

            move_uploaded_file($_FILES['pdfnota']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_pdf_'.$Xrand.'_'.$XnovoNome);
            $this->session->set_flashdata('flash_message', 'PDF Inserido!');

            $XFiltroCli = $this->input->post('cliente');
            $XFiltro = date('Y-m',strtotime($this->input->post('date')));

            // Envio Email
            $Xcontato       = $this->db->get_where('client', array('client_id' => $this->input->post('cliente')))->row()->contact;
            $Xemail         = $this->db->get_where('client', array('client_id' => $this->input->post('cliente')))->row()->email;
            $Xtipo_arquivo  = 'Nota Fiscal (PDF)';
            $Xarquivo       = ($this->input->post('path').$this->input->post('alterdata').'_pdf_'.$Xrand.'_'.$XnovoNome);

            $this->email_model->envia_email_postagem_boleto($Xcontato, $Xemail, $Xtipo_arquivo,$Xarquivo);


            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/nfs_emitida_cli/', 'refresh');
        }
        if ($param1 == 'historico') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltro = $this->input->post('data_ano').'-'.$this->input->post('data_mes');
            $XFiltroCli = $this->input->post('cliente');

            //var_dump($XFiltroCli);

            $this->session->set_flashdata('XFiltro', $XFiltro);
            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);

            redirect(base_url() . 'index.php?admin/nfs_emitida_cli/', 'refresh');
        }
        if ($param1 == 'marca_contabilizado') {

            $XFiltroCli = $this->input->post('cliente');

            $XFiltro = date('Y-m', strtotime($this->input->post('data')));

            $data['status'] = 'contabilizado';
            $this->db->where('client', $XFiltroCli);
            $this->db->where("DATE_FORMAT(date,'%Y-%m') =", $XFiltro);
            $this->db->update('mov', $data);

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/nfs_emitida_cli/', 'refresh');
        }
        if ($param1 == 'desmarca_contabilizado') {

            $XFiltroCli = $this->input->post('cliente');

            $XFiltro = date('Y-m', strtotime($this->input->post('data')));

            $data['status'] = 'a contabilizar';
            $this->db->where('client', $XFiltroCli);
            $this->db->where("DATE_FORMAT(date,'%Y-%m') =", $XFiltro);
            $this->db->update('mov', $data);


            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/nfs_emitida_cli/', 'refresh');
        }
        $page_data['nfs']      =  $this->db->get_where('nfs', array('cliente' => ''))->result_array();
        $page_data['page_name']  = 'nfs_emitida_cli';
        $page_data['page_icon'] = 'file';
        $page_data['page_title'] = 'Consulta de Notas Emitidas';
        $this->load->view('index', $page_data);
    }
/**** FIM - NFS |-> Gestão nota fiscal ****/

/**** Gestão GRUPO *****/
    function group($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['name']  = $this->input->post('name');
            $data['about'] = $this->input->post('about');
            $this->db->insert('group', $data);
            redirect(base_url() . 'index.php?admin/group/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['name']  = $this->input->post('name');
            $data['about'] = $this->input->post('about');
            $this->db->where('group_id', $param2);
            $this->db->update('group', $data);
            redirect(base_url() . 'index.php?admin/group/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile'] = true;
            $page_data['current_group_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('group', array(
                'group_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {
            $this->db->where('group_id', $param2);
            $this->db->delete('group');
            redirect(base_url() . 'index.php?admin/group/', 'refresh');
        }
        $page_data['group']      = $this->db->get('group')->result_array();
        $page_data['page_name']  = 'group';
        $page_data['page_icon']  = 'group';
        $page_data['page_title'] = 'Grupos de Usu&aacute;rios';
        $this->load->view('index', $page_data);
    }


    /****MANAGE invoice*****/
    function invoice($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['client']        = $this->input->post('client');
            $data['order']         = $this->input->post('order');
            $data['total_amount']  = $this->input->post('total_amount');
            $data['main_amount']   = $this->input->post('main_amount');
            $data['tax_rate']      = $this->input->post('tax_rate');
            $data['shipping_cost'] = $this->input->post('shipping_cost');
            $data['note']          = $this->input->post('note');
            $data['date']          = $this->input->post('date');
            $data['status']        = $this->input->post('status');
            $data['due_date']      = $this->input->post('due_date');
            $data['name']          = $this->input->post('name');
            $data['tax_amount']    = $this->input->post('tax_amount');
            $this->db->insert('invoice', $data);
            redirect(base_url() . 'index.php?admin/invoice/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['client']        = $this->input->post('client');
            $data['order']         = $this->input->post('order');
            $data['total_amount']  = $this->input->post('total_amount');
            $data['main_amount']   = $this->input->post('main_amount');
            $data['tax_rate']      = $this->input->post('tax_rate');
            $data['shipping_cost'] = $this->input->post('shipping_cost');
            $data['note']          = $this->input->post('note');
            $data['date']          = $this->input->post('date');
            $data['status']        = $this->input->post('status');
            $data['due_date']      = $this->input->post('due_date');
            $data['name']          = $this->input->post('name');
            $data['tax_amount']    = $this->input->post('tax_amount');
            $this->db->where('invoice_id', $param2);
            $this->db->update('invoice', $data);
            redirect(base_url() . 'index.php?admin/invoice/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile']   = true;
            $page_data['current_invoice_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('invoice', array(
                'invoice_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {
            $this->db->where('invoice_id', $param2);
            $this->db->delete('invoice');
            redirect(base_url() . 'index.php?admin/invoice/', 'refresh');
        }
        $page_data['invoice']    = $this->db->get('invoice')->result_array();
        $page_data['page_name']  = 'invoice';
        $page_data['page_icon']  = 'file';
        $page_data['page_title'] = 'manage_invoice';
        $this->load->view('index', $page_data);
    }


    /****MANAGE message*****/
    function message($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['sender']        = $this->input->post('sender');
            $data['sender_type']   = $this->input->post('sender_type');
            $data['receiver']      = $this->input->post('receiver');
            $data['receiver_type'] = $this->input->post('receiver_type');
            $data['subject']       = $this->input->post('subject');
            $data['body']          = $this->input->post('body');
            $data['time']          = $this->input->post('time');
            $data['date']          = $this->input->post('date');
            $data['status']        = 'aberto';
            $this->db->insert('message', $data);

            // Envio Email
            $Xsender        = $this->db->get_where('admin', array('admin_id' => $this->input->post('sender')))->row()->name;
            $Xsend_email    = $this->db->get_where('admin', array('admin_id' => $this->input->post('sender')))->row()->email;
            $Xreceiver      = $this->db->get_where('admin', array('admin_id' => $this->input->post('receiver')))->row()->name;
            $Xrec_email     = $this->db->get_where('admin', array('admin_id' => $this->input->post('receiver')))->row()->email;

            //$this->email_model->envia_email_mensagem_cliente($Xsender,$Xsend_email,$Xreceiver,$Xrec_email,$this->input->post('subject'),$this->input->post('body'));

            redirect(base_url() . 'index.php?admin/message/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['sender']        = $this->input->post('sender');
            $data['sender_type']   = $this->input->post('sender_type');
            $data['receiver']      = $this->input->post('receiver');
            $data['receiver_type'] = $this->input->post('receiver_type');
            $data['subject']       = $this->input->post('subject');
            $data['body']          = $this->input->post('body');
            $data['time']          = $this->input->post('time');
            $data['date']          = $this->input->post('date');

            $this->db->insert('message', $data);
            redirect(base_url() . 'index.php?admin/message/', 'refresh');



        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile']   = true;
            $page_data['current_message_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('message', array(
                'message_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {
            $this->db->where('message_id', $param2);
            $this->db->delete('message');
            redirect(base_url() . 'index.php?admin/message/', 'refresh');
        }
        $page_data['message']    = $this->db->get('message')->result_array();
        $page_data['page_name']  = 'message';
        $page_data['page_icon']  = 'envelope';
        $page_data['page_title'] = 'Mensagens';
        $this->load->view('index', $page_data);
    }

    /****MANAGE Note ( anotações )*****/
    function note($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['sender']        = $this->input->post('sender');
            $data['sender_type']   = $this->input->post('sender_type');
            $data['receiver']      = $this->input->post('receiver');
            $data['receiver_type'] = $this->input->post('receiver_type');
            $data['subject']       = $this->input->post('subject');
            $data['body']          = $this->input->post('body');
            $data['time']          = $this->input->post('time');
            $data['date']          = $this->input->post('date');
            $data['status']        = 'aberto';
            $this->db->insert('note', $data);

            // Envio Email
            $Xsender        = $this->db->get_where('admin', array('admin_id' => $this->input->post('sender')))->row()->name;
            $Xsend_email    = $this->db->get_where('admin', array('admin_id' => $this->input->post('sender')))->row()->email;
            $Xreceiver      = $this->db->get_where('admin', array('admin_id' => $this->input->post('receiver')))->row()->name;
            $Xrec_email     = $this->db->get_where('admin', array('admin_id' => $this->input->post('receiver')))->row()->email;

            $this->email_model->envia_email_mensagem_anotacao($Xsender,$Xsend_email,$Xreceiver,$Xrec_email,$this->input->post('subject'),$this->input->post('body'));

            $this->session->set_flashdata('flash_message', 'Chamado Aberto!');
            redirect(base_url() . 'index.php?admin/note/', 'refresh');

        }
        if ($param1 == 'do_reply') {

            $data['sender']        = $this->input->post('sender');
            $data['sender_type']   = $this->input->post('sender_type');
            $data['receiver']      = $this->input->post('receiver');
            $data['receiver_type'] = $this->input->post('receiver_type');
            $data['subject']       = $this->input->post('subject');
            $data['body']          = '----- MENSAGEM ANTERIOR -----<br>Usuário:'.$this->db->get_where('client', array('client_id' => $this->input->post('sender')))->row()->name.
                                      '<br> Email: '.$this->db->get_where('client', array('client_id' => $row['sender']))->row()->email.
                                      '<br> Data: '.date('d/m/Y', strtotime($this->input->post('date'))).' as '.$this->input->post('time').
                                      '<br> Mensagem: '.$this->input->post('body').'<br>'.$this->input->post('body_add');
            $data['time']          = $this->input->post('time');
            $data['date']          = $this->input->post('date');
            $data['status']        = $this->input->post('status');
            $this->db->where('note_id', $param2);
            $this->db->update('note', $data);


            // Envio Email
            $Xsender        = $this->db->get_where('admin', array('admin_id' => $this->input->post('sender')))->row()->name;
            $Xsend_email    = $this->db->get_where('admin', array('admin_id' => $this->input->post('sender')))->row()->email;
            $Xreceiver      = $this->db->get_where('admin', array('admin_id' => $this->input->post('receiver')))->row()->name;
            $Xrec_email     = $this->db->get_where('admin', array('admin_id' => $this->input->post('receiver')))->row()->email;

            //$this->email_model->envia_email_mensagem_anotacao($Xsender,$Xsend_email,$Xreceiver,$Xrec_email,$this->input->post('subject'),$this->input->post('body'));
            $this->session->set_flashdata('flash_message', 'Anotação Atualizada!');

            redirect(base_url() . 'index.php?admin/note/', 'refresh');

        }
        if ($param1 == 'do_update') {
            $data['status']         = 'finalizado';
            //$data['dt_conclusao']   = 'concluido';
            //$data['user_conclusao']   = 'concluido';
            $this->db->where('note_id', $param2);
            $this->db->update('note', $data);
            redirect(base_url() . 'index.php?admin/note/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile']   = true;
            $page_data['current_note_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('note', array(
                'note_id' => $param2
            ))->result_array();
        }

        if ($param1 == 'delete') {
            $this->db->where('note_id', $param2);
            $this->db->delete('note');
            redirect(base_url() . 'index.php?admin/note/', 'refresh');
        }
        if ($param1 == 'update_finalizar') {

            $data['status']      = 'finalizado';
            $this->db->where('note_id', $param2);
            $this->db->update('note', $data);
            redirect(base_url() . 'index.php?admin/note/', 'refresh');

        }
        if ($param1 == 'update_cancelar') {

            $data['status']      = 'cancelar';
            $this->db->where('note_id', $param2);
            $this->db->update('note', $data);
            redirect(base_url() . 'index.php?admin/note/', 'refresh');

        }
        $page_data['message']    = $this->db->get('note')->result_array();
        $page_data['page_name']  = 'note';
        $page_data['page_icon']  = 'comment';
        $page_data['page_title'] = 'Anotações/Chamados';
        $this->load->view('index', $page_data);
    }

    /****MANAGE Financeiro ( baixa boleto )*****/
    function financeiro($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');

        if ($param1 == 'do_update') {
            $data['status']         = 'finalizado';
            //$data['dt_conclusao']   = 'concluido';
            //$data['user_conclusao']   = 'concluido';
            $this->db->where('note_id', $param2);
            $this->db->update('note', $data);
            redirect(base_url() . 'index.php?admin/note/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile']   = true;
            $page_data['current_note_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('files', array(
                'file_id' => $param2
            ))->result_array();
        }

        if ($param1 == 'delete') {
            $this->db->where('file_id', $param2);
            $this->db->delete('files');
            redirect(base_url() . 'index.php?admin/financeiro/', 'refresh');
        }
        if ($param1 == 'update_finalizar') {

            $data['data_alt']    = (date('Y-m-d'));
            $data['status']      = 'pago';
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?admin/financeiro/', 'refresh');

        }
        if ($param1 == 'update_cancelar') {

            $data['status']      = 'cancelado';
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?admin/financeiro/', 'refresh');

        }
        $page_data['message']    = $this->db->get_where('files', array('product' => '60'))->result_array();
        $page_data['page_name']  = 'financeiro';
        $page_data['page_icon']  = 'briefcase';
        $page_data['page_title'] = 'Controle Financeiro';
        $this->load->view('index', $page_data);
    }

    /****MANAGE order*****/
    function order($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['total_price'] = $this->input->post('total_price');
            $data['date']        = $this->input->post('date');
            //$data['rate']        = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->insert('order', $data);
            redirect(base_url() . 'index.php?admin/order/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['total_price'] = $this->input->post('total_price');
            $data['date']        = $this->input->post('date');
            //$data['rate']        = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->where('order_id', $param2);
            $this->db->update('order', $data);
            redirect(base_url() . 'index.php?admin/order/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile'] = true;
            $page_data['current_order_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('order', array(
                'order_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {
            $this->db->where('order_id', $param2);
            $this->db->delete('order');
            redirect(base_url() . 'index.php?admin/order/', 'refresh');
        }
        $page_data['order']      = $this->db->get('order')->result_array();
        $page_data['page_name']  = 'order';
        $page_data['page_icon']  = 'tasks';
        $page_data['page_title'] = 'manage_order';
        $this->load->view('index', $page_data);
    }


/**** BLOCO  - Files |-> file

    Files || Files
    Lançar || file_lancar
    Consultar || file_consultar
    Consultar dados Cliente || file_consultar_cli
    Consultar XML || file_consultar_xml

*****/

    /****MANAGE FILES*****/
    function files($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['file']      = $this->input->post('file');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = str_replace(',','.',$this->input->post('valor'));
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            //$data['rate']      = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->insert('files', $data);
            redirect(base_url() . 'index.php?admin/files/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['file']        = $this->input->post('file');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = str_replace(',','.',$this->input->post('valor'));
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            //$data['rate']      = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?admin/files/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile'] = true;
            $page_data['current_file_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('files', array(
                'file_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {

            /*
            $deleta = $this->db->get_where('files', array(
                'file_id' => $param2
            ))->result_array();
            
            $caminhoArquivo = $deleta['path'];

            if (unlink($caminhoParaFicheiro)) {
                  $this->db->where('file_id', $param2);
                  $this->db->delete('files');
                  $this->session->set_flashdata('flash_message', 'Arquivo_Excluído!!');
            }
            else {
                 $this->session->set_flashdata('flash_message', 'Não Foi possivel Apagar o Arquivo!');
            }
            */


        }
        if ($param1 == 'upload_info') {

            $Xrand =  mt_rand();

            $XnovoNome = strtolower($this->caracter_model->t5f_translit($_FILES['file']['name']));

            $data['file']        = $this->input->post('file');
            $data['path']        = $this->input->post('path').$this->input->post('client').$this->input->post('description').'_'.$Xrand.'_'.$XnovoNome;
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product_id');
            $data['desc_file']   = $this->input->post('file');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            $data['status']      = $this->input->post('status');
            $this->db->insert('files', $data);

            move_uploaded_file($_FILES['file']['tmp_name'], $this->input->post('path').$this->input->post('client').$this->input->post('description').'_'.$Xrand.'_'.$XnovoNome);
            $this->session->set_flashdata('flash_message', 'Arquivo Enviado');

            redirect(base_url() . 'index.php?admin/files/', 'refresh');
        }

        $page_data['files']      = $this->db->get('w_files')->result_array();
        $page_data['page_name']  = 'files';
        $page_data['page_icon']  = 'folder-open';
        $page_data['page_title'] = 'Gestão de Arquivos';
        $this->load->view('index', $page_data);
    }

    /**** FILES |-> file_lancar ****/
    function file_lancar($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['file']      = $this->input->post('file');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = date('Y-m-d', strtotime($this->input->post('date')));
            $data['ind_up']      = $this->input->post('ind_up');
            //$data['rate']      = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->insert('files', $data);
            redirect(base_url() . 'index.php?admin/file_lancar/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['file']        = $this->input->post('file');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = date('Y-m-d', strtotime($this->input->post('date')));
            $data['ind_up']      = $this->input->post('ind_up');
            //$data['rate']      = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?admin/file_lancar/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile'] = true;
            $page_data['current_file_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('files', array(
                'file_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {

            $Xdados = $this->db->get_where('files', array('file_id' => $param2))->result_array();
            //print_r($Xdados);

            foreach($Xdados as $row):
              $origem   = $row['path'];
              $cliente  = $row['client'];
              $destino  = $origem;
            endforeach;
            //print_r($origem);

            $destino =  str_replace('/cob/','/_lixo/', $destino);
            $destino =  str_replace('/doc_cad/','/_lixo/', $destino);
            $destino =  str_replace('/doc_extra/','/_lixo/', $destino);
            $destino =  str_replace('/doc_fis/','/_lixo/', $destino);
            $destino =  str_replace('/guias/','/_lixo/', $destino);
            $destino =  str_replace('/mov/','/_lixo/', $destino);
            $destino =  str_replace('/rel/','/_lixo/', $destino);
            $destino =  str_replace('/xml/','/_lixo/', $destino);
            //print_r($destino);

            copy($origem, $destino);
            unlink($origem);

            //rename($destino,$destino.'_'.$this->session->userdata('admin_id'));

            //print_r($destino);


            // Geração do Log   ------------------------------------------------
            $log['admin']        = $this->session->userdata('admin_id');
            $log['client']       = $cliente;
            $log['path']         = $destino;
                $format = 'DATE_W3C';
                $time = time();
            $log['date']         = standard_date($format, $time) ;
            $log['tipo']         = 'deleted';
            $this->db->insert('log', $log);
            // FIM - Geração do Log   ------------------------------------------


            $this->db->where('file_id', $param2);
            $this->db->delete('files');
            $this->session->set_flashdata('flash_message', 'Arquivo Deletado!');
            redirect(base_url() . 'index.php?admin/file_consultar/', 'refresh');
        }
        if ($param1 == 'upload_info') {

            $Xdescription = $this->db->get_where('product', array('product_id' => $this->input->post('product_id')))->row('description');
            //print_r($Xdescription);
            $Xalterdata = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row('alterdata');
            //print_r($Xalterdata);

            // status diferente para o arquivo boleto
            if ($this->input->post('product_id') == '60')
              {
                  $XStatus = 'a pagar';
              }
              else {
                    $XStatus = $this->input->post('status');
                   }


            $Xrand =  mt_rand();

            $XnovoNome = strtolower($this->caracter_model->t5f_translit($_FILES['file']['name']));

            $data['file']        = $this->input->post('file');
            $data['path']        = ($this->input->post('path').$Xalterdata.$Xdescription.$Xalterdata.'_'.$Xrand.'_'.$XnovoNome);
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product_id');
            $data['desc_file']   = $this->input->post('file');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['data_venc']   = $this->input->post('data_venc');
            $data['ind_up']      = $this->input->post('ind_up');
            $data['status']      = $XStatus;
            $this->db->insert('files', $data);

            move_uploaded_file($_FILES['file']['tmp_name'], ($this->input->post('path').$Xalterdata.$Xdescription.$Xalterdata.'_'.$Xrand.'_'.$XnovoNome));
            $this->session->set_flashdata('flash_message', 'Arquivo Enviado!!');

            // Envio Email
            $Xcontato       = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->contact;
            $Xemail         = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->email;
            $Xtipo_arquivo  = $this->db->get_where('product', array('product_id' => $this->input->post('product_id')))->row()->name;
            $Xarquivo       = ($this->input->post('path').$Xalterdata.$Xdescription.$this->input->post('client').'_'.$Xrand.'_'.$XnovoNome);

            // envio de email diferente para arquivos do tipo boleto
            if ($this->input->post('product_id') == '60')
            {
                $this->email_model->envia_email_postagem_boleto($Xcontato, $Xemail, $Xtipo_arquivo,$Xarquivo);
            }
            else {
                $this->email_model->envia_email_postagem($Xcontato, $Xemail, $Xtipo_arquivo,$Xarquivo);
            }


            // Geração do Log   ------------------------------------------------
            $log['admin']        = $this->session->userdata('admin_id');
            $log['client']       = $this->input->post('client');
            $log['path']         = ($this->input->post('path').$Xalterdata.$Xdescription.$Xalterdata.'_'.$Xrand.'_'.$XnovoNome);
            $format = 'DATE_W3C';
            $time = time();
            $log['date']         = standard_date($format, $time) ;
            $log['tipo']         = 'postagem';
            $this->db->insert('log', $log);
            // FIM - Geração do Log   ------------------------------------------

            redirect(base_url() . 'index.php?admin/file_lancar/', 'refresh');
        }

        //$page_data['files']      = $this->db->get('w_files')->result_array();
        $page_data['page_name']  = 'file_lancar';
        $page_data['page_icon']  = 'folder-close';
        $page_data['page_title'] = 'Gestão de Arquivos - Lançar Arquivos';
        $this->load->view('index', $page_data);
    }

    /**** FILES |-> file_lancar_c - Clientes Cancelados ****/
    function file_lancar_c($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['file']      = $this->input->post('file');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = date('Y-m-d', strtotime($this->input->post('date')));
            $data['ind_up']      = $this->input->post('ind_up');
            //$data['rate']      = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->insert('files', $data);
            redirect(base_url() . 'index.php?admin/file_lancar_c/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['file']        = $this->input->post('file');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = date('Y-m-d', strtotime($this->input->post('date')));
            $data['ind_up']      = $this->input->post('ind_up');
            //$data['rate']      = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?admin/file_lancar_c/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile'] = true;
            $page_data['current_file_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('files', array(
                'file_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {

            $Xdados = $this->db->get_where('files', array('file_id' => $param2))->result_array();
            //print_r($Xdados);

            foreach($Xdados as $row):
              $origem   = $row['path'];
              $cliente  = $row['client'];
              $destino  = $origem;
            endforeach;
            //print_r($origem);

            $destino =  str_replace('/cob/','/_lixo/', $destino);
            $destino =  str_replace('/doc_cad/','/_lixo/', $destino);
            $destino =  str_replace('/doc_extra/','/_lixo/', $destino);
            $destino =  str_replace('/doc_fis/','/_lixo/', $destino);
            $destino =  str_replace('/guias/','/_lixo/', $destino);
            $destino =  str_replace('/mov/','/_lixo/', $destino);
            $destino =  str_replace('/rel/','/_lixo/', $destino);
            $destino =  str_replace('/xml/','/_lixo/', $destino);
            //print_r($destino);

            copy($origem, $destino);
            unlink($origem);

            //rename($destino,$destino.'_'.$this->session->userdata('admin_id'));

            //print_r($destino);


            // Geração do Log   ------------------------------------------------
            $log['admin']        = $this->session->userdata('admin_id');
            $log['client']       = $cliente;
            $log['path']         = $destino;
                $format = 'DATE_W3C';
                $time = time();
            $log['date']         = standard_date($format, $time) ;
            $log['tipo']         = 'deleted';
            $this->db->insert('log', $log);
            // FIM - Geração do Log   ------------------------------------------


            $this->db->where('file_id', $param2);
            $this->db->delete('files');
            $this->session->set_flashdata('flash_message', 'Arquivo Deletado!');
            redirect(base_url() . 'index.php?admin/file_lancar_c/', 'refresh');
        }
        if ($param1 == 'upload_info') {

            $Xdescription = $this->db->get_where('product', array('product_id' => $this->input->post('product_id')))->row('description');
            //print_r($Xdescription);
            $Xalterdata = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row('alterdata');
            //print_r($Xalterdata);

            // status diferente para o arquivo boleto
            if ($this->input->post('product_id') == '60')
              {
                  $XStatus = 'a pagar';
              }
              else {
                    $XStatus = $this->input->post('status');
                   }


            $Xrand =  mt_rand();

            $XnovoNome = strtolower($this->caracter_model->t5f_translit($_FILES['file']['name']));

            $data['file']        = $this->input->post('file');
            $data['path']        = ($this->input->post('path').$Xalterdata.$Xdescription.$Xalterdata.'_'.$Xrand.'_'.$XnovoNome);
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product_id');
            $data['desc_file']   = $this->input->post('file');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['data_venc']   = $this->input->post('data_venc');
            $data['ind_up']      = $this->input->post('ind_up');
            $data['status']      = $XStatus;
            $this->db->insert('files', $data);

            move_uploaded_file($_FILES['file']['tmp_name'], ($this->input->post('path').$Xalterdata.$Xdescription.$Xalterdata.'_'.$Xrand.'_'.$XnovoNome));
            $this->session->set_flashdata('flash_message', 'Arquivo Enviado!!');

            // Envio Email
            $Xcontato       = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->contact;
            $Xemail         = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->email;
            $Xtipo_arquivo  = $this->db->get_where('product', array('product_id' => $this->input->post('product_id')))->row()->name;
            $Xarquivo       = ($this->input->post('path').$Xalterdata.$Xdescription.$this->input->post('client').'_'.$Xrand.'_'.$XnovoNome);

            // envio de email diferente para arquivos do tipo boleto
            if ($this->input->post('product_id') == '60')
            {
                $this->email_model->envia_email_postagem_boleto($Xcontato, $Xemail, $Xtipo_arquivo,$Xarquivo);
            }
            else {
                $this->email_model->envia_email_postagem($Xcontato, $Xemail, $Xtipo_arquivo,$Xarquivo);
            }


            // Geração do Log   ------------------------------------------------
            $log['admin']        = $this->session->userdata('admin_id');
            $log['client']       = $this->input->post('client');
            $log['path']         = ($this->input->post('path').$Xalterdata.$Xdescription.$Xalterdata.'_'.$Xrand.'_'.$XnovoNome);
            $format = 'DATE_W3C';
            $time = time();
            $log['date']         = standard_date($format, $time) ;
            $log['tipo']         = 'postagem';
            $this->db->insert('log', $log);
            // FIM - Geração do Log   ------------------------------------------

            redirect(base_url() . 'index.php?admin/file_lancar_c/', 'refresh');
        }

        //$page_data['files']      = $this->db->get('w_files')->result_array();
        $page_data['page_name']  = 'file_lancar_c';
        $page_data['page_icon']  = 'folder-close';
        $page_data['page_title'] = 'Gestão de Arquivos - Lançar Arquivos - Cancelados';
        $this->load->view('index', $page_data);
    }


    /**** FILES |-> file_consultar ****/
    function file_consultar($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
            
        if ($param1 == 'consulta_cliente') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltroCli = $this->input->post('cliente');

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);

            redirect(base_url() . 'index.php?admin/file_consultar/', 'refresh');
        }
        if ($param1 == 'historico') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltro = $this->input->post('data_ano').'-'.$this->input->post('data_mes');
            $XFiltroCli = $this->input->post('cliente');

            //var_dump($XFiltroCli);

            $this->session->set_flashdata('XFiltro', $XFiltro);
            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);

            redirect(base_url() . 'index.php?admin/file_consultar/', 'refresh');
        }
        if ($param1 == 'marca_contabilizado') {

            $XFiltroCli = $this->input->post('cliente');

            $XFiltro = date('Y-m', strtotime($this->input->post('data')));

            $data['status'] = 'contabilizado';
            $this->db->where('client', $XFiltroCli);
            $this->db->where("DATE_FORMAT(date,'%Y-%m') =", $XFiltro);
            $this->db->update('files_extra', $data);

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/file_consultar/', 'refresh');
        }
        if ($param1 == 'desmarca_contabilizado') {

            $XFiltroCli = $this->input->post('cliente');

            $XFiltro = date('Y-m', strtotime($this->input->post('data')));

            $data['status'] = 'a contabilizar';
            $this->db->where('client', $XFiltroCli);
            $this->db->where("DATE_FORMAT(date,'%Y-%m') =", $XFiltro);
            $this->db->update('files_extra', $data);


            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/file_consultar/', 'refresh');
        } 

        $page_data['files']      = $this->db->get('files')->result_array();
        $page_data['page_name']  = 'file_consultar';
        $page_data['page_icon']  = 'search';
        $page_data['page_title'] = 'Gest&atilde;o de Arquivos - Consultar';
        $this->load->view('index', $page_data);
    } // FIM -  file_consultar

    /**** FILES |-> file_consultar_c ****/
    function file_consultar_c($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
            
        if ($param1 == 'consulta_cliente') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltroCli = $this->input->post('cliente');

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);

            redirect(base_url() . 'index.php?admin/file_consultar_c/', 'refresh');
        }
        if ($param1 == 'historico') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltro = $this->input->post('data_ano').'-'.$this->input->post('data_mes');
            $XFiltroCli = $this->input->post('cliente');

            //var_dump($XFiltroCli);

            $this->session->set_flashdata('XFiltro', $XFiltro);
            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);

            redirect(base_url() . 'index.php?admin/file_consultar_c/', 'refresh');
        }
        if ($param1 == 'marca_contabilizado') {

            $XFiltroCli = $this->input->post('cliente');

            $XFiltro = date('Y-m', strtotime($this->input->post('data')));

            $data['status'] = 'contabilizado';
            $this->db->where('client', $XFiltroCli);
            $this->db->where("DATE_FORMAT(date,'%Y-%m') =", $XFiltro);
            $this->db->update('files_extra', $data);

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/file_consultar_c/', 'refresh');
        }
        if ($param1 == 'desmarca_contabilizado') {

            $XFiltroCli = $this->input->post('cliente');

            $XFiltro = date('Y-m', strtotime($this->input->post('data')));

            $data['status'] = 'a contabilizar';
            $this->db->where('client', $XFiltroCli);
            $this->db->where("DATE_FORMAT(date,'%Y-%m') =", $XFiltro);
            $this->db->update('files_extra', $data);


            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/file_consultar_c/', 'refresh');
        } 

        $page_data['files']      = $this->db->get('files')->result_array();
        $page_data['page_name']  = 'file_consultar_c';
        $page_data['page_icon']  = 'search';
        $page_data['page_title'] = 'Gest&atilde;o de Arquivos - Consultar - Cancelados';
        $this->load->view('index', $page_data);
    }  // FIM -  file_consultar_c
    
    /**** FILES |-> file_consultar_cli ****/
    function file_consultar_cli($param1 = '', $param2 = '', $param3 = '')
    {
        
        $contabilizados = 'N';
        
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        
        if ($param1 == 'consulta_cliente') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltroCli = $this->input->post('cliente');

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);

            redirect(base_url() . 'index.php?admin/file_consultar_cli/', 'refresh');
        }
        if ($param1 == 'historico') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltro = $this->input->post('data_ano').'-'.$this->input->post('data_mes');
            $XFiltroCli = $this->input->post('cliente');

            //var_dump($XFiltroCli);

            $this->session->set_flashdata('XFiltro', $XFiltro);
            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);

            redirect(base_url() . 'index.php?admin/file_consultar_cli/', 'refresh');
        }
        if ($param1 == 'marca_contabilizado') {

            $XFiltroCli = $this->input->post('cliente');

            $XFiltro = date('Y-m', strtotime($this->input->post('data')));

            $data['status'] = 'contabilizado';
            $this->db->where('client', $XFiltroCli);
            $this->db->where("DATE_FORMAT(date,'%Y-%m') =", $XFiltro);
            $this->db->update('files_extra', $data);

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/file_consultar_cli/', 'refresh');
        }
        if ($param1 == 'desmarca_contabilizado') {

            $XFiltroCli = $this->input->post('cliente');

            $XFiltro = date('Y-m', strtotime($this->input->post('data')));

            $data['status'] = 'a contabilizar';
            $this->db->where('client', $XFiltroCli);
            $this->db->where("DATE_FORMAT(date,'%Y-%m') =", $XFiltro);
            $this->db->update('files_extra', $data);


            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/file_consultar_cli/', 'refresh');
        }
        if ($param1 == 'atualiza_status') {

            $status = $this->input->post('status');
            $file_id = $param2;

            $data['status'] = $status;
            $this->db->where('file_id', $file_id);
            $this->db->update('files', $data);


            $this->session->set_flashdata('flash_message', 'Status Atualizado!');

            redirect(base_url() . 'index.php?admin/file_consultar_cli/', 'refresh');
        }          
        if ($param1 == 'baixar') {
            $dados = $this->input->post('checkdown');

            if (!empty($dados)) {

              function limpapath($path)
              {
                return $caminho = substr($path, 2);
              }

              $newpath = array_map("limpapath", $dados);

              $this->load->library('zip');

              foreach ($newpath as $np) {
                $this->zip->read_file($np);
              }
              $this->zip->download('Arquivos');
            }

            redirect(base_url() . 'index.php?admin/file_consultar_cli/', 'refresh');
        }
        
        if ($param1 == 'ver_contabilizados') {

            $contabilizados = $param2;

        }
              
        if ($contabilizados == 'N')  {
        $page_data['files']      =  $this->db->query("select * from w_files where status<>'contabilizado'")->result_array();
        } else {
             $page_data['files']      =  $this->db->get('w_files')->result_array();
        }
        $page_data['page_name']  = 'file_consultar_cli';
        $page_data['page_icon']  = 'search';
        $page_data['page_title'] = 'Gest&atilde;o de Arquivos - Consultar Env. Clientes';
        $this->load->view('index', $page_data);
    } // FIM  - file_consultar_cli
    
    /**** FILES |-> file_consultar_cli_c ****/
    function file_consultar_cli_c($param1 = '', $param2 = '', $param3 = '')
    {
        
        $contabilizados = 'N';
        
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        
        if ($param1 == 'consulta_cliente') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltroCli = $this->input->post('cliente');

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);

            redirect(base_url() . 'index.php?admin/file_consultar_cli_c/', 'refresh');
        }
        if ($param1 == 'historico') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltro = $this->input->post('data_ano').'-'.$this->input->post('data_mes');
            $XFiltroCli = $this->input->post('cliente');

            //var_dump($XFiltroCli);

            $this->session->set_flashdata('XFiltro', $XFiltro);
            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);

            redirect(base_url() . 'index.php?admin/file_consultar_cli_c/', 'refresh');
        }
        if ($param1 == 'marca_contabilizado') {

            $XFiltroCli = $this->input->post('cliente');

            $XFiltro = date('Y-m', strtotime($this->input->post('data')));

            $data['status'] = 'contabilizado';
            $this->db->where('client', $XFiltroCli);
            $this->db->where("DATE_FORMAT(date,'%Y-%m') =", $XFiltro);
            $this->db->update('files_extra', $data);

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/file_consultar_cli_c/', 'refresh');
        }
        if ($param1 == 'desmarca_contabilizado') {

            $XFiltroCli = $this->input->post('cliente');

            $XFiltro = date('Y-m', strtotime($this->input->post('data')));

            $data['status'] = 'a contabilizar';
            $this->db->where('client', $XFiltroCli);
            $this->db->where("DATE_FORMAT(date,'%Y-%m') =", $XFiltro);
            $this->db->update('files_extra', $data);


            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/file_consultar_cli_c/', 'refresh');
        }
        if ($param1 == 'atualiza_status') {

            $status = $this->input->post('status');
            $file_id = $param2;

            $data['status'] = $status;
            $this->db->where('file_id', $file_id);
            $this->db->update('files', $data);


            $this->session->set_flashdata('flash_message', 'Status Atualizado!');

            redirect(base_url() . 'index.php?admin/file_consultar_cli_c/', 'refresh');
        }          
        if ($param1 == 'baixar') {
            $dados = $this->input->post('checkdown');

            if (!empty($dados)) {

              function limpapath($path)
              {
                return $caminho = substr($path, 2);
              }

              $newpath = array_map("limpapath", $dados);

              $this->load->library('zip');

              foreach ($newpath as $np) {
                $this->zip->read_file($np);
              }
              $this->zip->download('Arquivos');
            }

            redirect(base_url() . 'index.php?admin/file_consultar_cli_c/', 'refresh');
        }
        
        if ($param1 == 'ver_contabilizados') {

            $contabilizados = $param2;

        }
              
        if ($contabilizados == 'N')  {
        $page_data['files']      =  $this->db->query("select * from w_files where status<>'contabilizado'")->result_array();
        } else {
             $page_data['files']      =  $this->db->get('w_files')->result_array();
        }
        $page_data['page_name']  = 'file_consultar_cli_c';
        $page_data['page_icon']  = 'search';
        $page_data['page_title'] = 'Gest&atilde;o de Arquivos - Consultar Env. Clientes - Cancelados';
        $this->load->view('index', $page_data);
    } // FIM  - file_consultar_cli_c
    
    /**** FILES |-> file_consultar_ex_cli ****/
    function file_consultar_ex_cli($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
            
        if ($param1 == 'consulta_cliente') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltroCli = $this->input->post('cliente');

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);

            redirect(base_url() . 'index.php?admin/file_consultar_ex_cli/', 'refresh');
        }
        if ($param1 == 'historico') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltro = $this->input->post('data_ano').'-'.$this->input->post('data_mes');
            $XFiltroCli = $this->input->post('cliente');

            //var_dump($XFiltroCli);

            $this->session->set_flashdata('XFiltro', $XFiltro);
            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);

            redirect(base_url() . 'index.php?admin/file_consultar_ex_cli/', 'refresh');
        }
        if ($param1 == 'marca_contabilizado') {

            $XFiltroCli = $this->input->post('cliente');

            $XFiltro = date('Y-m', strtotime($this->input->post('data')));

            $data['status'] = 'contabilizado';
            $this->db->where('client', $XFiltroCli);
            $this->db->where("DATE_FORMAT(date,'%Y-%m') =", $XFiltro);
            $this->db->update('files_extra', $data);

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/file_consultar_ex_cli/', 'refresh');
        }
        if ($param1 == 'desmarca_contabilizado') {

            $XFiltroCli = $this->input->post('cliente');

            $XFiltro = date('Y-m', strtotime($this->input->post('data')));

            $data['status'] = 'a contabilizar';
            $this->db->where('client', $XFiltroCli);
            $this->db->where("DATE_FORMAT(date,'%Y-%m') =", $XFiltro);
            $this->db->update('files_extra', $data);


            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/file_consultar_ex_cli/', 'refresh');
        }
        if ($param1 == 'baixar') {
        
            $dados = $this->input->post('checkdown');

            if (!empty($dados)) {

              function limpapath($path)
              {
                return $caminho = substr($path, 2);
              }

              $newpath = array_map("limpapath", $dados);

              $this->load->library('zip');

              foreach ($newpath as $np) {
                $this->zip->read_file($np);
              }
              $this->zip->download('Arquivos');
            }

            redirect(base_url() . 'index.php?admin/file_consultar_ex_cli/', 'refresh');
        }    

        $page_data['files']      = $this->db->get('w_files_extra')->result_array();
        $page_data['page_name']  = 'file_consultar_ex_cli';
        $page_data['page_icon']  = 'search';
        $page_data['page_title'] = 'Gest&atilde;o de Arquivos - Consultar Env. Clientes Arquivos Extra';
        $this->load->view('index', $page_data);
    }

    /**** FILES |-> file_consultar_xml ****/
    function file_consultar_xml($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');

        if ($param1 == 'delete') {

            $Xdados = $this->db->get_where('xmls', array('xml_id' => $param2))->result_array();
             //print_r($Xdados);

            foreach($Xdados as $row):
            $origem = $row['path'];
            $destino = $origem;
            endforeach;
            //print_r($origem);

            $destino =  str_replace('/xml/','/_lixo/', $destino);
            //print_r($destino);

            copy($origem, $destino);
            unlink($origem);

            // Geração do Log   ------------------------------------------------
            $log['admin']        = $this->session->userdata('admin_id');
            $log['client']       = $this->db->get_where('xmls', array('xml_id' => $param2))->row()->client;
            $log['path']         = $destino;
                $format = 'DATE_W3C';
                $time = time();
            $log['date']         = standard_date($format, $time) ;
            $log['tipo']         = 'deleted';
            $this->db->insert('log', $log);
            // FIM - Geração do Log   ------------------------------------------

            $this->db->where('xml_id', $param2);
            $this->db->delete('xmls');
            $this->session->set_flashdata('flash_message', 'Arquivo Deletado!');

            redirect(base_url() . 'index.php?admin/file_consultar_xml/', 'refresh');
        }
        
        if ($param1 == 'consulta_cliente') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltroCli = $this->input->post('cliente');

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);

            redirect(base_url() . 'index.php?admin/file_consultar_xml/', 'refresh');
        }
        if ($param1 == 'historico') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltro = $this->input->post('data_ano').'-'.$this->input->post('data_mes');
            $XFiltroCli = $this->input->post('cliente');

            //var_dump($XFiltroCli);

            $this->session->set_flashdata('XFiltro', $XFiltro);
            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);

            redirect(base_url() . 'index.php?admin/file_consultar_xml/', 'refresh');
        }
        if ($param1 == 'marca_contabilizado') {

            $XFiltroCli = $this->input->post('cliente');

            $XFiltro = date('Y-m', strtotime($this->input->post('data')));

            $data['status'] = 'contabilizado';
            $this->db->where('client', $XFiltroCli);
            $this->db->where("DATE_FORMAT(date,'%Y-%m') =", $XFiltro);
            $this->db->update('xmls', $data);

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/file_consultar_xml/', 'refresh');
        }
        if ($param1 == 'desmarca_contabilizado') {

            $XFiltroCli = $this->input->post('cliente');

            $XFiltro = date('Y-m', strtotime($this->input->post('data')));

            $data['status'] = 'a contabilizar';
            $this->db->where('client', $XFiltroCli);
            $this->db->where("DATE_FORMAT(date,'%Y-%m') =", $XFiltro);
            $this->db->update('xmls', $data);


            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/file_consultar_xml/', 'refresh');
        }
        if ($param1 == 'baixar') {
            $dados = $this->input->post('checkdown');

            if (!empty($dados)) {

              function limpapath($path)
              {
                return $caminho = substr($path, 2);
              }

              $newpath = array_map("limpapath", $dados);

              $this->load->library('zip');

              foreach ($newpath as $np) {
                $this->zip->read_file($np);
              }
              $this->zip->download('Arquivos');
            }

            redirect(base_url() . 'index.php?admin/file_consultar_xml/', 'refresh');
        } 

        $page_data['xmls']      = $this->db->get('w_xmls')->result_array();
        $page_data['page_name']  = 'file_consultar_xml';
        $page_data['page_icon']  = 'search';
        $page_data['page_title'] = 'Gestão de Arquivos - Consultar XML do Cliente';
        $this->load->view('index', $page_data);
    }

/**** FIM - BLOCO  -    FILES    *****/

     /**** MOV |-> Movimentações  -  Recibos Consultar****/
    function mov_recibos_consultar($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');

        $page_data['rec']        =  $this->db->get_where('recibo', array('client' => ''))->result_array();
        $page_data['page_name']  = 'mov_recibos_consultar';
        $page_data['page_icon']  = 'search';
        $page_data['page_title'] = 'Recibo - Consultar Recibos';
        $this->load->view('index', $page_data);
    }

      /**** MOV |-> Movimentações  -  consultar ****/
    function mov_consultar($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');

        if ($param1 == 'consulta_cliente') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltroCli = $this->input->post('cliente');

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);

            redirect(base_url() . 'index.php?admin/mov_consultar/', 'refresh');
        }
        if ($param1 == 'historico') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltro = $this->input->post('data_ano').'-'.$this->input->post('data_mes');
            $XFiltroCli = $this->input->post('cliente');

            $this->session->set_flashdata('XFiltro', $XFiltro);
            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);

            redirect(base_url() . 'index.php?admin/mov_consultar/', 'refresh');
        }

        $page_data['files']      =  $this->db->get_where('files', array('product' => "9"))->result_array();
        $page_data['page_name']  = 'mov_consultar';
        $page_data['page_icon'] = 'search';
        $page_data['page_title'] = 'Consultar Movimentos';
        $this->load->view('index', $page_data);
    }
    /**** MOV |-> Movimentações  -  lancar ****/
    function mov_lancar($param1 = '', $param2 = '', $param3 = '')
    {
        /**** Definição de variáveis *****/
        $Xrand = '';
        $origem = '';
        $destino = '';
        $XnovoNome = '';

        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['mov']          = $_FILES['mov']['name'];
            $data['tipo_mov']     = $this->input->post('tipo_mov');
            if ( empty($_FILES['mov']['name'])){
                $data['path']         = 'Sem Arquivo';
            }  else {

                $Xrand =  mt_rand();

                $XnovoNome = strtolower($this->caracter_model->t5f_translit($_FILES['mov']['name']));

                $data['path']         = $this->input->post('path').$this->input->post('alterdata').'_E_'.$Xrand.'_'.$XnovoNome;
            }

            $data['client']       = $this->input->post('client');
            $data['category']     = $this->input->post('category');
            $data['desc_mov']     = $this->input->post('desc_mov');
            $data['quantity']     = $this->input->post('quantity');
            $data['valor']        = str_replace(',','.',$this->input->post('valor'));
            $data['date']         = date('Y-m-d',strtotime(str_replace('/', '-',$this->input->post('date'))));
            $data['alt_date']     = $this->input->post('alt_date');
            $data['status']       = $this->input->post('status');
            $this->db->insert('mov', $data);

            move_uploaded_file($_FILES['mov']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_E_'.$Xrand.'_'.$XnovoNome);
            $this->session->set_flashdata('flash_message', 'Movimento Salvo!');

            $XFiltroCli = $this->input->post('client');

            $XFiltro = date('Y-m',strtotime($this->input->post('date')));

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/mov_lancar/', 'refresh');
        }
        if ($param1 == 'create_saida') {

            $data['mov']          = $_FILES['mov']['name'];
            $data['tipo_mov']     = $this->input->post('tipo_mov');
            if ( empty($_FILES['mov']['name'])){
                $data['path']         = 'Sem Arquivo';
            }  else {

                $Xrand =  mt_rand();

                $XnovoNome = strtolower($this->caracter_model->t5f_translit($_FILES['mov']['name']));

                $data['path']         = $this->input->post('path').$this->input->post('alterdata').'_S_'.$Xrand.'_'.$XnovoNome;
            }

            $data['client']       = $this->input->post('client');
            $data['category']     = $this->input->post('category');
            $data['desc_mov']     = $this->input->post('desc_mov');
            $data['quantity']     = $this->input->post('quantity');
            $data['valor']        = str_replace(',','.',$this->input->post('valor'))*(-1);
            $data['date']         = date('Y-m-d',strtotime(str_replace('/', '-',$this->input->post('date'))));
            $data['alt_date']     = $this->input->post('alt_date');
            $data['status']       = $this->input->post('status');
            $this->db->insert('mov', $data);

            move_uploaded_file($_FILES['mov']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_S_'.$Xrand.'_'.$XnovoNome);
            $this->session->set_flashdata('flash_message', 'Movimento Salvo!');

            $XFiltroCli = $this->input->post('client');
            $XFiltro = date('Y-m',strtotime($this->input->post('date')));

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);


            redirect(base_url() . 'index.php?admin/mov_lancar/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['mov']          = $this->input->post('mov');
            $data['tipo_mov']     = $this->input->post('tipo_mov');
            $data['path']         = $this->input->post('path');
            $data['client']       = $this->input->post('client');
            $data['category']     = $this->input->post('category');
            $data['desc_mov']     = $this->input->post('desc_mov');
            $data['quantity']     = $this->input->post('quantity');
            $data['valor']        = str_replace(',','.',$this->input->post('valor'));
            $data['date']         = $this->input->post('date');
            $data['alt_date']     = $this->input->post('alt_date');
            $data['status']       = $this->input->post('status');
            $this->db->where('mov_id', $param2);
            $this->db->update('mov', $data);

            $XFiltroCli = $this->input->post('client');

            $XFiltro = date('Y-m',strtotime($this->input->post('date')));

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/mov_lancar/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile'] = true;
            $page_data['current_file_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('mov', array(
                'mov_id' => $param2
            ))->result_array();

        }
        if ($param1 == 'delete') {

            $Xdados = $this->db->get_where('mov', array('mov_id' => $param2))->result_array();
            //print_r($Xdados);

            foreach($Xdados as $row):
                $origem = $row['path'];
                $destino = $origem;

                $XFiltroCli = $row['client'];
                $XFiltro = date('Y-m',strtotime($row['date']));
            endforeach;
            //print_r($origem);

            if ( $origem != 'Sem Arquivo' ){


                $destino =  str_replace('/mov/','/_lixo/', $destino);
                //print_r($destino);

                copy($origem, $destino);
                unlink($origem);
            }

            $this->db->where('mov_id', $param2);
            $this->db->delete('mov');
            $this->session->set_flashdata('flash_message', 'Arquivo Deletado!');

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/mov_lancar/', 'refresh');

        }
        if ($param1 == 'visualizar') {

            //$caminho =  $this->db->get_where('mov', array('mov_id' => $param2))->result_array();
            echo   'id cliente:'.$this->input->post('client') ;
            echo   ' - ' ;
            echo   'id movimento:'.$this->input->post('mov_id') ;
            redirect(base_url() . 'index.php?admin/mov_recibos/', 'refresh');
        }
        if ($param1 == 'consulta_cliente') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltroCli = $this->input->post('cliente');

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);

            redirect(base_url() . 'index.php?admin/mov_lancar/', 'refresh');
        }
        if ($param1 == 'historico') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltro = $this->input->post('data_ano').'-'.$this->input->post('data_mes');
            $XFiltroCli = $this->input->post('cliente');

            //var_dump($XFiltroCli);

            $this->session->set_flashdata('XFiltro', $XFiltro);
            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);

            redirect(base_url() . 'index.php?admin/mov_lancar/', 'refresh');
        }
        if ($param1 == 'marca_contabilizado') {

            $XFiltroCli = $this->input->post('cliente');

            $XFiltro = date('Y-m', strtotime($this->input->post('data')));

            $data['status'] = 'contabilizado';
            $this->db->where('client', $XFiltroCli);
            $this->db->where("DATE_FORMAT(date,'%Y-%m') =", $XFiltro);
            $this->db->update('mov', $data);

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/mov_lancar/', 'refresh');
        }
        if ($param1 == 'desmarca_contabilizado') {

            $XFiltroCli = $this->input->post('cliente');

            $XFiltro = date('Y-m', strtotime($this->input->post('data')));

            $data['status'] = 'a contabilizar';
            $this->db->where('client', $XFiltroCli);
            $this->db->where("DATE_FORMAT(date,'%Y-%m') =", $XFiltro);
            $this->db->update('mov', $data);


            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/mov_lancar/', 'refresh');
        }
        $page_data['mov']      =  $this->db->get_where('mov', array('client' => ''))->result_array();
        $page_data['page_name']  = 'mov_lancar';
        $page_data['page_icon'] = 'inbox';
        $page_data['page_title'] = 'Movimentações - Lançamento de caixa';
        $this->load->view('index', $page_data);
    }

    /**** REL |-> Postagem ****/
    function rel_postagem($param1 = '', $param2 = '', $param3 = '')
    {
        /**** Definição de variáveis *****/
        $Xrand = '';
        $origem = '';
        $destino = '';
        $XnovoNome = '';

        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['mov']          = $_FILES['mov']['name'];
            $data['tipo_mov']     = $this->input->post('tipo_mov');
            if ( empty($_FILES['mov']['name'])){
                $data['path']         = 'Sem Arquivo';
            }  else {

                $Xrand =  mt_rand();

                $XnovoNome = strtolower($this->caracter_model->t5f_translit($_FILES['mov']['name']));

                $data['path']         = $this->input->post('path').$this->input->post('alterdata').'_E_'.$Xrand.'_'.$XnovoNome;
            }

            $data['client']       = $this->input->post('client');
            $data['category']     = $this->input->post('category');
            $data['desc_mov']     = $this->input->post('desc_mov');
            $data['quantity']     = $this->input->post('quantity');
            $data['valor']        = str_replace(',','.',$this->input->post('valor'));
            $data['date']         = date('Y-m-d',strtotime(str_replace('/', '-',$this->input->post('date'))));
            $data['alt_date']     = $this->input->post('alt_date');
            $data['status']       = $this->input->post('status');
            $this->db->insert('mov', $data);

            move_uploaded_file($_FILES['mov']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_E_'.$Xrand.'_'.$XnovoNome);
            $this->session->set_flashdata('flash_message', 'Movimento Salvo!');

            $XFiltroCli = $this->input->post('client');

            $XFiltro = date('Y-m',strtotime($this->input->post('date')));

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/rel_postagem/', 'refresh');
        }
        if ($param1 == 'create_saida') {

            $data['mov']          = $_FILES['mov']['name'];
            $data['tipo_mov']     = $this->input->post('tipo_mov');
            if ( empty($_FILES['mov']['name'])){
                $data['path']         = 'Sem Arquivo';
            }  else {

                $Xrand =  mt_rand();

                $XnovoNome = strtolower($this->caracter_model->t5f_translit($_FILES['mov']['name']));

                $data['path']         = $this->input->post('path').$this->input->post('alterdata').'_S_'.$Xrand.'_'.$XnovoNome;
            }

            $data['client']       = $this->input->post('client');
            $data['category']     = $this->input->post('category');
            $data['desc_mov']     = $this->input->post('desc_mov');
            $data['quantity']     = $this->input->post('quantity');
            $data['valor']        = str_replace(',','.',$this->input->post('valor'))*(-1);
            $data['date']         = date('Y-m-d',strtotime(str_replace('/', '-',$this->input->post('date'))));
            $data['alt_date']     = $this->input->post('alt_date');
            $data['status']       = $this->input->post('status');
            $this->db->insert('mov', $data);

            move_uploaded_file($_FILES['mov']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_S_'.$Xrand.'_'.$XnovoNome);
            $this->session->set_flashdata('flash_message', 'Movimento Salvo!');

            $XFiltroCli = $this->input->post('client');
            $XFiltro = date('Y-m',strtotime($this->input->post('date')));

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);


            redirect(base_url() . 'index.php?admin/rel_postagem/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['mov']          = $this->input->post('mov');
            $data['tipo_mov']     = $this->input->post('tipo_mov');
            $data['path']         = $this->input->post('path');
            $data['client']       = $this->input->post('client');
            $data['category']     = $this->input->post('category');
            $data['desc_mov']     = $this->input->post('desc_mov');
            $data['quantity']     = $this->input->post('quantity');
            $data['valor']        = str_replace(',','.',$this->input->post('valor'));
            $data['date']         = $this->input->post('date');
            $data['alt_date']     = $this->input->post('alt_date');
            $data['status']       = $this->input->post('status');
            $this->db->where('mov_id', $param2);
            $this->db->update('mov', $data);

            $XFiltroCli = $this->input->post('client');

            $XFiltro = date('Y-m',strtotime($this->input->post('date')));

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/rel_postagem/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile'] = true;
            $page_data['current_file_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('mov', array(
                'mov_id' => $param2
            ))->result_array();

        }
        if ($param1 == 'delete') {

            $Xdados = $this->db->get_where('mov', array('mov_id' => $param2))->result_array();
            //print_r($Xdados);

            foreach($Xdados as $row):
                $origem = $row['path'];
                $destino = $origem;

                $XFiltroCli = $row['client'];
                $XFiltro = date('Y-m',strtotime($row['date']));
            endforeach;
            //print_r($origem);

            if ( $origem != 'Sem Arquivo' ){


                $destino =  str_replace('/mov/','/_lixo/', $destino);
                //print_r($destino);

                copy($origem, $destino);
                unlink($origem);
            }

            $this->db->where('mov_id', $param2);
            $this->db->delete('mov');
            $this->session->set_flashdata('flash_message', 'Arquivo Deletado!');

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/rel_postagem/', 'refresh');

        }
        if ($param1 == 'visualizar') {

            //$caminho =  $this->db->get_where('mov', array('mov_id' => $param2))->result_array();
            echo   'id cliente:'.$this->input->post('client') ;
            echo   ' - ' ;
            echo   'id movimento:'.$this->input->post('mov_id') ;
            redirect(base_url() . 'index.php?admin/rel_postagem/', 'refresh');
        }
        if ($param1 == 'consulta_cliente') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltroCli = $this->input->post('cliente');

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);

            redirect(base_url() . 'index.php?admin/rel_postagem/', 'refresh');
        }
        if ($param1 == 'historico') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltro = $this->input->post('data_ano').'-'.$this->input->post('data_mes');
            $XFiltroCli = $this->input->post('cliente');

            //var_dump($XFiltroCli);

            $this->session->set_flashdata('XFiltro', $XFiltro);
            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);

            redirect(base_url() . 'index.php?admin/rel_postagem/', 'refresh');
        }
        if ($param1 == 'marca_contabilizado') {

            $XFiltroCli = $this->input->post('cliente');

            $XFiltro = date('Y-m', strtotime($this->input->post('data')));

            $data['status'] = 'contabilizado';
            $this->db->where('client', $XFiltroCli);
            $this->db->where("DATE_FORMAT(date,'%Y-%m') =", $XFiltro);
            $this->db->update('mov', $data);

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/rel_postagem/', 'refresh');
        }
        if ($param1 == 'desmarca_contabilizado') {

            $XFiltroCli = $this->input->post('cliente');

            $XFiltro = date('Y-m', strtotime($this->input->post('data')));

            $data['status'] = 'a contabilizar';
            $this->db->where('client', $XFiltroCli);
            $this->db->where("DATE_FORMAT(date,'%Y-%m') =", $XFiltro);
            $this->db->update('mov', $data);


            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/rel_postagem/', 'refresh');
        }
        $page_data['mov']      =  $this->db->get_where('mov', array('client' => ''))->result_array();
        $page_data['page_name']  = 'rel_postagem';
        $page_data['page_icon'] = 'inbox';
        $page_data['page_title'] = 'Relatório POSTAGENS - CONTSIMPLES';
        $this->load->view('index', $page_data);
    }
    /**** REL |-> Conferencia ****/
    function rel_conferencia($param1 = '', $param2 = '', $param3 = '')
    {
        /**** Definição de variáveis *****/
        $Xrand = '';
        $origem = '';
        $destino = '';
        $XnovoNome = '';

        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['mov']          = $_FILES['mov']['name'];
            $data['tipo_mov']     = $this->input->post('tipo_mov');
            if ( empty($_FILES['mov']['name'])){
                $data['path']         = 'Sem Arquivo';
            }  else {

                $Xrand =  mt_rand();

                $XnovoNome = strtolower($this->caracter_model->t5f_translit($_FILES['mov']['name']));

                $data['path']         = $this->input->post('path').$this->input->post('alterdata').'_E_'.$Xrand.'_'.$XnovoNome;
            }

            $data['client']       = $this->input->post('client');
            $data['category']     = $this->input->post('category');
            $data['desc_mov']     = $this->input->post('desc_mov');
            $data['quantity']     = $this->input->post('quantity');
            $data['valor']        = str_replace(',','.',$this->input->post('valor'));
            $data['date']         = date('Y-m-d',strtotime(str_replace('/', '-',$this->input->post('date'))));
            $data['alt_date']     = $this->input->post('alt_date');
            $data['status']       = $this->input->post('status');
            $this->db->insert('mov', $data);

            move_uploaded_file($_FILES['mov']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_E_'.$Xrand.'_'.$XnovoNome);
            $this->session->set_flashdata('flash_message', 'Movimento Salvo!');

            $XFiltroCli = $this->input->post('client');

            $XFiltro = date('Y-m',strtotime($this->input->post('date')));

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/rel_conferencia/', 'refresh');
        }
        if ($param1 == 'create_saida') {

            $data['mov']          = $_FILES['mov']['name'];
            $data['tipo_mov']     = $this->input->post('tipo_mov');
            if ( empty($_FILES['mov']['name'])){
                $data['path']         = 'Sem Arquivo';
            }  else {

                $Xrand =  mt_rand();

                $XnovoNome = strtolower($this->caracter_model->t5f_translit($_FILES['mov']['name']));

                $data['path']         = $this->input->post('path').$this->input->post('alterdata').'_S_'.$Xrand.'_'.$XnovoNome;
            }

            $data['client']       = $this->input->post('client');
            $data['category']     = $this->input->post('category');
            $data['desc_mov']     = $this->input->post('desc_mov');
            $data['quantity']     = $this->input->post('quantity');
            $data['valor']        = str_replace(',','.',$this->input->post('valor'))*(-1);
            $data['date']         = date('Y-m-d',strtotime(str_replace('/', '-',$this->input->post('date'))));
            $data['alt_date']     = $this->input->post('alt_date');
            $data['status']       = $this->input->post('status');
            $this->db->insert('mov', $data);

            move_uploaded_file($_FILES['mov']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_S_'.$Xrand.'_'.$XnovoNome);
            $this->session->set_flashdata('flash_message', 'Movimento Salvo!');

            $XFiltroCli = $this->input->post('client');
            $XFiltro = date('Y-m',strtotime($this->input->post('date')));

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);


            redirect(base_url() . 'index.php?admin/rel_conferencia/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['mov']          = $this->input->post('mov');
            $data['tipo_mov']     = $this->input->post('tipo_mov');
            $data['path']         = $this->input->post('path');
            $data['client']       = $this->input->post('client');
            $data['category']     = $this->input->post('category');
            $data['desc_mov']     = $this->input->post('desc_mov');
            $data['quantity']     = $this->input->post('quantity');
            $data['valor']        = str_replace(',','.',$this->input->post('valor'));
            $data['date']         = $this->input->post('date');
            $data['alt_date']     = $this->input->post('alt_date');
            $data['status']       = $this->input->post('status');
            $this->db->where('mov_id', $param2);
            $this->db->update('mov', $data);

            $XFiltroCli = $this->input->post('client');

            $XFiltro = date('Y-m',strtotime($this->input->post('date')));

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/rel_conferencia/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile'] = true;
            $page_data['current_file_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('mov', array(
                'mov_id' => $param2
            ))->result_array();

        }
        if ($param1 == 'delete') {

            $Xdados = $this->db->get_where('mov', array('mov_id' => $param2))->result_array();
            //print_r($Xdados);

            foreach($Xdados as $row):
                $origem = $row['path'];
                $destino = $origem;

                $XFiltroCli = $row['client'];
                $XFiltro = date('Y-m',strtotime($row['date']));
            endforeach;
            //print_r($origem);

            if ( $origem != 'Sem Arquivo' ){


                $destino =  str_replace('/mov/','/_lixo/', $destino);
                //print_r($destino);

                copy($origem, $destino);
                unlink($origem);
            }

            $this->db->where('mov_id', $param2);
            $this->db->delete('mov');
            $this->session->set_flashdata('flash_message', 'Arquivo Deletado!');

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/rel_conferencia/', 'refresh');

        }
        if ($param1 == 'visualizar') {

            //$caminho =  $this->db->get_where('mov', array('mov_id' => $param2))->result_array();
            echo   'id cliente:'.$this->input->post('client') ;
            echo   ' - ' ;
            echo   'id movimento:'.$this->input->post('mov_id') ;
            redirect(base_url() . 'index.php?admin/rel_conferencia/', 'refresh');
        }
        if ($param1 == 'consulta_cliente') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltroCli = $this->input->post('cliente');

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);

            redirect(base_url() . 'index.php?admin/rel_conferencia/', 'refresh');
        }
        if ($param1 == 'historico') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltro = $this->input->post('data_ano').'-'.$this->input->post('data_mes');
            $XFiltroCli = $this->input->post('cliente');

            //var_dump($XFiltroCli);

            $this->session->set_flashdata('XFiltro', $XFiltro);
            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);

            redirect(base_url() . 'index.php?admin/rel_conferencia/', 'refresh');
        }
        if ($param1 == 'marca_contabilizado') {

            $XFiltroCli = $this->input->post('cliente');

            $XFiltro = date('Y-m', strtotime($this->input->post('data')));

            $data['status'] = 'contabilizado';
            $this->db->where('client', $XFiltroCli);
            $this->db->where("DATE_FORMAT(date,'%Y-%m') =", $XFiltro);
            $this->db->update('mov', $data);

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/rel_conferencia/', 'refresh');
        }
        if ($param1 == 'desmarca_contabilizado') {

            $XFiltroCli = $this->input->post('cliente');

            $XFiltro = date('Y-m', strtotime($this->input->post('data')));

            $data['status'] = 'a contabilizar';
            $this->db->where('client', $XFiltroCli);
            $this->db->where("DATE_FORMAT(date,'%Y-%m') =", $XFiltro);
            $this->db->update('mov', $data);


            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/rel_conferencia/', 'refresh');
        }
        $page_data['mov']      =  $this->db->get_where('mov', array('client' => ''))->result_array();
        $page_data['page_name']  = 'rel_postagem';
        $page_data['page_icon'] = 'inbox';
        $page_data['page_title'] = 'Relatório Conferencia - CONTSIMPLES';
        $this->load->view('index', $page_data);
    }    
    /**** REL |-> Clientes ****/
    function rel_clientes($param1 = '', $param2 = '', $param3 = '')
    {
        /**** Definição de variáveis *****/
        $Xrand = '';
        $origem = '';
        $destino = '';
        $XnovoNome = '';

        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['mov']          = $_FILES['mov']['name'];
            $data['tipo_mov']     = $this->input->post('tipo_mov');
            if ( empty($_FILES['mov']['name'])){
                $data['path']         = 'Sem Arquivo';
            }  else {

                $Xrand =  mt_rand();

                $XnovoNome = strtolower($this->caracter_model->t5f_translit($_FILES['mov']['name']));

                $data['path']         = $this->input->post('path').$this->input->post('alterdata').'_E_'.$Xrand.'_'.$XnovoNome;
            }

            $data['client']       = $this->input->post('client');
            $data['category']     = $this->input->post('category');
            $data['desc_mov']     = $this->input->post('desc_mov');
            $data['quantity']     = $this->input->post('quantity');
            $data['valor']        = str_replace(',','.',$this->input->post('valor'));
            $data['date']         = date('Y-m-d',strtotime(str_replace('/', '-',$this->input->post('date'))));
            $data['alt_date']     = $this->input->post('alt_date');
            $data['status']       = $this->input->post('status');
            $this->db->insert('mov', $data);

            move_uploaded_file($_FILES['mov']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_E_'.$Xrand.'_'.$XnovoNome);
            $this->session->set_flashdata('flash_message', 'Movimento Salvo!');

            $XFiltroCli = $this->input->post('client');

            $XFiltro = date('Y-m',strtotime($this->input->post('date')));

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/rel_client/', 'refresh');
        }
        if ($param1 == 'create_saida') {

            $data['mov']          = $_FILES['mov']['name'];
            $data['tipo_mov']     = $this->input->post('tipo_mov');
            if ( empty($_FILES['mov']['name'])){
                $data['path']         = 'Sem Arquivo';
            }  else {

                $Xrand =  mt_rand();

                $XnovoNome = strtolower($this->caracter_model->t5f_translit($_FILES['mov']['name']));

                $data['path']         = $this->input->post('path').$this->input->post('alterdata').'_S_'.$Xrand.'_'.$XnovoNome;
            }

            $data['client']       = $this->input->post('client');
            $data['category']     = $this->input->post('category');
            $data['desc_mov']     = $this->input->post('desc_mov');
            $data['quantity']     = $this->input->post('quantity');
            $data['valor']        = str_replace(',','.',$this->input->post('valor'))*(-1);
            $data['date']         = date('Y-m-d',strtotime(str_replace('/', '-',$this->input->post('date'))));
            $data['alt_date']     = $this->input->post('alt_date');
            $data['status']       = $this->input->post('status');
            $this->db->insert('mov', $data);

            move_uploaded_file($_FILES['mov']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_S_'.$Xrand.'_'.$XnovoNome);
            $this->session->set_flashdata('flash_message', 'Movimento Salvo!');

            $XFiltroCli = $this->input->post('client');
            $XFiltro = date('Y-m',strtotime($this->input->post('date')));

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);


            redirect(base_url() . 'index.php?admin/rel_client/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['mov']          = $this->input->post('mov');
            $data['tipo_mov']     = $this->input->post('tipo_mov');
            $data['path']         = $this->input->post('path');
            $data['client']       = $this->input->post('client');
            $data['category']     = $this->input->post('category');
            $data['desc_mov']     = $this->input->post('desc_mov');
            $data['quantity']     = $this->input->post('quantity');
            $data['valor']        = str_replace(',','.',$this->input->post('valor'));
            $data['date']         = $this->input->post('date');
            $data['alt_date']     = $this->input->post('alt_date');
            $data['status']       = $this->input->post('status');
            $this->db->where('mov_id', $param2);
            $this->db->update('mov', $data);

            $XFiltroCli = $this->input->post('client');

            $XFiltro = date('Y-m',strtotime($this->input->post('date')));

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/rel_client/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile'] = true;
            $page_data['current_file_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('mov', array(
                'mov_id' => $param2
            ))->result_array();

        }
        if ($param1 == 'delete') {

            $Xdados = $this->db->get_where('mov', array('mov_id' => $param2))->result_array();
            //print_r($Xdados);

            foreach($Xdados as $row):
                $origem = $row['path'];
                $destino = $origem;

                $XFiltroCli = $row['client'];
                $XFiltro = date('Y-m',strtotime($row['date']));
            endforeach;
            //print_r($origem);

            if ( $origem != 'Sem Arquivo' ){


                $destino =  str_replace('/mov/','/_lixo/', $destino);
                //print_r($destino);

                copy($origem, $destino);
                unlink($origem);
            }

            $this->db->where('mov_id', $param2);
            $this->db->delete('mov');
            $this->session->set_flashdata('flash_message', 'Arquivo Deletado!');

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/rel_client/', 'refresh');

        }
        if ($param1 == 'visualizar') {

            //$caminho =  $this->db->get_where('mov', array('mov_id' => $param2))->result_array();
            echo   'id cliente:'.$this->input->post('client') ;
            echo   ' - ' ;
            echo   'id movimento:'.$this->input->post('mov_id') ;
            redirect(base_url() . 'index.php?admin/rel_client/', 'refresh');
        }
        if ($param1 == 'consulta_cliente') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltroCli = $this->input->post('cliente');

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);

            redirect(base_url() . 'index.php?admin/rel_client/', 'refresh');
        }
        if ($param1 == 'historico') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltro = $this->input->post('data_ano').'-'.$this->input->post('data_mes');
            $XFiltroCli = $this->input->post('cliente');

            //var_dump($XFiltroCli);

            $this->session->set_flashdata('XFiltro', $XFiltro);
            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);

            redirect(base_url() . 'index.php?admin/rel_client/', 'refresh');
        }
        if ($param1 == 'marca_contabilizado') {

            $XFiltroCli = $this->input->post('cliente');

            $XFiltro = date('Y-m', strtotime($this->input->post('data')));

            $data['status'] = 'contabilizado';
            $this->db->where('client', $XFiltroCli);
            $this->db->where("DATE_FORMAT(date,'%Y-%m') =", $XFiltro);
            $this->db->update('mov', $data);

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/rel_client/', 'refresh');
        }
        if ($param1 == 'desmarca_contabilizado') {

            $XFiltroCli = $this->input->post('cliente');

            $XFiltro = date('Y-m', strtotime($this->input->post('data')));

            $data['status'] = 'a contabilizar';
            $this->db->where('client', $XFiltroCli);
            $this->db->where("DATE_FORMAT(date,'%Y-%m') =", $XFiltro);
            $this->db->update('mov', $data);


            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/rel_client/', 'refresh');
        }
        $page_data['client']     = $this->db->get('client')->result_array();
        $page_data['page_name']  = 'rel_clientes';
        $page_data['page_icon'] = 'user';
        $page_data['page_title'] = 'Clientes';
        $this->load->view('index', $page_data);
    }    

    /**** FIN |-> Financeiro - Boletos ****/
    function fin_boleto($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        
        if ($param1 == 'create') {
        
//print($this->input->post('valor_original')) ;
        
            $data['cliente'] = $this->input->post('cliente');
            $data['nome'] = $this->db->get_where('client', array('client_id' => $this->input->post('cliente')))->row()->alterdata;
            $data['obs'] = $this->input->post('obs');
            $data['ano'] = $this->input->post('ano');
            $data['mes'] = $this->input->post('mes');
            $data['emissao'] = $this->input->post('emissao');
            $data['vencimento'] = date('Y-m-d',strtotime(str_replace('/', '-',$this->input->post('vencimento'))));
            $data['pagamento'] = $this->input->post('pagamento');
            $data['valor_original'] = str_replace(',','.',str_replace('.','',$this->input->post('valor_original')));
            $data['valor_a_receber'] = str_replace(',','.',str_replace('.','',$this->input->post('valor_original')));
            $data['valor_recebido'] = $this->input->post('valor_recebido');
            $data['tipo_transacao'] = $this->input->post('tipo_transacao');
            $data['plano'] = $this->input->post('plano');
            $data['cod_transacao'] = $this->input->post('cod_transacao');
            $data['link_transacao'] = $this->input->post('link_transacao');
            $data['taxa_transacao'] = $this->input->post('taxa_transacao');
            $data['valor_pago_operadora'] = $this->input->post('valor_pago_operadora');
            $data['status'] = $this->input->post('status');
            $this->db->insert('client_mensalidade', $data);

            $this->session->set_flashdata('flash_message', 'Boleto Registrado com Sucesso - Executar passos abaixo!');

            redirect(base_url() . 'index.php?admin/fin_boleto/', 'refresh');
        }            

        //$page_data['fin']        =  $this->db->get_where('recibo', array('client' => ''))->result_array();
        $page_data['page_name']  = 'fin_boleto';
        $page_data['page_icon']  = 'search';
        $page_data['page_title'] = 'Geração de Boleto - Cliente';
        $this->load->view('index', $page_data);
    }

    /**** FIN |-> Financeiro - ZOOP ****/
    function financeiro_zoop($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');

        if ($param1 == 'cancelar') {

            $Xdados = $this->db->get_where('client_mensalidade', array('client_mensalidade_id' => $param2))->result_array();
            //print_r($Xdados);

            foreach($Xdados as $row):
              //$origem   = $row['path'];
              $cliente  = $row['cliente'];
              $id  = $row['client_mensalidade_id'];
              $valor = $row['valor_original'];
              $link = $row['link_transacao'];
              //$destino  = $origem;
            endforeach;
            //print_r($origem);


            // Geração do Log   ------------------------------------------------
            $log['admin']        = $this->session->userdata('admin_id');
            $log['client']       = $cliente;
            $log['path']         = 'ID Boleto Cancelado:'.$id.' valor: '.$valor.' BOLETO: '.$link;
                $format = 'DATE_W3C';
                $time = time();
            $log['date']         = standard_date($format, $time) ;
            $log['tipo']         = 'boleto';
            $this->db->insert('log', $log);
            // FIM - Geração do Log   ------------------------------------------

            
            $data['valor_a_receber']       = '0.00'; 
            $data['status']       = 'cancelado';
            $this->db->where('client_mensalidade_id', $param2);
            $this->db->update('client_mensalidade', $data);
            
                       
            $data_up['status']  = 'cancelado';
            $this->db->where('path', $link);
            $this->db->update('files', $data_up);
            
            
            $this->session->set_flashdata('flash_message', 'Boleto Cancelado!');
            //redirect(base_url() . 'index.php?admin/financeiro_zoop/', 'refresh');
            
        }            
        

        $page_data['zoop']        =  $this->db->get('w_mensalidade_zoop')->result_array();
        $page_data['page_name']  = 'financeiro_zoop';
        $page_data['page_icon']  = 'search';
        $page_data['page_title'] = 'Relatório de Pagamento - ZOOP';
        $this->load->view('index', $page_data);
    }
    /**** FIN |-> Financeiro - Inadimplentes e Bloqueados - ZOOP ****/
    function financeiro_zoop_inad_bloq($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');

        if ($param1 == 'cancelar') {

            $Xdados = $this->db->get_where('client_mensalidade', array('client_mensalidade_id' => $param2))->result_array();
            //print_r($Xdados);

            foreach($Xdados as $row):
              //$origem   = $row['path'];
              $cliente  = $row['cliente'];
              $id  = $row['client_mensalidade_id'];
              $valor = $row['valor_original'];
              $link = $row['link_transacao'];
              //$destino  = $origem;
            endforeach;
            //print_r($origem);


            // Geração do Log   ------------------------------------------------
            $log['admin']        = $this->session->userdata('admin_id');
            $log['client']       = $cliente;
            $log['path']         = 'ID Boleto Cancelado:'.$id.' valor: '.$valor.' BOLETO: '.$link;
                $format = 'DATE_W3C';
                $time = time();
            $log['date']         = standard_date($format, $time) ;
            $log['tipo']         = 'boleto';
            $this->db->insert('log', $log);
            // FIM - Geração do Log   ------------------------------------------

            
            $data['valor_a_receber']       = '0.00'; 
            $data['status']       = 'cancelado';
            $this->db->where('client_mensalidade_id', $param2);
            $this->db->update('client_mensalidade', $data);
            
                       
            $data_up['status']  = 'cancelado';
            $this->db->where('path', $link);
            $this->db->update('files', $data_up);
            
            
            $this->session->set_flashdata('flash_message', 'Boleto Cancelado!');
            //redirect(base_url() . 'index.php?admin/financeiro_zoop/', 'refresh');
            
        }            

        if ($param1 == 'gera_notificacao') {

            $XlogInadimplentes = ''; 
            $XlogBloqueados = ''; 
            $XlogCancelado = '';
            $XlogLiberados = '';
            $xOBS = '';
            $XlogWorkflowInadimplentes='';
            $XlogWorkflowBloqueados='';
            

            // Libera clientes
            // WRP - 20190801 - $Xdados_liberado = $this->db->query("SELECT c.client_id as id,c.alterdata, c.name as nome, c.email, c.contact as contato, c.status,b.id_mensalidade FROM w_client_status c left join w_cliente_mensalidade_aviso b on c.client_id=b.cliente WHERE status in ('inadimplemente','bloqueado') and b.id_mensalidade is null")->result_array();
            
            $Xdados_liberado = $this->db->query("SELECT c.client_id as id
            ,c.alterdata
            ,c.name as nome
            ,c.email
            ,c.contact as contato
            ,c.status
            ,b.id_mensalidade 
            FROM w_client_status c 
            left join w_cliente_mensalidade_aviso b on c.client_id=b.cliente 
            left join ( select cliente, sum(dias_vencido) as dias_vencidos from w_cliente_mensalidade_aviso group by cliente ) a
            on c.client_id=a.cliente
            WHERE status in ('inadimplente','bloqueado') 
            and (dias_vencidos < 19 or b.id_mensalidade is null ) ")->result_array();  
            
                      
            foreach($Xdados_liberado as $row2){
              //$origem   = $row['path'];
              $cliente2  = $row2['id'];
              $nome2  = $row2['nome'];
              $alterdata2  = $row2['alterdata'];
              $email2  = $row2['email'];
              $status2  = $row2['status'];
              $contato2  = $row2['contato'];
            
              $data_up2['status']  = 'ativo';
              $data_up2['alt_date']  = date('Y-m-d H:i:s');
              $data_up2['obs']  = 'Liberado por Automação';
              $this->db->where('client', $cliente2);
              $this->db->update('client_status', $data_up2); 
            
              // gera log
              if ($XlogLiberados == '') {
                   $XlogLiberados = 'C: '.$cliente2.' | A: '.$alterdata2.' | N: '.$nome2.' | E: '.$email2.'<br />';
              } else {
              $XlogLiberados = 'C: '.$cliente2.' | A: '.$alterdata2.' | N: '.$nome2.' | E: '.$email2.'<br />'.$XlogLiberados;                        
              }
              
              if ($status2 == 'bloqueado') {
              $this->email_model->envia_email_aviso_desbloqueio($contato2, $email2);
              }
            
            }
            
            $Xdados = $this->db->query("select id_mensalidade, cliente, alterdata, nome, email, telefone, valor, vencimento, link_transacao, dias_vencido, aviso, aviso_data, plano from w_cliente_mensalidade_aviso where plano='M'")->result_array();
            //print_r($Xdados);
            

            foreach($Xdados as $row){
              //$origem   = $row['path'];
              $id  = $row['id_mensalidade'];
              $cliente  = $row['cliente'];
              $nome  = $row['nome'];
              $alterdata  = $row['alterdata'];
              $email  = $row['email'];
              $telefone  = $row['telefone'];
              $valor = $row['valor'];
              $vencimento = $row['vencimento'];
              $link = $row['link_transacao'];
              $d_venc = $row['dias_vencido'];
              $aviso = $row['aviso'];
              $aviso_data = $row['aviso_data'];
              $plano = $row['plano'];
              $tipo_envio = '';
              $texto = '';
              $texto2 = '';
              
              //Status Cliente
              $XStatusCliente = $this->db->get_where('client_status', array('client' => $cliente))->row()->status;
              
              // Envio Email
              $Xcontato       = $this->db->get_where('client', array('client_id' => $cliente))->row()->contact;
              $Xemail         = $email;
              $Xtipo_arquivo  = 'Boletos de Cobrança';
              $Xarquivo       = $link;
              $Xdata_vencimento = date('d/m/Y', strtotime($vencimento));
              $Xtel = str_replace('-','',str_replace(' ','',$telefone));
              $Xndigitos=  strlen($Xtel);
              
  
              
              //$Xdados = $this->db->query("select  from w_mensalidade_zoop where status='enviado' and w_mensalidade_zoop<>'cancelado'")->result_array();
/*              
              $xverifica_id = '';
              
              $xverifica_id = $this->db->query("select count(*) as verifica from client_mensalidade_avisos where client_mensalidade='.$id.'")->row()->verifica;
              
              if (empty($xverifica_id)){
              
                $data_client_mensalidade['client_mensalidade'] = $id;
                $this->db->insert('client_mensalidade_avisos', $data_client_mensalidade);
              
              }
*/              
              if ($d_venc == '0' & $aviso != '0'){
              
              $texto = "CONTSIMPLES: Seu boleto da mensalidade vence hoje! Pague em dia e evite multa e juros.";
              $text2 = "".$link.""; 
              
              $data_up['aviso']  = '0';
              $data_up['aviso_data']  = date('Y-m-d H:i:s');
              $this->db->where('client_mensalidade_id', $id);
              $this->db->update('client_mensalidade', $data_up);
              $tipo_envio = '0';
              
              $this->email_model->envia_email_postagem_boleto_mensalidade_vence_hj($Xcontato, $Xemail, $Xtipo_arquivo,$Xarquivo, $Xdata_vencimento); 
              
              } elseif ($d_venc >= '3' & $d_venc <= '5' & $aviso == '0') {
              
              $texto = "CONTSIMPLES: Ainda não identificamos o pagamento da sua mensalidade. Acesse o link para visualizar o boleto:";
              $text2 = "".$link."";
              
              $data_up['aviso']  = '5';
              $data_up['aviso_data']  = date('Y-m-d H:i:s');
              $this->db->where('client_mensalidade_id', $id);
              $this->db->update('client_mensalidade', $data_up);
              $tipo_envio = '5';   
              
              $this->email_model->envia_email_postagem_boleto_mensalidade_vencido($Xcontato, $Xemail, $Xtipo_arquivo,$Xarquivo, $Xdata_vencimento);

            } elseif ($d_venc >= '9' & $d_venc <= '11' & $aviso == '5') {
              
              $texto = "CONTSIMPLES: Sua mensalidade deste mês venceu no dia 15, mas ainda não foi paga. Acesse o link para visualizar o boleto:";
              $text2 = "".$link."";
              
              $data_up['aviso']  = '10';
              $data_up['aviso_data']  = date('Y-m-d H:i:s');
              $this->db->where('client_mensalidade_id', $id);
              $this->db->update('client_mensalidade', $data_up);
              $tipo_envio = '10';   
              
              $this->email_model->envia_email_postagem_boleto_mensalidade_15dias($Xcontato, $Xemail, $Xtipo_arquivo,$Xarquivo, $Xdata_vencimento);
              
              } elseif ($d_venc >= '19' & $d_venc <= '21' & $aviso == '10'){
              
              $texto = "CONTSIMPLES: Sua mensalidade ainda não foi paga, evite o bloqueio da sua conta. Acesse o link para visualizar o boleto:";
              $text2 = "".$link."";
              
              $data_up['aviso']  = '20';
              $data_up['aviso_data']  = date('Y-m-d H:i:s');
              $this->db->where('client_mensalidade_id', $id);
              $this->db->update('client_mensalidade', $data_up);
              $tipo_envio = '20'; 
              
              if ($XStatusCliente == 'ativo') {
                // coloca o cliente como inadimplente
                $xOBS = @$this->db->query("select concat(trim(alt_date),' - ',trim(status),': ',obs) as obs from client_status where client='.$cliente.'")->row()->obs;
                if (empty($xOBS)){
                 $xOBS = date('Y-m-d H:i:s').' - Inadimplente';
                } else{
                $xOBS = date('Y-m-d H:i:s').' - Inadimplente | '.$xOBS;   
                }
                
                $data_up2['status']  = 'inadimplente';
                $data_up2['alt_date']  = date('Y-m-d H:i:s');
                $data_up2['obs']  = $xOBS;
                $this->db->where('client', $cliente);
                $this->db->update('client_status', $data_up2); 
                
                // gera log
                if ($XlogInadimplentes == '') {
                     $XlogInadimplentes = 'C: '.$cliente.' | A: '.$alterdata.' | N: '.$nome.' | E: '.$email.' | M: '.$vencimento.' | V: '.$valor.'<br />';
                } else {
                $XlogInadimplentes = 'C: '.$cliente.' | A: '.$alterdata.' | N: '.$nome.' | E: '.$email.' | M: '.$vencimento.' | V: '.$valor.'<br />'.$XlogInadimplentes;                        
                }
                // fim - gera log
              }
              
              $this->email_model->envia_email_postagem_boleto_mensalidade_20dias($Xcontato, $Xemail, $Xtipo_arquivo,$Xarquivo, $Xdata_vencimento);   
              
              } elseif ($d_venc >= '38' & $d_venc <= '40' & $aviso == '20') {
              
              $texto = "CONTSIMPLES: Sua mensalidade do mês ainda não foi paga, evite o bloqueio de sua conta. Acesse o link para visualizar o boleto:";
              $text2 = "".$link."";
              
              $data_up['aviso']  = '40';
              $data_up['aviso_data']  = date('Y-m-d H:i:s');
              $this->db->where('client_mensalidade_id', $id);
              $this->db->update('client_mensalidade', $data_up);
              $tipo_envio = '40'; 
              
              //gera workflow de ligação
              if ($XlogWorkflowInadimplentes == '') {
                   $XlogWorkflowInadimplentes = 'C: '.$cliente.' | A: '.$alterdata.' | N: '.$nome.' | T: '.$Xtel.' | M: '.$vencimento.' | V: '.$valor.'<br />';
              } else {
              $XlogWorkflowInadimplentes = 'C: '.$cliente.' | A: '.$alterdata.' | N: '.$nome.' | T: '.$Xtel.' | M: '.$vencimento.' | V: '.$valor.'<br />'.$XlogWorkflowInadimplentes;                        
              }
              
              
              $this->email_model->envia_email_postagem_boleto_mensalidade_vencido($Xcontato, $Xemail, $Xtipo_arquivo,$Xarquivo, $Xdata_vencimento);  
              
              
              } elseif ($d_venc >= '61' & $d_venc <= '63' & $aviso == '40') {
              
              $texto = "CONTSIMPLES: Infelizmente seu acesso foi temporariamente bloqueado.";
              //$text2 = "".$link."";
              $text2 = "Verifique seu e-mail ou entre em contato no financeiro@contsimples.com.br para mais informações.";

              $data_up['aviso']  = '61';
              $data_up['aviso_data']  = date('Y-m-d H:i:s');
              $this->db->where('client_mensalidade_id', $id);
              $this->db->update('client_mensalidade', $data_up);
              $tipo_envio = '61'; 
              
              if ($XStatusCliente == 'inadimplente') {
              
                  //ver obs              
                  $xOBS = @$this->db->query("select concat(trim(alt_date),' - ',trim(status),': ',obs) as obs from client_status where client='.$cliente.'")->row()->obs;
                  if (empty($xOBS)){
                   $xOBS = date('Y-m-d H:i:s').' - Bloqueado';
                  } else{
                  $xOBS = date('Y-m-d H:i:s').' - Bloqueado | '.$xOBS;   
                  }
                  
                  $data_up2['status']  = 'bloqueado';
                  $data_up2['alt_date']  = date('Y-m-d H:i:s');
                  $data_up2['obs']  = $xOBS;
                  $this->db->where('client', $cliente);
                  $this->db->update('client_status', $data_up2); 
                  
                  // gera log
                  if ($XlogBloqueados == '') {
                       $XlogBloqueados = 'C: '.$cliente.' | A: '.$alterdata.' | N: '.$nome.' | E: '.$email.' | M: '.$vencimento.' | V: '.$valor.'<br />';
                  } else {
                  $XlogBloqueados = 'C: '.$cliente.' | A: '.$alterdata.' | N: '.$nome.' | E: '.$email.' | M: '.$vencimento.' | V: '.$valor.'<br />'.$XlogBloqueados;                        
                  }
                  // fim - gera log  
              }
              $this->email_model->envia_email_postagem_boleto_mensalidade_bloqueado($Xcontato, $Xemail, $Xtipo_arquivo,$Xarquivo, $Xdata_vencimento);  
              
              
              } elseif ($d_venc >= '73' & $d_venc <= '75' & $aviso == '61') {
              
              $texto = "CONTSIMPLES: Sua conta ainda está bloqueada, entre em contato para regularização dos débitos.";
              //$text2 = "".$link."";
              $text2 = "Falta pouco para encerrar o prazo para regularização e sua conta pode ser cancelada!";

              $data_up['aviso']  = '75';
              $data_up['aviso_data']  = date('Y-m-d H:i:s');
              $this->db->where('client_mensalidade_id', $id);
              $this->db->update('client_mensalidade', $data_up);
              $tipo_envio = '75'; 
              
              // gera workflow de ligação
              if ($XlogWorkflowBloqueados == '') {
                   $XlogWorkflowBloqueados = 'C: '.$cliente.' | A: '.$alterdata.' | N: '.$nome.' | T: '.$Xtel.' | M: '.$vencimento.' | V: '.$valor.'<br />';
              } else {
              $XlogWorkflowBloqueados = 'C: '.$cliente.' | A: '.$alterdata.' | N: '.$nome.' | T: '.$Xtel.' | M: '.$vencimento.' | V: '.$valor.'<br />'.$XlogWorkflowBloqueados;                        
              }
              
              $this->email_model->envia_email_postagem_boleto_mensalidade_bloqueado($Xcontato, $Xemail, $Xtipo_arquivo,$Xarquivo, $Xdata_vencimento);  
              
              
              } elseif ($d_venc >= '79' & $d_venc <= '81' & $aviso == '75') {
              
              // Extra Judicial
              $texto = "CONTSIMPLES: Sua conta ainda está bloqueada, entre em contato para regularização dos débitos.";
              //$text2 = "".$link."";
              $text2 = "Falta pouco para encerrar o prazo para regularização e sua conta pode ser cancelada!";

              $data_up['aviso']  = '81';
              $data_up['aviso_data']  = date('Y-m-d H:i:s');
              $this->db->where('client_mensalidade_id', $id);
              $this->db->update('client_mensalidade', $data_up);
              $tipo_envio = '75'; 
              
              $this->email_model->envia_email_aviso_extrajudicial($Xcontato, $Xemail, $Xtipo_arquivo,$Xarquivo, $Xdata_vencimento);  
              
              
              } elseif ($d_venc >= '84' & $d_venc <= '86' & $aviso == '81') {
              
              // Extra Judicial
              $texto = "CONTSIMPLES: Sua conta ainda está bloqueada, entre em contato para regularização dos débitos.";
              //$text2 = "".$link."";
              $text2 = "Falta pouco para encerrar o prazo para regularização e sua conta pode ser cancelada!";

              $data_up['aviso']  = '84';
              $data_up['aviso_data']  = date('Y-m-d H:i:s');
              $this->db->where('client_mensalidade_id', $id);
              $this->db->update('client_mensalidade', $data_up);
              $tipo_envio = '75'; 
              
              $this->email_model->envia_email_aviso_extrajudicial($Xcontato, $Xemail, $Xtipo_arquivo,$Xarquivo, $Xdata_vencimento);  
              
              
              } elseif ($d_venc > '90' & $aviso == '84') {
              
              $texto = "CONTSIMPLES: Aviso de cancelamento de conta. ";
              $text2 = "Verifique seu e-mail ou entre em contato para mais informações.";

              $data_up['aviso']  = '90';
              $data_up['aviso_data']  = date('Y-m-d H:i:s');
              $this->db->where('client_mensalidade_id', $id);
              $this->db->update('client_mensalidade', $data_up);
              $tipo_envio = '90'; 

              
              if ($XStatusCliente == 'bloqueado') {
              
                  $xOBS = @$this->db->query("select concat(trim(alt_date),' - ',trim(status),': ',obs) as obs from client_status where client='.$cliente.'")->row()->obs;
                  if (empty($xOBS)){
                   $xOBS = date('Y-m-d H:i:s').' - Cancelado';
                  } else{
                  $xOBS = date('Y-m-d H:i:s').' - Cancelado | '.$xOBS;   
                  }
                  
                  $data_up2['status']  = 'cancelado';
                  $data_up2['alt_date']  = date('Y-m-d H:i:s');
                  $data_up2['obs']  = $xOBS;
                  $this->db->where('client', $cliente);
                  $this->db->update('client_status', $data_up2);  
                  
                  
                  // gera log
                  if ($XlogCancelado == '') {
                       $XlogCancelado = 'C: '.$cliente.' | A: '.$alterdata.' | N: '.$nome.' | E: '.$email.' | M: '.$vencimento.' | V: '.$valor.'<br />';
                  } else {
                  $XlogCancelado = 'C: '.$cliente.' | A: '.$alterdata.' | N: '.$nome.' | E: '.$email.' | M: '.$vencimento.' | V: '.$valor.'<br />'.$XlogCancelado;                        
                  }
                  // fim - gera log  
              }              
              $this->email_model->envia_email_postagem_boleto_mensalidade_cancelado($Xcontato, $Xemail, $Xtipo_arquivo,$Xarquivo, $Xdata_vencimento);  
              
              
              }  
               
 
              if ($Xndigitos == '11' & $tipo_envio != ''){
              
/*              
              $data_up2['aviso']  = $tipo_envio.'-SMS';
              $this->db->where('client_mensalidade_id', $id);
              $this->db->update('client_mensalidade', $data_up2);
*/              
              
              
                // Envio dos SMS
                $cel =  "55".$telefone;
                //$texto = "Seja bem vindo! Agora você é um cliente ContSimples! :)";  //mensagem do SMS
                //$text2 = ""; //pulou linha SMS
                
                $curl = curl_init();
                
                curl_setopt_array($curl, array(
                  CURLOPT_URL => "https://api-messaging.movile.com/v1/send-sms",
                  CURLOPT_RETURNTRANSFER => true,
                  CURLOPT_ENCODING => "",
                  CURLOPT_MAXREDIRS => 10,
                  CURLOPT_TIMEOUT => 30,
                  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                  CURLOPT_CUSTOMREQUEST => "POST",
                  CURLOPT_POSTFIELDS => "{\"destination\": \"$cel\" ,  \"messageText\": \"$texto\\n $text2\"}",
                  CURLOPT_HTTPHEADER => array(
                    "authenticationtoken: 8Msgd-ssyJcQztR-XZH28suE1EWTCS9cweWDkXB7",
                    "username: ContSimples Contabilidade LTDA",
                    "content-type: application/json"
                  ),
                ));
                
                $response = curl_exec($curl);
                $err = curl_error($curl);
                
                curl_close($curl);
                
                if ($err) {
                  echo "cURL Error #:" . $err;
                } else {
                  //echo $response;
                    //$obj = json_decode($response);
      
                    //$id_trans = $obj->id;
  
                } // FIM Sucesso Response - SMS
             
              } // FIM do teste de digitos dos numeros
              
              //$destino  = $origem;
            }  // FIM do FOREACH  
            //print_r($origem);

            if ( $XlogInadimplentes != '' || $XlogBloqueados != '' || $XlogCancelado != '' || $XlogLiberados != '') {

            $this->email_model->envia_log_notificacao_cliente($XlogInadimplentes, $XlogBloqueados, $XlogCancelado, $XlogLiberados) ;
            
            }
            
            if ( $XlogWorkflowInadimplentes != '' || $XlogWorkflowBloqueados != '') {

            $this->email_model->workflow_ligar($XlogWorkflowInadimplentes, $XlogWorkflowBloqueados) ;
            
            }

            $this->session->set_flashdata('flash_message', 'Notificações Atualizadas');
            redirect(base_url() . 'index.php?admin/financeiro_zoop_inad_bloq/', 'refresh');           
        
        }  // FIM  -  gera_notificacao
        
        $XQuery = "select i.*, l.ultimo_acesso, (to_days(now()) - to_days(l.ultimo_acesso)) as dias_sem_acesso from w_cliente_mensalidade_aviso i left join w_log_ultimo_acesso_cliente l on i.cliente=l.client where status_boleto not in ('pago','cancelado')";  

        $page_data['zoop']        =   @$this->db->query($XQuery)->result_array();
        $page_data['page_name']  = 'financeiro_zoop_inad_bloq';
        $page_data['page_icon']  = 'search';
        $page_data['page_title'] = 'Relatório Inadimplente e Bloqueados';
        $this->load->view('index', $page_data);        
        

    } // FIM - financeiro_zoop_inad_bloq


    /**** FIN |-> Financeiro - Relatório ****/
    function financeiro_relatorio($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');

        if ($param1 == 'historico') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltro = $this->input->post('data_ano').'-'.$this->input->post('data_mes');
            //$XFiltroCli = $this->input->post('cliente');

            //var_dump($XFiltroCli);

            $this->session->set_flashdata('XFiltro', $XFiltro);
            //$this->session->set_flashdata('XFiltroCli', $XFiltroCli);

            redirect(base_url() . 'index.php?admin/financeiro_relatorio/', 'refresh');
        }

        //$page_data['financeiro_log_cancelados'] =  $this->db->query("select * from w_log where tipo='boleto'")->result_array();
        $page_data['page_name']  = 'financeiro_relatorio';
        $page_data['page_icon']  = 'icon-bar-chart';
        $page_data['page_title'] = 'Relatório Financeiro Consolidado';
        $this->load->view('index', $page_data);
    }

    /**** FIN |-> Financeiro - LOG Cancelados ****/
    function financeiro_log_cancelados($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');

        $page_data['financeiro_log_cancelados'] =  $this->db->query("select * from w_log where tipo='boleto'")->result_array();
        $page_data['page_name']  = 'financeiro_log_cancelados';
        $page_data['page_icon']  = 'icon-info-sign';
        $page_data['page_title'] = 'Relatório Cancelamento BOLETOS';
        $this->load->view('index', $page_data);
    }
            
    /**** FIN |-> Financeiro - Enviar Boletos ****/
    function fin_lancar($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['file']      = $this->input->post('file');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = date('Y-m-d', strtotime($this->input->post('date')));
            $data['ind_up']      = $this->input->post('ind_up');
            //$data['rate']      = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->insert('files', $data);
            redirect(base_url() . 'index.php?admin/fin_lancar/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['file']        = $this->input->post('file');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = date('Y-m-d', strtotime($this->input->post('date')));
            $data['ind_up']      = $this->input->post('ind_up');
            //$data['rate']      = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?admin/file_lancar/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile'] = true;
            $page_data['current_file_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('files', array(
                'file_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {

            $Xdados = $this->db->get_where('files', array('file_id' => $param2))->result_array();
            //print_r($Xdados);

            foreach($Xdados as $row):
              $origem   = $row['path'];
              $cliente  = $row['client'];
              $destino  = $origem;
            endforeach;
            //print_r($origem);

            $destino =  str_replace('/cob/','/_lixo/', $destino);
            $destino =  str_replace('/doc_cad/','/_lixo/', $destino);
            $destino =  str_replace('/doc_extra/','/_lixo/', $destino);
            $destino =  str_replace('/doc_fis/','/_lixo/', $destino);
            $destino =  str_replace('/guias/','/_lixo/', $destino);
            $destino =  str_replace('/mov/','/_lixo/', $destino);
            $destino =  str_replace('/rel/','/_lixo/', $destino);
            $destino =  str_replace('/xml/','/_lixo/', $destino);
            //print_r($destino);

            copy($origem, $destino);
            unlink($origem);

            //rename($destino,$destino.'_'.$this->session->userdata('admin_id'));

            //print_r($destino);


            // Geração do Log   ------------------------------------------------
            $log['admin']        = $this->session->userdata('admin_id');
            $log['client']       = $cliente;
            $log['path']         = $destino;
                $format = 'DATE_W3C';
                $time = time();
            $log['date']         = standard_date($format, $time) ;
            $log['tipo']         = 'deleted';
            $this->db->insert('log', $log);
            // FIM - Geração do Log   ------------------------------------------


            $this->db->where('file_id', $param2);
            $this->db->delete('files');
            $this->session->set_flashdata('flash_message', 'Arquivo Deletado!');
            redirect(base_url() . 'index.php?admin/fin_lancar/', 'refresh');
        }
        if ($param1 == 'upload_info') {

            $Xdescription = $this->db->get_where('product', array('product_id' => $this->input->post('product_id')))->row('description');
            //print_r($Xdescription);
            $Xalterdata = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row('alterdata');
            //print_r($Xalterdata);

            // status diferente para o arquivo boleto
            if ($this->input->post('product_id') == '60')
              {
                  $XStatus = 'a pagar';
              }
              else {
                    $XStatus = $this->input->post('status');
                   }


            $Xrand =  mt_rand();

            $XnovoNome = strtolower($this->caracter_model->t5f_translit($_FILES['file']['name']));

            $data['file']        = $this->input->post('file');
            $data['path']        = ($this->input->post('path').$Xalterdata.$Xdescription.$Xalterdata.'_'.$Xrand.'_'.$XnovoNome);
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product_id');
            $data['desc_file']   = $this->input->post('file');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['data_venc']   = $this->input->post('data_venc');
            $data['ind_up']      = $this->input->post('ind_up');
            $data['status']      = $XStatus;
            $this->db->insert('files', $data);

            move_uploaded_file($_FILES['file']['tmp_name'], ($this->input->post('path').$Xalterdata.$Xdescription.$Xalterdata.'_'.$Xrand.'_'.$XnovoNome));
            $this->session->set_flashdata('flash_message', 'Arquivo Enviado!!');

            // Envio Email
            $Xcontato       = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->contact;
            $Xemail         = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->email;
            $Xtipo_arquivo  = $this->db->get_where('product', array('product_id' => $this->input->post('product_id')))->row()->name;
            $Xarquivo       = ($this->input->post('path').$Xalterdata.$Xdescription.$this->input->post('client').'_'.$Xrand.'_'.$XnovoNome);

            // envio de email diferente para arquivos do tipo boleto
            if ($this->input->post('product_id') == '60')
            {
                $this->email_model->envia_email_postagem_boleto($Xcontato, $Xemail, $Xtipo_arquivo,$Xarquivo);
            }
            else {
                $this->email_model->envia_email_postagem($Xcontato, $Xemail, $Xtipo_arquivo,$Xarquivo);
            }


            // Geração do Log   ------------------------------------------------
            $log['admin']        = $this->session->userdata('admin_id');
            $log['client']       = $this->input->post('client');
            $log['path']         = ($this->input->post('path').$Xalterdata.$Xdescription.$Xalterdata.'_'.$Xrand.'_'.$XnovoNome);
            $format = 'DATE_W3C';
            $time = time();
            $log['date']         = standard_date($format, $time) ;
            $log['tipo']         = 'postagem';
            $this->db->insert('log', $log);
            // FIM - Geração do Log   ------------------------------------------

            redirect(base_url() . 'index.php?admin/file_lancar/', 'refresh');
        }

        $page_data['files']      = $this->db->get('w_files')->result_array();
        $page_data['page_name']  = 'fin_lancar';
        $page_data['page_icon']  = 'folder-close';
        $page_data['page_title'] = 'Gestão de Lançamento - Financeiro';
        $this->load->view('index', $page_data);
    }

/**** FIN |-> Financeiro - Enviar Boletos ZOOP ****/
    function fin_zoop_enviar($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['file']      = $this->input->post('file');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = date('Y-m-d', strtotime($this->input->post('date')));
            $data['ind_up']      = $this->input->post('ind_up');
            //$data['rate']      = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->insert('files', $data);
            redirect(base_url() . 'index.php?admin/fin_zoop_enviar/', 'refresh');
        }



        if ($param1 == 'gerar') {

            //$gerar = $this->db->get('w_mensalidade_zoop')->result_array();
            //$gerar = $this->db->get_where('w_mensalidade_zoop', array('cliente' => '212'))->result_array();
            
            $ano = date('Y');
            $mes = date('m');
            
            //$XQuery = "SELECT * FROM  w_mensalidade_zoop where status='pending' and valor_original > '0' and ano='".$ano."' and mes='".$mes."'";
            $XQuery = "SELECT * FROM  w_mensalidade_zoop where status='pending' and valor_original > '0'";  
            $gerar = @$this->db->query($XQuery)->result_array();

            foreach($gerar as $value){
                                 
                $data['file']        = $value['obs'];
                $data['path']        = $value['link_transacao'];
                $data['client']      = $value['cliente'];
                $data['product']     = '60';
                $data['desc_file']   = '';
                $data['quantity']    = '1';
                $data['valor']       = $value['valor_original'];
                $data['date']        = date('Y-m-d');
                $data['data_venc']   = $value['vencimento'];
                $data['ind_up']      = 'C';
                $data['status']      = 'a pagar';
                $this->db->insert('files', $data);
                
                $data_up['status']                 = 'enviado';
                $this->db->where('client_mensalidade_id', $value['id_mensalidade']);
                $this->db->update('client_mensalidade', $data_up);
    
                // Envio Email
                $Xcontato       = $this->db->get_where('client', array('client_id' => $value['cliente']))->row()->contact;
                $Xemail         = $this->db->get_where('client', array('client_id' => $value['cliente']))->row()->email;
                $Xtipo_arquivo  = 'Boletos de Cobrança';
                $Xarquivo       = $value['link_transacao'];
                $Xdata_vencimento = date('d/m/Y', strtotime($value['vencimento']));
                $Xtel = str_replace('-','',str_replace(' ','',$value['phone_number']));
                $Xndigitos=  strlen($Xtel);
    
                $this->email_model->envia_email_postagem_boleto_mensalidade($Xcontato, $Xemail, $Xtipo_arquivo,$Xarquivo, $Xdata_vencimento);

                if ($Xndigitos == '11'){
                
                  // Envio dos SMS
                  $cel =  "55".$Xtel;
                  $texto = "CONTSIMPLES: Sua mensalidade esta liberada na plataforma, ela vence em ".$Xdata_vencimento;  //mensagem do SMS
                  $text2 = $Xarquivo; //pulou linha SMS
                  
                  $curl = curl_init();
                  
                  curl_setopt_array($curl, array(
                    CURLOPT_URL => "https://api-messaging.movile.com/v1/send-sms",
                    CURLOPT_RETURNTRANSFER => true,
                    CURLOPT_ENCODING => "",
                    CURLOPT_MAXREDIRS => 10,
                    CURLOPT_TIMEOUT => 30,
                    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                    CURLOPT_CUSTOMREQUEST => "POST",
                    CURLOPT_POSTFIELDS => "{\"destination\": \"$cel\" ,  \"messageText\": \"$texto\\n $text2\"}",
                    CURLOPT_HTTPHEADER => array(
                      "authenticationtoken: 8Msgd-ssyJcQztR-XZH28suE1EWTCS9cweWDkXB7",
                      "username: ContSimples Contabilidade LTDA",
                      "content-type: application/json"
                    ),
                  ));
                  
                  $response = curl_exec($curl);
                  $err = curl_error($curl);
                  
                  curl_close($curl);
                  
                  if ($err) {
                    echo "cURL Error #:" . $err;
                  } else {
                    //echo $response;
                      //$this->session->set_flashdata('flash_message', 'SMS com Sucesso!');
                  } // FIM Sucesso Response - SMS
              
              }
              
              }
              $this->session->set_flashdata('flash_message', 'Boletos Enviados com Sucesso!');
              redirect(base_url() . 'index.php?admin/fin_boleto/', 'refresh');
            }

/*
            if ($param1 == 'teste') {


            
            $ano = date('Y');
            $mes = date('m');

              // Envio Email
              $Xcontato       = 'Wallace';
              $Xemail         = 'wallacepacheco@gmail.com';
              $Xtipo_arquivo  = 'Boletos de Cobrança';
              $Xarquivo       = 'https://api-boleto-production.s3.amazonaws.com/455dab55089544669690ec7a5b01cfa0/64117b36344b44dbbc1b6c4128e63c13/5c76f046f67c400bd7767340.html';
              $Xdata_vencimento = date('d/m/Y', strtotime('2019-07-15'));
              $Xtel = str_replace('-','',str_replace(' ','','21 2199447-2754 '));
              $Xndigitos=  strlen($Xtel);
  
  
              $this->email_model->envia_email_postagem_boleto_mensalidade($Xcontato, $Xemail, $Xtipo_arquivo,$Xarquivo, $Xdata_vencimento);

              $this->session->set_flashdata('flash_message', 'Boletos Enviados com Sucesso!');
              
              if ($Xndigitos == '11'){
                // Envio dos SMS
                $cel =  "55".$Xtel;
                $texto = "CONTSIMPLES: Sua mensalidade esta liberada na plataforma, ela vence em ".$Xdata_vencimento;  //mensagem do SMS
                $text2 = $Xarquivo; //pulou linha SMS
                
                $curl = curl_init();
                
                curl_setopt_array($curl, array(
                  CURLOPT_URL => "https://api-messaging.movile.com/v1/send-sms",
                  CURLOPT_RETURNTRANSFER => true,
                  CURLOPT_ENCODING => "",
                  CURLOPT_MAXREDIRS => 10,
                  CURLOPT_TIMEOUT => 30,
                  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                  CURLOPT_CUSTOMREQUEST => "POST",
                  CURLOPT_POSTFIELDS => "{\"destination\": \"$cel\" ,  \"messageText\": \"$texto\\n $text2\"}",
                  CURLOPT_HTTPHEADER => array(
                    "authenticationtoken: 8Msgd-ssyJcQztR-XZH28suE1EWTCS9cweWDkXB7",
                    "username: ContSimples Contabilidade LTDA",
                    "content-type: application/json"
                  ),
                ));
                
                $response = curl_exec($curl);
                $err = curl_error($curl);
                
                curl_close($curl);
                
                if ($err) {
                  echo "cURL Error #:" . $err;
                } else {
                  //echo $response;
                    $this->session->set_flashdata('flash_message', 'SMS com Sucesso!');
                } // FIM Sucesso Response - SMS
              } 
             redirect(base_url() . 'index.php?admin/fin_boleto/', 'refresh'); 
              
            }
*/
        
        if ($param1 == 'upload_info') {

            $Xdescription = $this->db->get_where('product', array('product_id' => $this->input->post('product_id')))->row('description');
            //print_r($Xdescription);
            $Xalterdata = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row('alterdata');
            //print_r($Xalterdata);

            // status diferente para o arquivo boleto
            if ($this->input->post('product_id') == '60')
              {
                  $XStatus = 'a pagar';
              }
              else {
                    $XStatus = $this->input->post('status');
                   }


//            $Xrand =  mt_rand();

//            $XnovoNome = strtolower($this->caracter_model->t5f_translit($_FILES['file']['name']));

            $data['file']        = 'Referente Mesalidade Fevereiro 2019';
            $data['path']        = $this->input->post('file');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product_id');
            $data['desc_file']   = $this->input->post('info');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['data_venc']   = $this->input->post('data_venc');
            $data['ind_up']      = $this->input->post('ind_up');
            $data['status']      = $XStatus;
            $this->db->insert('files', $data);

            // Envio Email
            $Xcontato       = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->contact;
            $Xemail         = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->email;
            $Xtipo_arquivo  = $this->db->get_where('product', array('product_id' => $this->input->post('product_id')))->row()->name;
            $Xarquivo       = $this->input->post('path');

            // envio de email diferente para arquivos do tipo boleto
            if ($this->input->post('product_id') == '60')
            {
                $this->email_model->envia_email_postagem_boleto($Xcontato, $Xemail, $Xtipo_arquivo,$Xarquivo);
            }
            else {
                $this->email_model->envia_email_postagem($Xcontato, $Xemail, $Xtipo_arquivo,$Xarquivo);
            }


            // Geração do Log   ------------------------------------------------
            $log['admin']        = $this->session->userdata('admin_id');
            $log['client']       = $this->input->post('client');
            $log['path']         = $this->input->post('path');
            $format = 'DATE_W3C';
            $time = time();
            $log['date']         = standard_date($format, $time) ;
            $log['tipo']         = 'postagem';
            $this->db->insert('log', $log);
            // FIM - Geração do Log   ------------------------------------------

            $this->session->set_flashdata('flash_message', 'Boleto Enviado com Sucesso!');

            redirect(base_url() . 'index.php?admin/fin_zoop_enviar/', 'refresh');
        }

        $page_data['fin']      = $this->db->get('w_mensalidade_zoop')->result_array();
        $page_data['page_name']  = 'fin_zoop_enviar';
        $page_data['page_icon']  = 'folder-close';
        $page_data['page_title'] = 'Gestão de Envio Boleto ZOOP';
        $this->load->view('index', $page_data);
    }



    /**** LOG |-> Acesso Consultar****/
    function log_acesso_consultar($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');

        $page_data['log']        =  $this->db->get('w_log_acesso')->result_array();
        $page_data['page_name']  = 'log_acesso_consultar';
        $page_data['page_icon']  = 'search';
        $page_data['page_title'] = 'LOGs - Acesso';
        $this->load->view('index', $page_data);
    }

      /**** LOG |-> SISTEMA Consultar ****/
    function log_sistema_consultar($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');

        $page_data['log']       =  $this->db->get('w_log')->result_array();
        $page_data['page_name']   = 'log_sistema_consultar';
        $page_data['page_icon']   = 'search';
        $page_data['page_title']  = 'LOGs - Sistema';
        $this->load->view('index', $page_data);
    }

    
    /****MANAGE Departamento Pessoal*/
    function dp_funcionarios($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {

            if ($this->input->post('trab_dias_seg') == 'on'){ $trab_seg = '1';}else{ $trab_seg = '0';};
            if ($this->input->post('trab_dias_ter') == 'on'){ $trab_ter = '1';}else{ $trab_ter = '0';};
            if ($this->input->post('trab_dias_qua') == 'on'){ $trab_qua = '1';}else{ $trab_qua = '0';};
            if ($this->input->post('trab_dias_qui') == 'on'){ $trab_qui = '1';}else{ $trab_qui = '0';};
            if ($this->input->post('trab_dias_sex') == 'on'){ $trab_sex = '1';}else{ $trab_sex = '0';};
            if ($this->input->post('trab_dias_sab') == 'on'){ $trab_sab = '1';}else{ $trab_sab = '0';};
            if ($this->input->post('trab_dias_dom') == 'on'){ $trab_dom = '1';}else{ $trab_dom = '0';};

            $data['cliente']                = $this->input->post('cliente');
            $data['dt_criacao']             = date('Y-m-d', strtotime($this->input->post('dt_criacao')));
            $data['dt_alteracao']           = date('Y-m-d', strtotime($this->input->post('dt_alteracao')));
            $data['nome']                   = $this->input->post('nome');
            $data['ddd_tel']                = $this->input->post('ddd_tel');
            $data['tel']                    = str_replace('-','',$this->input->post('tel'));
            $data['ddd_cel']                = $this->input->post('ddd_cel');
            $data['cel']                    = str_replace('-','',$this->input->post('cel'));
            $data['email']                  = $this->input->post('email');
            $data['endereco']               = $this->input->post('endereco');
            $data['end_n']                  = $this->input->post('end_n');
            $data['end_comp']               = $this->input->post('end_comp');
            $data['end_bairro']             = $this->input->post('end_bairro');
            $data['end_cidade']             = $this->input->post('end_cidade');
            $data['end_uf']                 = $this->input->post('end_uf');
            $data['end_cep']                = str_replace('.','',str_replace('-','',$this->input->post('end_cep')));
            $data['end_pais']               = $this->input->post('end_pais');
            $data['sexo']                   = $this->input->post('sexo');
            $data['estado_civil']           = $this->input->post('estado_civil');
            $data['cor_raca']               = $this->input->post('cor_raca');
            $data['escolaridade']           = $this->input->post('escolaridade');
            $data['nome_pai']               = $this->input->post('nome_pai');
            $data['nome_mae']               = $this->input->post('nome_mae');
            $data['dt_nasc']                = date('Y-m-d', strtotime($this->input->post('dt_nasc')));
            if ($data['dt_nasc']=='1969-12-31')
            { $data['dt_nasc'] = '';};
            $data['nasc_uf']                = $this->input->post('nasc_uf');
            $data['nasc_cidade']            = $this->input->post('nasc_cidade');
            $data['dt_admissao']            = date('Y-m-d', strtotime($this->input->post('dt_admissao')));
            if ($data['dt_admissao']=='1969-12-31')
            { $data['dt_admissao'] = '';};
            $data['pri_trab']               = $this->input->post('pri_trab');
            $data['contrato_experiencia']   = $this->input->post('contrato_experiencia');
            $data['contrato_dias']          = $this->input->post('contrato_dias');
            $data['dt_atestado']            = date('Y-m-d', strtotime($this->input->post('dt_atestado')));
            if ($data['dt_atestado']=='1969-12-31')
            { $data['dt_atestado'] = '';};
            $data['depto']                  = $this->input->post('depto');
            $data['funcao']                 = $this->input->post('funcao');
            $data['salario']                = str_replace(',','.',$this->input->post('salario'));
            $data['sindicato']              = $this->input->post('sindicato');
            $data['trab_hrs_entrada']       = $this->input->post('trab_hrs_entrada');
            $data['trab_hrs_saida']         = $this->input->post('trab_hrs_saida');
            $data['trab_hrs_intervalo']     = $this->input->post('trab_hrs_intervalo'); 
            $data['trab_hrs_intervalo_retorno']     = $this->input->post('trab_hrs_intervalo_retorno');
            $data['trab_dias']     = $trab_seg.','.$trab_ter.','.$trab_qua.','.$trab_qui.','.$trab_sex.','.$trab_sab.','.$trab_dom;
            $data['cpf']                    = str_replace('.','',str_replace('-','',$this->input->post('cpf')));
            $data['dic']                    = $this->input->post('dic');
            $data['dic_uf']                 = $this->input->post('dic_uf');
            $data['dic_exped']              = $this->input->post('dic_exped');
            $data['dic_dt_exped']           = date('Y-m-d', strtotime($this->input->post('dic_dt_exped')));
            if ($data['dic_dt_exped']=='1969-12-31')
            { $data['dic_dt_exped'] = '';};
            $data['ctps']                   = $this->input->post('ctps');
            $data['ctps_serie']             = $this->input->post('ctps_serie');
            $data['ctps_uf']                = $this->input->post('ctps_uf');
            $data['ctps_dt_emissao']        = date('Y-m-d', strtotime($this->input->post('ctps_dt_emissao')));
            if ($data['ctps_dt_emissao']=='1969-12-31')
            { $data['ctps_dt_emissao'] = '';};
            $data['titulo_eleitor']         = $this->input->post('titulo_eleitor');
            $data['titulo_eleitor_zona']    = $this->input->post('titulo_eleitor_zona');
            $data['titulo_eleitor_secao']   = $this->input->post('titulo_eleitor_secao');
            $data['pis']                    = $this->input->post('pis');
            $data['pis_dt_emissao']         = date('Y-m-d', strtotime($this->input->post('pis_dt_emissao')));
            if ($data['pis_dt_emissao']=='1969-12-31')
            { $data['pis_dt_emissao'] = '';};
            $data['cert_nasc']              = $this->input->post('cert_nasc');
            $data['cert_nasc_dt_emissao']   = date('Y-m-d', strtotime($this->input->post('cert_nasc_dt_emissao')));
            if ($data['cert_nasc_dt_emissao']=='1969-12-31')
            { $data['cert_nasc_dt_emissao'] = '';};
            $data['cert_nasc_termo']        = $this->input->post('cert_nasc_termo');
            $data['cert_nasc_livro']        = $this->input->post('cert_nasc_livro');
            $data['cert_nasc_folha']        = $this->input->post('cert_nasc_folha');
            $data['cert_nasc_cartorio']     = $this->input->post('cert_nasc_cartorio');
            $data['cert_nasc_uf']           = $this->input->post('cert_nasc_uf');
            $data['cert_nasc_cidade']       = $this->input->post('cert_nasc_cidade');
            $data['cnh']                    = $this->input->post('cnh');
            $data['cnh_dt_exp']             = date('Y-m-d', strtotime($this->input->post('cnh_dt_exp')));
            if ($data['cnh_dt_exp']=='1969-12-31')
            { $data['cnh_dt_exp'] = '';};
            $data['cnh_dt_venc']            = date('Y-m-d', strtotime($this->input->post('cnh_dt_venc')));
            if ($data['cnh_dt_venc']=='1969-12-31')
            { $data['cnh_dt_venc'] = '';};
            $data['cnh_cat']                = $this->input->post('cnh_cat');
            $data['cnh_org_emissor']        = $this->input->post('cnh_org_emissor');
            $data['cnh_dt_venc']            = date('Y-m-d', strtotime($this->input->post('cnh_dt_venc')));
            if ($data['cnh_dt_venc']=='1969-12-31')
            { $data['cnh_dt_venc'] = '';};
            $data['cnh_dt_pri']             = date('Y-m-d', strtotime($this->input->post('cnh_dt_pri')));
            if ($data['cnh_dt_pri']=='1969-12-31')
            { $data['cnh_dt_pri'] = '';};
            $data['cnh_dt_venc']            = date('Y-m-d', strtotime($this->input->post('cnh_dt_venc')));
            if ($data['cnh_dt_venc']=='1969-12-31')
            { $data['cnh_dt_venc'] = '';};
            $data['cr']                     = $this->input->post('cr');
            $data['cr_serie']               = $this->input->post('cr_serie');
            $data['cr_cat']                 = $this->input->post('cr_cat');
            $data['cr_reg_classe']          = $this->input->post('cr_reg_classe');
            $data['cr_org_emissor']         = $this->input->post('cr_org_emissor');
            $data['cr_dt_emissao']          = date('Y-m-d', strtotime($this->input->post('cr_dt_emissao')));
            if ($data['cr_dt_emissao']=='1969-12-31')
            { $data['cr_dt_emissao'] = '';};
            $data['cr_dt_validade']         = date('Y-m-d', strtotime($this->input->post('cr_dt_validade')));
            if ($data['cr_dt_validade']=='1969-12-31')
            { $data['cr_dt_validade'] = '';};
            $data['vl']                     = str_replace(',','.',$this->input->post('vl'));
            $data['vl_uni']                 = str_replace(',','.',$this->input->post('vl_uni'));
            $data['vl_qtde_dia']            = str_replace(',','.',$this->input->post('vl_qtde_dia'));
            $data['ferias_vencidas']        = $this->input->post('ferias_vencidas');
            $data['dt_demissao']            = '';
            $data['status']                 = 'A';
            $data['obs']                    = $this->input->post('obs');

            $this->db->insert('dp_funcionario', $data);

            // Envio Email
            //$Xsender        = $this->db->get_where('admin', array('admin_id' => $this->input->post('sender')))->row()->name;
            //$Xsend_email    = $this->db->get_where('admin', array('admin_id' => $this->input->post('sender')))->row()->email;

            //$this->email_model->envia_email_mensagem_cliente($Xsender,$Xsend_email,$this->input->post('subject'),$this->input->post('body'));

            //Upload Identidade / CNH:

            $Xrand =  mt_rand();

            if ( !empty($_FILES['userfile']['name'][1])){

                $XnovoNome_1 = strtolower($this->caracter_model->t5f_translit($_FILES['userfile']['name'][1]));

                $data_f1['dp_arquivo']     = $_FILES['userfile']['name'][1];
                $data_f1['caminho']        = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome_1;
                //$data_f1['path']         = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$_FILES['file']['name'];
                $data_f1['cliente']        = $this->input->post('cliente');
                $data_f1['funcionario']    = str_replace('.','',str_replace('-','',$this->input->post('cpf')));
                $data_f1['produto']        = $this->input->post('product');
                //$data_f1['desc_file']    = $_FILES['file']['name'];
                $data_f1['desc_arquivo']   = 'Identidade ou CNH do Funcionário: '.$this->input->post('nome');
                $data_f1['quantidade']     = $this->input->post('quantity');
                $data_f1['valor']          = $this->input->post('valor');
                $data_f1['data']           = $this->input->post('date');
                $data_f1['data_venc']      = $this->input->post('date');
                $data_f1['ind_up']         = $this->input->post('ind_up');
                $data_f1['status']         = $this->input->post('status');
                $this->db->insert('dp_arquivo', $data_f1);

                move_uploaded_file($_FILES['userfile']['tmp_name'][1], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome_1);
                //move_uploaded_file($_FILES['file']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$_FILES['file']['name']);
                $this->session->set_flashdata('flash_message', 'Funcionário Cadastrado... Arquivos Enviados');

                /* enviar email de cadastro de funcionário
                $Xcontato       = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->contact;
                $Xemail         = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->email;
                $Xnome_empresa  = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->name;
                $Xtel           = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->ddd_phone.' '.$this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->phone;
                $Xdocumento     = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->cnpj_cpf;
                $Xalterdata     = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->alterdata;
                $Xdesc_arquivo  = $this->input->post('desc_file');
                $Xarquivo       = ($this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome);

                $this->email_model->envia_email_postagem_cliente($Xcontato,$Xemail,$Xnome_empresa,$Xarquivo,$Xdesc_arquivo,$Xtel,$Xdocumento,$Xalterdata);
                */

            }  else
            {
                $this->session->set_flashdata('flash_message', 'Arquivo Não Enviado, favor adicionar um arquivo para Identidade ou CNH do Funcionário!');
                //redirect(base_url() . 'index.php?client/dp_funcionarios/', 'refresh');
            }
            //  Upload - Carteira de Trabalho - Frente (CTPS)
            if ( !empty($_FILES['userfile']['name'][2])){

                $XnovoNome_2 = strtolower($this->caracter_model->t5f_translit($_FILES['userfile']['name'][2]));

                $data_f2['dp_arquivo']     = $_FILES['userfile']['name'][2];
                $data_f2['caminho']        = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome_2;
                //$data_f2['path']         = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$_FILES['file']['name'];
                $data_f2['cliente']        = $this->input->post('cliente');
                $data_f2['funcionario']    = str_replace('.','',str_replace('-','',$this->input->post('cpf')));
                $data_f2['produto']        = $this->input->post('product');
                //$data_f2['desc_file']    = $_FILES['file']['name'];
                $data_f2['desc_arquivo']   = 'CTPS (frente) do funcionário: '.$this->input->post('nome');
                $data_f2['quantidade']     = $this->input->post('quantity');
                $data_f2['valor']          = $this->input->post('valor');
                $data_f2['data']           = $this->input->post('date');
                $data_f2['data_venc']      = $this->input->post('date');
                $data_f2['ind_up']         = $this->input->post('ind_up');
                $data_f2['status']         = $this->input->post('status');
                $this->db->insert('dp_arquivo', $data_f2);

                move_uploaded_file($_FILES['userfile']['tmp_name'][2], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome_2);
                //move_uploaded_file($_FILES['file']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$_FILES['file']['name']);
                $this->session->set_flashdata('flash_message', 'Funcionário Cadastrado... Arquivos Enviados');

            }  else
            {
                $this->session->set_flashdata('flash_message', 'Arquivo Não Enviado, favor adicionar um arquivo de CTPS (frente) do funcionário!');
                //redirect(base_url() . 'index.php?client/dp_funcionarios/', 'refresh');
            }
            //  Upload - Carteira de Trabalho - Verso (CTPS)
            if ( !empty($_FILES['userfile']['name'][3])){

                $XnovoNome_3 = strtolower($this->caracter_model->t5f_translit($_FILES['userfile']['name'][3]));

                $data_f3['dp_arquivo']     = $_FILES['userfile']['name'][3];
                $data_f3['caminho']        = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome_3;
                //$data_f3['path']         = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$_FILES['file']['name'];
                $data_f3['cliente']        = $this->input->post('cliente');
                $data_f3['funcionario']    = str_replace('.','',str_replace('-','',$this->input->post('cpf')));
                $data_f3['produto']        = $this->input->post('product');
                //$data_f3['desc_file']    = $_FILES['file']['name'];
                $data_f3['desc_arquivo']   = 'CTPS (verso) do funcionário: '.$this->input->post('nome');
                $data_f3['quantidade']     = $this->input->post('quantity');
                $data_f3['valor']          = $this->input->post('valor');
                $data_f3['data']           = $this->input->post('date');
                $data_f3['data_venc']      = $this->input->post('date');
                $data_f3['ind_up']         = $this->input->post('ind_up');
                $data_f3['status']         = $this->input->post('status');
                $this->db->insert('dp_arquivo', $data_f3);

                move_uploaded_file($_FILES['userfile']['tmp_name'][3], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome_3);
                //move_uploaded_file($_FILES['file']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$_FILES['file']['name']);
                $this->session->set_flashdata('flash_message', 'Funcionário Cadastrado... Arquivos Enviados');

            }  else
            {
                $this->session->set_flashdata('flash_message', 'Arquivo Não Enviado, favor adicionar um arquivo de CTPS (verso) do funcionário!');
                //redirect(base_url() . 'index.php?client/dp_funcionarios/', 'refresh');
            }
            //  Upload - Carteira de Trabalho - Verso (CTPS)
            if ( !empty($_FILES['userfile']['name'][4])){

                $XnovoNome_4 = strtolower($this->caracter_model->t5f_translit($_FILES['userfile']['name'][4]));

                $data_f4['dp_arquivo']     = $_FILES['userfile']['name'][4];
                $data_f4['caminho']        = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome_4;
                //$data_f4['path']         = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$_FILES['file']['name'];
                $data_f4['cliente']        = $this->input->post('cliente');
                $data_f4['funcionario']    = str_replace('.','',str_replace('-','',$this->input->post('cpf')));
                $data_f4['produto']        = $this->input->post('product');
                //$data_f4['desc_file']    = $_FILES['file']['name'];
                $data_f4['desc_arquivo']   = 'CPF do Funcionário: '.$this->input->post('nome');
                $data_f4['quantidade']     = $this->input->post('quantity');
                $data_f4['valor']          = $this->input->post('valor');
                $data_f4['data']           = $this->input->post('date');
                $data_f4['data_venc']      = $this->input->post('date');
                $data_f4['ind_up']         = $this->input->post('ind_up');
                $data_f4['status']         = $this->input->post('status');
                $this->db->insert('dp_arquivo', $data_f4);

                move_uploaded_file($_FILES['userfile']['tmp_name'][4], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome_4);
                //move_uploaded_file($_FILES['file']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$_FILES['file']['name']);
                $this->session->set_flashdata('flash_message', 'Funcionário Cadastrado... Arquivos Enviados');

            }
            redirect(base_url() . 'index.php?admin/dp_funcionarios/', 'refresh');
        }
        if ($param1 == 'do_update') {

            if ($this->input->post('trab_dias_seg') == 'on'){ $trab_seg = '1';}else{ $trab_seg = '0';};
            if ($this->input->post('trab_dias_ter') == 'on'){ $trab_ter = '1';}else{ $trab_ter = '0';};
            if ($this->input->post('trab_dias_qua') == 'on'){ $trab_qua = '1';}else{ $trab_qua = '0';};
            if ($this->input->post('trab_dias_qui') == 'on'){ $trab_qui = '1';}else{ $trab_qui = '0';};
            if ($this->input->post('trab_dias_sex') == 'on'){ $trab_sex = '1';}else{ $trab_sex = '0';};
            if ($this->input->post('trab_dias_sab') == 'on'){ $trab_sab = '1';}else{ $trab_sab = '0';};
            if ($this->input->post('trab_dias_dom') == 'on'){ $trab_dom = '1';}else{ $trab_dom = '0';};        
        
            $data['cliente']                = $this->input->post('cliente');
            $data['dt_criacao']             = date('Y-m-d', strtotime($this->input->post('dt_criacao')));
            $data['dt_alteracao']           = date('Y-m-d', strtotime($this->input->post('dt_alteracao')));
            $data['nome']                   = $this->input->post('nome');
            $data['ddd_tel']                = $this->input->post('ddd_tel');
            $data['tel']                    = str_replace('-','',$this->input->post('tel'));
            $data['ddd_cel']                = $this->input->post('ddd_cel');
            $data['cel']                    = str_replace('-','',$this->input->post('cel'));
            $data['email']                  = $this->input->post('email');
            $data['endereco']               = $this->input->post('endereco');
            $data['end_n']                  = $this->input->post('end_n');
            $data['end_comp']               = $this->input->post('end_comp');
            $data['end_bairro']             = $this->input->post('end_bairro');
            $data['end_cidade']             = $this->input->post('end_cidade');
            $data['end_uf']                 = $this->input->post('end_uf');
            $data['end_cep']                = str_replace('.','',str_replace('-','',$this->input->post('end_cep')));
            $data['end_pais']               = $this->input->post('end_pais');
            $data['sexo']                   = $this->input->post('sexo');
            $data['estado_civil']           = $this->input->post('estado_civil');
            $data['cor_raca']               = $this->input->post('cor_raca');
            $data['escolaridade']           = $this->input->post('escolaridade');
            $data['nome_pai']               = $this->input->post('nome_pai');
            $data['nome_mae']               = $this->input->post('nome_mae');
            $data['dt_nasc']                = date('Y-d-m', strtotime($this->input->post('dt_nasc')));
            if ($data['dt_nasc']=='1969-12-31')
            { $data['dt_nasc'] = '';};
            $data['nasc_uf']                = $this->input->post('nasc_uf');
            $data['nasc_cidade']            = $this->input->post('nasc_cidade');
            $data['dt_admissao']            = date('Y-d-m', strtotime($this->input->post('dt_admissao')));
            if ($data['dt_admissao']=='1969-12-31')
            { $data['dt_admissao'] = '';};
            $data['pri_trab']               = $this->input->post('pri_trab');
            $data['contrato_experiencia']   = $this->input->post('contrato_experiencia');
            $data['contrato_dias']          = $this->input->post('contrato_dias');
            $data['dt_atestado']            = date('Y-d-m', strtotime($this->input->post('dt_atestado')));
            if ($data['dt_atestado']=='1969-12-31')
            { $data['dt_atestado'] = '';};
            $data['depto']                  = $this->input->post('depto');
            $data['funcao']                 = $this->input->post('funcao');
            $data['salario']                = str_replace(',','.',$this->input->post('salario'));
            $data['sindicato']              = $this->input->post('sindicato');
            $data['trab_hrs_entrada']       = $this->input->post('trab_hrs_entrada');
            $data['trab_hrs_saida']         = $this->input->post('trab_hrs_saida');
            $data['trab_hrs_intervalo']     = $this->input->post('trab_hrs_intervalo');
            $data['trab_hrs_intervalo_retorno']     = $this->input->post('trab_hrs_intervalo_retorno');
            $data['trab_dias']     = $trab_seg.','.$trab_ter.','.$trab_qua.','.$trab_qui.','.$trab_sex.','.$trab_sab.','.$trab_dom;
            $data['cpf']                    = str_replace('.','',str_replace('-','',$this->input->post('cpf')));
            $data['dic']                    = $this->input->post('dic');
            $data['dic_uf']                 = $this->input->post('dic_uf');
            $data['dic_exped']              = $this->input->post('dic_exped');
            $data['dic_dt_exped']           = date('Y-d-m', strtotime($this->input->post('dic_dt_exped')));
            if ($data['dic_dt_exped']=='1969-12-31')
            { $data['dic_dt_exped'] = '';};
            $data['ctps']                   = $this->input->post('ctps');
            $data['ctps_serie']             = $this->input->post('ctps_serie');
            $data['ctps_uf']                = $this->input->post('ctps_uf');
            $data['ctps_dt_emissao']        = date('Y-d-m', strtotime($this->input->post('ctps_dt_emissao')));
            if ($data['ctps_dt_emissao']=='1969-12-31')
            { $data['ctps_dt_emissao'] = '';};
            $data['titulo_eleitor']         = $this->input->post('titulo_eleitor');
            $data['titulo_eleitor_zona']    = $this->input->post('titulo_eleitor_zona');
            $data['titulo_eleitor_secao']   = $this->input->post('titulo_eleitor_secao');
            $data['pis']                    = $this->input->post('pis');
            $data['pis_dt_emissao']         = date('Y-d-m', strtotime($this->input->post('pis_dt_emissao')));
            if ($data['pis_dt_emissao']=='1969-12-31')
            { $data['pis_dt_emissao'] = '';};
            $data['cert_nasc']              = $this->input->post('cert_nasc');
            $data['cert_nasc_dt_emissao']   = date('Y-d-m', strtotime($this->input->post('cert_nasc_dt_emissao')));
            if ($data['cert_nasc_dt_emissao']=='1969-12-31')
            { $data['cert_nasc_dt_emissao'] = '';};
            $data['cert_nasc_termo']        = $this->input->post('cert_nasc_termo');
            $data['cert_nasc_livro']        = $this->input->post('cert_nasc_livro');
            $data['cert_nasc_folha']        = $this->input->post('cert_nasc_folha');
            $data['cert_nasc_cartorio']     = $this->input->post('cert_nasc_cartorio');
            $data['cert_nasc_uf']           = $this->input->post('cert_nasc_uf');
            $data['cert_nasc_cidade']       = $this->input->post('cert_nasc_cidade');
            $data['cnh']                    = $this->input->post('cnh');
            $data['cnh_dt_exp']             = date('Y-d-m', strtotime($this->input->post('cnh_dt_exp')));
            if ($data['cnh_dt_exp']=='1969-12-31')
            { $data['cnh_dt_exp'] = '';};
            $data['cnh_dt_venc']            = date('Y-d-m', strtotime($this->input->post('cnh_dt_venc')));
            if ($data['cnh_dt_venc']=='1969-12-31')
            { $data['cnh_dt_venc'] = '';};
            $data['cnh_cat']                = $this->input->post('cnh_cat');
            $data['cnh_org_emissor']        = $this->input->post('cnh_org_emissor');
            $data['cnh_dt_venc']            = date('Y-d-m', strtotime($this->input->post('cnh_dt_venc')));
            if ($data['cnh_dt_venc']=='1969-12-31')
            { $data['cnh_dt_venc'] = '';};
            $data['cnh_dt_pri']             = date('Y-d-m', strtotime($this->input->post('cnh_dt_pri')));
            if ($data['cnh_dt_pri']=='1969-12-31')
            { $data['cnh_dt_pri'] = '';};
            $data['cnh_dt_venc']            = date('Y-d-m', strtotime($this->input->post('cnh_dt_venc')));
            if ($data['cnh_dt_venc']=='1969-12-31')
            { $data['cnh_dt_venc'] = '';};
            $data['cr']                     = $this->input->post('cr');
            $data['cr_serie']               = $this->input->post('cr_serie');
            $data['cr_cat']                 = $this->input->post('cr_cat');
            $data['cr_reg_classe']          = $this->input->post('cr_reg_classe');
            $data['cr_org_emissor']         = $this->input->post('cr_org_emissor');
            $data['cr_dt_emissao']          = date('Y-d-m', strtotime($this->input->post('cr_dt_emissao')));
            if ($data['cr_dt_emissao']=='1969-12-31')
            { $data['cr_dt_emissao'] = '';};
            $data['cr_dt_validade']         = date('Y-d-m', strtotime($this->input->post('cr_dt_validade')));
            if ($data['cr_dt_validade']=='1969-12-31')
            { $data['cr_dt_validade'] = '';};
            $data['vl']                     = str_replace(',','.',$this->input->post('vl'));
            $data['vl_uni']                 = str_replace(',','.',$this->input->post('vl_uni'));
            $data['vl_qtde_dia']            = str_replace(',','.',$this->input->post('vl_qtde_dia'));
            $data['ferias_vencidas']        = $this->input->post('ferias_vencidas');
            $data['obs']                    = $this->input->post('obs');
            $data['dt_demissao']            = date('Y-d-m', strtotime($this->input->post('dt_demissao')));
            if ($data['dt_demissao']=='1969-12-31')
            { $data['dt_demissao'] = '';};
            $data['status']                 = $this->input->post('status');
            $this->db->where('dp_funcionario_id', $param2);
            $this->db->update('dp_funcionario', $data);
            redirect(base_url() . 'index.php?admin/dp_funcionarios/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile']   = true;
            $page_data['current_dp_funcionario_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('dp_funcionario', array(
                'dp_funcionario_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {
            $this->db->where('dp_funcionario_id', $param2);
            $this->db->delete('dp_funcionario');
            redirect(base_url() . 'index.php?admin/dp_funcionarios/', 'refresh');
        }
        if ($param1 == 'consulta_cliente') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltroCli = $this->input->post('cliente');

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);

            redirect(base_url() . 'index.php?admin/dp_funcionarios/', 'refresh');
        }

        
        $page_data['dp_funcionario']    = $this->db->get_where('dp_funcionario', array('cliente' => $this->session->userdata('client_id')))->result_array();
        $page_data['dp_dependente']     = $this->db->get_where('dp_dependente', array('cliente' => $this->session->userdata('client_id')))->result_array();
        //$page_data['message']         =  $this->db->get_where('message', array('sender' => $this->session->userdata('client_id')))->result_array();
        $page_data['page_name']         = 'dp_funcionarios';
        $page_data['page_icon']         = 'plus';
        $page_data['page_title']        = 'Cadastro de Funcionário';
        $this->load->view('index', $page_data);
    }

    /****MANAGE Dependentes*****/
    function dp_dependente($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['dp_funcionario']         = $this->input->post('dp_funcionario');
            $data['cliente']                = $this->input->post('cliente');
            $data['nome']                   = $this->input->post('nome');
            $data['tipo_rel']               = $this->input->post('tipo_rel');
            $data['sexo']                   = $this->input->post('sexo');
            $data['cpf']                    = str_replace('.','',str_replace('-','',$this->input->post('cpf')));
            $data['dt_nasc']                = $this->input->post('dt_nasc');
            $data['cert_nasc_cidade']       = $this->input->post('cert_nasc_cidade');
            $data['cert_nasc_uf']           = $this->input->post('cert_nasc_uf');
            $data['cert_nasc']              = $this->input->post('cert_nasc');
            $data['cert_nasc_dt_emissao']   = $this->input->post('cert_nasc_dt_emissao');
            $data['cert_nasc_termo']        = $this->input->post('cert_nasc_termo');
            $data['cert_nasc_livro']        = $this->input->post('cert_nasc_livro');
            $data['cert_nasc_folha']        = $this->input->post('cert_nasc_folha');
            $data['cert_nasc_cartorio']     = $this->input->post('cert_nasc_cartorio');
            $data['situacao_dependente']    = $this->input->post('situacao_dependente');

            $this->db->insert('dp_dependente', $data);

            // Envio Email
            //$Xsender        = $this->db->get_where('admin', array('admin_id' => $this->input->post('sender')))->row()->name;
            //$Xsend_email    = $this->db->get_where('admin', array('admin_id' => $this->input->post('sender')))->row()->email;

            //$this->email_model->envia_email_mensagem_cliente($Xsender,$Xsend_email,$this->input->post('subject'),$this->input->post('body'));


            redirect(base_url() . 'index.php?admin/dp_funcionarios/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['dp_funcionario']         = $this->input->post('dp_funcionario');
            $data['cliente']                = $this->input->post('cliente');
            $data['nome']                   = $this->input->post('nome');
            $data['tipo_rel']               = $this->input->post('tipo_rel');
            $data['sexo']                   = $this->input->post('sexo');
            $data['cpf']                    = $this->input->post('cpf');
            $data['dt_nasc']                = $this->input->post('dt_nasc');
            $data['cert_nasc_cidade']       = $this->input->post('cert_nasc_cidade');
            $data['cert_nasc_uf']           = $this->input->post('cert_nasc_uf');
            $data['cert_nasc']              = $this->input->post('cert_nasc');
            $data['cert_nasc_dt_emissao']   = $this->input->post('cert_nasc_dt_emissao');
            $data['cert_nasc_termo']        = $this->input->post('cert_nasc_termo');
            $data['cert_nasc_livro']        = $this->input->post('cert_nasc_livro');
            $data['cert_nasc_folha']        = $this->input->post('cert_nasc_folha');
            $data['cert_nasc_cartorio']     = $this->input->post('cert_nasc_cartorio');
            $data['situacao_dependente']    = $this->input->post('situacao_dependente');
            $this->db->insert('dp_dependente', $data);

            redirect(base_url() . 'index.php?admin/dp_funcionarios/', 'refresh');

        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile']   = true;
            $page_data['current_dp_dependente_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('dp_dependente', array(
                'dp_dependente_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {
            $this->db->where('dp_dependente_id', $param2);
            $this->db->delete('dp_dependente');
            redirect(base_url() . 'index.php?admin/dp_funcionarios/', 'refresh');
        }
        $page_data['dependente']    = $this->db->get_where('dp_dependente', array('cliente' => $this->session->userdata('client_id')))->result_array();
        //$page_data['message']    =  $this->db->get_where('message', array('sender' => $this->session->userdata('client_id')))->result_array();
        $page_data['page_name']     = 'dependentes';
        $page_data['page_icon']     = 'plus';
        $page_data['page_title']    = 'Dependentes';
        $this->load->view('index', $page_data);
    }
    /**** Departamento Pessoal |-> dp_guias****/
    function dp_guias($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');

        $page_data['files']      =  $this->db->get_where('files', array('product' => '10'))->result_array();
        $page_data['page_name']  = 'dp_guias';
        $page_data['page_icon']  = 'calendar';
        $page_data['page_title'] = 'Guias - Departamento Pessoal';
        $this->load->view('index', $page_data);
    }
    /**** Departamento Pessoal |-> dp_controles****/
    function dp_controles($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');

        $page_data['files']      =  $this->db->get_where('files', array('product' => '10'))->result_array();
        $page_data['page_name']  = 'dp_controles';
        $page_data['page_icon']  = 'cog';
        $page_data['page_title'] = 'Controles - Departamento Pessoal';
        $this->load->view('index', $page_data);
    }
    /**** Departamento Pessoal |-> dp_relatorios****/
    function dp_relatorios($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');

        $page_data['files']      =  $this->db->get_where('files', array('product' => '10'))->result_array();
        $page_data['page_name']  = 'dp_relatorios';
        $page_data['page_icon']  = 'print';
        $page_data['page_title'] = 'Relatórios - Departamento Pessoal';
        $this->load->view('index', $page_data);
    }
    /**** Departamento Pessoal |-> dp_guias****/
    function dp_funcionario_prolabore($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');

        //$page_data['files']      =  $this->db->get('w_funcionario_e_prolabore')->result_array();
        $page_data['page_name']  = 'dp_funcionario_prolabore';
        $page_data['page_icon']  = 'user';
        $page_data['page_title'] = 'Liste de Funcionários e Pro Labore';
        $this->load->view('index', $page_data);
    }
       /****MANAGE TB EX CNAE*****/
    function tb_ex_cnae($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['cnae']     = $this->input->post('cnae');
            $data['cnae_fiscal'] = $this->input->post('cnae_fiscal');
            $data['descricao']    = $this->input->post('descricao');
            $data['ie_obrigatoria']    = $this->input->post('ie_obrigatoria');
            $data['ie_ob_sim']    = $this->input->post('ie_ob_sim');
            $data['atendido_cs']    = $this->input->post('atendido_cs');
            $this->db->insert('tb_ex_cnae', $data);
            redirect(base_url() . 'index.php?admin/tb_ex_cnae/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['cnae']     = $this->input->post('cnae');
            $data['cnae_fiscal'] = $this->input->post('cnae_fiscal');
            $data['descricao']    = $this->input->post('descricao');
            $data['ie_obrigatoria']    = $this->input->post('ie_obrigatoria');
            $data['ie_ob_sim']    = $this->input->post('ie_ob_sim');
            $data['atendido_cs']    = $this->input->post('atendido_cs');
            $this->db->where('cnae', $param2);
            $this->db->update('tb_ex_cnae', $data);
            redirect(base_url() . 'index.php?admin/tb_ex_cnae/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile'] = true;
            $page_data['current_cnae']  = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('tb_ex_cnae', array(
                'cnae' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {
            $this->db->where('cnae', $param2);
            $this->db->delete('tb_ex_cnae');
            redirect(base_url() . 'index.php?admin/tb_ex_cnae/', 'refresh');
        }
        $page_data['tb_ex_cnae'] = $this->db->get('tb_ex_cnae')->result_array();
        $page_data['page_name']  = 'tb_ex_cnae';
        $page_data['page_icon']  = 'th';
        $page_data['page_title'] = 'Tabela CNAE';
        $this->load->view('index', $page_data);
    }

    /****MANAGE TB EX CAE*****/
    function tb_ex_cae($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['cae']     = $this->input->post('cnae');
            $data['codigo'] = $this->input->post('cnae_fiscal');
            $data['descricao']    = $this->input->post('descricao');
            $data['atendido_cs']    = $this->input->post('atendido_cs');
            $this->db->insert('tb_ex_cae', $data);
            redirect(base_url() . 'index.php?admin/tb_ex_cae/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['cae']     = $this->input->post('cae');
            $data['codigo'] = $this->input->post('codigo');
            $data['descricao']    = $this->input->post('descricao');
            $data['atendido_cs']    = $this->input->post('atendido_cs');
            $this->db->where('cae', $param2);
            $this->db->update('tb_ex_cae', $data);
            redirect(base_url() . 'index.php?admin/tb_ex_cae/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile'] = true;
            $page_data['current_cae']  = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('tb_ex_cae', array(
                'cae' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {
            $this->db->where('cae', $param2);
            $this->db->delete('tb_ex_cae');
            redirect(base_url() . 'index.php?admin/tb_ex_cae/', 'refresh');
        }
        $page_data['tb_ex_cae'] = $this->db->get('tb_ex_cae')->result_array();
        $page_data['page_name']  = 'tb_ex_cae';
        $page_data['page_icon']  = 'th';
        $page_data['page_title'] = 'Tabela CAE';
        $this->load->view('index', $page_data);
    }
    /****MANAGE product*****/
    function product($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['product_id']       = $this->input->post('product_id');
            $data['category']         = $this->input->post('category');
            $data['product']          = $this->input->post('name');
            $data['name']             = $this->input->post('name');
            $data['type']             = $this->input->post('type');
            $data['description']      = $this->input->post('description');
            $data['creation_date']    = $this->input->post('creation_date');
            $data['quantity']         = $this->input->post('quantity');
            $data['alt_date']         = $this->input->post('alt_date');
            $data['price']            = $this->input->post('price');
            $data['inativo']          = $this->input->post('inativo');

            $this->db->insert('product', $data);
            redirect(base_url() . 'index.php?admin/product/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['product_id']       = $this->input->post('product_id');
            $data['category']         = $this->input->post('category');
            $data['product']          = $this->input->post('name');
            $data['name']             = $this->input->post('name');
            $data['type']             = $this->input->post('type');
            $data['description']      = $this->input->post('description');
            $data['creation_date']    = $this->input->post('creation_date');
            $data['quantity']         = $this->input->post('quantity');
            $data['alt_date']         = $this->input->post('alt_date');
            $data['price']            = $this->input->post('price');
            $data['inativo']          = $this->input->post('inativo');

            $this->db->where('product_id', $param2);
            $this->db->update('product', $data);
            redirect(base_url() . 'index.php?admin/product/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile']   = true;
            $page_data['current_product_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('product', array(
                'product_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {
            $this->db->where('product_id', $param2);
            $this->db->delete('product');
            redirect(base_url() . 'index.php?admin/product/', 'refresh');
        }
        $page_data['product']    = $this->db->get('product')->result_array();
        $page_data['page_name']  = 'product';
        $page_data['page_icon']  = 'file';
        $page_data['page_title'] = 'Tipos de documentos / Menus';
        $this->load->view('index', $page_data);
    }
/**** Relatórios |-> Mei Declaração ****/
    function rel_mei_declaracao($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        
        if ($param1 == 'atualiza_status') {

            $data['status']   = $this->input->post('status');
            $this->db->where('client', $param2);
            $this->db->update('mei_declaracao', $data);
            
            redirect(base_url() . 'index.php?admin/rel_mei_declaracao/', 'refresh');
        }

        $page_data['mei_declaracao']      =  $this->db->get('w_mei_declaracao')->result_array();
        $page_data['page_name']  = 'rel_mei_declaracao';
        $page_data['page_icon']  = 'print';
        $page_data['page_title'] = 'Relatórios - Mei Declarações';
        $this->load->view('index', $page_data);
    }    

/**** Relatórios |-> Mei Declaração - 2017 ****/
    function rel_mei_declaracao_2017($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        
        if ($param1 == 'atualiza_status') {

            $data['status']   = $this->input->post('status');
            $this->db->where('client', $param2);
            $this->db->update('mei_declaracao2017', $data);
            
            redirect(base_url() . 'index.php?admin/rel_mei_declaracao_2017/', 'refresh');
        }

        $page_data['mei_declaracao']      =  $this->db->get('w_mei_declaracao2017')->result_array();
        $page_data['page_name']  = 'rel_mei_declaracao_2017';
        $page_data['page_icon']  = 'print';
        $page_data['page_title'] = 'Relatórios - Mei Declarações - 2017';
        $this->load->view('index', $page_data);
    }
/**** Relatórios |-> Mei Declaração - 2018 ****/
    function rel_mei_declaracao_2018($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        
        if ($param1 == 'atualiza_status') {

            $data['status']   = $this->input->post('status');
            $this->db->where('client', $param2);
            $this->db->update('mei_declaracao2018', $data);
            
            redirect(base_url() . 'index.php?admin/rel_mei_declaracao_2018/', 'refresh');
        }

        $page_data['mei_declaracao']      =  $this->db->get('w_mei_declaracao2018')->result_array();
        $page_data['page_name']  = 'rel_mei_declaracao_2018';
        $page_data['page_icon']  = 'print';
        $page_data['page_title'] = 'Relatórios - Mei Declarações - 2018';
        $this->load->view('index', $page_data);
    }    
/**** Relatórios |-> Auxiliares ****/
    function rel_aux($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        
        //$page_data['rel_aux']      =  $this->db->get('w_client_status')->result_array();
        $page_data['page_name']  = 'rel_aux';
        $page_data['page_icon']  = 'print';
        $page_data['page_title'] = 'Relatórios - Auxiliares';
        $this->load->view('index', $page_data);
    }

/**** Relatórios |-> Clientes Export ****/
    function rel_clientes_export($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        
        $XQuery = "SELECT * FROM  w_client_status ";   
                  
              
        $page_data['rel_clientes_export']      =  @$this->db->query($XQuery)->result_array();
        $page_data['page_name']  = 'rel_clientes_export';
        $page_data['page_icon']  = 'print';
        $page_data['page_title'] = 'Relatórios - Clientes Export';
        $this->load->view('index', $page_data);
    }
/**** Relatórios |-> Clientes Export Data ****/
    function rel_clientes_export_data($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
                         
        $XQuery = "SELECT * FROM w_client_datas";
              
        $page_data['rel_clientes_export_data']      =  @$this->db->query($XQuery)->result_array();
        $page_data['page_name']  = 'rel_clientes_export_data';
        $page_data['page_icon']  = 'print';
        $page_data['page_title'] = 'Relatórios - Clientes Export Datas';
        $this->load->view('index', $page_data);
    }        
/**** Relatórios |-> Clientes Nunca Acessaram ****/
    function rel_nunca_acesso($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        
        $XQuery = "SELECT * FROM w_cliente_num_acesso WHERE acesso < 2";
        
        $page_data['rel_nunca_acesso']      =  @$this->db->query($XQuery)->result_array();
        $page_data['page_name']  = 'rel_nunca_acesso';
        $page_data['page_icon']  = 'print';
        $page_data['page_title'] = 'Relatórios - Clientes Nunca Acessaram';
        $this->load->view('index', $page_data);
    }
    
/**** Relatórios |-> Sem Contrato Assinado ****/
    function rel_n_ass_contrato($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        
        $XQuery = "SELECT * FROM w_contrato_assinado WHERE data is null";
        
        $page_data['rel_n_ass_contrato']      =  @$this->db->query($XQuery)->result_array();
        $page_data['page_name']  = 'rel_n_ass_contrato';
        $page_data['page_icon']  = 'print';
        $page_data['page_title'] = 'Relatórios - Sem Contrato Assinado';
        $this->load->view('index', $page_data);
    }        
          
    /****MANAGE transaction*****/
    function transaction($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['amount'] = $this->input->post('amount');
            $data['type']   = $this->input->post('type');
            $data['order']  = $this->input->post('order');
            $data['about']  = $this->input->post('about');
            $data['date']   = $this->input->post('date');
            $this->db->insert('transaction', $data);
            redirect(base_url() . 'index.php?admin/transaction/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['amount'] = $this->input->post('amount');
            $data['type']   = $this->input->post('type');
            $data['order']  = $this->input->post('order');
            $data['about']  = $this->input->post('about');
            $data['date']   = $this->input->post('date');
            $this->db->where('transaction_id', $param2);
            $this->db->update('transaction', $data);
            redirect(base_url() . 'index.php?admin/transaction/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile']       = true;
            $page_data['current_transaction_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('transaction', array(
                'transaction_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {
            $this->db->where('transaction_id', $param2);
            $this->db->delete('transaction');
            redirect(base_url() . 'index.php?admin/transaction/', 'refresh');
        }
        $page_data['transaction'] = $this->db->get('transaction')->result_array();
        $page_data['page_name']   = 'transaction';
        $page_data['page_icon']   = 'random';
        $page_data['page_title']  = 'manage_transaction';
        $this->load->view('index', $page_data);
    }

    /****MANAGE type*****/
    function type($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['name']     = $this->input->post('name');
            $data['category'] = $this->input->post('category');
            $data['about']    = $this->input->post('about');
            $this->db->insert('type', $data);
            redirect(base_url() . 'index.php?admin/type/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['name']     = $this->input->post('name');
            $data['category'] = $this->input->post('category');
            $data['about']    = $this->input->post('about');
            $this->db->where('type_id', $param2);
            $this->db->update('type', $data);
            redirect(base_url() . 'index.php?admin/type/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile'] = true;
            $page_data['current_type_id']  = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('type', array(
                'type_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {
            $this->db->where('type_id', $param2);
            $this->db->delete('type');
            redirect(base_url() . 'index.php?admin/type/', 'refresh');
        }
        $page_data['type']       = $this->db->get('type')->result_array();
        $page_data['page_name']  = 'type';
        $page_data['page_icon']  = 'th';
        $page_data['page_title'] = 'Tipos';
        $this->load->view('index', $page_data);
    }

    /*****SITE/SYSTEM SETTINGS*********/
    function system_settings($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url() . 'index.php?login', 'refresh');

        if ($param2 == 'do_update') {
            $this->db->where('type', $param1);
            $this->db->update('settings', array(
                'description' => $this->input->post('description')
            ));
            $this->session->set_flashdata('flash_message', 'settings_updated');
            redirect(base_url() . 'index.php?admin/system_settings/', 'refresh');
        }
        if ($param1 == 'upload_logo') {
            move_uploaded_file($_FILES['userfile']['tmp_name'], 'uploads/logo.png');
            $this->session->set_flashdata('flash_message', 'settings_updated');
            redirect(base_url() . 'index.php?admin/system_settings/', 'refresh');
        }
        $page_data['page_name']  = 'system_settings';
        $page_data['page_icon'] = 'cog';
        $page_data['page_title'] = 'Configurações do sistema';
        $page_data['settings']   = $this->db->get('settings')->result_array();
        $this->load->view('index', $page_data);
    }

    /*****LANGUAGE SETTINGS*********/
    function manage_language($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url() . 'index.php?login', 'refresh');

        if ($param1 == 'edit_phrase') {
            $page_data['edit_profile'] = $param2;
        }
        if ($param1 == 'update_phrase') {
            $language     = $param2;
            $total_phrase = $this->input->post('total_phrase');
            for ($i = 1; $i < $total_phrase; $i++) {
                //$data[$language]	=	$this->input->post('phrase').$i;
                $this->db->where('phrase_id', $i);
                $this->db->update('language', array(
                    $language => $this->input->post('phrase' . $i)
                ));
            }
            redirect(base_url() . 'index.php?admin/manage_language/edit_phrase/' . $language, 'refresh');
        }
        if ($param1 == 'do_update') {
            $language        = $this->input->post('language');
            $data[$language] = $this->input->post('phrase');
            $this->db->where('phrase_id', $param2);
            $this->db->update('language', $data);
            $this->session->set_flashdata('flash_message', 'settings_updated');
            redirect(base_url() . 'index.php?admin/manage_language/', 'refresh');
        }
        if ($param1 == 'add_phrase') {
            $data['phrase'] = $this->input->post('phrase');
            $this->db->insert('language', $data);
            $this->session->set_flashdata('flash_message', 'settings_updated');
            redirect(base_url() . 'index.php?admin/manage_language/', 'refresh');
        }
        if ($param1 == 'add_language') {
            $language = $this->input->post('language');
            $this->load->dbforge();
            $fields = array(
                $language => array(
                    'type' => 'LONGTEXT'
                )
            );
            $this->dbforge->add_column('language', $fields);

            $this->session->set_flashdata('flash_message', 'settings_updated');
            redirect(base_url() . 'index.php?admin/manage_language/', 'refresh');
        }
        if ($param1 == 'delete_language') {
            $language = $param2;
            $this->load->dbforge();
            $this->dbforge->drop_column('language', $language);
            $this->session->set_flashdata('flash_message', 'settings_updated');

            redirect(base_url() . 'index.php?admin/manage_language/', 'refresh');
        }
        $page_data['page_name']  = 'manage_language';
        $page_data['page_icon'] = 'comment';
        $page_data['page_title'] = 'manage_language';
        //$page_data['language_phrases'] = $this->db->get('language')->result_array();
        $this->load->view('index', $page_data);
    }
/**** Clientes |-> Notificações ****/
    function notificacoes($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');

        if ($param1 == 'delete') {

            $this->db->where('client_notificacao_extra_id', $param2);
            $this->db->delete('client_notificacao_extra');
            $this->session->set_flashdata('flash_message', 'Arquivo Deletado!');

            redirect(base_url() . 'index.php?admin/notificacoes/', 'refresh');
        }

        if ($param1 == 'finalizar') {

            $data['status'] = 'F';
            $data['dt_acesso'] = date('Y-m-d');
            $this->db->where('client_notificacao_extra_id', $param2);
            $this->db->update('client_notificacao_extra', $data);
            
            $XFile     = $this->db->get_where('client_notificacao_extra', array('client_notificacao_extra_id' => $param2))->row()->file;
            $XCliente  = $this->db->get_where('client_notificacao_extra', array('client_notificacao_extra_id' => $param2))->row()->cliente;
            
            $data2['status'] = 'contabilizado';
            $this->db->where('client', $XCliente);
            $this->db->where('file_extra_id', $XFile);
            $this->db->update('files_extra', $data2);

            redirect(base_url() . 'index.php?admin/notificacoes/', 'refresh');
        }        
        if ($param1 == 'consulta_cliente') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltroCli = $this->input->post('cliente');

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);

            redirect(base_url() . 'index.php?admin/notificacoes/', 'refresh');
        }
        if ($param1 == 'historico') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltro = $this->input->post('data_ano').'-'.$this->input->post('data_mes');
            $XFiltroCli = $this->input->post('cliente');

            //var_dump($XFiltroCli);

            $this->session->set_flashdata('XFiltro', $XFiltro);
            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);

            redirect(base_url() . 'index.php?admin/notificacoes/', 'refresh');
        }
        if ($param1 == 'marca_contabilizado') {

            $XFiltroCli = $this->input->post('cliente');

            $XFiltro = date('Y-m', strtotime($this->input->post('data')));

            $data['status'] = 'contabilizado';
            $this->db->where('client', $XFiltroCli);
            $this->db->where("DATE_FORMAT(date,'%Y-%m') =", $XFiltro);
            $this->db->update('xmls', $data);

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/notificacoes/', 'refresh');
        }
        if ($param1 == 'desmarca_contabilizado') {

            $XFiltroCli = $this->input->post('cliente');

            $XFiltro = date('Y-m', strtotime($this->input->post('data')));

            $data['status'] = 'a contabilizar';
            $this->db->where('client', $XFiltroCli);
            $this->db->where("DATE_FORMAT(date,'%Y-%m') =", $XFiltro);
            $this->db->update('xmls', $data);


            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/notificacoes/', 'refresh');
        }
        
        if ($param1 == 'create') {

            $XAlterdata = $this->input->post('cliente');
            $XQuery_Cliente = "SELECT client_id FROM client where alterdata in (".$XAlterdata.")";
            
            $resultado = @$this->db->query($XQuery_Cliente)->result_array();
            

            foreach($resultado as $row){
                $data['cliente']      = $row['client_id'];
                $data['mensagem']     = $this->input->post('mensagem');
                $data['dt_postagem']  = $this->input->post('dt_postagem');
                $data['email_solicitante']  = $this->input->post('email_solicitante');
                $data['dt_acesso']    = '';
                $data['ip']           = '';
                $data['file']         = '';
                $data['status'] = $this->input->post('status');
                $this->db->insert('client_notificacao_extra', $data);
            }

            $this->session->set_flashdata('flash_message', 'Notificações gravadas com sucesso!!!');

            redirect(base_url() . 'index.php?admin/notificacoes/', 'refresh');
        }
        
        if ($param1 == 'baixar') {
            $dados = $this->input->post('checkdown');

            if (!empty($dados)) {

              function limpapath($path)
              {
                return $caminho = substr($path, 2);
              }

              $newpath = array_map("limpapath", $dados);

              $this->load->library('zip');

              foreach ($newpath as $np) {
                $this->zip->read_file($np);
              }
              $this->zip->download('Arquivos');
            }

            redirect(base_url() . 'index.php?admin/notificacoes/', 'refresh');
        }


        $XQuery = "SELECT b.alterdata, a.* FROM client_notificacao_extra a join client b on a.cliente=b.client_id";
        
        $page_data['notificacoes']      =  @$this->db->query($XQuery)->result_array();
        $page_data['page_name']  = 'notificacoes';
        $page_data['page_icon']  = 'question-sign';
        $page_data['page_title'] = 'Notificações';
        $this->load->view('index', $page_data);
    }

/**** Controle |-> Controle Fiscal ****/
    function fiscal_controle($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');

        if ($param1 == 'delete') {

            $this->db->where('client_notificacao_extra_id', $param2);
            $this->db->delete('client_notificacao_extra');
            $this->session->set_flashdata('flash_message', 'Arquivo Deletado!');

            redirect(base_url() . 'index.php?admin/notificacoes/', 'refresh');
        }

        if ($param1 == 'finalizar') {

            $data['status'] = 'F';
            $data['dt_acesso'] = date('Y-m-d');
            $this->db->where('client_notificacao_extra_id', $param2);
            $this->db->update('client_notificacao_extra', $data);
            
            $XFile     = $this->db->get_where('client_notificacao_extra', array('client_notificacao_extra_id' => $param2))->row()->file;
            $XCliente  = $this->db->get_where('client_notificacao_extra', array('client_notificacao_extra_id' => $param2))->row()->cliente;
            
            $data2['status'] = 'contabilizado';
            $this->db->where('client', $XCliente);
            $this->db->where('file_extra_id', $XFile);
            $this->db->update('files_extra', $data2);

            redirect(base_url() . 'index.php?admin/notificacoes/', 'refresh');
        }        
        if ($param1 == 'consulta_cliente') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltroCli = $this->input->post('cliente');

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);

            redirect(base_url() . 'index.php?admin/notificacoes/', 'refresh');
        }
        if ($param1 == 'historico') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltro = $this->input->post('data_ano').'-'.$this->input->post('data_mes');
            $XFiltroCli = $this->input->post('cliente');

            //var_dump($XFiltroCli);

            $this->session->set_flashdata('XFiltro', $XFiltro);
            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);

            redirect(base_url() . 'index.php?admin/notificacoes/', 'refresh');
        }
        if ($param1 == 'marca_contabilizado') {

            $XFiltroCli = $this->input->post('cliente');

            $XFiltro = date('Y-m', strtotime($this->input->post('data')));

            $data['status'] = 'contabilizado';
            $this->db->where('client', $XFiltroCli);
            $this->db->where("DATE_FORMAT(date,'%Y-%m') =", $XFiltro);
            $this->db->update('xmls', $data);

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/notificacoes/', 'refresh');
        }
        if ($param1 == 'desmarca_contabilizado') {

            $XFiltroCli = $this->input->post('cliente');

            $XFiltro = date('Y-m', strtotime($this->input->post('data')));

            $data['status'] = 'a contabilizar';
            $this->db->where('client', $XFiltroCli);
            $this->db->where("DATE_FORMAT(date,'%Y-%m') =", $XFiltro);
            $this->db->update('xmls', $data);


            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);
            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/notificacoes/', 'refresh');
        }
        
        if ($param1 == 'create') {

            $XAlterdata = $this->input->post('cliente');
            $XQuery_Cliente = "SELECT client_id FROM client where alterdata in (".$XAlterdata.")";
            
            $resultado = @$this->db->query($XQuery_Cliente)->result_array();
            

            foreach($resultado as $row){
                $data['cliente']      = $row['client_id'];
                $data['mensagem']     = $this->input->post('mensagem');
                $data['dt_postagem']  = $this->input->post('dt_postagem');
                $data['email_solicitante']  = $this->input->post('email_solicitante');
                $data['dt_acesso']    = '';
                $data['ip']           = '';
                $data['file']         = '';
                $data['status'] = $this->input->post('status');
                $this->db->insert('client_notificacao_extra', $data);
            }

            $this->session->set_flashdata('flash_message', 'Notificações gravadas com sucesso!!!');

            redirect(base_url() . 'index.php?admin/notificacoes/', 'refresh');
        }
        
        if ($param1 == 'baixar') {
            $dados = $this->input->post('checkdown');

            if (!empty($dados)) {

              function limpapath($path)
              {
                return $caminho = substr($path, 2);
              }

              $newpath = array_map("limpapath", $dados);

              $this->load->library('zip');

              foreach ($newpath as $np) {
                $this->zip->read_file($np);
              }
              $this->zip->download('Arquivos');
            }

            redirect(base_url() . 'index.php?admin/notificacoes/', 'refresh');
        }


        $XQuery = "SELECT * FROM client_controle_fiscal";
        
        $page_data['fiscal_controle']      =  @$this->db->query($XQuery)->result_array();
        $page_data['page_name']  = 'fiscal_controle';
        $page_data['page_icon']  = 'icon-screenshot';
        $page_data['page_title'] = 'Controle Fiscal';
        $this->load->view('index', $page_data);
    }


    
    /******MANAGE OWN PROFILE AND CHANGE PASSWORD***/
    function manage_profile($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url() . 'index.php?login', 'refresh');
        if ($param1 == 'update_profile_info') {
            $data['email'] = $this->input->post('email');

            $this->db->where('admin_id', $this->session->userdata('admin_id'));
            $this->db->update('admin', $data);
            $this->session->set_flashdata('flash_message', 'account_updated');
            redirect(base_url() . 'index.php?admin/manage_profile/', 'refresh');
        }
        if ($param1 == 'change_password') {
            $data['password']             = $this->input->post('password');
            $data['new_password']         = $this->input->post('new_password');
            $data['confirm_new_password'] = $this->input->post('confirm_new_password');

            $current_password = $this->db->get_where('admin', array(
                'admin_id' => $this->session->userdata('admin_id')
            ))->row()->password;
            if ($current_password == $data['password'] && $data['new_password'] == $data['confirm_new_password']) {
                $this->db->where('admin_id', $this->session->userdata('admin_id'));
                $this->db->update('admin', array(
                    'password' => $data['new_password']
                ));
                $this->session->set_flashdata('flash_message', 'password_updated');
            } else {
                $this->session->set_flashdata('flash_message', 'password_mismatch');
            }
            redirect(base_url() . 'index.php?admin/manage_profile/', 'refresh');
        }
        $page_data['page_name']  = 'manage_profile';
        $page_data['page_icon'] = 'key';
        $page_data['page_title'] = 'Minha Conta';
        $page_data['edit_data']  = $this->db->get_where('admin', array(
            'admin_id' => $this->session->userdata('admin_id')
        ))->result_array();
        $this->load->view('index', $page_data);
    }

}
