<?php
if (!defined('BASEPATH'))
    exit('No direct script access allowed');

/*
 *  @author : Wallace Pacheco
 *  date    : 01 junho, 2015
 *  ContSimples Tecnologia
 *  http://contsimples.com.br
 */

/*
|---------------------------------------------------------------
| TimeZone
|---------------------------------------------------------------
*/
date_default_timezone_set('America/Sao_Paulo');

class Client extends CI_Controller
{


    function __construct()
    {
        parent::__construct();
        $this->load->database();
        $this->load->library('calendar');
        //$this->load->library('pdf');
        $this->load->helper('date');
        //$this->load->dbutil();
        //$this->load->library('phplot.php');
        /*cache control*/
        $this->output->set_header('Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0');
        $this->output->set_header('Pragma: no-cache');
    }

/***default functin, redirects to login page if no client logged in yet***/
    public function index()
    {

        if ($this->session->userdata('client_login') != 1)
            redirect(base_url() . 'index.php?login', 'refresh');
        if ($this->session->userdata('client_login') == 1)
            redirect(base_url() . 'index.php?client/dashboard', 'refresh');
    }

/***CLIENTE DASHBOARD***/
    function dashboard()
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');

        $page_data['page_name']  = 'dashboard';
        $page_data['page_icon'] = 'dashboard';
        $page_data['page_title'] = 'Painel';
        $this->load->view('index', $page_data);
    }


/****MANAGE Avisos*****/
    function avisos($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        //$this->session->set_flashdata('flash_message', 'Passou en!!');

        if ($param1 == 'create') {
            $data['sender']        = $this->input->post('sender');
            $data['sender_type']   = $this->input->post('sender_type');
            $data['receiver']      = $this->input->post('receiver');
            $data['receiver_type'] = $this->input->post('receiver_type');
            $data['subject']       = $this->input->post('subject');
            $data['body']          = $this->input->post('body');
            $data['time']          = $this->input->post('time');
            $data['date']          = $this->input->post('date');
            $data['status']        = $this->input->post('status');
            $this->db->insert('files', $data);

            // Envio Email
            //$Xsender        = $this->db->get_where('client', array('client_id' => $this->input->post('sender')))->row()->name;
            //$Xsend_email    = $this->db->get_where('client', array('client_id' => $this->input->post('sender')))->row()->email;


            //$this->email_model->envia_email_mensagem_cliente($Xsender,$Xsend_email,$this->input->post('subject'),$this->input->post('body'));


            redirect(base_url() . 'index.php?client/avisos/', 'refresh');
        }
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/avisos/', 'refresh');

        }
        if ($param1 == 'delete') {
            $this->db->where('file_id', $param2);
            $this->db->delete('files');
            redirect(base_url() . 'index.php?client/avisos/', 'refresh');
        }

        $page_data['avisos']    = $this->db->order_by('date', 'DESC')->get_where('files', array('client' => $this->session->userdata('client_id')))->result_array();
        //$page_data['message']    =  $this->db->get_where('message', array('sender' => $this->session->userdata('client_id')))->result_array();
        $page_data['page_name']  = 'avisos';
        $page_data['page_icon']  = 'envelope';
        $page_data['page_title'] = 'Avisos Importantes!';
        $this->load->view('index', $page_data);
    }

    /****MANAGE message*****/
    function message($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        //$this->session->set_flashdata('flash_message', 'Passou en!!');

        if ($param1 == 'create') {
            $data['sender']        = $this->input->post('sender');
            $data['sender_type']   = $this->input->post('sender_type');
            $data['receiver']      = $this->input->post('receiver');
            $data['receiver_type'] = $this->input->post('receiver_type');
            $data['subject']       = $this->input->post('subject');
            $data['body']          = $this->input->post('body');
            $data['time']          = $this->input->post('time');
            $data['date']          = $this->input->post('date');
            $data['status']        = $this->input->post('status');
            $this->db->insert('message', $data);

            // Envio Email
            $Xsender        = $this->db->get_where('client', array('client_id' => $this->input->post('sender')))->row()->name;
            $Xsend_email    = $this->db->get_where('client', array('client_id' => $this->input->post('sender')))->row()->email;


            $this->email_model->envia_email_mensagem_cliente($Xsender,$Xsend_email,$this->input->post('subject'),$this->input->post('body'));


            redirect(base_url() . 'index.php?client/message/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['sender']        = $this->input->post('sender');
            $data['sender_type']   = $this->input->post('sender_type');
            $data['receiver']      = $this->input->post('receiver');
            $data['receiver_type'] = $this->input->post('receiver_type');
            $data['subject']       = $this->input->post('subject');
            $data['body']          = $this->input->post('body');
            $data['time']          = $this->input->post('time');
            $data['date']          = $this->input->post('date');
            $data['status']        = $this->input->post('status');
            $this->db->insert('message', $data);
            redirect(base_url() . 'index.php?client/message/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile']   = true;
            $page_data['current_message_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('message', array(
                'message_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'update_finalizar') {

            $data['status']      = 'concluido';
            $this->db->where('message_id', $param2);
            $this->db->update('message', $data);
            redirect(base_url() . 'index.php?client/message/', 'refresh');

        }
        if ($param1 == 'delete') {
            $this->db->where('message_id', $param2);
            $this->db->delete('message');
            redirect(base_url() . 'index.php?client/message/', 'refresh');
        }

        $page_data['message']    = $this->db->get('message')->result_array();
        //$page_data['message']    =  $this->db->get_where('message', array('sender' => $this->session->userdata('client_id')))->result_array();
        $page_data['page_name']  = 'message';
        $page_data['page_icon']  = 'envelope';
        $page_data['page_title'] = 'Mensagem Importante!';
        $this->load->view('index', $page_data);
    }
/****MANAGE CONTRATO*****/
    function contrato($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');


        if ($param1 == 'create') {
            $data['cliente']        = $this->input->post('cliente');
            $data['cnpj_cpf']       = $this->input->post('cnpj_cpf');
            $data['pj_pf']          = $this->input->post('pj_pf');
            $data['email']          = $this->input->post('email');
            $data['nome']           = $this->input->post('nome');
            $data['data']           = $this->input->post('data');
            $data['ip']             = $this->input->post('ip');
            $data['cliente_socio']  = $this->input->post('cliente_socio');
            $data['socio_nome']     = $this->input->post('socio_nome');
            $data['socio_cnpj_cpf'] = $this->input->post('socio_cnpj_cpf');
            $this->db->insert('client_contrato', $data);

            $this->session->set_flashdata('flash_message', 'Contrato Registrado com Sucesso!!');
            // Envio Email
            //$Xsender        = $this->db->get_where('client', array('client_id' => $this->input->post('sender')))->row()->name;
            //$Xsend_email    = $this->db->get_where('client', array('client_id' => $this->input->post('sender')))->row()->email;


            //$this->email_model->envia_email_mensagem_cliente($Xsender,$Xsend_email,$this->input->post('subject'),$this->input->post('body'));

            redirect(base_url() . 'index.php?client/dashboard/', 'refresh');
        }

        if ($param1 == 'do_update') {
            $data['cliente']        = $this->input->post('cliente');
            $data['cnpj_cpf']       = $this->input->post('cnpj_cpf');
            $data['pj_pf']          = $this->input->post('pj_pf');
            $data['email']          = $this->input->post('email');
            $data['nome']           = $this->input->post('nome');
            $data['data']           = $this->input->post('data');
            $data['ip']             = $this->input->post('ip');
            $data['cliente_socio']  = $this->input->post('cliente_socio');
            $data['socio_nome']     = $this->input->post('socio_nome');
            $data['socio_cnpj_cpf'] = $this->input->post('socio_cnpj_cpf');
            $this->db->where('dp_funcionario_id', $param2);
            $this->db->update('dp_funcionario', $data);
            redirect(base_url() . 'index.php?client/client_contrato/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile']   = true;
            $page_data['current_message_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('client_contrato', array(
                'message_id' => $param2
            ))->result_array();
        }


        $page_data['contrato']    = $this->db->get_where('client_contrato',array('cliente' => $this->session->userdata('client_id') ))->result_array();
        //$page_data['message']    =  $this->db->get_where('message', array('sender' => $this->session->userdata('client_id')))->result_array();
        $page_data['page_name']  = 'contrato';
        $page_data['page_icon']  = 'file';
        $page_data['page_title'] = 'Contrato de Prestação de Serviço';
        $this->load->view('index', $page_data);
    }

/**** MEI |-> Movimentação ****/
    function mov_mei($param1 = '', $param2 = '', $param3 = '')
    {

        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            
            $array = array("01_Jan", "02_Fev", "03_Mar", "04_Abr","05_Mai","06_Jun","07_Jul","08_Ago","09_Set","10_Out","11_Nov","12_Dez"); 
            foreach($array as $value){
            
            $rec_com = $value.'_rec_com';
            $rec_serv = $value.'_rec_serv';
            $desp = $value.'_desp';
            $rl = $value.'_rl';
            $ano =  $this->input->post('ano');
            //$ano =  '2019';


            $data['client']           = $this->input->post('client');
            $data['ano']              = $ano;
            $data['mes']              = substr($value,0,2);
            $data['receitas_com']     = str_replace(',','.',str_replace('.','',$this->input->post($rec_com)));
            $data['receitas_serv']    = str_replace(',','.',str_replace('.','',$this->input->post($rec_serv)));
            $data['despesas']         = str_replace(',','.',str_replace('.','',$this->input->post($desp)));
            $data['retirada_lucro']   = str_replace(',','.',str_replace('.','',$this->input->post($rl)));
            //$data['saldo']            = (str_replace(',','.',str_replace('.','',$this->input->post($rec_com))) + str_replace(',','.',str_replace('.','',$this->input->post($rec_serv))))-($this->input->post($desp)+$this->input->post($rl));
            $data['data_lancamento']  = $this->input->post('data_lancamento'); 
            $data['data_alteracao']   = $this->input->post('data_alteracao'); 
            $data['status']           = $this->input->post('status');             
            $this->db->insert('mov_mei', $data);
            
            }
            
            $this->session->set_flashdata('flash_message', 'Movimento Gravado com Sucesso!!!');
            redirect(base_url() . 'index.php?client/mov_mei/', 'refresh');
        }
        if ($param1 == 'do_update') {
        
            $data_saldo['saldo'] = str_replace(',','.',str_replace('.','',$this->input->post('saldo')));                          
            $this->db->where(array('mei_declaracao_id' => $this->input->post('id_saldo') ));
            $this->db->update('mov_mei', $data_saldo); 
        
            
            $array = array("01", "02", "03", "04","05","06","07","08","09","10","11","12"); 
            foreach($array as $value){
            
            $rec_com = $value.'_rec_com';
            $rec_serv = $value.'_rec_serv';
            $desp = $value.'_desp';
            $rl = $value.'_rl';
            $sl = $value.'_sl';
            $ano =  $this->input->post('ano');
            //$ano =  '2019';
                       
//            $data['client']           = $this->input->post('client');
//            $data['ano']              = '2016';
//            $data['mes']              = substr($value,0,2);
            $data['receitas_com']       = str_replace(',','.',str_replace('.','',$this->input->post($rec_com)));
            $data['receitas_serv']      = str_replace(',','.',str_replace('.','',$this->input->post($rec_serv))); 
            $data['despesas']           = str_replace(',','.',str_replace('.','',$this->input->post($desp)));
            $data['retirada_lucro']     = str_replace(',','.',str_replace('.','',$this->input->post($rl)));
            //$data['saldo']              = str_replace(',','.',str_replace('.','',$this->input->post($sl)));              

//            $data['data_lancamento']  = $this->input->post('data_lancamento'); 
            $data['data_alteracao']   = $this->input->post('data_alteracao'); 
//            $data['status']           = $this->input->post('status');             
            $this->db->where(array('client' => $this->input->post('client'),'ano' => $ano, 'mes' => $value  ));
            $this->db->update('mov_mei', $data);

            
            }
            
            $this->session->set_flashdata('flash_message', 'Movimento Atualizado com Sucesso!!!');
            redirect(base_url() . 'index.php?client/mov_mei/', 'refresh');
        }
        if ($param1 == 'finalizar') {
        
            $array = array("01", "02", "03", "04","05","06","07","08","09","10","11","12"); 
            foreach($array as $value){
                  
            $data['status']         = 'a contabilizar';             
            $this->db->where(array('client' => $this->session->userdata('client_id'),'ano' => $ano, 'mes' => $value  ));
            $this->db->update('mei_declaracao', $data);

            }
                      
            
            $this->session->set_flashdata('flash_message', 'Declaração Finalizada com Sucesso!!!');
            redirect(base_url() . 'index.php?client/mov_mei/', 'refresh');
            
        }        

        $page_data['mov_mei']     =  $this->db->get_where('mov_mei', array('client' => $this->session->userdata('client_id')))->result_array();
        $page_data['page_name']   = 'mov_mei';
        $page_data['page_icon']   = 'file';
        $page_data['page_title']  = 'Movimentações - Lançamento MEI';
        $this->load->view('index', $page_data);
    }

/**** MEI |-> Declaração ****/
    function mei_declaracao($param1 = '', $param2 = '', $param3 = '')
    {

        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            
            $array = array("01_Jan", "02_Fev", "03_Mar", "04_Abr","05_Mai","06_Jun","07_Jul","08_Ago","09_Set","10_Out","11_Nov","12_Dez"); 
            foreach($array as $value){
            
            $rec = $value.'_rec';
            $desp = $value.'_desp';
            $rl = $value.'_rl';
            
            $data['client']           = $this->input->post('client');
            $data['ano']              = '2019';
            $data['mes']              = substr($value,0,2);
            $data['receitas']         = str_replace(',','.',str_replace('.','',$this->input->post($rec)));
            $data['despesas']         = str_replace(',','.',str_replace('.','',$this->input->post($desp)));
            $data['retirada_lucro']   = str_replace(',','.',str_replace('.','',$this->input->post($rl)));
            $data['saldo']            = str_replace(',','.',str_replace('.','',$this->input->post($rec)-($this->input->post($desp)+$this->input->post($rl))));
            $data['data_lancamento']  = $this->input->post('data_lancamento'); 
            $data['data_alteracao']   = $this->input->post('data_alteracao'); 
            $data['status']           = $this->input->post('status');             
            $this->db->insert('mei_declaracao', $data);
            
            }
            
            $this->session->set_flashdata('flash_message', 'Declaração Gravada com Sucesso!!!');
            redirect(base_url() . 'index.php?client/mei_declaracao/', 'refresh');
        }
        if ($param1 == 'do_update') {
              
            
            $array = array("01", "02", "03", "04","05","06","07","08","09","10","11","12"); 
            foreach($array as $value){
            
            $rec = $value.'_rec';
            $desp = $value.'_desp';
            $rl = $value.'_rl';
            $sl = $value.'_sl';
                       
//            $data['client']           = $this->input->post('client');
//            $data['ano']              = '2016';
//            $data['mes']              = substr($value,0,2);
            $data['receitas'] = str_replace(',','.',str_replace('.','',$this->input->post($rec))); 
            $data['despesas'] = str_replace(',','.',str_replace('.','',$this->input->post($desp)));
            $data['retirada_lucro'] = str_replace(',','.',str_replace('.','',$this->input->post($rl)));
            $data['saldo'] = str_replace(',','.',str_replace('.','',$this->input->post($sl)));              

//            $data['data_lancamento']  = $this->input->post('data_lancamento'); 
            $data['data_alteracao']   = $this->input->post('data_alteracao'); 
//            $data['status']           = $this->input->post('status');             
            $this->db->where(array('client' => $this->input->post('client'),'ano' => '2016', 'mes' => $value  ));
            $this->db->update('mei_declaracao', $data);

            
            }
            
            $this->session->set_flashdata('flash_message', 'Declaração Atualizada com Sucesso!!!');
            redirect(base_url() . 'index.php?client/mei_declaracao/', 'refresh');
        }
        if ($param1 == 'finalizar') {
        
            $array = array("01", "02", "03", "04","05","06","07","08","09","10","11","12"); 
            foreach($array as $value){
                  
            $data['status']         = 'a contabilizar';             
            $this->db->where(array('client' => $this->session->userdata('client_id'),'ano' => '2016', 'mes' => $value  ));
            $this->db->update('mei_declaracao', $data);

            }
                      
            
            $this->session->set_flashdata('flash_message', 'Declaração Finalizada com Sucesso!!!');
            redirect(base_url() . 'index.php?client/mei_declaracao/', 'refresh');
            
        }        

        $page_data['mei_declaracao']      =  $this->db->get_where('mei_declaracao', array('client' => $this->session->userdata('client_id')))->result_array();
        $page_data['page_name']  = 'mei_declaracao';
        $page_data['page_icon'] = 'file';
        $page_data['page_title'] = 'Movimentações - Lançamento de caixa';
        $this->load->view('index', $page_data);
    }
/**** MEI |-> Declaração 2018 ****/
    function mei_declaracao2018($param1 = '', $param2 = '', $param3 = '')
    {

        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            
            $array = array("01_Jan", "02_Fev", "03_Mar", "04_Abr","05_Mai","06_Jun","07_Jul","08_Ago","09_Set","10_Out","11_Nov","12_Dez"); 
            foreach($array as $value){
            
            $rec = $value.'_rec';
            $desp = $value.'_desp';
            $rl = $value.'_rl';
            
            $data['client']           = $this->input->post('client');
            $data['ano']              = '2018';
            $data['mes']              = substr($value,0,2);
            $data['receitas']         = str_replace(',','.',str_replace('.','',$this->input->post($rec)));
            $data['despesas']         = str_replace(',','.',str_replace('.','',$this->input->post($desp)));
            $data['retirada_lucro']   = str_replace(',','.',str_replace('.','',$this->input->post($rl)));
            $data['saldo']            = str_replace(',','.',str_replace('.','',$this->input->post($rec)-($this->input->post($desp)+$this->input->post($rl))));
            $data['data_lancamento']  = $this->input->post('data_lancamento'); 
            $data['data_alteracao']   = $this->input->post('data_alteracao'); 
            $data['status']           = $this->input->post('status');             
            $this->db->insert('mei_declaracao2018', $data);
            
            }
            
            $this->session->set_flashdata('flash_message', 'Declaração Gravada com Sucesso!!!');
            redirect(base_url() . 'index.php?client/mei_declaracao2018/', 'refresh');
        }
        if ($param1 == 'do_update') {
        
             
            $data_saldo['saldo'] = str_replace(',','.',str_replace('.','',$this->input->post('saldo')));                          
            $this->db->where(array('mei_declaracao_id' => $this->input->post('id_saldo') ));
            $this->db->update('mei_declaracao2018', $data_saldo); 
        
            
            $array = array("01", "02", "03", "04","05","06","07","08","09","10","11","12"); 
            foreach($array as $value){
            
            $rec = $value.'_rec';
            $desp = $value.'_desp';
            $rl = $value.'_rl';
            $sl = $value.'_sl';
                       
//            $data['client']           = $this->input->post('client');
//            $data['ano']              = '2016';
//            $data['mes']              = substr($value,0,2);
            $data['receitas'] = str_replace(',','.',str_replace('.','',$this->input->post($rec))); 
            $data['despesas'] = str_replace(',','.',str_replace('.','',$this->input->post($desp)));
            $data['retirada_lucro'] = str_replace(',','.',str_replace('.','',$this->input->post($rl)));
            //$data['saldo'] = str_replace(',','.',str_replace('.','',$this->input->post($sl)));              

//            $data['data_lancamento']  = $this->input->post('data_lancamento'); 
            $data['data_alteracao']   = $this->input->post('data_alteracao'); 
//            $data['status']           = $this->input->post('status');             
            $this->db->where(array('client' => $this->input->post('client'),'ano' => '2018', 'mes' => $value  ));
            $this->db->update('mei_declaracao2018', $data);

            
            }
            
            $this->session->set_flashdata('flash_message', 'Declaração Atualizada com Sucesso!!!');
            redirect(base_url() . 'index.php?client/mei_declaracao2018/', 'refresh');
        }
        if ($param1 == 'finalizar') {
        
            $array = array("01", "02", "03", "04","05","06","07","08","09","10","11","12"); 
            foreach($array as $value){
                  
            $data['status']         = 'a contabilizar';             
            $this->db->where(array('client' => $this->session->userdata('client_id'),'ano' => '2018', 'mes' => $value  ));
            $this->db->update('mei_declaracao2018', $data);

            }
                      
            
            $this->session->set_flashdata('flash_message', 'Declaração Finalizada com Sucesso!!!');
            redirect(base_url() . 'index.php?client/mei_declaracao2018/', 'refresh');
            
        }        

        $page_data['mei_declaracao']      =  $this->db->get_where('mei_declaracao2018', array('client' => $this->session->userdata('client_id')))->result_array();
        $page_data['page_name']  = 'mei_declaracao2018';
        $page_data['page_icon'] = 'file';
        $page_data['page_title'] = 'Movimentações - Lançamento de caixa';
        $this->load->view('index', $page_data);
    }      
/**** MEI |-> Declaração 2017 ****/
    function mei_declaracao2017($param1 = '', $param2 = '', $param3 = '')
    {

        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            
            $array = array("01_Jan", "02_Fev", "03_Mar", "04_Abr","05_Mai","06_Jun","07_Jul","08_Ago","09_Set","10_Out","11_Nov","12_Dez"); 
            foreach($array as $value){
            
            $rec = $value.'_rec';
            $desp = $value.'_desp';
            $rl = $value.'_rl';
            
            $data['client']           = $this->input->post('client');
            $data['ano']              = '2017';
            $data['mes']              = substr($value,0,2);
            $data['receitas']         = str_replace(',','.',str_replace('.','',$this->input->post($rec)));
            $data['despesas']         = str_replace(',','.',str_replace('.','',$this->input->post($desp)));
            $data['retirada_lucro']   = str_replace(',','.',str_replace('.','',$this->input->post($rl)));
            $data['saldo']            = str_replace(',','.',str_replace('.','',$this->input->post($rec)-($this->input->post($desp)+$this->input->post($rl))));
            $data['data_lancamento']  = $this->input->post('data_lancamento'); 
            $data['data_alteracao']   = $this->input->post('data_alteracao'); 
            $data['status']           = $this->input->post('status');             
            $this->db->insert('mei_declaracao2017', $data);
            
            }
            
            $this->session->set_flashdata('flash_message', 'Declaração Gravada com Sucesso!!!');
            redirect(base_url() . 'index.php?client/mei_declaracao2017/', 'refresh');
        }
        if ($param1 == 'do_update') {
        
            
            $array = array("01", "02", "03", "04","05","06","07","08","09","10","11","12"); 
            foreach($array as $value){
            
            $rec = $value.'_rec';
            $desp = $value.'_desp';
            $rl = $value.'_rl';
            $sl = $value.'_sl';
                       
//            $data['client']           = $this->input->post('client');
//            $data['ano']              = '2016';
//            $data['mes']              = substr($value,0,2);
            $data['receitas'] = str_replace(',','.',str_replace('.','',$this->input->post($rec))); 
            $data['despesas'] = str_replace(',','.',str_replace('.','',$this->input->post($desp)));
            $data['retirada_lucro'] = str_replace(',','.',str_replace('.','',$this->input->post($rl)));
            $data['saldo'] = str_replace(',','.',str_replace('.','',$this->input->post($sl)));              

//            $data['data_lancamento']  = $this->input->post('data_lancamento'); 
            $data['data_alteracao']   = $this->input->post('data_alteracao'); 
//            $data['status']           = $this->input->post('status');             
            $this->db->where(array('client' => $this->input->post('client'),'ano' => '2017', 'mes' => $value  ));
            $this->db->update('mei_declaracao2017', $data);

            
            }
            
            $this->session->set_flashdata('flash_message', 'Declaração Atualizada com Sucesso!!!');
            redirect(base_url() . 'index.php?client/mei_declaracao2017/', 'refresh');
        }
        if ($param1 == 'finalizar') {
        
            $array = array("01", "02", "03", "04","05","06","07","08","09","10","11","12"); 
            foreach($array as $value){
                  
            $data['status']         = 'a contabilizar';             
            $this->db->where(array('client' => $this->session->userdata('client_id'),'ano' => '2017', 'mes' => $value  ));
            $this->db->update('mei_declaracao2017', $data);

            }
                      
            
            $this->session->set_flashdata('flash_message', 'Declaração Finalizada com Sucesso!!!');
            redirect(base_url() . 'index.php?client/mei_declaracao2017/', 'refresh');
            
        }        

        $page_data['mei_declaracao']      =  $this->db->get_where('mei_declaracao2017', array('client' => $this->session->userdata('client_id')))->result_array();
        $page_data['page_name']  = 'mei_declaracao2017';
        $page_data['page_icon'] = 'file';
        $page_data['page_title'] = 'Movimentações - Lançamento de caixa';
        $this->load->view('index', $page_data);
    } 
/****MANAGE Departamento Pessoal*/
    function dp_funcionarios($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {

            if ($this->input->post('trab_dias_seg') == 'on'){ $trab_seg = '1';}else{ $trab_seg = '0';};
            if ($this->input->post('trab_dias_ter') == 'on'){ $trab_ter = '1';}else{ $trab_ter = '0';};
            if ($this->input->post('trab_dias_qua') == 'on'){ $trab_qua = '1';}else{ $trab_qua = '0';};
            if ($this->input->post('trab_dias_qui') == 'on'){ $trab_qui = '1';}else{ $trab_qui = '0';};
            if ($this->input->post('trab_dias_sex') == 'on'){ $trab_sex = '1';}else{ $trab_sex = '0';};
            if ($this->input->post('trab_dias_sab') == 'on'){ $trab_sab = '1';}else{ $trab_sab = '0';};
            if ($this->input->post('trab_dias_dom') == 'on'){ $trab_dom = '1';}else{ $trab_dom = '0';};

            $data['cliente']                = $this->input->post('cliente');
            $data['dt_criacao']             = date('Y-m-d', strtotime($this->input->post('dt_criacao')));
            $data['dt_alteracao']           = date('Y-m-d', strtotime($this->input->post('dt_alteracao')));
            $data['nome']                   = $this->input->post('nome');
            $data['ddd_tel']                = $this->input->post('ddd_tel');
            $data['tel']                    = str_replace('-','',$this->input->post('tel'));
            $data['ddd_cel']                = $this->input->post('ddd_cel');
            $data['cel']                    = str_replace('-','',$this->input->post('cel'));
            $data['email']                  = $this->input->post('email');
            $data['endereco']               = $this->input->post('endereco');
            $data['end_n']                  = $this->input->post('end_n');
            $data['end_comp']               = $this->input->post('end_comp');
            $data['end_bairro']             = $this->input->post('end_bairro');
            $data['end_cidade']             = $this->input->post('end_cidade');
            $data['end_uf']                 = $this->input->post('end_uf');
            $data['end_cep']                = str_replace('.','',str_replace('-','',$this->input->post('end_cep')));
            $data['end_pais']               = $this->input->post('end_pais');
            $data['sexo']                   = $this->input->post('sexo');
            $data['estado_civil']           = $this->input->post('estado_civil');
            $data['cor_raca']               = $this->input->post('cor_raca');
            $data['escolaridade']           = $this->input->post('escolaridade');
            $data['nome_pai']               = $this->input->post('nome_pai');
            $data['nome_mae']               = $this->input->post('nome_mae');
            $data['dt_nasc']                = date('Y-m-d', strtotime($this->input->post('dt_nasc')));
            if ($data['dt_nasc']=='1969-12-31')
            { $data['dt_nasc'] = '';};
            $data['nasc_uf']                = $this->input->post('nasc_uf');
            $data['nasc_cidade']            = $this->input->post('nasc_cidade');
            $data['dt_admissao']            = date('Y-m-d', strtotime($this->input->post('dt_admissao')));
            if ($data['dt_admissao']=='1969-12-31')
            { $data['dt_admissao'] = '';};
            $data['pri_trab']               = $this->input->post('pri_trab');
            $data['contrato_experiencia']   = $this->input->post('contrato_experiencia');
            $data['contrato_dias']          = $this->input->post('contrato_dias');
            $data['dt_atestado']            = date('Y-m-d', strtotime($this->input->post('dt_atestado')));
            if ($data['dt_atestado']=='1969-12-31')
            { $data['dt_atestado'] = '';};
            $data['depto']                  = $this->input->post('depto');
            $data['funcao']                 = $this->input->post('funcao');
            $data['salario']                = str_replace(',','.',$this->input->post('salario'));
            $data['sindicato']              = $this->input->post('sindicato');
            $data['trab_hrs_entrada']       = $this->input->post('trab_hrs_entrada');
            $data['trab_hrs_saida']         = $this->input->post('trab_hrs_saida');
            $data['trab_hrs_intervalo']     = $this->input->post('trab_hrs_intervalo'); 
            $data['trab_hrs_intervalo_retorno']     = $this->input->post('trab_hrs_intervalo_retorno');
            $data['trab_dias']     = $trab_seg.','.$trab_ter.','.$trab_qua.','.$trab_qui.','.$trab_sex.','.$trab_sab.','.$trab_dom;
            $data['cpf']                    = str_replace('.','',str_replace('-','',$this->input->post('cpf')));
            $data['dic']                    = $this->input->post('dic');
            $data['dic_uf']                 = $this->input->post('dic_uf');
            $data['dic_exped']              = $this->input->post('dic_exped');
            $data['dic_dt_exped']           = date('Y-m-d', strtotime($this->input->post('dic_dt_exped')));
            if ($data['dic_dt_exped']=='1969-12-31')
            { $data['dic_dt_exped'] = '';};
            $data['ctps']                   = $this->input->post('ctps');
            $data['ctps_serie']             = $this->input->post('ctps_serie');
            $data['ctps_uf']                = $this->input->post('ctps_uf');
            $data['ctps_dt_emissao']        = date('Y-m-d', strtotime($this->input->post('ctps_dt_emissao')));
            if ($data['ctps_dt_emissao']=='1969-12-31')
            { $data['ctps_dt_emissao'] = '';};
            $data['titulo_eleitor']         = $this->input->post('titulo_eleitor');
            $data['titulo_eleitor_zona']    = $this->input->post('titulo_eleitor_zona');
            $data['titulo_eleitor_secao']   = $this->input->post('titulo_eleitor_secao');
            $data['pis']                    = $this->input->post('pis');
            $data['pis_dt_emissao']         = date('Y-m-d', strtotime($this->input->post('pis_dt_emissao')));
            if ($data['pis_dt_emissao']=='1969-12-31')
            { $data['pis_dt_emissao'] = '';};
            $data['cert_nasc']              = $this->input->post('cert_nasc');
            $data['cert_nasc_dt_emissao']   = date('Y-m-d', strtotime($this->input->post('cert_nasc_dt_emissao')));
            if ($data['cert_nasc_dt_emissao']=='1969-12-31')
            { $data['cert_nasc_dt_emissao'] = '';};
            $data['cert_nasc_termo']        = $this->input->post('cert_nasc_termo');
            $data['cert_nasc_livro']        = $this->input->post('cert_nasc_livro');
            $data['cert_nasc_folha']        = $this->input->post('cert_nasc_folha');
            $data['cert_nasc_cartorio']     = $this->input->post('cert_nasc_cartorio');
            $data['cert_nasc_uf']           = $this->input->post('cert_nasc_uf');
            $data['cert_nasc_cidade']       = $this->input->post('cert_nasc_cidade');
            $data['cnh']                    = $this->input->post('cnh');
            $data['cnh_dt_exp']             = date('Y-m-d', strtotime($this->input->post('cnh_dt_exp')));
            if ($data['cnh_dt_exp']=='1969-12-31')
            { $data['cnh_dt_exp'] = '';};
            $data['cnh_dt_venc']            = date('Y-m-d', strtotime($this->input->post('cnh_dt_venc')));
            if ($data['cnh_dt_venc']=='1969-12-31')
            { $data['cnh_dt_venc'] = '';};
            $data['cnh_cat']                = $this->input->post('cnh_cat');
            $data['cnh_org_emissor']        = $this->input->post('cnh_org_emissor');
            $data['cnh_dt_venc']            = date('Y-m-d', strtotime($this->input->post('cnh_dt_venc')));
            if ($data['cnh_dt_venc']=='1969-12-31')
            { $data['cnh_dt_venc'] = '';};
            $data['cnh_dt_pri']             = date('Y-m-d', strtotime($this->input->post('cnh_dt_pri')));
            if ($data['cnh_dt_pri']=='1969-12-31')
            { $data['cnh_dt_pri'] = '';};
            $data['cnh_dt_venc']            = date('Y-m-d', strtotime($this->input->post('cnh_dt_venc')));
            if ($data['cnh_dt_venc']=='1969-12-31')
            { $data['cnh_dt_venc'] = '';};
            $data['cr']                     = $this->input->post('cr');
            $data['cr_serie']               = $this->input->post('cr_serie');
            $data['cr_cat']                 = $this->input->post('cr_cat');
            $data['cr_reg_classe']          = $this->input->post('cr_reg_classe');
            $data['cr_org_emissor']         = $this->input->post('cr_org_emissor');
            $data['cr_dt_emissao']          = date('Y-m-d', strtotime($this->input->post('cr_dt_emissao')));
            if ($data['cr_dt_emissao']=='1969-12-31')
            { $data['cr_dt_emissao'] = '';};
            $data['cr_dt_validade']         = date('Y-m-d', strtotime($this->input->post('cr_dt_validade')));
            if ($data['cr_dt_validade']=='1969-12-31')
            { $data['cr_dt_validade'] = '';};
            $data['vl']                     = str_replace(',','.',$this->input->post('vl'));
            $data['vl_uni']                 = str_replace(',','.',$this->input->post('vl_uni'));
            $data['vl_qtde_dia']            = str_replace(',','.',$this->input->post('vl_qtde_dia'));
            $data['ferias_vencidas']        = $this->input->post('ferias_vencidas');
            $data['dt_demissao']            = '';
            $data['status']                 = 'A';
            $data['obs']                    = $this->input->post('obs');

            $this->db->insert('dp_funcionario', $data);

            // Envio Email
            $Xsender        = $this->db->get_where('client', array('client_id' => $this->session->userdata('client_id')))->row()->name;
            $Xsend_email    = $this->db->get_where('client', array('client_id' => $this->session->userdata('client_id')))->row()->email;

            $this->email_model->envia_email_cadastro_funcionario_cliente($Xsender,$Xsend_email,$this->input->post('nome'));

            //Upload Identidade / CNH:

            $Xrand =  mt_rand();

            if ( !empty($_FILES['userfile']['name'][1])){

                $XnovoNome_1 = strtolower($this->caracter_model->t5f_translit($_FILES['userfile']['name'][1]));

                $data_f1['dp_arquivo']     = $_FILES['userfile']['name'][1];
                $data_f1['caminho']        = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome_1;
                //$data_f1['path']         = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$_FILES['file']['name'];
                $data_f1['cliente']        = $this->input->post('cliente');
                $data_f1['funcionario']    = str_replace('.','',str_replace('-','',$this->input->post('cpf')));
                $data_f1['produto']        = $this->input->post('product');
                //$data_f1['desc_file']    = $_FILES['file']['name'];
                $data_f1['desc_arquivo']   = 'Identidade ou CNH do Funcionário: '.$this->input->post('nome');
                $data_f1['quantidade']     = $this->input->post('quantity');
                $data_f1['valor']          = $this->input->post('valor');
                $data_f1['data']           = $this->input->post('date');
                $data_f1['data_venc']      = $this->input->post('date');
                $data_f1['ind_up']         = $this->input->post('ind_up');
                $data_f1['status']         = $this->input->post('status');
                $this->db->insert('dp_arquivo', $data_f1);

                move_uploaded_file($_FILES['userfile']['tmp_name'][1], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome_1);
                //move_uploaded_file($_FILES['file']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$_FILES['file']['name']);
                $this->session->set_flashdata('flash_message', 'Funcionário Cadastrado... Arquivos Enviados');

                /* enviar email de cadastro de funcionário
                $Xcontato       = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->contact;
                $Xemail         = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->email;
                $Xnome_empresa  = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->name;
                $Xtel           = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->ddd_phone.' '.$this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->phone;
                $Xdocumento     = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->cnpj_cpf;
                $Xalterdata     = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->alterdata;
                $Xdesc_arquivo  = $this->input->post('desc_file');
                $Xarquivo       = ($this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome);

                $this->email_model->envia_email_postagem_cliente($Xcontato,$Xemail,$Xnome_empresa,$Xarquivo,$Xdesc_arquivo,$Xtel,$Xdocumento,$Xalterdata);
                */

            }  else
            {
                $this->session->set_flashdata('flash_message', 'Arquivo Não Enviado, favor adicionar um arquivo para Identidade ou CNH do Funcionário!');
                //redirect(base_url() . 'index.php?client/dp_funcionarios/', 'refresh');
            }
            //  Upload - Carteira de Trabalho - Frente (CTPS)
            if ( !empty($_FILES['userfile']['name'][2])){

                $XnovoNome_2 = strtolower($this->caracter_model->t5f_translit($_FILES['userfile']['name'][2]));

                $data_f2['dp_arquivo']     = $_FILES['userfile']['name'][2];
                $data_f2['caminho']        = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome_2;
                //$data_f2['path']         = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$_FILES['file']['name'];
                $data_f2['cliente']        = $this->input->post('cliente');
                $data_f2['funcionario']    = str_replace('.','',str_replace('-','',$this->input->post('cpf')));
                $data_f2['produto']        = $this->input->post('product');
                //$data_f2['desc_file']    = $_FILES['file']['name'];
                $data_f2['desc_arquivo']   = 'CTPS (frente) do funcionário: '.$this->input->post('nome');
                $data_f2['quantidade']     = $this->input->post('quantity');
                $data_f2['valor']          = $this->input->post('valor');
                $data_f2['data']           = $this->input->post('date');
                $data_f2['data_venc']      = $this->input->post('date');
                $data_f2['ind_up']         = $this->input->post('ind_up');
                $data_f2['status']         = $this->input->post('status');
                $this->db->insert('dp_arquivo', $data_f2);

                move_uploaded_file($_FILES['userfile']['tmp_name'][2], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome_2);
                //move_uploaded_file($_FILES['file']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$_FILES['file']['name']);
                $this->session->set_flashdata('flash_message', 'Funcionário Cadastrado... Arquivos Enviados');

            }  else
            {
                $this->session->set_flashdata('flash_message', 'Arquivo Não Enviado, favor adicionar um arquivo de CTPS (frente) do funcionário!');
                //redirect(base_url() . 'index.php?client/dp_funcionarios/', 'refresh');
            }
            //  Upload - Carteira de Trabalho - Verso (CTPS)
            if ( !empty($_FILES['userfile']['name'][3])){

                $XnovoNome_3 = strtolower($this->caracter_model->t5f_translit($_FILES['userfile']['name'][3]));

                $data_f3['dp_arquivo']     = $_FILES['userfile']['name'][3];
                $data_f3['caminho']        = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome_3;
                //$data_f3['path']         = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$_FILES['file']['name'];
                $data_f3['cliente']        = $this->input->post('cliente');
                $data_f3['funcionario']    = str_replace('.','',str_replace('-','',$this->input->post('cpf')));
                $data_f3['produto']        = $this->input->post('product');
                //$data_f3['desc_file']    = $_FILES['file']['name'];
                $data_f3['desc_arquivo']   = 'CTPS (verso) do funcionário: '.$this->input->post('nome');
                $data_f3['quantidade']     = $this->input->post('quantity');
                $data_f3['valor']          = $this->input->post('valor');
                $data_f3['data']           = $this->input->post('date');
                $data_f3['data_venc']      = $this->input->post('date');
                $data_f3['ind_up']         = $this->input->post('ind_up');
                $data_f3['status']         = $this->input->post('status');
                $this->db->insert('dp_arquivo', $data_f3);

                move_uploaded_file($_FILES['userfile']['tmp_name'][3], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome_3);
                //move_uploaded_file($_FILES['file']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$_FILES['file']['name']);
                $this->session->set_flashdata('flash_message', 'Funcionário Cadastrado... Arquivos Enviados');

            }  else
            {
                $this->session->set_flashdata('flash_message', 'Arquivo Não Enviado, favor adicionar um arquivo de CTPS (verso) do funcionário!');
                //redirect(base_url() . 'index.php?client/dp_funcionarios/', 'refresh');
            }
            //  Upload - Carteira de Trabalho - Verso (CTPS)
            if ( !empty($_FILES['userfile']['name'][4])){

                $XnovoNome_4 = strtolower($this->caracter_model->t5f_translit($_FILES['userfile']['name'][4]));

                $data_f4['dp_arquivo']     = $_FILES['userfile']['name'][4];
                $data_f4['caminho']        = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome_4;
                //$data_f4['path']         = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$_FILES['file']['name'];
                $data_f4['cliente']        = $this->input->post('cliente');
                $data_f4['funcionario']    = str_replace('.','',str_replace('-','',$this->input->post('cpf')));
                $data_f4['produto']        = $this->input->post('product');
                //$data_f4['desc_file']    = $_FILES['file']['name'];
                $data_f4['desc_arquivo']   = 'CPF do Funcionário: '.$this->input->post('nome');
                $data_f4['quantidade']     = $this->input->post('quantity');
                $data_f4['valor']          = $this->input->post('valor');
                $data_f4['data']           = $this->input->post('date');
                $data_f4['data_venc']      = $this->input->post('date');
                $data_f4['ind_up']         = $this->input->post('ind_up');
                $data_f4['status']         = $this->input->post('status');
                $this->db->insert('dp_arquivo', $data_f4);

                move_uploaded_file($_FILES['userfile']['tmp_name'][4], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome_4);
                //move_uploaded_file($_FILES['file']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$_FILES['file']['name']);
                $this->session->set_flashdata('flash_message', 'Funcionário Cadastrado... Arquivos Enviados');

            }
            redirect(base_url() . 'index.php?client/dp_funcionarios/', 'refresh');
        }
        if ($param1 == 'do_update') {        
        
            if ($this->input->post('trab_dias_seg') == 'on'){ $trab_seg = '1';}else{ $trab_seg = '0';};
            if ($this->input->post('trab_dias_ter') == 'on'){ $trab_ter = '1';}else{ $trab_ter = '0';};
            if ($this->input->post('trab_dias_qua') == 'on'){ $trab_qua = '1';}else{ $trab_qua = '0';};
            if ($this->input->post('trab_dias_qui') == 'on'){ $trab_qui = '1';}else{ $trab_qui = '0';};
            if ($this->input->post('trab_dias_sex') == 'on'){ $trab_sex = '1';}else{ $trab_sex = '0';};
            if ($this->input->post('trab_dias_sab') == 'on'){ $trab_sab = '1';}else{ $trab_sab = '0';};
            if ($this->input->post('trab_dias_dom') == 'on'){ $trab_dom = '1';}else{ $trab_dom = '0';};        

            $data['cliente']                = $this->input->post('cliente');
            $data['dt_criacao']             = date('Y-m-d', strtotime($this->input->post('dt_criacao')));
            $data['dt_alteracao']           = date('Y-m-d', strtotime($this->input->post('dt_alteracao')));
            $data['nome']                   = $this->input->post('nome');
            $data['ddd_tel']                = $this->input->post('ddd_tel');
            $data['tel']                    = str_replace('-','',$this->input->post('tel'));
            $data['ddd_cel']                = $this->input->post('ddd_cel');
            $data['cel']                    = str_replace('-','',$this->input->post('cel'));
            $data['email']                  = $this->input->post('email');
            $data['endereco']               = $this->input->post('endereco');
            $data['end_n']                  = $this->input->post('end_n');
            $data['end_comp']               = $this->input->post('end_comp');
            $data['end_bairro']             = $this->input->post('end_bairro');
            $data['end_cidade']             = $this->input->post('end_cidade');
            $data['end_uf']                 = $this->input->post('end_uf');
            $data['end_cep']                = str_replace('.','',str_replace('-','',$this->input->post('end_cep')));
            $data['end_pais']               = $this->input->post('end_pais');
            $data['sexo']                   = $this->input->post('sexo');
            $data['estado_civil']           = $this->input->post('estado_civil');
            $data['cor_raca']               = $this->input->post('cor_raca');
            $data['escolaridade']           = $this->input->post('escolaridade');            
            $data['nome_pai']               = $this->input->post('nome_pai');
            $data['nome_mae']               = $this->input->post('nome_mae');
            $data['dt_nasc']                = date('Y-m-d', strtotime($this->input->post('dt_nasc')));
            if ($data['dt_nasc']=='1969-12-31' || $data['dt_nasc']=='')
            { $data['dt_nasc'] = '';};
            $data['nasc_uf']                = $this->input->post('nasc_uf');
            $data['nasc_cidade']            = $this->input->post('nasc_cidade');
            $data['dt_admissao']            = date('Y-m-d', strtotime($this->input->post('dt_admissao')));
            if ($data['dt_admissao']=='1969-12-31')
            { $data['dt_admissao'] = '';};
            $data['pri_trab']               = $this->input->post('pri_trab');
            $data['contrato_experiencia']   = $this->input->post('contrato_experiencia');
            $data['contrato_dias']          = $this->input->post('contrato_dias');
            $data['dt_atestado']            = date('Y-m-d', strtotime($this->input->post('dt_atestado')));
            if ($data['dt_atestado']=='1969-12-31')
            { $data['dt_atestado'] = '';};
            $data['depto']                  = $this->input->post('depto');
            $data['funcao']                 = $this->input->post('funcao');
            $data['salario']                = str_replace(',','.',$this->input->post('salario'));
            $data['sindicato']              = $this->input->post('sindicato');
            $data['trab_hrs_entrada']       = $this->input->post('trab_hrs_entrada');
            $data['trab_hrs_saida']         = $this->input->post('trab_hrs_saida');
            $data['trab_hrs_intervalo']     = $this->input->post('trab_hrs_intervalo');
            $data['trab_hrs_intervalo_retorno']     = $this->input->post('trab_hrs_intervalo_retorno');
            $data['trab_dias']     = $trab_seg.','.$trab_ter.','.$trab_qua.','.$trab_qui.','.$trab_sex.','.$trab_sab.','.$trab_dom;            
            $data['cpf']                    = str_replace('.','',str_replace('-','',$this->input->post('cpf')));
            $data['dic']                    = $this->input->post('dic');
            $data['dic_uf']                 = $this->input->post('dic_uf');
            $data['dic_exped']              = $this->input->post('dic_exped');
            $data['dic_dt_exped']           = date('Y-m-d', strtotime($this->input->post('dic_dt_exped')));
            if ($data['dic_dt_exped']=='1969-12-31')
            { $data['dic_dt_exped'] = '';};
            $data['ctps']                   = $this->input->post('ctps');
            $data['ctps_serie']             = $this->input->post('ctps_serie');
            $data['ctps_uf']                = $this->input->post('ctps_uf');
            $data['ctps_dt_emissao']        = date('Y-m-d', strtotime($this->input->post('ctps_dt_emissao')));
            if ($data['ctps_dt_emissao']=='1969-12-31')
            { $data['ctps_dt_emissao'] = '';};
            $data['titulo_eleitor']         = $this->input->post('titulo_eleitor');
            $data['titulo_eleitor_zona']    = $this->input->post('titulo_eleitor_zona');
            $data['titulo_eleitor_secao']   = $this->input->post('titulo_eleitor_secao');
            $data['pis']                    = $this->input->post('pis');
            $data['pis_dt_emissao']         = date('Y-m-d', strtotime($this->input->post('pis_dt_emissao')));
            if ($data['pis_dt_emissao']=='1969-12-31')
            { $data['pis_dt_emissao'] = '';};
            $data['cert_nasc']              = $this->input->post('cert_nasc');
            $data['cert_nasc_dt_emissao']   = date('Y-m-d', strtotime($this->input->post('cert_nasc_dt_emissao')));
            if ($data['cert_nasc_dt_emissao']=='1969-12-31')
            { $data['cert_nasc_dt_emissao'] = '';};
            $data['cert_nasc_termo']        = $this->input->post('cert_nasc_termo');
            $data['cert_nasc_livro']        = $this->input->post('cert_nasc_livro');
            $data['cert_nasc_folha']        = $this->input->post('cert_nasc_folha');
            $data['cert_nasc_cartorio']     = $this->input->post('cert_nasc_cartorio');
            $data['cert_nasc_uf']           = $this->input->post('cert_nasc_uf');
            $data['cert_nasc_cidade']       = $this->input->post('cert_nasc_cidade');
            $data['cnh']                    = $this->input->post('cnh');
            $data['cnh_dt_exp']             = date('Y-m-d', strtotime($this->input->post('cnh_dt_exp')));
            if ($data['cnh_dt_exp']=='1969-12-31')
            { $data['cnh_dt_exp'] = '';};
            $data['cnh_dt_venc']            = date('Y-m-d', strtotime($this->input->post('cnh_dt_venc')));
            if ($data['cnh_dt_venc']=='1969-12-31')
            { $data['cnh_dt_venc'] = '';};
            $data['cnh_cat']                = $this->input->post('cnh_cat');
            $data['cnh_org_emissor']        = $this->input->post('cnh_org_emissor');
            $data['cnh_dt_venc']            = date('Y-m-d', strtotime($this->input->post('cnh_dt_venc')));
            if ($data['cnh_dt_venc']=='1969-12-31')
            { $data['cnh_dt_venc'] = '';};
            $data['cnh_dt_pri']             = date('Y-m-d', strtotime($this->input->post('cnh_dt_pri')));
            if ($data['cnh_dt_pri']=='1969-12-31')
            { $data['cnh_dt_pri'] = '';};
            $data['cnh_dt_venc']            = date('Y-m-d', strtotime($this->input->post('cnh_dt_venc')));
            if ($data['cnh_dt_venc']=='1969-12-31')
            { $data['cnh_dt_venc'] = '';};
            $data['cr']                     = $this->input->post('cr');
            $data['cr_serie']               = $this->input->post('cr_serie');
            $data['cr_cat']                 = $this->input->post('cr_cat');
            $data['cr_reg_classe']          = $this->input->post('cr_reg_classe');
            $data['cr_org_emissor']         = $this->input->post('cr_org_emissor');
            $data['cr_dt_emissao']          = date('Y-m-d', strtotime($this->input->post('cr_dt_emissao')));
            if ($data['cr_dt_emissao']=='1969-12-31')
            { $data['cr_dt_emissao'] = '';};
            $data['cr_dt_validade']         = date('Y-m-d', strtotime($this->input->post('cr_dt_validade')));
            if ($data['cr_dt_validade']=='1969-12-31')
            { $data['cr_dt_validade'] = '';};
            $data['vl']                     = str_replace(',','.',$this->input->post('vl'));
            $data['vl_uni']                 = str_replace(',','.',$this->input->post('vl_uni'));
            $data['vl_qtde_dia']            = str_replace(',','.',$this->input->post('vl_qtde_dia'));
            $data['ferias_vencidas']        = $this->input->post('ferias_vencidas');
            $data['dt_demissao']            = date('Y-m-d', strtotime($this->input->post('dt_demissao')));
            if ($data['dt_demissao']=='1969-12-31')
            { $data['dt_demissao'] = '';};
            $data['status']                 = $this->input->post('status');
            $data['obs']                    = $this->input->post('obs');
            $this->db->where('dp_funcionario_id', $param2);
            $this->db->update('dp_funcionario', $data);

            $this->session->set_flashdata('flash_message', 'Cadastrado Atualizado!');

            redirect(base_url() . 'index.php?client/dp_funcionarios/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile']   = true;
            $page_data['current_dp_funcionario_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('dp_funcionario', array(
                'dp_funcionario_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {
            $this->db->where('dp_funcionario_id', $param2);
            $this->db->delete('dp_funcionario');
            redirect(base_url() . 'index.php?client/dp_funcionarios/', 'refresh');
        }
        $page_data['dp_funcionario']    = $this->db->get_where('dp_funcionario', array('cliente' => $this->session->userdata('client_id')))->result_array();
        $page_data['dp_dependente']     = $this->db->get_where('dp_dependente', array('cliente' => $this->session->userdata('client_id')))->result_array();
        //$page_data['message']         =  $this->db->get_where('message', array('sender' => $this->session->userdata('client_id')))->result_array();
        $page_data['page_name']         = 'dp_funcionarios';
        $page_data['page_icon']         = 'plus';
        $page_data['page_title']        = 'Cadastro de Funcionário';
        $this->load->view('index', $page_data);
    }

/****MANAGE Dependentes*****/
    function dp_dependente($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['dp_funcionario']         = $this->input->post('dp_funcionario');
            $data['cliente']                = $this->input->post('cliente');
            $data['nome']                   = $this->input->post('nome');
            $data['tipo_rel']               = $this->input->post('tipo_rel');
            $data['sexo']                   = $this->input->post('sexo');
            $data['cpf']                    = str_replace('.','',str_replace('-','',$this->input->post('cpf')));
            $data['dt_nasc']                = $this->input->post('dt_nasc');
            $data['cert_nasc_cidade']       = $this->input->post('cert_nasc_cidade');
            $data['cert_nasc_uf']           = $this->input->post('cert_nasc_uf');
            $data['cert_nasc']              = $this->input->post('cert_nasc');
            $data['cert_nasc_dt_emissao']   = $this->input->post('cert_nasc_dt_emissao');
            $data['cert_nasc_termo']        = $this->input->post('cert_nasc_termo');
            $data['cert_nasc_livro']        = $this->input->post('cert_nasc_livro');
            $data['cert_nasc_folha']        = $this->input->post('cert_nasc_folha');
            $data['cert_nasc_cartorio']     = $this->input->post('cert_nasc_cartorio');
            $data['situacao_dependente']    = $this->input->post('situacao_dependente');

            $this->db->insert('dp_dependente', $data);

            // Envio Email
            $Xsender        = $this->db->get_where('client', array('client_id' => $this->session->userdata('client_id')))->row()->name;
            $Xsend_email    = $this->db->get_where('client', array('client_id' => $this->session->userdata('client_id')))->row()->email;

            $this->email_model->envia_email_cadastro_funcionario_cliente($Xsender,$Xsend_email,$this->input->post('nome'));


            redirect(base_url() . 'index.php?client/dp_funcionarios/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['dp_funcionario']         = $this->input->post('dp_funcionario');
            $data['cliente']                = $this->input->post('cliente');
            $data['nome']                   = $this->input->post('nome');
            $data['tipo_rel']               = $this->input->post('tipo_rel');
            $data['sexo']                   = $this->input->post('sexo');
            $data['cpf']                    = str_replace('.','',str_replace('-','',$this->input->post('cpf')));
            $data['dt_nasc']                = $this->input->post('dt_nasc');
            $data['cert_nasc_cidade']       = $this->input->post('cert_nasc_cidade');
            $data['cert_nasc_uf']           = $this->input->post('cert_nasc_uf');
            $data['cert_nasc']              = $this->input->post('cert_nasc');
            $data['cert_nasc_dt_emissao']   = $this->input->post('cert_nasc_dt_emissao');
            $data['cert_nasc_termo']        = $this->input->post('cert_nasc_termo');
            $data['cert_nasc_livro']        = $this->input->post('cert_nasc_livro');
            $data['cert_nasc_folha']        = $this->input->post('cert_nasc_folha');
            $data['cert_nasc_cartorio']     = $this->input->post('cert_nasc_cartorio');
            $data['situacao_dependente']    = $this->input->post('situacao_dependente');
            $this->db->where('dp_dependente_id', $param2);
            $this->db->update('dp_dependente', $data);

            redirect(base_url() . 'index.php?client/dp_funcionarios/', 'refresh');

        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile']   = true;
            $page_data['current_dp_dependente_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('dp_dependente', array(
                'dp_dependente_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {
            $this->db->where('dp_dependente_id', $param2);
            $this->db->delete('dp_dependente');
            redirect(base_url() . 'index.php?client/dp_funcionarios/', 'refresh');
        }
        $page_data['dependente']    = $this->db->get_where('dp_dependente', array('cliente' => $this->session->userdata('client_id')))->result_array();
        //$page_data['message']    =  $this->db->get_where('message', array('sender' => $this->session->userdata('client_id')))->result_array();
        $page_data['page_name']     = 'dependentes';
        $page_data['page_icon']     = 'plus';
        $page_data['page_title']    = 'Dependentes';
        $this->load->view('index', $page_data);
    }
    /**** Departamento Pessoal |-> dp_guias****/
    function dp_guias($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/dp_guias/', 'refresh');

        }

        $page_data['files']      =  $this->db->get_where('files', array('product' => '10'))->result_array();
        $page_data['page_name']  = 'dp_guias';
        $page_data['page_icon']  = 'calendar';
        $page_data['page_title'] = 'Guias - Departamento Pessoal';
        $this->load->view('index', $page_data);
    }
    /**** Departamento Pessoal |-> dp_controles****/
    function dp_controles($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');

        $page_data['files']      =  $this->db->get_where('files', array('product' => '10'))->result_array();
        $page_data['page_name']  = 'dp_controles';
        $page_data['page_icon']  = 'cog';
        $page_data['page_title'] = 'Controles - Departamento Pessoal';
        $this->load->view('index', $page_data);
    }
    /**** Departamento Pessoal |-> dp_relatorios****/
    function dp_relatorios($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');

        $page_data['files']      =  $this->db->get_where('files', array('product' => '10'))->result_array();
        $page_data['page_name']  = 'dp_relatorios';
        $page_data['page_icon']  = 'print';
        $page_data['page_title'] = 'Relatórios - Departamento Pessoal';
        $this->load->view('index', $page_data);
    }
    
    /**** Departamento Pessoal |-> file_extra_dp *****/
    function files_extra_dp($param1 = '', $param2 = '', $param3 = '')
    {
        /**** Definição de variáveis *****/
        $Xrand = '';
        $origem = '';
        $destino = '';
        $XnovoNome = '';


        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['file']         = $this->input->post('file');
            $data['path']         = $this->input->post('path');
            $data['client']       = $this->input->post('client');
            $data['product']      = $this->input->post('product');
            $data['quantity']     = $this->input->post('quantity');
            $data['valor']        = $this->input->post('valor');
            $data['date']         = $this->input->post('date');
            $data['ind_up']       = $this->input->post('ind_up');
            $data['status']       = $this->input->post('status');
            $this->db->insert('files_extra', $data);
            redirect(base_url() . 'index.php?client/files_extra_dp/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['file']        = $this->input->post('file');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            $data['status']      = $this->input->post('status');
            $this->db->where('file_extra_id', $param2);
            $this->db->update('files_extra', $data);
            redirect(base_url() . 'index.php?client/files_extra_dp/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile'] = true;
            $page_data['current_file_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('files_extra', array(
                'file_extra_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {

            $Xdados = $this->db->get_where('files_extra', array('file_extra_id' => $param2))->result_array();
             //print_r($Xdados);

            foreach($Xdados as $row):
            $origem = $row['path'];
            $destino = $origem;
            endforeach;
            //print_r($origem);

            $destino =  str_replace('/doc_extra/','/_lixo/', $destino);
            //print_r($destino);

            copy($origem, $destino);
            unlink($origem);

            // Geração do Log   ------------------------------------------------
            $log['admin']        = '';
            $log['client']       = $this->session->userdata('client_id');
            $log['path']         = $destino;
            $format = 'DATE_W3C';
            $time = time();
            $log['date']         = standard_date($format, $time) ;
            $log['tipo']         = 'deleted';
            $this->db->insert('log', $log);
            // FIM - Geração do Log   ------------------------------------------

            $this->db->where('file_extra_id', $param2);
            $this->db->delete('files_extra');
            $this->session->set_flashdata('flash_message', 'Arquivo Deletado!');
            redirect(base_url() . 'index.php?client/files_extra_dp/', 'refresh');
        }
        if ($param1 == 'upload_info') {

            $Xrand =  mt_rand();

            if ( !empty($_FILES['file']['name'])){

            $XnovoNome = strtolower($this->caracter_model->t5f_translit($_FILES['file']['name']));

            $data['file']         = $_FILES['file']['name'];
            $data['path']         = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome;
            //$data['path']         = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$_FILES['file']['name'];
            $data['client']       = $this->input->post('client');
            $data['product']      = $this->input->post('product');
            //$data['desc_file']    = $_FILES['file']['name'];
            $data['desc_file']    = $this->input->post('desc_file');
            $data['quantity']     = $this->input->post('quantity');
            $data['valor']        = $this->input->post('valor');
            $data['date']         = $this->input->post('date');
            $data['data_venc']    = $this->input->post('date');
            $data['ind_up']       = $this->input->post('ind_up');
            $data['status']       = $this->input->post('status');
            $this->db->insert('files_extra', $data);

            move_uploaded_file($_FILES['file']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome);
            //move_uploaded_file($_FILES['file']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$_FILES['file']['name']);
            $this->session->set_flashdata('flash_message', 'Arquivo Enviado');

            $Xcontato       = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->contact;
            $Xemail         = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->email;
            $Xnome_empresa  = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->name;
            $Xtel           = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->ddd_phone.' '.$this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->phone;
            $Xdocumento     = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->cnpj_cpf;
            $Xalterdata     = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->alterdata;
            $Xdesc_arquivo  = $this->input->post('desc_file');
            $Xarquivo       = ($this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome);

            $this->email_model->envia_email_postagem_cliente_extra_dp($Xcontato,$Xemail,$Xnome_empresa,$Xarquivo,$Xdesc_arquivo,$Xtel,$Xdocumento,$Xalterdata);

            redirect(base_url() . 'index.php?client/files_extra_dp/', 'refresh');
              }  else
                  {
                 $this->session->set_flashdata('flash_message', 'Arquivo Não Enviado, favor adicionar um arquivo!');
                 redirect(base_url() . 'index.php?client/files_extra_dp/', 'refresh');
                 }

        }
        $page_data['files']       = $this->db->get_where('files_extra', array('client' => $this->session->userdata('client_id')))->result_array();
        $page_data['page_name']   = 'files_extra_dp';
        $page_data['page_icon']   = 'file';
        $page_data['page_title']  = 'Enviar Movimentações para o Dep.Pessal';
        $this->load->view('index', $page_data);
    }     
    
/**** FIM  - Departamento pessoal de gestão de dependentes

/****MANAGE files*****
    function files($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['file']      = $this->input->post('file');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            $data['status']      = $this->input->post('status');
            $this->db->insert('files', $data);
            redirect(base_url() . 'index.php?client/files/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['file']        = $this->input->post('file');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            $data['status']      = $this->input->post('status');
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/files/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile'] = true;
            $page_data['current_file_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('files', array(
                'file_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {
            $this->db->where('file_id', $param2);
            $this->db->delete('files');
            redirect(base_url() . 'index.php?client/files/', 'refresh');
        }
        if ($param1 == 'upload_info') {


            $data['file']        = $_FILES['file']['name'];
            $data['path']        = $this->input->post('path').$_FILES['file']['name'];
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['desc_file']     = $this->input->post('desc_file');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            $data['status']      = $this->input->post('status');
            $this->db->insert('files', $data);

            move_uploaded_file($_FILES['file']['tmp_name'], $this->input->post('path').$_FILES['file']['name']);
            $this->session->set_flashdata('flash_message', 'Arquivo Enviado');

            redirect(base_url() . 'index.php?client/files/', 'refresh');
        }
        $page_data['files']      = $this->db->get('files')->result_array();
        $page_data['page_name']  = 'files';
        $page_data['page_icon'] = 'file';
        $page_data['page_title'] = 'manage_files';
        $this->load->view('index', $page_data);
    }
/****GESTÃO - files_extra*****/
    function files_extra($param1 = '', $param2 = '', $param3 = '')
    {
        /**** Definição de variáveis *****/
        $Xrand = '';
        $origem = '';
        $destino = '';
        $XnovoNome = '';


        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['file']         = $this->input->post('file');
            $data['path']         = $this->input->post('path');
            $data['client']       = $this->input->post('client');
            $data['product']      = $this->input->post('product');
            $data['quantity']     = $this->input->post('quantity');
            $data['valor']        = $this->input->post('valor');
            $data['date']         = $this->input->post('date');
            $data['ind_up']       = $this->input->post('ind_up');
            $data['status']       = $this->input->post('status');
            $this->db->insert('files_extra', $data);
            redirect(base_url() . 'index.php?client/files_extra/', 'refresh');
        }
        
        if ($param1 == 'notificacao') {

            $page_data['notificacao'] =  @$this->db->get_where('client_notificacao_extra', array('cliente' => $this->session->userdata('client_id')))->result_array();
            
            //redirect(base_url() . 'index.php?client/files_extra/', 'refresh');
        }
        
        if ($param1 == 'do_update') {
            $data['file']        = $this->input->post('file');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            $data['status']      = $this->input->post('status');
            $this->db->where('file_extra_id', $param2);
            $this->db->update('files_extra', $data);
            redirect(base_url() . 'index.php?client/files_extra/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile'] = true;
            $page_data['current_file_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('files_extra', array(
                'file_extra_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {

            $Xdados = $this->db->get_where('files_extra', array('file_extra_id' => $param2))->result_array();
             //print_r($Xdados);

            foreach($Xdados as $row):
            $origem = $row['path'];
            $destino = $origem;
            endforeach;
            //print_r($origem);

            $destino =  str_replace('/doc_extra/','/_lixo/', $destino);
            //print_r($destino);

            copy($origem, $destino);
            unlink($origem);

            // Geração do Log   ------------------------------------------------
            $log['admin']        = '';
            $log['client']       = $this->session->userdata('client_id');
            $log['path']         = $destino;
            $format = 'DATE_W3C';
            $time = time();
            $log['date']         = standard_date($format, $time) ;
            $log['tipo']         = 'deleted';
            $this->db->insert('log', $log);
            // FIM - Geração do Log   ------------------------------------------

            $this->db->where('file_extra_id', $param2);
            $this->db->delete('files_extra');
            $this->session->set_flashdata('flash_message', 'Arquivo Deletado!');
            redirect(base_url() . 'index.php?client/files_extra/', 'refresh');
        }
        if ($param1 == 'upload_info') {

            $Xrand =  mt_rand();

            if ( !empty($_FILES['file']['name'])){

                $XnovoNome = strtolower($this->caracter_model->t5f_translit($_FILES['file']['name']));
    
                $data['file']         = $_FILES['file']['name'];
                $data['path']         = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome;
                //$data['path']         = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$_FILES['file']['name'];
                $data['client']       = $this->input->post('client');
                $data['product']      = $this->input->post('product');
                //$data['desc_file']    = $_FILES['file']['name'];
                $data['desc_file']    = $this->input->post('desc_file');
                $data['quantity']     = $this->input->post('quantity');
                $data['valor']        = $this->input->post('valor');
                $data['date']         = $this->input->post('date');
                $data['data_venc']    = $this->input->post('date');
                $data['ind_up']       = $this->input->post('ind_up');
                $data['status']       = $this->input->post('status');
                $this->db->insert('files_extra', $data);
    
                $query = $this->db->query('SELECT LAST_INSERT_ID()');
                $row = $query->row_array();
                $LastIdInserted = $row['LAST_INSERT_ID()'];
    
    
                move_uploaded_file($_FILES['file']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome);
                //move_uploaded_file($_FILES['file']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$_FILES['file']['name']);
                $this->session->set_flashdata('flash_message', 'Arquivo Enviado');
    
                $Xcontato       = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->contact;
                $Xemail         = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->email;
                $Xnome_empresa  = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->name;
                $Xtel           = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->ddd_phone.' '.$this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->phone;
                $Xdocumento     = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->cnpj_cpf;
                $Xalterdata     = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->alterdata;
                $Xdesc_arquivo  = $this->input->post('desc_file');
                $Xarquivo       = ($this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome);
                $XNotificacao   = @$this->input->post('notificacao');
                $Xemail_solicitante = @$this->db->get_where('client_notificacao_extra', array('client_notificacao_extra_id' => $XNotificacao))->row()->email_solicitante;
    
                if (!empty($XNotificacao)){      
                  $data2['status'] = 'P';
                  $data2['file'] = $LastIdInserted;
                  $data2['dt_acesso'] = date('Y-m-d');
                  $data2['ip'] = $_SERVER['REMOTE_ADDR'];
                  $this->db->where('client_notificacao_extra_id', $XNotificacao);
                  $this->db->update('client_notificacao_extra', $data2);
                  
                  if (!empty($Xemail_solicitante)){
                    $this->email_model->envia_email_notificacao($Xcontato,$Xemail,$Xnome_empresa,$Xarquivo,$Xdesc_arquivo,$Xtel,$Xdocumento,$Xalterdata,$XNotificacao,$Xemail_solicitante);
                  } else {
                  
                     $this->session->set_flashdata('flash_message', 'Notificação Atualizada, Mas email destinatário não encontrado!');
                     
                  } 
                  
                  
                } else {
                
                  $this->email_model->envia_email_postagem_cliente($Xcontato,$Xemail,$Xnome_empresa,$Xarquivo,$Xdesc_arquivo,$Xtel,$Xdocumento,$Xalterdata,$XNotificacao);
                
                }
    
                redirect(base_url() . 'index.php?client/files_extra/', 'refresh');
            }  else
                {
               $this->session->set_flashdata('flash_message', 'Arquivo Não Enviado, favor adicionar um arquivo!');
               redirect(base_url() . 'index.php?client/files_extra/', 'refresh');
               }

        }
        $page_data['files']       = $this->db->get_where('files_extra', array('client' => $this->session->userdata('client_id')))->result_array();
        $page_data['page_name']   = 'files_extra';
        $page_data['page_icon']   = 'file';
        $page_data['page_title']  = 'Enviar Documentos Extras';
        $this->load->view('index', $page_data);
    }

/**** BLOCO  - NOTAS FISCAIS |-> nf

    Importar || importar
    consultar || consultar

*****/
    /**** NOTAS FISCAIS |-> nf  -  importar ****/
    function nf_importar($param1 = '', $param2 = '', $param3 = '')
    {

        /**** Definição de variáveis *****/
        $Xrand = '';
        $origem = '';
        $destino = '';
        $XnovoNome = '';

        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['xml']      = $this->input->post('xml');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['competencia'] = $this->input->post('competencia');
            $data['ind_up']      = $this->input->post('ind_up');
            //$data['rate']      = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->insert('xmls', $data);
            redirect(base_url() . 'index.php?client/nf_importar/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['xml']        = $this->input->post('xml');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['competencia'] = $this->input->post('competencia');
            $data['ind_up']      = $this->input->post('ind_up');
            //$data['rate']      = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->where('xml_id', $param2);
            $this->db->update('xmls', $data);
            redirect(base_url() . 'index.php?client/nf_importar/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile'] = true;
            $page_data['current_xml_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('xmls', array(
                'xml_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {

            $Xdados = $this->db->get_where('xmls', array('xml_id' => $param2))->result_array();
             //print_r($Xdados);

            foreach($Xdados as $row):
            $origem = $row['path'];
            $destino = $origem;
            endforeach;
            //print_r($origem);

            $destino =  str_replace('/xml/','/_lixo/', $destino);
            //print_r($destino);

            copy($origem, $destino);
            unlink($origem);

            $this->db->where('xml_id', $param2);
            $this->db->delete('xmls');
            $this->session->set_flashdata('flash_message', 'Arquivo Deletado!');
            redirect(base_url() . 'index.php?client/nf_consultar/', 'refresh');

        }
        if ($param1 == 'upload_info') {

            $Xrand =  mt_rand();

            if ( !empty($_FILES['file']['name'])){

            $XnovoNome = strtolower($this->caracter_model->t5f_translit($_FILES['file']['name']));

            $data['xml']         = $_FILES['file']['name'];
            $data['path']        = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome;
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['desc_xml']    = $_FILES['file']['name'];
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['competencia'] = $this->input->post('competencia');
            $data['ind_up']      = $this->input->post('ind_up');
            $data['status']      = $this->input->post('status');
            $this->db->insert('xmls', $data);

            move_uploaded_file($_FILES['file']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome);
            $this->session->set_flashdata('flash_message', 'Arquivo Enviado');

            redirect(base_url() . 'index.php?client/nf_importar/', 'refresh');
              }  else
                  {
                 $this->session->set_flashdata('flash_message', 'Arquivo Não Importado, favor adicionar o arquivo');
                 redirect(base_url() . 'index.php?client/nf_importar/', 'refresh');
                 }
        }
        $page_data['xmls']      = $this->db->get_where('xmls', array('client' => $this->session->userdata('client_id')))->result_array();      
        $page_data['page_name']  = 'nf_importar';
        $page_data['page_icon'] = 'download-alt';
        $page_data['page_title'] = 'Nota Fiscal - Importar';
        $this->load->view('index', $page_data);
    }

    function nf_importar2($param1 = '', $param2 = '', $param3 = '')
    {

        /**** Definição de variáveis *****/
        $Xrand = '';
        $origem = '';
        $destino = '';
        $XnovoNome = '';

        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['xml']      = $this->input->post('xml');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['competencia'] = $this->input->post('competencia');
            $data['ind_up']      = $this->input->post('ind_up');
            //$data['rate']      = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->insert('xmls', $data);
            redirect(base_url() . 'index.php?client/nf_importar/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['xml']        = $this->input->post('xml');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['competencia'] = $this->input->post('competencia');
            $data['ind_up']      = $this->input->post('ind_up');
            //$data['rate']      = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->where('xml_id', $param2);
            $this->db->update('xmls', $data);
            redirect(base_url() . 'index.php?client/nf_importar/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile'] = true;
            $page_data['current_xml_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('xmls', array(
                'xml_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {

            $Xdados = $this->db->get_where('xmls', array('xml_id' => $param2))->result_array();
             //print_r($Xdados);

            foreach($Xdados as $row):
            $origem = $row['path'];
            $destino = $origem;
            endforeach;
            //print_r($origem);

            $destino =  str_replace('/xml/','/_lixo/', $destino);
            //print_r($destino);

            copy($origem, $destino);
            unlink($origem);

            $this->db->where('xml_id', $param2);
            $this->db->delete('xmls');
            $this->session->set_flashdata('flash_message', 'Arquivo Deletado!');
            redirect(base_url() . 'index.php?client/nf_consultar/', 'refresh');

        }
        if ($param1 == 'upload_info') {

            $Xrand =  mt_rand();

            if ( !empty($_FILES['file']['name'])){

            $XnovoNome = strtolower($this->caracter_model->t5f_translit($_FILES['file']['name']));

            $data['xml']         = $_FILES['file']['name'];
            $data['path']        = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome;
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['desc_xml']    = $_FILES['file']['name'];
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['competencia'] = $this->input->post('competencia');
            $data['ind_up']      = $this->input->post('ind_up');
            $data['status']      = $this->input->post('status');
            $this->db->insert('xmls', $data);

            move_uploaded_file($_FILES['file']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome);
            $this->session->set_flashdata('flash_message', 'Arquivo Enviado');

            redirect(base_url() . 'index.php?client/nf_importar/', 'refresh');
              }  else
                  {
                 $this->session->set_flashdata('flash_message', 'Arquivo Não Importado, favor adicionar o arquivo');
                 redirect(base_url() . 'index.php?client/nf_importar/', 'refresh');
                 }
        }
        $page_data['xmls']      = $this->db->get_where('xmls', array('client' => $this->session->userdata('client_id')))->result_array();      
        $page_data['page_name']  = 'nf_importar2';
        $page_data['page_icon'] = 'download-alt';
        $page_data['page_title'] = 'Nota Fiscal - Importar';
        $this->load->view('index', $page_data);
    }



    /**** NOTAS FISCAIS |-> nf  -  consultar ****/
    function nf_consultar($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');

        $page_data['files']      = $this->db->get_where('xmls', array('client' => $this->session->userdata('client_id')))->result_array();
        $page_data['page_name']  = 'nf_consultar';
        $page_data['page_icon']  = 'search';
        $page_data['page_title'] = 'Nota Fiscal - Consultar';
        $this->load->view('index', $page_data);

        if ($param1 == 'historico') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltro = $this->input->post('data_ano').'-'.$this->input->post('data_mes');

            $this->session->set_flashdata('XFiltro', $XFiltro);


            redirect(base_url() . 'index.php?client/nf_consultar/', 'refresh');
        }

    }
/**** FIM - BLOCO  -    NOTAS FISCAIS |-> nf    *****/

/**** BLOCO  - NOTAS FISCAIS SERVIÇO |-> nfS

Emitir || emitir
Importar || importar
consultar || consultar
Enviar || enviar
 *****/

/**** NOTAS FISCAIS SERVIÇO |-> nfS  -  emitir ****/
function nfs_emitir($param1 = '', $param2 = '', $param3 = '', $param4 = '')

{
      /**** Definição de variáveis *****/
      $Xrand = '';
      $origem = '';
      $destino = '';
      $XnovoNome = '';


      if ($this->session->userdata('client_login') != 1)
          redirect(base_url(), 'refresh');
          


      if ($param1 == 'gerar_todos') {

        
        //$XQuery = "SELECT * FROM  w_mensalidade_zoop where status='pending' and valor_original > '0' and ano='".$ano."' and mes='".$mes."'";
        $XQuery = "SELECT 
                    c.client_id as cliente
                    ,c.name
                    ,c.cnpj_cpf
                    ,c.alterdata
                    ,m.client_mensalidade_id
                    ,m.obs
                    ,m.cliente
                    ,m.valor_original
                    ,m.emissao
                    ,DATE_FORMAT(m.pagamento, '%d/%m/%Y') as data_competencia
                    ,d.dest_cliente_id
                    ,d.dest_cliente
                    ,d.dest_cnpj_cpf
                    ,d.dest_ie
                    ,d.dest_cmc
                    ,d.dest_end
                    ,d.dest_n
                    ,d.dest_comp
                    ,d.dest_bairro
                    ,d.dest_cidade
                    ,d.dest_uf
                    ,d.dest_pais
                    ,d.dest_cep
                    ,d.dest_ibge
                    ,d.dest_email
                    ,d.dest_ddd
                    ,d.dest_tel
                    FROM  client_mensalidade m
                    join client c on m.cliente = c.client_id
                    join dest_cliente d on c.cnpj_cpf = d.dest_cnpj_cpf
                    where d.cliente='39' and m.status='pago' and m.valor_original > '0' ";  
        $gerar = @$this->db->query($XQuery)->result_array();

        foreach($gerar as $value){             
          
          
        //$cliente = $value['cliente'];
        $cliente = $value['dest_cliente_id'];
        $cliente_emissor = $this->session->userdata('client_id');
        $id_mensalidade = $value['client_mensalidade_id'];
        $obs = $value['obs'];
        
        $emissao= $value['emissao'];
        $data_competencia= $value['data_competencia'];

        
//print($cliente) ;             

         $NFS =  $this->crud_model->get_nota_num_by_client($this->session->userdata('client_id'))  ;
         $xnfs_num = $this->crud_model->get_nota_num_by_client($this->session->userdata('client_id')) ;
         $quantidade = '1';
         
/*             
        //$data_competencia = date("Y-m-d") ;
        //$DataInicio = date('d/m/Y', strtotime(date("Y-m-d")));
        //$DataEmissao = date('d/m/Y', strtotime(date("Y-m-d H:i:s", time())));
        //$data_emissao =  date("Y-m-d H:i:s", time());             
*/             
          //$data_competencia = $emissao ;
          $DataInicio = $data_competencia;
          $DataEmissao = $data_competencia;             
          //$data_emissao =  $emissao; 
          $data_emissao =  $data_competencia;              
         
         $VALOR = $value['valor_original'] ; 
         $valor_deducao = '0.00';
         $valor_liquido = $value['valor_original'];
         $valor_desc_inc = '0.00'  ;
         $valor_desc_cond = '0.00' ;
         $item_lista_servico =  '1719';
         $cod_tribut_municipio =  '171901';


          $tipo_nfs = '1'; // tipo RPS
          $nat_operacao = '6';
          //$desc_nfs =  'Prestação de serviços contábeis em Fevereiro de 2019. Valor aproximado dos tributos R$ '.str_replace(".", ",", number_format(strval($VALOR*0.1345),2)).' (Fonte IBPT 13,45%)';
          $desc_nfs =  $obs.'. Valor aproximado dos tributos R$ '.str_replace(".", ",", number_format(strval($VALOR*0.1345),2)).' (Fonte IBPT 13,45%)';
          $cod_cnae = '';
          $iss_aliquota = '2';

// Dados do TOMADOR  
/*           
          $cnpj = $this->db->get_where('client' , array('client_id' => $cliente))->row()->cnpj_cpf ;
          $razao_social = $this->db->get_where('client' , array('client_id' => $cliente))->row()->name ; 
          $cmc = $this->db->get_where('client' , array('client_id' => $cliente))->row()->cmc ; 
          $ie = $this->db->get_where('client' , array('client_id' => $cliente))->row()->ie ; 
          $endereco = $this->db->get_where('client' , array('client_id' => $cliente))->row()->address ; 
          $end_n = $this->db->get_where('client' , array('client_id' => $cliente))->row()->addr_n ; 
          $end_compl = $this->db->get_where('client' , array('client_id' => $cliente))->row()->addr_comp ; 
          $bairro = $this->db->get_where('client' , array('client_id' => $cliente))->row()->addr_bairro ; 
          
          $cidade = $this->db->get_where('client' , array('client_id' => $cliente))->row()->addr_cidade ; 
          $uf = $this->db->get_where('client' , array('client_id' => $cliente))->row()->addr_estado ;
          $pais = $this->db->get_where('client' , array('client_id' => $cliente))->row()->addr_pais ; 
          $cep = $this->db->get_where('client' , array('client_id' => $cliente))->row()->addr_cep ;
          $cod_ibge = $this->db->get_where('client' , array('client_id' => $cliente))->row()->cod_ibge ;  
          $ddd = $this->db->get_where('client' , array('client_id' => $cliente))->row()->ddd_phone ; 
          $tel = $this->db->get_where('client' , array('client_id' => $cliente))->row()->phone ; 
          $email = $this->db->get_where('client' , array('client_id' => $cliente))->row()->email ; 
*/
          $cnpj = $this->db->get_where('dest_cliente' , array('dest_cliente_id' => $cliente))->row()->dest_cnpj_cpf ;
          $razao_social = $this->db->get_where('dest_cliente' , array('dest_cliente_id' => $cliente))->row()->dest_cliente ; 
          $cmc = $this->db->get_where('dest_cliente' , array('dest_cliente_id' => $cliente))->row()->dest_cmc ; 
          $ie = $this->db->get_where('dest_cliente' , array('dest_cliente_id' => $cliente))->row()->dest_ie ; 
          $endereco = $this->db->get_where('dest_cliente' , array('dest_cliente_id' => $cliente))->row()->dest_end ; 
          $end_n = $this->db->get_where('dest_cliente' , array('dest_cliente_id' => $cliente))->row()->dest_n ; 
          $end_compl = $this->db->get_where('dest_cliente' , array('dest_cliente_id' => $cliente))->row()->dest_comp ; 
          $bairro = $this->db->get_where('dest_cliente' , array('dest_cliente_id' => $cliente))->row()->dest_bairro ; 
          
          $cidade = $this->db->get_where('dest_cliente' , array('dest_cliente_id' => $cliente))->row()->dest_cidade ; 
          $uf = $this->db->get_where('dest_cliente' , array('dest_cliente_id' => $cliente))->row()->dest_uf ;
          $pais = $this->db->get_where('dest_cliente' , array('dest_cliente_id' => $cliente))->row()->dest_pais ; 
          $cep = $this->db->get_where('dest_cliente' , array('dest_cliente_id' => $cliente))->row()->dest_cep ;
          $cod_ibge = $this->db->get_where('dest_cliente' , array('dest_cliente_id' => $cliente))->row()->dest_ibge ;  
          $ddd = $this->db->get_where('dest_cliente' , array('dest_cliente_id' => $cliente))->row()->dest_ddd ; 
          $tel = $this->db->get_where('dest_cliente' , array('dest_cliente_id' => $cliente))->row()->dest_tel ; 
          $email = $this->db->get_where('dest_cliente' , array('dest_cliente_id' => $cliente))->row()->dest_email ;   

// FIM Dados TOMADOR              
          

          if ( !empty($this->input->post('incentivador_cultural'))){
              $incentivador_cultural = 2;
          } else { $incentivador_cultural = 2; };

          if ( !empty($this->input->post('iss_retido'))){
              $iss_retido = 2;
          } else { $iss_retido = 2; };

          $this->load->model('crud_model');
          $emissor = $this->crud_model->get_client_info($cliente_emissor);
          //var_dump($row_emissor);
foreach ($emissor as $row_emissor) :
// monta TX2

          $TECNOSPEED_EOL = "\n";

          $arquivotx2 = ('NomeCidade=' . str_replace(" ","",ucwords($row_emissor['addr_cidade'])) . $TECNOSPEED_EOL .
          'Formato=TX2' . $TECNOSPEED_EOL .
          'padrao=TecnoNFSe' . $TECNOSPEED_EOL .

          'INCLUIR' . $TECNOSPEED_EOL .
          'IdLote=' . $NFS . $TECNOSPEED_EOL .
          'NumeroLote=' . $xnfs_num . $TECNOSPEED_EOL .
          'CpfCnpjRemetente=' . $row_emissor['cnpj_cpf'] . $TECNOSPEED_EOL .
          'InscricaoMunicipalRemetente=' . str_replace('-','',$row_emissor['cmc']) . $TECNOSPEED_EOL .
          'RazaoSocialRemetente=' . str_replace('&', '%26', $row_emissor['name']) . $TECNOSPEED_EOL .
          'QuantidadeRps=' . $quantidade . $TECNOSPEED_EOL .
          'CodigoCidadeRemetente=' . '33' . $TECNOSPEED_EOL .
          'Transacao=' . '1' . $TECNOSPEED_EOL .
          'DataInicio=' . $DataInicio . $TECNOSPEED_EOL .
          'Versao=' . '3.10' . $TECNOSPEED_EOL .
          'ValorTotalServicos=' . str_replace(',','.',$VALOR) . $TECNOSPEED_EOL .
          'ValorTotalDeducoes=' . str_replace(',','.',$valor_deducao) . $TECNOSPEED_EOL .
          'ValorTotalBaseCalculo=' . str_replace(',','.',$VALOR) . $TECNOSPEED_EOL .
          'SALVAR' . $TECNOSPEED_EOL . $TECNOSPEED_EOL .

          'INCLUIRRPS' . $TECNOSPEED_EOL .
          'DataEmissao=' . $DataEmissao . $TECNOSPEED_EOL .
          'IdRps=' . 'R1' . $TECNOSPEED_EOL .
          'NumeroRps=' . $NFS . $TECNOSPEED_EOL .
          'SerieRps=' . '1' . $TECNOSPEED_EOL .
          'TipoRps=' . $tipo_nfs . $TECNOSPEED_EOL .
          'OptanteSimplesNacional=' . '1' . $TECNOSPEED_EOL .
          'IncentivadorCultural=' . $incentivador_cultural . $TECNOSPEED_EOL .
          'ExigibilidadeISS=' . '1' . $TECNOSPEED_EOL .
          'IncentivoFiscal=' . '2' . $TECNOSPEED_EOL .
          'SituacaoNota=' . '1' . $TECNOSPEED_EOL .
          'TipoTributacao=' . $nat_operacao . $TECNOSPEED_EOL .
          'NaturezaTributacao=' . '1' . $TECNOSPEED_EOL .
          'RegimeEspecialTributacao=' . '0' . $TECNOSPEED_EOL . $TECNOSPEED_EOL .

          'ValorServicos=' . str_replace(',','.',$VALOR) . $TECNOSPEED_EOL .
          'ValorDeducoes=' . str_replace(',','.',$valor_deducao) . $TECNOSPEED_EOL .
          'ValorPis=' . '0.00' . $TECNOSPEED_EOL .
          'ValorCofins=' . '0.00' . $TECNOSPEED_EOL .
          'ValorInss=' . '0.00' . $TECNOSPEED_EOL .
          'ValorIr=' . '0.00' . $TECNOSPEED_EOL .
          'ValorCsll=' . '0.00' . $TECNOSPEED_EOL .
          'IssRetido=' . $iss_retido . $TECNOSPEED_EOL .
          'ValorIss=' . ($valor_liquido*($iss_retido/100)) . $TECNOSPEED_EOL .
          'ValorIssRetido=' . ($valor_liquido*($iss_retido/100)) . $TECNOSPEED_EOL .
          'BaseCalculo=' . str_replace(',','.',$VALOR) . $TECNOSPEED_EOL .
          'ValorLiquidoNfse=' . $valor_liquido . $TECNOSPEED_EOL .
          'DescontoIncondicionado=' . $valor_desc_inc . $TECNOSPEED_EOL .
          'DescontoCondicionado=' . $valor_desc_cond . $TECNOSPEED_EOL .
          'AliquotaISS=' . $iss_aliquota . $TECNOSPEED_EOL .
          'AliquotaPIS=' . '0.00' . $TECNOSPEED_EOL .
          'AliquotaCOFINS=' . '0.00' . $TECNOSPEED_EOL .
          'AliquotaINSS=' . '0.00' . $TECNOSPEED_EOL .
          'AliquotaIR=' . '0.00' . $TECNOSPEED_EOL .
          'AliquotaCSLL=' . '0.00' . $TECNOSPEED_EOL .
          'CodigoItemListaServico=' . $item_lista_servico . $TECNOSPEED_EOL .
          'CodigoCnae=' . '3304557' . $TECNOSPEED_EOL .
          'CodigoTributacaoMunicipio=' . str_replace(' ','',substr($item_lista_servico,0,4).'01'). $TECNOSPEED_EOL .
          'DiscriminacaoServico=' . str_replace('%','%25',$desc_nfs) . $TECNOSPEED_EOL .
          'CodigoCidadePrestacao=' . '3304557' . $TECNOSPEED_EOL .
          'DescricaoCidadePrestacao=' . $row_emissor['addr_cidade'] . $TECNOSPEED_EOL . $TECNOSPEED_EOL .

          'CpfCnpjPrestador=' . $row_emissor['cnpj_cpf'] . $TECNOSPEED_EOL .
          'InscricaoMunicipalPrestador=' . $row_emissor['cmc'] . $TECNOSPEED_EOL .
          'RazaoSocialPrestador=' . str_replace('&', '%26', $row_emissor['name']) . $TECNOSPEED_EOL .
          'DDDPrestador=' . $row_emissor['ddd_phone'] . $TECNOSPEED_EOL .
          'TelefonePrestador=' . $row_emissor['phone'] . $TECNOSPEED_EOL . $TECNOSPEED_EOL .

          'CpfCnpjTomador=' . str_replace('/','',str_replace('.','',str_replace('-','',$cnpj))) . $TECNOSPEED_EOL .
          'RazaoSocialTomador=' . str_replace('&', '%26', strtoupper($razao_social)) . $TECNOSPEED_EOL .
          'InscricaoMunicipalTomador=' . str_replace('/','',str_replace('.','',str_replace('-','',$cmc))) . $TECNOSPEED_EOL .
          'InscricaoEstadualTomador=' . str_replace('/','',str_replace('.','',str_replace('-','',$ie))) . $TECNOSPEED_EOL .
          'TipoLogradouroTomador=RUA' . $TECNOSPEED_EOL .
          'EnderecoTomador=' . strtoupper($endereco) . $TECNOSPEED_EOL .
          'NumeroTomador=' . strtoupper($end_n) . $TECNOSPEED_EOL .
          'ComplementoTomador=' . strtoupper($end_compl) . $TECNOSPEED_EOL .
          'TipoBairroTomador=' . strtoupper($bairro). $TECNOSPEED_EOL .
          'BairroTomador=' . strtoupper($bairro) . $TECNOSPEED_EOL .
          'CodigoCidadeTomador=' . $cod_ibge . $TECNOSPEED_EOL .
          'DescricaoCidadeTomador=' . strtoupper($cidade) . $TECNOSPEED_EOL .
          'UfTomador=' . strtoupper($uf) . $TECNOSPEED_EOL .
          'CepTomador=' . str_replace('-','',$cep) . $TECNOSPEED_EOL .
          'DDDTomador=' . $ddd . $TECNOSPEED_EOL .
          'TelefoneTomador=' . $tel . $TECNOSPEED_EOL .
          'EmailTomador=' . $email . $TECNOSPEED_EOL . $TECNOSPEED_EOL .

          'PercentualDeduzir=' . str_replace(',','.',$valor_deducao) . $TECNOSPEED_EOL .
          'QuantidadeServicos=' . $quantidade . $TECNOSPEED_EOL .
          'ValorUnitarioServico=' . str_replace(',','.',$VALOR) . $TECNOSPEED_EOL .
          'SALVARRPS');
endforeach;
          $arquivotx2 = str_replace($TECNOSPEED_EOL, '%0A', str_replace('=', '%3D', $arquivotx2));
          $arquivotx2 =  str_replace(' ', '%20', $arquivotx2);
          $head = 'Grupo=ContSimples&CNPJ=' . $row_emissor['cnpj_cpf'] . '&Arquivo=';
          $tx2 = $head.$arquivotx2;
          
//var_dump($tx2);              
// FIM TX2

          $data['nfs']                    = $NFS;
          $data['nfs_num']                = $xnfs_num;
          $data['tipo_nfs']               = $tipo_nfs;
          $data['caminho']                = 'caminho';
          $data['cliente']                = $this->session->userdata('client_id');
          $data['dest_cliente']           = $cliente;//$this->input->post('dest_cliente');
          $data['categoria']              = 'categoria';
          $data['desc_nfs']               = $desc_nfs;
          $data['quantidade']             = $quantidade;
          $data['valor']                  = str_replace(',','.',$VALOR);
          $data['valor_liquido']          = str_replace(',','.',$valor_liquido);
          $data['data_emissao']           = $data_emissao;
          $data['data_competencia']       = $data_competencia;
          $data['alt_data']               = date("Y-m-d");
          $data['status']                 = 'salva';
          $data['cod_verificacao']        = '';
          $data['nat_operacao']           = $nat_operacao;
          $data['opt_simplesnacional']    = '1';
          $data['incentivador_cultural']  = $incentivador_cultural;
          $data['outras_informacoes']     = 'Contribuinte ME, EPP ou MEI/Simples Nacional';
          $data['iss_retido']             = $iss_retido;
          $data['iss_valor']              = str_replace(',','.',($valor_liquido*($iss_retido/100)));
          $data['iss_aliquota']           = $iss_aliquota;
          $data['item_lista_servico']     = $item_lista_servico;
          $data['cod_cnae']               = $cod_cnae;
          $data['codigo_trib_municipio']  = str_replace(' ','',substr($item_lista_servico,0,4).'01');
          $data['valor_deducao']          = str_replace(',','.',$valor_deducao);
          $data['valor_desc_inc']         = str_replace(',','.',$valor_desc_inc);
          $data['valor_desc_cond']        = str_replace(',','.',$valor_desc_cond);
          $data['tx2']  =     $tx2;

          $this->db->insert('nfs', $data);

          // incrementa nº nfs

          $data2['nfs_num']     =  $xnfs_num+1;
          $this->db->where('cliente', $this->session->userdata('client_id'));
          $this->db->update('nfs_n', $data2);
          
            $data_up['status']                 = 'pago + nf salva';
            $this->db->where('client_mensalidade_id', $id_mensalidade);
            $this->db->update('client_mensalidade', $data_up);
          

          $this->session->set_flashdata('flash_message', 'Nota Criada com Sucesso!!!');


          //move_uploaded_file($_FILES['recibo']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_R_'.$_FILES['recibo']['name']);
          //$this->session->set_flashdata('flash_message', 'Recibo Salvo!');
       }

          redirect(base_url() . 'index.php?client/nfs_consultar/', 'refresh');
      }              
          
         
          
      if ($param1 == 'create') {

          $client = $param2;
          //$Xcnpj_verifica = $this->db->get_where('dest_cliente', array('dest_cnpj_cpf' => str_replace('/','',str_replace('.','',str_replace('-','',$this->input->post('cpf_cnpj'))))))->row()->cliente;

          if ($this->input->post('cpf_cnpj_novo') == '') {

              $data3['dest_ie'] = str_replace('/', '', str_replace('.', '', str_replace('-', '', $this->input->post('ie'))));
              $data3['dest_cmc'] = str_replace('/', '', str_replace('.', '', str_replace('-', '', $this->input->post('cmc'))));
              $data3['dest_end'] = strtoupper($this->input->post('endereco'));
              $data3['dest_n'] = strtoupper($this->input->post('end_n'));
              $data3['dest_comp'] = strtoupper($this->input->post('end_compl'));
              $data3['dest_bairro'] = strtoupper($this->input->post('bairro'));
              $data3['dest_cidade'] = strtoupper($this->input->post('cidade'));                  
              $data3['dest_uf'] = strtoupper($this->input->post('uf'));
              $data3['dest_pais'] = strtoupper($this->input->post('pais'));
              $data3['dest_cep'] = $this->input->post('cep');
              $data3['dest_ibge'] = $this->input->post('ibge');
              $data3['dest_email'] = $this->input->post('email');
              $data3['dest_ddd'] = $this->input->post('ddd');
              $data3['dest_tel'] = $this->input->post('tel');
              $data3['dest_alt_data'] = $this->input->post('alt_data');
              $this->db->where('dest_cliente_id', $this->input->post('dest_cliente'));
              $this->db->update('dest_cliente', $data3);

              $LastIdInserted = $this->input->post('dest_cliente');
          }

          else {

              $data4['dest_cliente']       = strtoupper($this->input->post('razao_social'));
              $data4['cliente']            =  $this->input->post('cliente');
              $data4['dest_cnpj_cpf']      = str_replace('/','',str_replace('.','',str_replace('-','',$this->input->post('cpf_cnpj_novo'))));
              $data4['dest_ie']            = str_replace('/','',str_replace('.','',str_replace('-','',$this->input->post('ie'))));
              $data4['dest_cmc']           = str_replace('/','',str_replace('.','',str_replace('-','',$this->input->post('cmc'))));
              $data4['dest_end']           = strtoupper($this->input->post('endereco'));
              $data4['dest_n']             = strtoupper($this->input->post('end_n'));
              $data4['dest_comp']          = strtoupper($this->input->post('end_compl'));
              $data4['dest_bairro']        = strtoupper($this->input->post('bairro'));
              $data4['dest_cidade']        = strtoupper($this->input->post('cidade'));              
              $data4['dest_uf']            = strtoupper($this->input->post('uf'));
              $data4['dest_pais']          = strtoupper($this->input->post('pais'));
              $data4['dest_cep']           = $this->input->post('cep');
              $data4['dest_ibge']          = $this->input->post('ibge');
              $data4['dest_email']         = $this->input->post('email');
              $data4['dest_ddd']           = $this->input->post('ddd');
              $data4['dest_tel']           = $this->input->post('tel');
              $data4['dest_desc']          = $this->input->post('dest_desc');
              $data4['dest_data']          = $this->input->post('alt_data');
              $data4['dest_alt_data']      = $this->input->post('alt_data');
              $data4['dest_desc']          = $this->input->post('dest_desc');
              $data4['dest_status']        = 'ativo';
              $this->db->insert('dest_cliente', $data4);

              $query = $this->db->query('SELECT LAST_INSERT_ID()');
              $row = $query->row_array();
              $LastIdInserted = $row['LAST_INSERT_ID()'];

          };

          if ( !empty($this->input->post('incentivador_cultural'))){
              $incentivador_cultural = $this->input->post('incentivador_cultural');
          } else { $incentivador_cultural = 2; };

          if ( !empty($this->input->post('iss_retido'))){
              $iss_retido = $this->input->post('iss_retido');
          } else { $iss_retido = 2; };

          $this->load->model('crud_model');
          $emissor = $this->crud_model->get_client_info($client);
          //var_dump($row_emissor);
foreach ($emissor as $row_emissor) :
// monta TX2

          $TECNOSPEED_EOL = "\n";

          $arquivotx2 = ('NomeCidade=' . str_replace(" ","",ucwords($row_emissor['addr_cidade'])) . $TECNOSPEED_EOL .
          'Formato=TX2' . $TECNOSPEED_EOL .
          'padrao=TecnoNFSe' . $TECNOSPEED_EOL .

          'INCLUIR' . $TECNOSPEED_EOL .
          'IdLote=' . $this->input->post('nfs') . $TECNOSPEED_EOL .
          'NumeroLote=' . $this->input->post('xnfs_num') . $TECNOSPEED_EOL .
          'CpfCnpjRemetente=' . $row_emissor['cnpj_cpf'] . $TECNOSPEED_EOL .
          'InscricaoMunicipalRemetente=' . str_replace('-','',$row_emissor['cmc']) . $TECNOSPEED_EOL .
          'RazaoSocialRemetente=' . str_replace('&', '%26', $row_emissor['name']) . $TECNOSPEED_EOL .
          'QuantidadeRps=' . $this->input->post('quantidade') . $TECNOSPEED_EOL .
          'CodigoCidadeRemetente=' . '33' . $TECNOSPEED_EOL .
          'Transacao=' . '1' . $TECNOSPEED_EOL .
          'DataInicio=' . date('d/m/Y', strtotime($this->input->post('data_competencia'))) . $TECNOSPEED_EOL .
          'Versao=' . '3.10' . $TECNOSPEED_EOL .
          'ValorTotalServicos=' . str_replace(',','.',$this->input->post('valor')) . $TECNOSPEED_EOL .
          'ValorTotalDeducoes=' . str_replace(',','.',$this->input->post('valor_deducao')) . $TECNOSPEED_EOL .
          'ValorTotalBaseCalculo=' . str_replace(',','.',$this->input->post('valor')) . $TECNOSPEED_EOL .
          'SALVAR' . $TECNOSPEED_EOL . $TECNOSPEED_EOL .

          'INCLUIRRPS' . $TECNOSPEED_EOL .
          'DataEmissao=' . date('d/m/Y', strtotime($this->input->post('data_emissao'))) . $TECNOSPEED_EOL .
          'IdRps=' . 'R1' . $TECNOSPEED_EOL .
          'NumeroRps=' . $this->input->post('nfs') . $TECNOSPEED_EOL .
          'SerieRps=' . '1' . $TECNOSPEED_EOL .
          'TipoRps=' . $this->input->post('tipo_nfs') . $TECNOSPEED_EOL .
          'OptanteSimplesNacional=' . '1' . $TECNOSPEED_EOL .
          'IncentivadorCultural=' . $incentivador_cultural . $TECNOSPEED_EOL .
          'ExigibilidadeISS=' . '1' . $TECNOSPEED_EOL .
          'IncentivoFiscal=' . '2' . $TECNOSPEED_EOL .
          'SituacaoNota=' . '1' . $TECNOSPEED_EOL .
          'TipoTributacao=' . $this->input->post('nat_operacao') . $TECNOSPEED_EOL .
          'NaturezaTributacao=' . '1' . $TECNOSPEED_EOL .
          'RegimeEspecialTributacao=' . '0' . $TECNOSPEED_EOL . $TECNOSPEED_EOL .

          'ValorServicos=' . str_replace(',','.',$this->input->post('valor')) . $TECNOSPEED_EOL .
          'ValorDeducoes=' . str_replace(',','.',$this->input->post('valor_deducao')) . $TECNOSPEED_EOL .
          'ValorPis=' . '0.00' . $TECNOSPEED_EOL .
          'ValorCofins=' . '0.00' . $TECNOSPEED_EOL .
          'ValorInss=' . '0.00' . $TECNOSPEED_EOL .
          'ValorIr=' . '0.00' . $TECNOSPEED_EOL .
          'ValorCsll=' . '0.00' . $TECNOSPEED_EOL .
          'IssRetido=' . $iss_retido . $TECNOSPEED_EOL .
          'ValorIss=' . ($this->input->post('valor_liquido')*($iss_retido/100)) . $TECNOSPEED_EOL .
          'ValorIssRetido=' . ($this->input->post('valor_liquido')*($iss_retido/100)) . $TECNOSPEED_EOL .
          'BaseCalculo=' . str_replace(',','.',$this->input->post('valor')) . $TECNOSPEED_EOL .
          'ValorLiquidoNfse=' . $this->input->post('valor_liquido') . $TECNOSPEED_EOL .
          'DescontoIncondicionado=' . $this->input->post('valor_desc_inc') . $TECNOSPEED_EOL .
          'DescontoCondicionado=' . $this->input->post('valor_desc_cond') . $TECNOSPEED_EOL .
          'AliquotaISS=' . $this->input->post('iss_aliquota') . $TECNOSPEED_EOL .
          'AliquotaPIS=' . '0.00' . $TECNOSPEED_EOL .
          'AliquotaCOFINS=' . '0.00' . $TECNOSPEED_EOL .
          'AliquotaINSS=' . '0.00' . $TECNOSPEED_EOL .
          'AliquotaIR=' . '0.00' . $TECNOSPEED_EOL .
          'AliquotaCSLL=' . '0.00' . $TECNOSPEED_EOL .
          'CodigoItemListaServico=' . $this->input->post('item_lista_servico') . $TECNOSPEED_EOL .
          'CodigoCnae=' . $this->input->post('cod_cnae') . $TECNOSPEED_EOL .
          'CodigoTributacaoMunicipio=' . str_replace(' ','',substr($this->input->post('item_lista_servico'),0,4).'01'). $TECNOSPEED_EOL .
          'DiscriminacaoServico=' . str_replace('%','%25',$this->input->post('desc_nfs')) . $TECNOSPEED_EOL .
          'CodigoCidadePrestacao=' . '3304557' . $TECNOSPEED_EOL .
          'DescricaoCidadePrestacao=' . $row_emissor['addr_cidade'] . $TECNOSPEED_EOL . $TECNOSPEED_EOL .

          'CpfCnpjPrestador=' . $row_emissor['cnpj_cpf'] . $TECNOSPEED_EOL .
          'InscricaoMunicipalPrestador=' . $row_emissor['cmc'] . $TECNOSPEED_EOL .
          'RazaoSocialPrestador=' . str_replace('&', '%26', $row_emissor['name']) . $TECNOSPEED_EOL .
          'DDDPrestador=' . $row_emissor['ddd_phone'] . $TECNOSPEED_EOL .
          'TelefonePrestador=' . $row_emissor['phone'] . $TECNOSPEED_EOL . $TECNOSPEED_EOL .

          'CpfCnpjTomador=' . str_replace('/','',str_replace('.','',str_replace('-','',$this->input->post('cnpj')))) . $TECNOSPEED_EOL .
          'RazaoSocialTomador=' . str_replace('&', '%26', strtoupper($this->input->post('razao_social'))) . $TECNOSPEED_EOL .
          'InscricaoMunicipalTomador=' . str_replace('/','',str_replace('.','',str_replace('-','',$this->input->post('cmc')))) . $TECNOSPEED_EOL .
          'InscricaoEstadualTomador=' . str_replace('/','',str_replace('.','',str_replace('-','',$this->input->post('ie')))) . $TECNOSPEED_EOL .
          'TipoLogradouroTomador=RUA' . $TECNOSPEED_EOL .
          'EnderecoTomador=' . strtoupper($this->input->post('endereco')) . $TECNOSPEED_EOL .
          'NumeroTomador=' . strtoupper($this->input->post('end_n')) . $TECNOSPEED_EOL .
          'ComplementoTomador=' . strtoupper($this->input->post('end_compl')) . $TECNOSPEED_EOL .
          'TipoBairroTomador=' . strtoupper($this->input->post('bairro')). $TECNOSPEED_EOL .
          'BairroTomador=' . strtoupper($this->input->post('bairro')) . $TECNOSPEED_EOL .
          'CodigoCidadeTomador=' . $this->input->post('ibge') . $TECNOSPEED_EOL .
          'DescricaoCidadeTomador=' . strtoupper($this->input->post('cidade')) . $TECNOSPEED_EOL .
          'UfTomador=' . strtoupper($this->input->post('uf')) . $TECNOSPEED_EOL .
          'CepTomador=' . str_replace('-','',$this->input->post('cep')) . $TECNOSPEED_EOL .
          'DDDTomador=' . $this->input->post('ddd') . $TECNOSPEED_EOL .
          'TelefoneTomador=' . $this->input->post('tel') . $TECNOSPEED_EOL .
          'EmailTomador=' . $this->input->post('email') . $TECNOSPEED_EOL . $TECNOSPEED_EOL .

          'PercentualDeduzir=' . str_replace(',','.',$this->input->post('valor_deducao')) . $TECNOSPEED_EOL .
          'QuantidadeServicos=' . $this->input->post('quantidade') . $TECNOSPEED_EOL .
          'ValorUnitarioServico=' . str_replace(',','.',$this->input->post('valor')) . $TECNOSPEED_EOL .
          'SALVARRPS');
endforeach;
          $arquivotx2 = str_replace($TECNOSPEED_EOL, '%0A', str_replace('=', '%3D', $arquivotx2));
          $arquivotx2 =  str_replace(' ', '%20', $arquivotx2);
          $head = 'Grupo=ContSimples&CNPJ=' . $row_emissor['cnpj_cpf'] . '&Arquivo=';
          $tx2 = $head.$arquivotx2;
// FIM TX2

          $data['nfs']                    = $this->input->post('nfs');
          $data['nfs_num']                = $this->input->post('xnfs_num');
          $data['tipo_nfs']               = $this->input->post('tipo_nfs');
          $data['caminho']                = $this->input->post('caminho');
          $data['cliente']                = $this->input->post('cliente');
          $data['dest_cliente']           = $LastIdInserted;//$this->input->post('dest_cliente');
          $data['categoria']              = $this->input->post('categoria');
          $data['desc_nfs']               = $this->input->post('desc_nfs');
          $data['quantidade']             = $this->input->post('quantidade');
          $data['valor']                  = str_replace(',','.',$this->input->post('valor'));
          $data['valor_liquido']          = str_replace(',','.',$this->input->post('valor_liquido'));
          $data['data_emissao']           = $this->input->post('data_emissao');
          $data['data_competencia']       = $this->input->post('data_competencia');
          $data['alt_data']               = $this->input->post('alt_data');
          $data['status']                 = $this->input->post('status');
          $data['cod_verificacao']        = $this->input->post('cod_verificacao');
          $data['nat_operacao']           = $this->input->post('nat_operacao');
          $data['opt_simplesnacional']    = $this->input->post('opt_simplesnacional');
          $data['incentivador_cultural']  = $incentivador_cultural;
          $data['outras_informacoes']     = $this->input->post('outras_informacoes');
          $data['iss_retido']             = $iss_retido;
          $data['iss_valor']              = str_replace(',','.',$this->input->post('iss_valor'));
          $data['iss_aliquota']           = $this->input->post('iss_aliquota');
          $data['item_lista_servico']     = $this->input->post('item_lista_servico');
          $data['cod_cnae']               = $this->input->post('cod_cnae');
          $data['codigo_trib_municipio']  = str_replace(' ','',substr($this->input->post('item_lista_servico'),0,4).'01');
          $data['valor_deducao']          = str_replace(',','.',$this->input->post('valor_deducao'));
          $data['valor_desc_inc']         = str_replace(',','.',$this->input->post('valor_desc_inc'));
          $data['valor_desc_cond']        = str_replace(',','.',$this->input->post('valor_desc_cond'));
          $data['tx2']  =     $tx2;

          $this->db->insert('nfs', $data);

          // incrementa nº nfs

          $data2['nfs_num']     =  $this->input->post('xnfs_num')+1;
          $this->db->where('cliente', $this->input->post('cliente'));
          $this->db->update('nfs_n', $data2);

          $this->session->set_flashdata('flash_message', 'Nota Criada com Sucesso!!!');


          //move_uploaded_file($_FILES['recibo']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_R_'.$_FILES['recibo']['name']);
          //$this->session->set_flashdata('flash_message', 'Recibo Salvo!');


          redirect(base_url() . 'index.php?client/nfs_consultar/', 'refresh');
      }
    if ($param1 == 'dest_cliente_consultar') {

        $Xdados = $this->db->get_where('dest_cliente', array('dest_cliente_id' => $param2))->result_array();

        $this->session->set_flashdata('Xdest_cliente', $Xdados);

        $Xdt_competencia = $this->input->post('data_competencia');

        $this->session->set_flashdata('Xdt_competencia', $Xdt_competencia);

        redirect(base_url() . 'index.php?client/nfs_emitir/', 'refresh');
    }
    if ($param1 == 'dest_cliente_consultar_edit') {

        $Xdados = $this->db->get_where('dest_cliente', array('dest_cliente_id' => $param4))->result_array();

        $this->session->set_flashdata('Xdest_cliente', $Xdados);

        $Xdt_competencia = $this->input->post('data_competencia');

        $this->session->set_flashdata('Xdt_competencia', $Xdt_competencia);

        redirect(base_url() . 'index.php?client/nfs_editar/novo_dest/'.$param3, 'refresh');
    }

    if ($param1 == 'historico') {

        //echo $this->input->post('data_mes');
        //echo $this->input->post('data_ano');

        $XFiltro = $this->input->post('data_ano').'-'.$this->input->post('data_mes');

        $this->session->set_flashdata('XFiltro', $XFiltro);

        redirect(base_url() . 'index.php?client/nfs_emitir/', 'refresh');
    }


    $page_data['nfs']        = $this->db->get('nfs')->result_array();
    $page_data['page_name']  = 'nfs_emitir';
    $page_data['page_icon']  = 'file';
    $page_data['page_title'] = 'Emissão de Nota Fiscal de Serviços - NFS-e';
    $this->load->view('index', $page_data);


}

/**** NOTAS FISCAIS SERVIÇO |-> nfS  -  editar ****/
function nfs_editar($param1 = '', $param2 = '', $param3 = '')
{
  if (empty($param1)) {
    redirect(base_url() . 'index.php?client/nfs_consultar/', 'refresh');
  }

  if ($param1 == 'edit') {

    if ( !empty($this->input->post('incentivador_cultural'))){
        $incentivador_cultural = $this->input->post('incentivador_cultural');
    } else { $incentivador_cultural = 2; };

    if ( !empty($this->input->post('iss_retido'))){
        $iss_retido = $this->input->post('iss_retido');
    } else { $iss_retido = 2; };
    
    $novolote = $this->input->post('xnfs_num') + 1;


    $this->load->model('crud_model');
    $emissor = $this->crud_model->get_client_info($param2);

    //var_dump($row_emissor);
foreach ($emissor as $row_emissor) :
// monta TX2

    $TECNOSPEED_EOL = "\n";

    $arquivotx2 = ('NomeCidade=' . str_replace(" ","",ucwords($row_emissor['addr_cidade'])) . $TECNOSPEED_EOL .
    'Formato=TX2' . $TECNOSPEED_EOL .
    'padrao=TecnoNFSe' . $TECNOSPEED_EOL .

    'INCLUIR' . $TECNOSPEED_EOL .
    'IdLote=' . $this->input->post('nfs') . $TECNOSPEED_EOL .
    'NumeroLote=' . $novolote . $TECNOSPEED_EOL .
    'CpfCnpjRemetente=' . $row_emissor['cnpj_cpf'] . $TECNOSPEED_EOL .
    'InscricaoMunicipalRemetente=' . str_replace('-','',$row_emissor['cmc']) . $TECNOSPEED_EOL .
    'RazaoSocialRemetente=' . str_replace('&', '%26', $row_emissor['name']) . $TECNOSPEED_EOL .
    'QuantidadeRps=' . $this->input->post('quantidade') . $TECNOSPEED_EOL .
    'CodigoCidadeRemetente=' . '33' . $TECNOSPEED_EOL .
    'Transacao=' . '1' . $TECNOSPEED_EOL .
    'DataInicio=' . $this->input->post('data_competencia') . $TECNOSPEED_EOL .
    'Versao=' . '3.10' . $TECNOSPEED_EOL .
    'ValorTotalServicos=' . str_replace(',','.',$this->input->post('valor_servico')) . $TECNOSPEED_EOL .
    'ValorTotalDeducoes=' . str_replace(',','.',$this->input->post('valor_deducao')) . $TECNOSPEED_EOL .
    'ValorTotalBaseCalculo=' . str_replace(',','.',$this->input->post('valor_base')) . $TECNOSPEED_EOL .
    'SALVAR' . $TECNOSPEED_EOL . $TECNOSPEED_EOL .

    'INCLUIRRPS' . $TECNOSPEED_EOL .
    'DataEmissao=' . date('d/m/Y', strtotime($this->input->post('data_emissao'))) . $TECNOSPEED_EOL .
    'IdRps=' . 'R1' . $TECNOSPEED_EOL .
    'NumeroRps=' . $this->input->post('nfs') . $TECNOSPEED_EOL .
    'SerieRps=' . '1' . $TECNOSPEED_EOL .
    'TipoRps=' . $this->input->post('tipo_nfs') . $TECNOSPEED_EOL .
    'OptanteSimplesNacional=' . '1' . $TECNOSPEED_EOL .
    'IncentivadorCultural=' . $incentivador_cultural . $TECNOSPEED_EOL .
    'ExigibilidadeISS=' . '1' . $TECNOSPEED_EOL .
    'IncentivoFiscal=' . '2' . $TECNOSPEED_EOL .
    'SituacaoNota=' . '1' . $TECNOSPEED_EOL .
    'TipoTributacao=' . $this->input->post('nat_operacao') . $TECNOSPEED_EOL .
    'NaturezaTributacao=' . '1' . $TECNOSPEED_EOL .
    'RegimeEspecialTributacao=' . '0' . $TECNOSPEED_EOL . $TECNOSPEED_EOL .

    'ValorServicos=' . str_replace(',','.',$this->input->post('valor_servico')) . $TECNOSPEED_EOL .
    'ValorDeducoes=' . str_replace(',','.',$this->input->post('valor_deducao')) . $TECNOSPEED_EOL .
    'ValorPis=' . '0.00' . $TECNOSPEED_EOL .
    'ValorCofins=' . '0.00' . $TECNOSPEED_EOL .
    'ValorInss=' . '0.00' . $TECNOSPEED_EOL .
    'ValorIr=' . '0.00' . $TECNOSPEED_EOL .
    'ValorCsll=' . '0.00' . $TECNOSPEED_EOL .
    'IssRetido=' . $iss_retido . $TECNOSPEED_EOL .
    'ValorIss=' . ($this->input->post('valor_liquido')*($iss_retido/100)) . $TECNOSPEED_EOL .
    'ValorIssRetido=' . ($this->input->post('valor_liquido')*($iss_retido/100)) . $TECNOSPEED_EOL .
    'BaseCalculo=' . str_replace(',','.',$this->input->post('valor_base')) . $TECNOSPEED_EOL .
    'ValorLiquidoNfse=' . $this->input->post('valor_liquido') . $TECNOSPEED_EOL .
    'DescontoIncondicionado=' . $this->input->post('valor_desc_inc') . $TECNOSPEED_EOL .
    'DescontoCondicionado=' . $this->input->post('valor_desc_cond') . $TECNOSPEED_EOL .
    'AliquotaISS=' . $this->input->post('iss_aliquota') . $TECNOSPEED_EOL .
    'AliquotaPIS=' . '0.00' . $TECNOSPEED_EOL .
    'AliquotaCOFINS=' . '0.00' . $TECNOSPEED_EOL .
    'AliquotaINSS=' . '0.00' . $TECNOSPEED_EOL .
    'AliquotaIR=' . '0.00' . $TECNOSPEED_EOL .
    'AliquotaCSLL=' . '0.00' . $TECNOSPEED_EOL .
    'CodigoItemListaServico=' . $this->input->post('item_lista_servico') . $TECNOSPEED_EOL .
    'CodigoCnae=' . $this->input->post('cod_cnae') . $TECNOSPEED_EOL .
    'CodigoTributacaoMunicipio=' . str_replace(' ','',substr($this->input->post('item_lista_servico'),0,4).'01'). $TECNOSPEED_EOL .
    'DiscriminacaoServico=' . str_replace('%','%25',$this->input->post('desc_nfs')) . $TECNOSPEED_EOL .
    'CodigoCidadePrestacao=' . '3304557' . $TECNOSPEED_EOL .
    'DescricaoCidadePrestacao=' . $row_emissor['addr_cidade'] . $TECNOSPEED_EOL . $TECNOSPEED_EOL .

    'CpfCnpjPrestador=' . $row_emissor['cnpj_cpf'] . $TECNOSPEED_EOL .
    'InscricaoMunicipalPrestador=' . $row_emissor['cmc'] . $TECNOSPEED_EOL .
    'RazaoSocialPrestador=' . str_replace('&', '%26', $row_emissor['name']) . $TECNOSPEED_EOL .
    'DDDPrestador=' . $row_emissor['ddd_phone'] . $TECNOSPEED_EOL .
    'TelefonePrestador=' . str_replace('-','',$row_emissor['phone']) . $TECNOSPEED_EOL . $TECNOSPEED_EOL .

    'CpfCnpjTomador=' . str_replace('/','',str_replace('.','',str_replace('-','',$this->input->post('cnpj')))) . $TECNOSPEED_EOL .
    'RazaoSocialTomador=' . str_replace('&', '%26', strtoupper($this->input->post('razao_social'))) . $TECNOSPEED_EOL .
    'InscricaoMunicipalTomador=' . str_replace('/','',str_replace('.','',str_replace('-','',$this->input->post('cmc')))) . $TECNOSPEED_EOL .
    'InscricaoEstadualTomador=' . str_replace('/','',str_replace('.','',str_replace('-','',$this->input->post('ie')))) . $TECNOSPEED_EOL .
    'TipoLogradouroTomador=RUA' . $TECNOSPEED_EOL .
    'EnderecoTomador=' . strtoupper($this->input->post('endereco')) . $TECNOSPEED_EOL .
    'NumeroTomador=' . strtoupper($this->input->post('end_n')) . $TECNOSPEED_EOL .
    'ComplementoTomador=' . strtoupper($this->input->post('end_compl')) . $TECNOSPEED_EOL .
    'TipoBairroTomador=' . strtoupper($this->input->post('bairro')). $TECNOSPEED_EOL .
    'BairroTomador=' . strtoupper($this->input->post('bairro')) . $TECNOSPEED_EOL .
    'CodigoCidadeTomador=' . '3305802' . $TECNOSPEED_EOL .
    'DescricaoCidadeTomador=' . strtoupper($this->input->post('cidade')) . $TECNOSPEED_EOL .
    'UfTomador=' . strtoupper($this->input->post('uf')) . $TECNOSPEED_EOL .
    'CepTomador=' . str_replace('-','',$this->input->post('cep')) . $TECNOSPEED_EOL .
    'DDDTomador=' . $this->input->post('ddd') . $TECNOSPEED_EOL .
    'TelefoneTomador=' . $this->input->post('tel') . $TECNOSPEED_EOL .
    'EmailTomador=' . $this->input->post('email') . $TECNOSPEED_EOL . $TECNOSPEED_EOL .

    'PercentualDeduzir=' . str_replace(',','.',$this->input->post('valor_deducao')) . $TECNOSPEED_EOL .
    'QuantidadeServicos=' . $this->input->post('quantidade') . $TECNOSPEED_EOL .
    'ValorUnitarioServico=' . str_replace(',','.',$this->input->post('valor_servico')) . $TECNOSPEED_EOL .
    'SALVARRPS');
endforeach;
    $arquivotx2 = str_replace($TECNOSPEED_EOL, '%0A', str_replace('=', '%3D', $arquivotx2));
    $arquivotx2 =  str_replace(' ', '%20', $arquivotx2);
    $head = 'Grupo=ContSimples&CNPJ=' . $row_emissor['cnpj_cpf'] . '&Arquivo=';
    $tx2 = $head.$arquivotx2;
// FIM TX2


    $data['dest_cliente']           = $this->input->post('dest_cliente_id');
    // informações e valores nfs
    $data['data_emissao']           = $this->input->post('data_emissao');
    $data['desc_nfs']               = $this->input->post('desc_nfs');
    $data['nat_operacao']           = $this->input->post('nat_operacao');
    $data['incentivador_cultural']  = $incentivador_cultural;
    $data['iss_retido']             = $iss_retido;
    $data['iss_valor']              = str_replace(',','.',$this->input->post('iss_valor'));
    $data['iss_aliquota']           = $this->input->post('iss_aliquota');
    $data['item_lista_servico']     = $this->input->post('item_lista_servico');
    $data['codigo_trib_municipio']  = str_replace(' ','',substr($this->input->post('item_lista_servico'),0,4).'01');
    $data['valor']                  = str_replace(',','.',$this->input->post('valor_servico'));
    $data['valor_liquido']          = str_replace(',','.',$this->input->post('valor_liquido'));
    $data['valor_deducao']          = str_replace(',','.',$this->input->post('valor_deducao'));
    $data['valor_desc_inc']         = str_replace(',','.',$this->input->post('valor_desc_inc'));
    $data['valor_desc_cond']        = str_replace(',','.',$this->input->post('valor_desc_cond'));
    $data['tx2']                    =     $tx2;

    $this->db->where('nfs_id', $param3);
    $this->db->update('nfs', $data);
    //echo "<pre>";
    //print_r($data);
    //echo "</pre>";
    redirect(base_url() . 'index.php?client/nfs_consultar/', 'refresh');
  }

  if ($param1 == 'consultar') {
    $id_nfs = $param2;
    $buscar_nfs      = $this->db->get_where('nfs', 'nfs_id = '.$id_nfs)->result_array();
    $id_dest_cliente = $buscar_nfs[0]['dest_cliente'];
    $dest_cliente    = $this->db->get_where('dest_cliente', 'dest_cliente_id = '.$id_dest_cliente)->result_array();

    $page_data['nfs']                     = $buscar_nfs;
    $page_data['nfs_dest_cliente']        = $dest_cliente;
  }
  if ($param1 == 'novo_dest') {
    $id_nfs = $param2;
    $buscar_nfs      = $this->db->get_where('nfs', 'nfs_id = '.$id_nfs)->result_array();

    $page_data['nfs']                     = $buscar_nfs;
  }


  $page_data['page_name']  = 'nfs_editar';
  $page_data['page_icon']  = 'file';
  $page_data['page_title'] = 'Editar NFS-e';
  $this->load->view('index', $page_data);

}

/**** NOTAS FISCAIS SERVIÇO |-> nfS  -  enviar ****/
function nfs_enviar($param1 = '', $param2 = '', $param3 = '')
{

    if ($this->session->userdata('client_login') != 1)
        redirect(base_url(), 'refresh');

    if ($param1 == 'envia-nfs') {
        $result = $this->db->get_where('nfs', array('nfs_id' => $param2))->result_array();

        $tx2 = $result['0']['tx2'];

        // Inicio da requisição para TECNOSPEED
        $curl = curl_init();

        curl_setopt_array($curl, array(
        CURLOPT_PORT => "8081",
        CURLOPT_URL => "https://managersaas.tecnospeed.com.br:8081/ManagerAPIWeb/nfse/envia",
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_ENCODING => "",
        CURLOPT_MAXREDIRS => 5,
        CURLOPT_TIMEOUT => 60,
        CURLOPT_CUSTOMREQUEST => "POST",
        CURLOPT_POSTFIELDS => $tx2,
        CURLOPT_HTTPHEADER => array(
            "Authorization: Basic YWRtaW46Y29udHNpbXBsZXMxMjM=",
            "Cache-Control: no-cache",
            "Content-Type: application/x-www-form-urlencoded"
        ),
        ));

        $response = curl_exec($curl);
        $err = curl_error($curl);

        curl_close($curl);

        if ($err) {
            $page_data['mensagem_rejeitada']  = 'Servidor temporariamente indisponível. '.utf8_encode($err);
        } else {
          $retorno = explode(",", $response);
          //var_dump($retorno);
          
          // Aqui no if normalmente é quando o certificado venceu
          if(count($retorno) <= 3) {
            $handle = "0";
            $mensagem  = $retorno[2];
          } else {
            (isset($retorno[0]) ? $handle = $retorno[0] : $handle = '0');
            (isset($retorno[1]) ? $nrlote = $retorno[1] : $nrlote = '0');
            (isset($retorno[2]) ? $nrnfs  = $retorno[2] : $nrnfs  = '0');
            (isset($retorno[3]) ? $mensagem = $retorno[3] : $mensagem = 'Servidor interno');
          }

          //Se for autorizada cai nesse if
          if(strpos($mensagem,"Autorizada") == TRUE)
          {
              $data_up['cod_verificacao'] =  $handle;
              $data_up['nfs_num_tecnospeed'] =  $nrlote;
              $data_up['nfs'] = $nrnfs;
              $data_up['status'] =  'AUTORIZADA';
              $page_data['mensagem_autorizada']  = utf8_encode($mensagem);
              //echo utf8_encode($retorno[3]);
          }
                        //Se ficar pendente cai nesse if
          else if(strpos($mensagem,"processamento") == TRUE)
          {
              $data_up['cod_verificacao'] =  $handle;
              $data_up['nfs_num_tecnospeed'] =  $nrlote;
              $data_up['nfs'] = $nrnfs;
              $data_up['status'] =  'Processando';
              $page_data['mensagem_rejeitada']  = utf8_encode($mensagem);
              //echo utf8_encode($retorno[3]);
          }
          else
          {
              $data_up['cod_verificacao'] =  $handle;
              //$data_up['nfs'] = $nrnfs;
              $data_up['status'] =  'Rejeitada';
              $page_data['mensagem_rejeitada'] = utf8_encode($mensagem);
              //echo utf8_encode($retorno[2]);
          }
          
          $this->db->where('nfs_id', $param2);
          $this->db->update('nfs', $data_up);


        }

        //echo '<pre>';
        //print_r($result['0']['tx2']);
        //echo '</pre>';

    }
    if ($param1 == 'resolve-nfs') {
        $result = $this->db->get_where('nfs', array('nfs_id' => $param2))->result_array();
        $client = $param3;
        $emissor = $this->crud_model->get_client_info($client);

        $grupo  = "Grupo=ContSimples&";
        $CNPJ   = "CNPJ=".$emissor['0']['cnpj_cpf'];
        $cidade = "&NomeCidade=".str_replace(" ","",ucwords($emissor['0']['addr_cidade']));
        $handle = "&NumNFSe=".$result['0']['nfs'];

        $resolve = $grupo.$CNPJ.$cidade.$handle;

        // Inicio da requisição para TECNOSPEED
        $curl = curl_init();

        curl_setopt_array($curl, array(
        CURLOPT_PORT => "8081",
        CURLOPT_URL => "https://managersaas.tecnospeed.com.br:8081/ManagerAPIWeb/nfse/resolve",
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_ENCODING => "",
        CURLOPT_MAXREDIRS => 5,
        CURLOPT_TIMEOUT => 60,
        CURLOPT_CUSTOMREQUEST => "POST",
        CURLOPT_POSTFIELDS => $resolve,
        CURLOPT_HTTPHEADER => array(
            "Authorization: Basic YWRtaW46Y29udHNpbXBsZXMxMjM=",
            "Cache-Control: no-cache",
            "Content-Type: application/x-www-form-urlencoded"
        ),
        ));

        $response = curl_exec($curl);
        $err = curl_error($curl);

        curl_close($curl);

        if ($err) {
            $page_data['mensagem_rejeitada']  = 'Servidor temporariamente indisponível. '.utf8_encode($err);
        } else {
          $retorno = explode(",", $response);
          //var_dump($retorno);

          $handle = $retorno[0];
          $nrlote = $retorno[1];
          $nrnfs  = $retorno[2];
          (isset($retorno[3]) ? $mensagem = $retorno[3] : $mensagem = $retorno[2]);

          //Se for autorizada cai nesse if
          if(strpos($mensagem,"Autorizada") == TRUE)
          {
              $data_up['cod_verificacao'] =  $handle;
              $data_up['nfs_num_tecnospeed'] =  $nrlote;
              $data_up['nfs'] = $nrnfs;
              $data_up['status'] =  'AUTORIZADA';
              $this->db->where('nfs_id', $param2);
              $this->db->update('nfs', $data_up);
              $page_data['mensagem_autorizada']  = utf8_encode($mensagem);
              //echo utf8_encode($retorno[3]);
          }
          else
          {
              $data_up['cod_verificacao'] =  $handle;
              $data_up['status'] =  'Rejeitada';
              $this->db->where('nfs_id', $param2);
              $this->db->update('nfs', $data_up);
              $page_data['mensagem_rejeitada'] = utf8_encode($mensagem);
              //echo utf8_encode($retorno[2]);
          }
          //Se ficar pendente cai nesse if
          if(strpos($mensagem,"processamento") == TRUE)
          {
              $data_up['cod_verificacao'] =  $handle;
              $data_up['nfs_num_tecnospeed'] =  $nrlote;
              $data_up['nfs'] = $nrnfs;
              $data_up['status'] =  'Processando';
              $this->db->where('nfs_id', $param2);
              $this->db->update('nfs', $data_up);
              $page_data['mensagem_rejeitada']  = utf8_encode($mensagem);
              //echo utf8_encode($retorno[3]);
          }

        }

        //echo '<pre>';
        //print_r($result['0']['tx2']);
        //echo '</pre>';

    }
    if ($param1 == 'exporta-xml') {

      $result = $this->db->get_where('nfs', array('nfs_id' => $param2))->result_array();
      $emissor = $this->crud_model->get_client_info($param3);
      //var_dump($emissor);

      $dados = 'Grupo=ContSimples&CNPJ=';
      $dados .= $emissor['0']['cnpj_cpf'];
      $dados .= '&NomeCidade=';
      $dados .= str_replace(" ","",ucwords($emissor['0']['addr_cidade']));
      $dados .= '&Tipo=EMISSAO&dtInicial=';
      $dados .= date('Y-m-d', strtotime($result['0']['data_emissao']));
      $dados .= '&dtFinal=';
      $dados .= date("Y-m-d", strtotime($result['0']['data_emissao']));
      $dados .= '&Url=1&SerieRPS=1&nInicial=';
      $dados .= $result['0']['nfs'];
      $dados .= '&nFinal=';
      $dados .= $result['0']['nfs'];
      //var_dump($dados);
      // ex: Grupo=ContSimples&CNPJ=13836738000135&NomeCidade=RioDeJaneiro&Tipo=EMISSAO&dtInicial=2018-07-13&dtFinal=2018-07-13&Url=1&SerieRPS=1&nInicial=5&nFinal=5

      $curl = curl_init();

      curl_setopt_array($curl, array(
        CURLOPT_PORT => "8081",
        CURLOPT_URL => "https://managersaas.tecnospeed.com.br:8081/ManagerAPIWeb/nfse/exportaxml",
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_ENCODING => "",
        CURLOPT_MAXREDIRS => 5,
        CURLOPT_TIMEOUT => 60,
        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        CURLOPT_CUSTOMREQUEST => "POST",
        CURLOPT_POSTFIELDS => $dados,
        CURLOPT_HTTPHEADER => array(
          "authorization: Basic YWRtaW46Y29udHNpbXBsZXMxMjM=",
          "cache-control: no-cache",
          "content-type: application/x-www-form-urlencoded"
        ),
      ));

      $response = curl_exec($curl);
      $err = curl_error($curl);

      curl_close($curl);

      if ($err) {
        $page_data['xml_erro'] = $err;
      } else {
        $page_data['link_xml'] = $response;
      }

    }
    if ($param1 == 'imprimir') {

      $client = $param3;
      $result = $this->db->get_where('nfs', array('nfs_id' => $param2))->result_array();
      $emissor = $this->crud_model->get_client_info($client);
      $CNPJ = $emissor['0']['cnpj_cpf'];
      $HANDLE = $result['0']['cod_verificacao'];
      $CIDADE = str_replace(" ","",ucwords($emissor['0']['addr_cidade']));

      $curl = curl_init();

      curl_setopt_array($curl, array(
        CURLOPT_PORT => "8081",
        CURLOPT_URL => "https://managersaas.tecnospeed.com.br:8081/ManagerAPIWeb/nfse/imprime?Grupo=ContSimples&CNPJ=".$CNPJ."&Handle=".$HANDLE."&NomeCidade=".$CIDADE."&URL=1",
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_ENCODING => "",
        CURLOPT_MAXREDIRS => 5,
        CURLOPT_TIMEOUT => 60,
        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        CURLOPT_CUSTOMREQUEST => "GET",
        CURLOPT_HTTPHEADER => array(
          "Authorization: Basic YWRtaW46Y29udHNpbXBsZXMxMjM=",
          "Cache-Control: no-cache"
        ),
      ));

      $response = curl_exec($curl);
      $err = curl_error($curl);

      curl_close($curl);

      if ($err) {
        $page_data['erro_imprimir'] =  $err;
      } else {
        $page_data['link_imprimir'] = $response;
      }

    }
    if ($param1 == 'cancelar') {

        $client = $param3;
        $emissor = $this->crud_model->get_client_info($client);

        $result = $this->db->get_where('nfs', array('nfs_id' => $param2))->result_array();

        $grupo  = "Grupo=ContSimples&";
        $CNPJ   = "CNPJ=".$emissor['0']['cnpj_cpf'];
        $cidade = "&NomeCidade=".str_replace(" ","",ucwords($emissor['0']['addr_cidade']));
        $handle = "&Handle=".$result['0']['cod_verificacao'];

        $cancelar = $grupo.$CNPJ.$cidade.$handle;
        //var_dump($cancelar);

        // Ex: Grupo=ContSimples&CNPJ=13836738000135&NomeCidade=RioDeJaneiro&Handle=3052580

        $curl = curl_init();

        curl_setopt_array($curl, array(
        CURLOPT_PORT => "8081",
        CURLOPT_URL => "https://managersaas.tecnospeed.com.br:8081/ManagerAPIWeb/nfse/cancela",
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_ENCODING => "",
        CURLOPT_MAXREDIRS => 5,
        CURLOPT_TIMEOUT => 60,
        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        CURLOPT_CUSTOMREQUEST => "POST",
        CURLOPT_POSTFIELDS => $cancelar,
        CURLOPT_HTTPHEADER => array(
            "authorization: Basic YWRtaW46Y29udHNpbXBsZXMxMjM=",
            "cache-control: no-cache",
            "content-type: application/x-www-form-urlencoded"
        ),
        ));

        $response = curl_exec($curl);
        $err = curl_error($curl);

        curl_close($curl);

        if ($err) {
        echo "cURL Error #:" . $err;
        } else {
            $retorno = explode(",", $response);

            //Se for autorizada cai nesse if
            if(array_key_exists("3", $retorno))
            {
                $data_up['cod_verificacao'] =  $retorno[0];
                $data_up['status'] =  'CANCELADA';
                $this->db->where('nfs_id', $param2);
                $this->db->update('nfs', $data_up);
                $page_data['protocolo_cancelada']  = utf8_encode($retorno[2]);
                $page_data['cancelamento_autorizada']  = utf8_encode($retorno[3]);
                //echo utf8_encode($retorno[3]);
            }
            else
            {
                $page_data['cancelamento_rejeitada']  = utf8_encode($retorno[2]);
                //echo utf8_encode($retorno[2]);
            }
        }

    }

    if ($param1 == 'delete') {

      if ($this->db->where('nfs_id', $param2)) {
        $this->db->delete('nfs');
        $this->session->set_flashdata('flash_message', 'Arquivo Deletado!');
      }

      redirect(base_url() . 'index.php?client/nfs_consultar/', 'refresh');

    }

    $page_data['page_name']  = 'nfs_consultar';
    $page_data['page_icon']  = 'search';
    $page_data['page_title'] = 'Nota Fiscal Serviço - Consultar';
    $this->load->view('index', $page_data);
}

/**** NOTAS FISCAIS SERVIÇO |-> nfS  -  importar ****/
    function nfs_importar($param1 = '', $param2 = '', $param3 = '')
    {

        /**** Definição de variáveis *****/
        $Xrand = '';
        $origem = '';
        $destino = '';
        $XnovoNome = '';

        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['xml']      = $this->input->post('xml');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            //$data['rate']      = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->insert('xmls', $data);
            redirect(base_url() . 'index.php?client/nf_importar/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['xml']        = $this->input->post('xml');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            //$data['rate']      = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->where('xml_id', $param2);
            $this->db->update('xmls', $data);
            redirect(base_url() . 'index.php?client/nfs_importar/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile'] = true;
            $page_data['current_xml_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('xmls', array(
                'xml_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {

            $Xdados = $this->db->get_where('xmls', array('xml_id' => $param2))->result_array();
            //print_r($Xdados);

            foreach($Xdados as $row):
                $origem = $row['path'];
                $destino = $origem;
            endforeach;
            //print_r($origem);

            $destino =  str_replace('/xml/','/_lixo/', $destino);
            //print_r($destino);

            copy($origem, $destino);
            unlink($origem);

            $this->db->where('xml_id', $param2);
            $this->db->delete('xmls');
            $this->session->set_flashdata('flash_message', 'Arquivo Deletado!');
            redirect(base_url() . 'index.php?client/nfs_consultar/', 'refresh');

        }
        if ($param1 == 'upload_info') {

            $Xrand =  mt_rand();

            if ( !empty($_FILES['file']['name'])){

                $XnovoNome = strtolower($this->caracter_model->t5f_translit($_FILES['file']['name']));

                $data['xml']         = $_FILES['file']['name'];
                $data['path']        = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome;
                $data['client']      = $this->input->post('client');
                $data['product']     = $this->input->post('product');
                $data['desc_xml']    = $_FILES['file']['name'];
                $data['quantity']    = $this->input->post('quantity');
                $data['valor']       = $this->input->post('valor');
                $data['date']        = $this->input->post('date');
                $data['ind_up']      = $this->input->post('ind_up');
                $data['status']      = $this->input->post('status');
                $this->db->insert('xmls', $data);

                move_uploaded_file($_FILES['file']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome);
                $this->session->set_flashdata('flash_message', 'Arquivo Enviado');

                redirect(base_url() . 'index.php?client/nfs_importar/', 'refresh');
            }  else
            {
                $this->session->set_flashdata('flash_message', 'Arquivo Não Importado, favor adicionar o arquivo');
                redirect(base_url() . 'index.php?client/nfs_importar/', 'refresh');
            }
        }
        $page_data['xmls']      = $this->db->get('xmls')->result_array();
        $page_data['page_name']  = 'nfs_importar';
        $page_data['page_icon'] = 'download-alt';
        $page_data['page_title'] = 'Nota Fiscal Serviço - Importar';
        $this->load->view('index', $page_data);
    }

/**** NOTAS FISCAIS SERVIÇO |-> nfS  -  consultar ****/
    function nfs_consultar($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');

        $page_data['files']      = $this->db->get('nfs')->result_array();
        $page_data['page_name']  = 'nfs_consultar';
        $page_data['page_icon']  = 'search';
        $page_data['page_title'] = 'Nota Fiscal Serviço - Consultar';
        $this->load->view('index', $page_data);

        if ($param1 == 'historico') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltro = $this->input->post('data_ano').'-'.$this->input->post('data_mes');

            $this->session->set_flashdata('XFiltro', $XFiltro);


            redirect(base_url() . 'index.php?client/nfs_consultar/', 'refresh');
        }
        if ($param1 == 'email') {

            $Xnota = $this->input->post('nfs_id');

            $data['status']      = 'processando';
            $this->db->where('nfs_id', $Xnota);
            $this->db->update('nfs', $data);


            $this->email_model->envia_email_cadastro_de_nota($Xnota);

            $this->session->set_flashdata('flash_message', 'Nota enviada! Favor aguardar retorno da prefeitura...');

            redirect(base_url() . 'index.php?client/nfs_consultar/', 'refresh');
        }

    }
/**** FIM - BLOCO  -    NOTAS FISCAIS SERVIÇO |-> nfS    *****/

/**** MEUS CLIENTES |-> meus_clientes ****/
    function meus_clientes($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['dest_cliente']       = strtoupper($this->input->post('dest_cliente'));
            $data['cliente']            =  $this->input->post('cliente');
            $data['dest_cnpj_cpf']      = str_replace('/','',str_replace('.','',str_replace('-','',$this->input->post('dest_cnpj_cpf'))));
            $data['dest_ie']            = str_replace('/','',str_replace('.','',str_replace('-','',$this->input->post('dest_ie'))));
            $data['dest_cmc']           = str_replace('/','',str_replace('.','',str_replace('-','',$this->input->post('dest_cmc'))));
            $data['dest_end']           = mb_strtoupper($this->input->post('dest_end'), 'UTF-8');
            $data['dest_n']             = strtoupper($this->input->post('dest_n'));
            $data['dest_comp']          = mb_strtoupper($this->input->post('dest_comp'), 'UTF-8');
            $data['dest_bairro']        = mb_strtoupper($this->input->post('dest_bairro'), 'UTF-8');
            $data['dest_cidade']        = mb_strtoupper($this->input->post('dest_cidade'), 'UTF-8');
            $data['dest_uf']            = strtoupper($this->input->post('dest_uf'));
            $data['dest_pais']          = strtoupper($this->input->post('dest_pais'));
            $data['dest_cep']           = $this->input->post('dest_cep');
            $data['dest_email']         = $this->input->post('dest_email');
            $data['dest_ddd']           = $this->input->post('dest_ddd');
            $data['dest_tel']           = $this->input->post('dest_tel');
            $data['dest_desc']          = $this->input->post('dest_desc');
            $data['dest_data']          = date('Y-m-d');
            $data['dest_alt_data']      = date('Y-m-d');
            $data['dest_desc']          = $this->input->post('dest_desc');
            $data['dest_status']        = $this->input->post('dest_status');
            $this->db->insert('dest_cliente', $data);

            $this->session->set_flashdata('flash_message', 'Cliente adicionado com sucesso!!!');

            //envia email
            //$this->email_model->abertura_de_conta('client', $data['email']);
            //$this->email_model->abertura_de_conta_confirma_cadastro('client',$data['name'],$data['cnpj_cpf'], $data['email']);

            redirect(base_url() . 'index.php?client/meus_clientes/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['dest_cliente']       = strtoupper($this->input->post('dest_cliente'));
            $data['cliente']            =  $this->input->post('cliente');
            $data['dest_cnpj_cpf']      = str_replace('/','',str_replace('.','',str_replace('-','',$this->input->post('dest_cnpj_cpf'))));
            $data['dest_ie']            = str_replace('/','',str_replace('.','',str_replace('-','',$this->input->post('dest_ie'))));
            $data['dest_cmc']           = str_replace('/','',str_replace('.','',str_replace('-','',$this->input->post('dest_cmc'))));
            $data['dest_end']           = strtoupper($this->input->post('dest_end'));
            $data['dest_n']             = strtoupper($this->input->post('dest_n'));
            $data['dest_comp']          = strtoupper($this->input->post('dest_comp'));
            $data['dest_bairro']        = strtoupper($this->input->post('dest_bairro'));
            $data['dest_cidade']        = strtoupper($this->input->post('dest_cidade'));
            $data['dest_uf']            = strtoupper($this->input->post('dest_uf'));
            $data['dest_pais']          = strtoupper($this->input->post('dest_pais'));
            $data['dest_cep']           = $this->input->post('dest_cep');
            $data['dest_email']         = $this->input->post('dest_email');
            $data['dest_ddd']           = $this->input->post('dest_ddd');
            $data['dest_tel']           = $this->input->post('dest_tel');
            $data['dest_desc']          = $this->input->post('dest_desc');
            $data['dest_data']          = $this->input->post('dest_data');
            $data['dest_alt_data']      = $this->input->post('dest_alt_data');
            $data['dest_desc']          = $this->input->post('dest_desc');
            $data['dest_status']        = $this->input->post('dest_status');
            $this->db->where('dest_cliente_id', $param2);
            $this->db->update('dest_cliente', $data);
            redirect(base_url() . 'index.php?client/meus_clientes/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile']  = true;
            $page_data['current_dest_cliente_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('dest_cliente', array(
                'dest_cliente_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {

            //$destino = $this->db->get_where('client' , array('client_id' => $param2))->row()->alterdata ;
            //$this->db->where('client_id', $param2);
            //$this->db->delete('client');

            $data['dest_status']        = 'inativo';

            $this->db->where('dest_cliente_id', $param2);
            $this->db->update('dest_cliente', $data);
            redirect(base_url() . 'index.php?client/meus_clientes/', 'refresh');

        }

        $page_data['client']     = $this->db->get('dest_cliente')->result_array();
        $page_data['page_name']  = 'meus_clientes';
        $page_data['page_icon'] = 'user';
        $page_data['page_title'] = 'Cadastro de Clientes';
        $this->load->view('index', $page_data);

    }
/**** FIM - MEUS CLIENTES |-> meus_clientes ****/


 /**** BLOCO  -   MOV |-> Movimentações

    Consultar - consultar
    Importar - importar
    lançar - lancar
    Recibos

*****/
    /**** MOV |-> Movimentações  -  consultar ****/
    function mov_consultar($param1 = '', $param2 = '', $param3 = '')
    {

                /**** Definição de variáveis *****/
        $Xrand = '';
        $origem = '';
        $destino = '';
        $XnovoNome = '';

        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['file']        = $this->input->post('file');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            //$data['rate']      = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->insert('files', $data);
            redirect(base_url() . 'index.php?client/mov_consultar/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['file']        = $this->input->post('file');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            //$data['rate']      = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/mov_consultar/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile'] = true;
            $page_data['current_file_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('files', array(
                'file_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {
            $this->db->where('file_id', $param2);
            $this->db->delete('files');
            redirect(base_url() . 'index.php?client/mov_consultar/', 'refresh');
        }
        if ($param1 == 'upload_info') {

            $Xrand =  mt_rand();

            $XnovoNome = strtolower($this->caracter_model->t5f_translit($_FILES['file']['name']));

            $data['file']        = $_FILES['file']['name'];
            $data['path']        = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome;
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['desc_file']   = $this->input->post('desc_file');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            $data['status']      = $this->input->post('status');
            $this->db->insert('files', $data);

            move_uploaded_file($_FILES['file']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome);
            $this->session->set_flashdata('flash_message', 'Arquivo Enviado');

            redirect(base_url() . 'index.php?client/mov_consultar/', 'refresh');
        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => ''))->result_array();
        $page_data['page_name']  = 'mov_consultar';
        $page_data['page_icon'] = 'search';
        $page_data['page_title'] = 'Consultar Movimentos';
        $this->load->view('index', $page_data);
    }

    /**** MOV |-> Movimentações  -  importar ****/
    function mov_importar($param1 = '', $param2 = '', $param3 = '')
    {
                /**** Definição de variáveis *****/
        $Xrand = '';
        $origem = '';
        $destino = '';
        $XnovoNome = '';


        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['file']        = $this->input->post('file');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            //$data['rate']      = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->insert('files', $data);
            redirect(base_url() . 'index.php?client/mov_importar/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['file']        = $this->input->post('file');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            //$data['rate']      = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/mov_importar/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile'] = true;
            $page_data['current_file_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('files', array(
                'file_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {

            $Xdados = $this->db->get_where('files', array('file_id' => $param2))->result_array();
            //print_r($Xdados);

            foreach($Xdados as $row):
            $origem = $row['path'];
            $destino = $origem;
            endforeach;
            //print_r($origem);

            $destino =  str_replace('/mov/','/_lixo/', $destino);
            //print_r($destino);

            copy($origem, $destino);
            unlink($origem);

            $this->db->where('file_id', $param2);
            $this->db->delete('files');
            $this->session->set_flashdata('flash_message', 'Arquivo Deletado!');
            redirect(base_url() . 'index.php?client/mov_importar/', 'refresh');


        }
        if ($param1 == 'upload_info') {

            $Xrand =  mt_rand();
            
            
             //if ( !empty($_FILES['file']['name'][1])){
             if ( !empty($_FILES['file']['tmp_name'])){

                $XnovoNome = strtolower($this->caracter_model->t5f_translit($_FILES['file']['name']));
    
                $data['file']        = $_FILES['file']['name'];
                $data['path']        = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome;
                $data['client']      = $this->input->post('client');
                $data['product']     = $this->input->post('product');
                $data['desc_file']   = $this->input->post('desc_file');
                $data['quantity']    = $this->input->post('quantity');
                $data['valor']       = $this->input->post('valor');
                $data['date']        = $this->input->post('date');
                $data['ind_up']      = $this->input->post('ind_up');
                $data['status']      = $this->input->post('status');
                $this->db->insert('files', $data);
    
                move_uploaded_file($_FILES['file']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome);
                $this->session->set_flashdata('flash_message', 'Arquivo Enviado');
    
                redirect(base_url() . 'index.php?client/mov_importar/', 'refresh');
     
            }  else
            {
                $this->session->set_flashdata('flash_message', 'Arquivo Não Informado, Favor entre com um arquivo!');
            }
            
        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => ''))->result_array();
        $page_data['page_name']  = 'mov_importar';
        $page_data['page_icon']  = 'download-alt';
        $page_data['page_title'] = 'Movimentações - Importar Extrato Bancário';
        $this->load->view('index', $page_data);
    }

    /**** MOV |-> Movimentações  -  lancar ****/
    function mov_lancar($param1 = '', $param2 = '', $param3 = '')
    {
                /**** Definição de variáveis *****/
        $Xrand = '';
        $origem = '';
        $destino = '';
        $XnovoNome = '';

        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['mov']          = $_FILES['mov']['name'];
            $data['tipo_mov']     = $this->input->post('tipo_mov');
            if ( empty($_FILES['mov']['name'])){
                $data['path']         = '';
              }  else {

                $Xrand =  mt_rand();

                $XnovoNome = strtolower($this->caracter_model->t5f_translit($_FILES['mov']['name']));

                $data['path']         = $this->input->post('path').$this->input->post('alterdata').'_E_'.$Xrand.'_'.$XnovoNome;
              }

            $data['client']       = $this->input->post('client');
            $data['category']     = $this->input->post('category');
            $data['desc_mov']     = $this->input->post('desc_mov');
            $data['quantity']     = $this->input->post('quantity');
            $data['valor']        = str_replace(',','.',str_replace('.','',$this->input->post('valor')));
            $data['date']         = date('Y-m-d',strtotime(str_replace('/', '-',$this->input->post('date'))));
            $data['alt_date']     = $this->input->post('alt_date');
            $data['status']       = $this->input->post('status');
            $this->db->insert('mov', $data);

            move_uploaded_file($_FILES['mov']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_E_'.$Xrand.'_'.$XnovoNome);
            $this->session->set_flashdata('flash_message', 'Movimento Salvo!');


            redirect(base_url() . 'index.php?client/mov_lancar/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['mov']          = $this->input->post('mov');
            $data['tipo_mov']     = $this->input->post('tipo_mov');
            $data['path']         = $this->input->post('path');
            $data['client']       = $this->input->post('client');
            $data['category']     = $this->input->post('category');
            $data['desc_mov']     = $this->input->post('mov');
            $data['quantity']     = $this->input->post('quantity');
            $data['valor']        = str_replace(',','.',$this->input->post('valor'));
            $data['date']         = $this->input->post('date');
            $data['alt_date']     = $this->input->post('alt_date');
            $data['status']       = $this->input->post('status');
            $this->db->where('mov_id', $param2);
            $this->db->update('mov', $data);
            redirect(base_url() . 'index.php?client/mov_lancar/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile'] = true;
            $page_data['current_file_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('mov', array(
                'mov_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {

            $Xdados = $this->db->get_where('mov', array('mov_id' => $param2))->result_array();
            //print_r($Xdados);

            foreach($Xdados as $row):
            $origem = $row['path'];
            $destino = $origem;
            endforeach;
            //print_r($origem);

              if ( $origem != 'Sem Arquivo' ){


                $destino =  str_replace('/mov/','/_lixo/', $destino);
                //print_r($destino);

                copy($origem, $destino);
                unlink($origem);
            }

            $this->db->where('mov_id', $param2);
            $this->db->delete('mov');
            $this->session->set_flashdata('flash_message', 'Arquivo Deletado!');
            redirect(base_url() . 'index.php?client/mov_lancar/', 'refresh');

        }
        if ($param1 == 'visualizar') {

            //$caminho =  $this->db->get_where('mov', array('mov_id' => $param2))->result_array();
             echo   'id cliente:'.$this->input->post('client') ;
             echo   ' - ' ;
             echo   'id movimento:'.$this->input->post('mov_id') ;
            redirect(base_url() . 'index.php?client/mov_recibos/', 'refresh');
        }
        if ($param1 == 'historico') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltro = $this->input->post('data_ano').'-'.$this->input->post('data_mes');

            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?client/mov_lancar/', 'refresh');
        }
        if ($param1 == 'create_saida') {

            $data['mov']          = $_FILES['mov']['name'];
            $data['tipo_mov']     = $this->input->post('tipo_mov');
            if ( empty($_FILES['mov']['name'])){
                $data['path']         = 'Sem Arquivo';
              }  else {

                $Xrand =  mt_rand();

                $XnovoNome = strtolower($this->caracter_model->t5f_translit($_FILES['mov']['name']));

                $data['path']         = $this->input->post('path').$this->input->post('alterdata').'_S_'.$Xrand.'_'.$XnovoNome;
              }

            $data['client']       = $this->input->post('client');
            $data['category']     = $this->input->post('category');
            $data['desc_mov']     = $this->input->post('desc_mov');
            $data['quantity']     = $this->input->post('quantity');
            $data['valor']        = str_replace(',','.',str_replace('.','',$this->input->post('valor')))*(-1);
            $data['date']         = date('Y-m-d',strtotime(str_replace('/', '-',$this->input->post('date'))));
            $data['alt_date']     = $this->input->post('alt_date');
            $data['status']       = $this->input->post('status');
            $this->db->insert('mov', $data);

            move_uploaded_file($_FILES['mov']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_S_'.$Xrand.'_'.$XnovoNome);
            $this->session->set_flashdata('flash_message', 'Movimento Salvo!');


            redirect(base_url() . 'index.php?client/mov_lancar/', 'refresh');
        }
        $page_data['mov']      =  $this->db->get_where('mov', array('client' => ''))->result_array();
        $page_data['page_name']  = 'mov_lancar';
        $page_data['page_icon'] = 'inbox';
        $page_data['page_title'] = 'Movimentações - Lançamento Contábil';
        $this->load->view('index', $page_data);
    }

    /**** MOV |-> Movimentações  -  Recibos ****/
    function mov_recibos($param1 = '', $param2 = '', $param3 = '')
    {
                /**** Definição de variáveis *****/
        $Xrand = '';
        $origem = '';
        $destino = '';
        $XnovoNome = '';

        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {


            // cliente não encontrado
            if ($this->input->post('dest_cliente') == '')
                $XNome_Cliente = $this->input->post('rec_cliente');
            else
                $XNome_Cliente = $this->db->get_where('dest_cliente', array(
                    'dest_cliente_id' => $this->input->post('dest_cliente')))->row()->dest_cliente;

                //move_uploaded_file($_FILES['recibo']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_R_'.$_FILES['recibo']['name']);
                //$this->session->set_flashdata('flash_message', 'Recibo Salvo!');

                //$data['recibo']       = $_FILES['recibo']['name'];
                $data['recibo']       = $this->input->post('recibo');
                $data['recibo_num']   = $this->input->post('xrecibo_n');
                $data['tipo_recibo']  = $this->input->post('tipo_recibo');
                //$data['path']         = $this->input->post('path').$this->input->post('alterdata').'_R_'.$_FILES['recibo']['name'];
                $data['path']         = 'Sem Arquivo';
                $data['client']       = $this->input->post('client');
                $data['category']     = $this->input->post('category');
                $data['desc_recibo']  = $this->input->post('desc_recibo');
                $data['quantity']     = $this->input->post('quantity');
                $data['valor']        = str_replace(',','.',$this->input->post('valor'));
                $data['date']         = $this->input->post('date');
                $data['alt_date']     = $this->input->post('alt_date');
                $data['atend_date']   = date('Y-m-d',strtotime($this->input->post('rec_atend_date')));
                $data['status']       = $this->input->post('status');
                $data['rec_cliente']  = $XNome_Cliente;
                $data['rec_doc']      = $this->input->post('rec_doc');
                $data['rec_end']      = $this->input->post('rec_end');
                $data['rec_n']        = $this->input->post('rec_n');
                $data['rec_comp']     = $this->input->post('rec_comp');
                $data['rec_bairro']   = $this->input->post('rec_bairro');
                $data['rec_cidade']   = $this->input->post('rec_cidade');
                $data['rec_uf']       = $this->input->post('rec_uf');
                $data['rec_cep']      = $this->input->post('rec_cep');
                $data['rec_ddd']      = $this->input->post('rec_ddd');
                $data['rec_tel']      = $this->input->post('rec_tel');
                $data['rec_email']    = $this->input->post('rec_email');
                $data['rec_desc']     = $this->input->post('rec_desc');

                $this->db->insert('recibo', $data);

                // incrementa nº recibo

                $data3['recibo_num']     =  $this->input->post('xrecibo_n')+1;
                $this->db->where('client', $this->input->post('client'));
                $this->db->update('recibo_n', $data3);

                $this->session->set_flashdata('flash_message', 'Recibo Criado com Sucesso!!!');


                // verifica se cpf ou cnpj já existe então atualiza ou cadastra

                $XCpf_Cnpj = $this->db->get_where('dest_cliente', array(
                    'cliente' => $this->input->post('client')))->result_array();

                $XnDest_Client_ID = 0 ;

                foreach($XCpf_Cnpj as $XCpf_Cnpj_row):
                    if ($XCpf_Cnpj_row['dest_cnpj_cpf'] == str_replace('/', '', str_replace('.', '', str_replace('-', '', $this->input->post('rec_doc')))))
                        $XnDest_Client_ID = $XnDest_Client_ID + 1;
                endforeach;

                if ($XnDest_Client_ID == 0) {
                    $data2['dest_cliente'] = strtoupper($this->input->post('rec_cliente'));
                    $data2['cliente'] = $this->input->post('client');
                    $data2['dest_ie'] = '';
                    $data2['dest_cmc'] = '';
                    $data2['dest_cnpj_cpf'] = str_replace('/', '', str_replace('.', '', str_replace('-', '', $this->input->post('rec_doc'))));
                    $data2['dest_end'] = strtoupper($this->input->post('rec_end'));
                    $data2['dest_n'] = strtoupper($this->input->post('rec_n'));
                    $data2['dest_comp'] = strtoupper($this->input->post('rec_comp'));
                    $data2['dest_bairro'] = strtoupper($this->input->post('rec_bairro'));
                    $data2['dest_cidade'] = strtoupper($this->input->post('rec_cidade'));
                    $data2['dest_uf'] = strtoupper($this->input->post('rec_uf'));
                    $data2['dest_pais'] = $this->input->post('rec_pais');
                    $data2['dest_cep'] = $this->input->post('rec_cep');
                    $data2['dest_email'] = $this->input->post('rec_email');
                    $data2['dest_ddd'] = $this->input->post('rec_ddd');
                    $data2['dest_tel'] = $this->input->post('rec_tel');
                    $data2['dest_desc'] = 'Cliente gerado pelo Recibo';
                    $data2['dest_data'] = date('Y-m-d');
                    $data2['dest_alt_data'] = date('Y-m-d');
                    $data2['dest_status'] = 'ativo';
                    $this->db->insert('dest_cliente', $data2);

                    $LastIdInserted = $this->input->post('dest_cliente');

            }

            redirect(base_url() . 'index.php?client/mov_recibos_consultar/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['recibo']       = $this->input->post('recibo');
            $data['tipo_recibo']  = $this->input->post('tipo_recibo');
            $data['path']         = $this->input->post('path');
            $data['client']       = $this->input->post('client');
            $data['category']     = $this->input->post('category');
            $data['desc_recibo']  = $this->input->post('recibo');
            $data['quantity']     = $this->input->post('quantity');
            $data['valor']        = $this->input->post('valor');
            $data['date']         = $this->input->post('date');
            $data['alt_date']     = $this->input->post('alt_date');
            $data['status']       = $this->input->post('status');
            $this->db->where('recibo_id', $param2);
            $this->db->update('recibo', $data);
            redirect(base_url() . 'index.php?client/mov_recibos/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile'] = true;
            $page_data['current_file_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('recibo', array(
                'recibo_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {

            $caminho =  $this->db->get_where('recibo', array('recibo_id' => $param2))->result_array();
            //delte_file($caminho['path'])

            $this->db->where('recibo_id', $param2);
            $this->db->delete('recibo');
            $this->session->set_flashdata('flash_message', 'Arquivo Deletado!');

            redirect(base_url() . 'index.php?client/mov_recibos_consultar/', 'refresh');
        }
        if ($param1 == 'cancelar') {

            $data['quantity']     = '0';
            $data['alt_date']     = (date('Y-m-d'));
            $data['status']       = 'cancelado';
            $this->db->where('recibo_id', $param2);
            $this->db->update('recibo', $data);

            $this->session->set_flashdata('flash_message', 'Recibo Cancelado!');

            redirect(base_url() . 'index.php?client/mov_recibos_consultar/', 'refresh');
        }
        if ($param1 == 'dest_cliente_consultar') {


            $Xdados = $this->db->get_where('dest_cliente', array('dest_cliente_id' => $param2))->result_array();

            $this->session->set_flashdata('Xdest_cliente', $Xdados);

            $valor = $this->input->post('valor');
            $this->session->set_flashdata('Xvalor', $valor);
            //envia email
            //$this->email_model->abertura_de_conta('client', $data['email']);
            //$this->email_model->abertura_de_conta_confirma_cadastro('client',$data['name'],$data['cnpj_cpf'], $data['email']);

            redirect(base_url() . 'index.php?client/mov_recibos/', 'refresh');
        }

        $page_data['rec']        =  $this->db->get_where('recibo', array('client' => ''))->result_array();
        $page_data['page_name']  = 'mov_recibos';
        $page_data['page_icon']  = 'list-alt';
        $page_data['page_title'] = 'Recibo - Emitir Recibo';
        $this->load->view('index', $page_data);
    }

    /**** MOV |-> Movimentações  -  Recibos Consultar****/
    function mov_recibos_consultar($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');

        if ($param1 == 'historico') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltro = $this->input->post('data_ano').'-'.$this->input->post('data_mes');

            $this->session->set_flashdata('XFiltro', $XFiltro);


            redirect(base_url() . 'index.php?client/mov_recibos_consultar/', 'refresh');
        }

        if ($param1 == 'email') {


        //$data = $this->db->get_where('recibo', array('recibo_id' => $this->input->post('recibo_id')));
        $data =  [];
        $XRecido_id_envia_cliente = $this->input->post('recibo_id');
        $this->session->set_flashdata('XRecido_id_envia_cliente', $XRecido_id_envia_cliente);
        //load the view and saved it into $html variable
        $html=$this->load->view('client/mov_recibos_imprimir', $data, true);

        echo  $html;
        //this the the PDF filename that user will get to download
        $pdfFilePath = "output_pdf_name.pdf";

        echo  $pdfFilePath;

       //generate the PDF from the given html
        $this->pdf->pdf->WriteHTML($html);

        echo $this->pdf->pdf->WriteHTML($html);
        //download it.
        $this->pdf->pdf->Output($pdfFilePath, "D");

        echo $this->pdf->pdf->Output($pdfFilePath, "D");
            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');
            //print_r($this->input->post('recibo_id'));

             // Envio Email
            $Xn_recibo        = $this->db->get_where('recibo', array('recibo_id' => $this->input->post('recibo_id')))->row()->recibo_num;
            $Xn_rec_email     = $this->db->get_where('recibo', array('recibo_id' => $this->input->post('recibo_id')))->row()->rec_email;

            //$this->email_model->envia_email_recibo_cliente_cliente($Xsender,$Xsend_email,$this->input->post('subject'),$this->input->post('body'));

            //print_r($Xn_recibo);
            //print_r($Xn_rec_email);

            //redirect(base_url() . 'index.php?client/mov_recibos_consultar/', 'refresh');
        }

        $page_data['rec']        =  $this->db->get_where('recibo', array('client' => ''))->result_array();
        $page_data['page_name']  = 'mov_recibos_consultar';
        $page_data['page_icon']  = 'search';
        $page_data['page_title'] = 'Recibo - Consultar Recibos';
        $this->load->view('index', $page_data);
    }
/**** FIM - BLOCO  -   MOV |-> Movimentação    *****/


/**** BLOCO  -   GUIAS |-> guias

    DAS  Simples Nacional || das
    GPS  INSS || gps
    GPS  INSS || darf

*****/
     /**** GUIAS |-> guias  -  DAS ****/
    function guias_das($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/guias_das/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '10'))->result_array();
        $page_data['page_name']  = 'guias_das';
        $page_data['page_icon']  = 'check';
        $page_data['page_title'] = 'Guias/Impostos - Simples Nacional ou DAS-MEI';
        $this->load->view('index', $page_data);
    }

    /**** GUIAS |-> guias  -  GPS ****/
    function guias_gps($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/guias_gps/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '11'))->result_array();
        $page_data['page_name']  = 'guias_gps';
        $page_data['page_icon'] = 'check';
        $page_data['page_title'] = 'Guias/Impostos - GPS';
        $this->load->view('index', $page_data);
    }
    /**** GUIAS |-> guias  -  DARF ****/
    function guias_darf($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/guias_darf/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '14'))->result_array();
        $page_data['page_name']  = 'guias_darf';
        $page_data['page_icon'] = 'check';
        $page_data['page_title'] = 'Guias/DARF';
        $this->load->view('index', $page_data);
    }   
    /**** GUIAS |-> guias  -  Impostos ****/
    function guias_impostos($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/guias_impostos/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '18'))->result_array();
        $page_data['page_name']  = 'guias_impostos';
        $page_data['page_icon'] = 'check';
        $page_data['page_title'] = 'Guias - Impostos';
        $this->load->view('index', $page_data);
    }
     /**** GUIAS |-> guias  -  FGTS ****/
    function guias_fgts($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/guias_das/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '12'))->result_array();
        $page_data['page_name']  = 'guias_fgts';
        $page_data['page_icon']  = 'check';
        $page_data['page_title'] = 'Guias/Impostos - FGTS';
        $this->load->view('index', $page_data);
    }    
/**** FIM - BLOCO  -   GUIAS |-> guias    *****/


/**** BLOCO  - RELATORIOS |-> relatorios

    BALANÇO PATRIMONIAL || balanco_patri
    DEMONSTRATIVO DO RESULTADO ECONÔMICO|| drecom
    BALANCETE Periodico || balancete_peri
    DIARIO || diario
    RAZÃO || razao
    Livro Caixa
    DRE - Livro Caixa ( Profissional Liberal )

*****/
    /**** RELATORIOS |-> relatorios  -  importar ****/
    function rel_balanco_patri($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/rel_balanco_patri/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '20'))->result_array();
        $page_data['page_name']  = 'rel_balanco_patri';
        $page_data['page_icon']  = 'print';
        $page_data['page_title'] = 'Relatórios - Balanço Patrimonial';
        $this->load->view('index', $page_data);
    }
    /**** RELATORIOS |-> relatorios  -  consultar ****/
    function rel_drecom($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/rel_drecom/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '21'))->result_array();
        $page_data['page_name']  = 'rel_drecom';
        $page_data['page_icon']  = 'print';
        $page_data['page_title'] = 'Relatórios - DRE';
        $this->load->view('index', $page_data);
    }
    /**** RELATORIOS |-> relatorios  -  rel_balancete_peri ****/
    function rel_balancete_peri($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/rel_balancete_peri/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '22'))->result_array();
        $page_data['page_name']  = 'rel_balancete_peri';
        $page_data['page_icon']  = 'print';
        $page_data['page_title'] = 'Relatórios - Balancete Período';
        $this->load->view('index', $page_data);
    }
    /**** RELATORIOS |-> relatorios  -  rel_diario ****/
    function rel_diario($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/rel_diario/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '23'))->result_array();
        $page_data['page_name']  = 'rel_diario';
        $page_data['page_icon']  = 'print';
        $page_data['page_title'] = 'Relatórios - Diário';
        $this->load->view('index', $page_data);
    }
    /**** RELATORIOS |-> relatorios  -  DAS ****/
    function rel_razao($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/rel_razao/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '24'))->result_array();
        $page_data['page_name']  = 'rel_razao';
        $page_data['page_icon']  = 'print';
        $page_data['page_title'] = 'Relatórios - Razão';
        $this->load->view('index', $page_data);
    }

    /**** RELATORIOS |-> relatorios  -  rel_livros_fiscais ****/
    function rel_livros_fiscais($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/rel_livros_fiscais/', 'refresh');

        }
        
        $query = "SELECT * FROM files where client='".$this->session->userdata('client_id')."' and product in ('25','42','44','48') and status <> 'cancelled' and ind_up <> 'U' order by date desc";
        
        $page_data['files']      =  $this->db->query($query)->result_array();
        $page_data['page_name']  = 'rel_livros_fiscais';
        $page_data['page_icon']  = 'print';
        $page_data['page_title'] = 'Relatórios - Outros Documentos';
        $this->load->view('index', $page_data);
    }

    /**** RELATORIOS |-> relatorios  -  rel_la_iss ****/
    function rel_la_iss($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/rel_la_iss/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '25'))->result_array();
        $page_data['page_name']  = 'rel_la_iss';
        $page_data['page_icon']  = 'print';
        $page_data['page_title'] = 'Relatórios - Apuração ISS';
        $this->load->view('index', $page_data);
    }
    /**** RELATORIOS |-> relatorios  -  rel_lc ****/
    function rel_lc($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/rel_lc/', 'refresh');

        }
        $page_data['rec']        =  $this->db->get_where('mov', array('client' => ''))->result_array();
        $page_data['page_name']  = 'rel_lc';
        $page_data['page_icon']  = 'search';
        $page_data['page_title'] = 'Livro Caixa';
        $this->load->view('index', $page_data);
    }
    /**** RELATORIOS |-> relatorios  -  rel_lc ****/
    function rel_dre_lc($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/rel_dre_lc/', 'refresh');

        }
        $dre_lc_data = date('Y-m-d');
        $xcliente = $this->session->userdata('client_id');

        if ($param1 == 'historico') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltro = $this->input->post('data_ano')."-01-01";

            $this->session->set_flashdata('XFiltro', $XFiltro);


            redirect(base_url() . 'index.php?client/rel_dre_lc/', 'refresh');
        }

        $page_data['dre_lc']     =  $this->db->get_where('mov', array('client' => ''))->result_array();//$this->db->query("CALL gera_visao_livro_caixa('{$dre_lc_data}','{$xcliente}')")->result_array();;
        $page_data['page_name']  = 'rel_dre_lc';
        $page_data['page_icon']  = 'coffee';
        $page_data['page_title'] = 'Livro Caixa ( DRE - Demostrativo de Resultado )';
        $this->load->view('index', $page_data);
    }
/**** FIM - BLOCO  -   RELATORIOS |-> relatorios    *****/


/**** BLOCO  - DOCUMENTOS DE CADASTRO |-> doc_cad

        Contrato Social / AlteraÃƒÂ§ÃƒÂµes || contrato_social
        Enquadramento (ME/EPP) || enquadramento
        Alvará (Prefeitura) || alvara
        Cartão de Inscrição Estadual || cartao_ie -- nÃƒÂ£o precisa
        Sócios (CPF, RG, ResidÃƒÂªncia) || doc_soc
        Certificado do MEI  || cert_mei
        Cadastro do CEI / INSS  || cei_inss


*****/
   /**** DOCUMENTOS DE CADASTRO |-> doc_cad  -  Contrato Social / Alteração || contrato_social ****/
    function doc_cad_contrato_social($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/doc_cad_contrato_social/', 'refresh');

        }
        $page_data['files']      = $this->db->get_where('files', array('product' => '1'))->result_array();
        $page_data['page_name']  = 'doc_cad_contrato_social';
        $page_data['page_icon']  = 'folder-open';
        $page_data['page_title'] = 'Arquivo - Contrato Social';
        $this->load->view('index', $page_data);
    }
    /**** DOCUMENTOS DE CADASTRO |-> doc_cad  -  Enquadramento (ME/EPP) || enquadramento ****/
    function doc_cad_enquadramento($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/doc_cad_enquadramento/', 'refresh');

        }
        $page_data['files']      = $this->db->get_where('files', array('product' => '3'))->result_array();
        $page_data['page_name']  = 'doc_cad_enquadramento';
        $page_data['page_icon']  = 'folder-open';
        $page_data['page_title'] = 'Arquivo - Enquadramento';
        $this->load->view('index', $page_data);
    }
    /**** DOCUMENTOS DE CADASTRO |-> doc_cad   -  CNPJ ****/
    function doc_cad_cnpj($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/doc_cad_cnpj/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '2'))->result_array();
        $page_data['page_name']  = 'doc_cad_cnpj';
        $page_data['page_icon']  = 'folder-open';
        $page_data['page_title'] = 'Arquivo - Cartão CNPJ';
        $this->load->view('index', $page_data);
    }
    /**** DOCUMENTOS DE CADASTRO |-> doc_cad   -  Cartão de Inscrição Estadual ****/
    function doc_cad_cartao_ie($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/doc_cad_cartao_ie/', 'refresh');

        }

        $page_data['files']      =  $this->db->get_where('files', array('product' => '9'))->result_array();
        $page_data['page_name']  = 'doc_cad_cartao_ie';
        $page_data['page_icon']  = 'folder-open';
        $page_data['page_title'] = 'Arquivo - Cartão de Inscrição Estadual';
        $this->load->view('index', $page_data);
    }
    /**** DOCUMENTOS DE CADASTRO |-> doc_cad  -  Alvará (Prefeitura) || alvara ****/
    function doc_cad_alvara($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/doc_cad_alvara/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '4'))->result_array();
        $page_data['page_name']  = 'doc_cad_alvara';
        $page_data['page_icon']  = 'folder-open';
        $page_data['page_title'] = 'Arquivo - Alvará';
        $this->load->view('index', $page_data);
    }
    /**** DOCUMENTOS DE CADASTRO |-> doc_cad   -  CA do Corpo de Bomdeiro ****/
    function doc_cad_ca_cb($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/doc_cad_ca_cb/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '5'))->result_array();
        $page_data['page_name']  = 'doc_cad_ca_cb';
        $page_data['page_icon']  = 'folder-open';
        $page_data['page_title'] = 'Arquivo - CA Corpo de Bombeiros';
        $this->load->view('index', $page_data);
    }
    /**** DOCUMENTOS DE CADASTRO |-> doc_cad   -  Sócios (CPF, RG, Residência) || doc_soc ****/
    function doc_cad_doc_soc($param1 = '', $param2 = '', $param3 = '')
    {
                /**** Definição de variáveis *****/
        $Xrand = '';
        $origem = '';
        $destino = '';
        $XnovoNome = '';

        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['file']      = $this->input->post('file');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            //$data['rate']      = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->insert('files', $data);
            redirect(base_url() . 'index.php?client/doc_cad_doc_soc/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['file']        = $this->input->post('file');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            //$data['rate']      = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/doc_cad_doc_soc/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile'] = true;
            $page_data['current_file_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('files', array(
                'file_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {
            $this->db->where('file_id', $param2);
            $this->db->delete('files');
            redirect(base_url() . 'index.php?client/doc_cad_doc_soc/', 'refresh');
        }
        if ($param1 == 'upload_info') {

            $Xrand =  mt_rand();

            $XnovoNome = strtolower($this->caracter_model->t5f_translit($_FILES['file']['name']));

            $data['file']        = $_FILES['file']['name'];
            $data['path']        = $this->input->post('path').'_'.$Xrand.'_'.$XnovoNome;
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['desc_file']     = $this->input->post('desc_file');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            $data['status']      = $this->input->post('status');
            $this->db->insert('files', $data);

            move_uploaded_file($_FILES['file']['tmp_name'], $this->input->post('path').'_'.$Xrand.'_'.$XnovoNome);
            $this->session->set_flashdata('flash_message', 'Arquivo Enviado');

            redirect(base_url() . 'index.php?client/doc_cad_doc_soc/', 'refresh');
        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '6'))->result_array();
        $page_data['page_name']  = 'doc_cad_doc_soc';
        $page_data['page_icon']  = 'folder-open';
        $page_data['page_title'] = 'Arquivo - Documentos dos Sócios';
        $this->load->view('index', $page_data);
    }
    /**** DOCUMENTOS DE CADASTRO |-> doc_cad   -  Cadastro do MEI || cert_mei ****/
    function doc_cad_cert_mei($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/doc_cad_cert_mei/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '7'))->result_array();
        $page_data['page_name']  = 'doc_cad_cert_mei';
        $page_data['page_icon']  = 'folder-open';
        $page_data['page_title'] = 'Certificado do MEI';
        $this->load->view('index', $page_data);
    }
    /**** DOCUMENTOS DE CADASTRO |-> doc_cad   -  Cadastro do CEI / INSS || cei_inss ****/
    function doc_cad_cei_inss($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/doc_cad_cei_inss/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '8'))->result_array();
        $page_data['page_name']  = 'doc_cad_cei_inss';
        $page_data['page_icon']  = 'folder-open';
        $page_data['page_title'] = 'Cadastro do CEI / INSS';
        $this->load->view('index', $page_data);
    }

/**** FIM - BLOCO  -   DOCUMENTOS DE CADASTRO |-> doc_cad     *****/

/**** BLOCO  - DOCUMENTOS FISCAIS |-> doc_fis

            DEFIS Declaração Anual || defis
            Extrato do Simples Nacional Ã¢â‚¬â€œ Mensal || extrato_simples_nacional
            SEFIP - Mensal || sefip
            RAIS Anual ||rais
            DIRF  Anual || dirf
            Certidão Negativa || cert_neg
            DASN - SIMEI || dasn_simei

*****/

    /**** DOCUMENTOS FISCAIS |-> doc_fis  -  DEFIS Declaração Anual || defis ****/
    function doc_fis_defis($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/doc_fis_defis/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '40'))->result_array();
        $page_data['page_name']  = 'doc_fis_defis';
        $page_data['page_icon']  = 'file';
        $page_data['page_title'] = 'Documentos Fiscais - Defis - Declaração Anual';
        $this->load->view('index', $page_data);
    }
    /**** DOCUMENTOS FISCAIS |-> doc_fis  -  Extrato do Simples Nacional Mensal || extrato_simples_nacional ****/
    function doc_fis_extrato_simples_nacional($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/doc_fis_extrato_simples_nacional/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '41'))->result_array();
        $page_data['page_name']  = 'doc_fis_extrato_simples_nacional';
        $page_data['page_icon']  = 'file';
        $page_data['page_title'] = 'Documentos Fiscais - Extrato Simples Nacional';
        $this->load->view('index', $page_data);
    }
    /**** DOCUMENTOS FISCAIS |-> doc_fis  -  SEFIP - Mensal || sefip ****/
    function doc_fis_sefip($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/doc_fis_sefip/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '42'))->result_array();
        $page_data['page_name']  = 'doc_fis_sefip';
        $page_data['page_icon']  = 'file';
        $page_data['page_title'] = 'Documentos Fiscais - SEFIP';
        $this->load->view('index', $page_data);
    }
    /**** DOCUMENTOS FISCAIS |-> doc_fis  -  RAIS Anual ||rais ****/
    function doc_fis_rais($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/doc_fis_rais/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '43'))->result_array();
        $page_data['page_name']  = 'doc_fis_rais';
        $page_data['page_icon']  = 'file';
        $page_data['page_title'] = 'Documentos Fiscais - RAIS';
        $this->load->view('index', $page_data);
    }
/**** DOCUMENTOS FISCAIS |-> doc_fis  -  DIRF Anual || dirf ****/
    function doc_fis_dirf($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/doc_fis_dirf/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '44'))->result_array();
        $page_data['page_name']  = 'doc_fis_dirf';
        $page_data['page_icon']  = 'file';
        $page_data['page_title'] = 'Documentos Fiscais - DIRF';
        $this->load->view('index', $page_data);
    }
    /**** DOCUMENTOS FISCAIS |-> doc_fis  -  Certidão Negativa || cert_neg ****/
    function doc_fis_cert_neg($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/doc_fis_cert_neg/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '45'))->result_array();
        $page_data['page_name']  = 'doc_fis_cert_neg';
        $page_data['page_icon']  = 'file';
        $page_data['page_title'] = 'Documentos Fiscais - Certidão Negativa';
        $this->load->view('index', $page_data);
    }
    /**** DOCUMENTOS FISCAIS |-> doc_fis  -  Certidão Negativa || cert_neg ****/
    function doc_fis_dasn_simei($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/doc_fis_dasn_simei/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '46'))->result_array();
        $page_data['page_name']  = 'doc_fis_dasn_simei';
        $page_data['page_icon']  = 'file';
        $page_data['page_title'] = 'Documentos DASN - SIMEI';
        $this->load->view('index', $page_data);
    }
    /**** DOCUMENTOS FISCAIS |-> doc_fis_inform_rendimentos  -  INFORME DE RENDIMENTOS || doc_fis_inform_rendimentos ****/
    function doc_fis_inform_rendimentos($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/doc_fis_inform_rendimentos/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => '47'))->result_array();
        $page_data['page_name']  = 'doc_fis_inform_rendimentos';
        $page_data['page_icon']  = 'file';
        $page_data['page_title'] = 'Informe de Rendimentos';
        $this->load->view('index', $page_data);
    }    
/**** FIM - BLOCO  -   DOCUMENTOS FISCAIS |-> doc_fis    *****/

/**** BLOCO  - PRÓ LABORE |-> pro_labore

            Distribuição das cotas ||
            Cadastro dos Sócios ||

*****/
    function pro_labore($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
                $data['client']           = $this->input->post('client');
                $data['cnpj_cpf']         = $this->input->post('cnpj_cpf');
                $data['pj_pf']            = $this->input->post('pj_pf');
                $data['email']            = $this->input->post('email');
                $data['name']             = strtoupper($this->input->post('name'));
                $data['creation_date']    = $this->input->post('creation_date');
                $data['alt_date']         = $this->input->post('alt_date');
                $data['cota']             = $this->input->post('cota');
                $data['administrador']    = $this->input->post('administrador');
                $data['tem_pl']           = $this->input->post('tem_pl');
                $data['pl_valor']         = $this->input->post('pl_valor');
                $data['ddd_phone']        = $this->input->post('ddd_phone');
                $data['phone']            = $this->input->post('phone');
                $data['contact']          = $this->input->post('contact');
                $this->db->insert('client_socio', $data);



            redirect(base_url() . 'index.php?client/pro_labore/', 'refresh');
        }
        if ($param1 == 'do_update') {
                //$data['client']           = $this->input->post('client');
                //$data['cnpj_cpf']         = $this->input->post('cnpj_cpf');
                //$data['pj_pf']            = $this->input->post('pj_pf');
                $data['email']            = $this->input->post('email');
                //$data['name']             = strtoupper($this->input->post('name'));
                //$data['creation_date']    = $this->input->post('creation_date');
                $data['alt_date']         = $this->input->post('alt_date');
                //$data['cota']             = $this->input->post('cota');
                //$data['administrador']    = $this->input->post('administrador');
                //$data['tem_pl']           = $this->input->post('tem_pl');
                $data['pis']           = $this->input->post('pis');
                if  (strstr($this->input->post('pl_valor'),',')){
                $data['pl_valor'] = str_replace(',','.',str_replace('.','',$this->input->post('pl_valor')));
                } else {  $data['pl_valor'] = $this->input->post('pl_valor');   }; 
                $data['ddd_phone']        = $this->input->post('ddd_phone');
                $data['phone']            = $this->input->post('phone');
                $data['contact']          = $this->input->post('contact');

                $this->db->where('client_socio_id', $param2);
                $this->db->update('client_socio', $data);

                $this->session->set_flashdata('flash_message', 'Cadastro Atualizado Com Sucesso!!!');

            redirect(base_url() . 'index.php?client/pro_labore/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile']   = true;
            $page_data['current_client_socio_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('client_socio', array(
                'client_socio_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {
            $this->db->where('client_socio_id', $param2);
            $this->db->delete('client_socio');
            redirect(base_url() . 'index.php?client/pro_labore/', 'refresh');
        }
        $page_data['pro_labore']    =  $this->db->get_where('client_socio', array('client' => $this->session->userdata('client_id')))->result_array();
        $page_data['page_name']     = 'pro_labore';
        $page_data['page_icon']     = 'briefcase';
        $page_data['page_title']    = 'Pró Labore';
        $this->load->view('index', $page_data);
    }
    /**** Pro Labore Resultados |-> pro_labore_relatorios****/
    function pro_labore_relatorios($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');

        $page_data['files']      =  $this->db->get_where('files', array('product' => '72'))->result_array();
        $page_data['page_name']  = 'pro_labore_relatorios';
        $page_data['page_icon']  = 'print';
        $page_data['page_title'] = 'Relatórios - Pró Labore';
        $this->load->view('index', $page_data);
    }

/**** BLOCO  -  Cobrança |-> cobranca

        Mensalidade (boleto) || mensalidade
        Histórico || historico

*****/

    /**** COBRANÇA |-> cobranca - Histórico  *****/
    function cobranca_historico($param1 = '', $param2 = '', $param3 = '')
    {
                /**** Definição de variáveis *****/
        $Xrand = '';
        $origem = '';
        $destino = '';
        $XnovoNome = '';

        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['file']      = $this->input->post('file');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            //$data['rate']      = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->insert('files', $data);
            redirect(base_url() . 'index.php?client/cobranca_historico/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['file']        = $this->input->post('file');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            //$data['rate']      = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/cobranca_historico/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile'] = true;
            $page_data['current_file_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('files', array(
                'file_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {
            $this->db->where('file_id', $param2);
            $this->db->delete('files');
            redirect(base_url() . 'index.php?client/cobranca_historico/', 'refresh');
        }
        if ($param1 == 'upload_info') {

            $Xrand =  mt_rand();

            $XnovoNome = strtolower($this->caracter_model->t5f_translit($_FILES['file']['name']));

            $data['file']        = $_FILES['file']['name'];
            $data['path']        = $this->input->post('path').'_'.$Xrand.'_'.$XnovoNome;
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['desc_file']     = $this->input->post('desc_file');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            $data['status']      = $this->input->post('status');
            $this->db->insert('files', $data);

            move_uploaded_file($_FILES['file']['tmp_name'], $this->input->post('path').'_'.$Xrand.'_'.$XnovoNome);
            $this->session->set_flashdata('flash_message', 'Arquivo Enviado');

            redirect(base_url() . 'index.php?client/cobranca_historico/', 'refresh');
        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => ''))->result_array();
        $page_data['page_name']  = 'cobranca_historico';
        $page_data['page_icon']  = 'time';
        $page_data['page_title'] = 'Cobrança - Histórico';
        $this->load->view('index', $page_data);
    }

    /**** COBRANÇA |-> cobranca - mensalidade  *****/
    function cobranca_mensalidade($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['file']      = $this->input->post('file');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            //$data['rate']      = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->insert('files', $data);
            redirect(base_url() . 'index.php?client/cobranca_mensalidade/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['file']        = $this->input->post('file');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            //$data['rate']      = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/cobranca_mensalidade/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile'] = true;
            $page_data['current_file_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('files', array(
                'file_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {
            $this->db->where('file_id', $param2);
            $this->db->delete('files');
            redirect(base_url() . 'index.php?client/cobranca_mensalidade/', 'refresh');
        }
        if ($param1 == 'upload_info') {

            $Xrand =  mt_rand();

            $XnovoNome = strtolower($this->caracter_model->t5f_translit($_FILES['file']['name']));

            $data['file']        = $_FILES['file']['name'];
            $data['path']        = $this->input->post('path').'_'.$Xrand.'_'.$XnovoNome;
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['desc_file']     = $this->input->post('desc_file');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            $data['status']      = $this->input->post('status');
            $this->db->insert('files', $data);

            move_uploaded_file($_FILES['file']['tmp_name'], $this->input->post('path').'_'.$Xrand.'_'.$XnovoNome);
            $this->session->set_flashdata('flash_message', 'Arquivo Enviado');

            redirect(base_url() . 'index.php?client/cobranca_mensalidade/', 'refresh');
        }
        if ($param1 == 'update_status') {

            $data['status']         = 'baixado';
            $data['data_acesso']    = date("d/m/Y H:i:s", time());
            $data['cliente_ip']     = $_SERVER['REMOTE_ADDR'];
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?client/cobranca_mensalidade/', 'refresh');

        }
        $page_data['files']      =  $this->db->get_where('files', array('product' => ''))->result_array();
        $page_data['page_name']  = 'cobranca_mensalidade';
        $page_data['page_icon']  = 'calendar';
        $page_data['page_title'] = 'Cobrança - Mensalidade(s)';
        $this->load->view('index', $page_data);
    }
    
    /**** BLOCO  - Pagamento com cartão |-> nf *****/
    function pag_seguro($param1 = '')
    {
        if ($param1 == 'create') {
    
        $data['token'] ='8A3D8DA6729E4E5994E4E24147263394'; //token sandbox ou produção
    		$data['paymentMode'] = 'default';
    		$data['senderHash'] = $this->input->post('identUser'); //Hash gerado via javascript
    		$data['creditCardToken'] = $this->input->post('tokenCartao'); //Token catao gerado via javascript
    		$data['paymentMethod'] = 'creditCard';
    		$data['receiverEmail'] = 'marcelo@contsimples.com.br'; //Nosso Email cadastrado no pagseguro
    		$data['senderName'] = $this->input->post('cadNome'); //nome do usuário, deve conter nome e sobrenome
    		$data['senderAreaCode'] = '21'; //$this->input->post('senderAreaCode');
    		$data['senderPhone'] = '993911137'; //$this->input->post('senderPhone');
    		$data['senderEmail'] = 'junior@sandbox.pagseguro.com.br'; //$this->input->post('senderEmail');
    		$data['senderCPF'] = $this->input->post('cadCPF');
    		$data['installmentQuantity'] = '1';
    		//$data['noInterestInstallmentQuantity'] = '1';
    		$data['installmentValue'] = $this->input->post('itemAmount1'); //valor da parcela Formato: Decimal, com duas casas decimais separadas por ponto
    		$data['creditCardHolderName'] = $this->input->post('cadNome'); //nome do titular do cartão, nome e sebrenome obrigatório
    		$data['creditCardHolderCPF'] = $this->input->post('cadCPF'); //cpf titular
    		$data['creditCardHolderBirthDate'] = '04/06/1993'; //$this->input->post('creditCardHolderBirthDate'); Data de nascimento do dono do cartão de crédito. Formato: dd/MM/yyyy
    		//$data['creditCardHolderAreaCode'] = '21';
    		//$data['creditCardHolderPhone'] = '993911137'; Telefone do dono do cartão Opcional
    		$data['billingAddressStreet'] = 'arlindo carreiro'; //$this->input->post('billingAddressStreet'); //Nome da rua do endereço de envio.
    		$data['billingAddressNumber'] = '412'; //$this->input->post('billingAddressNumber'); //Número do endereço de envio.
    		$data['billingAddressDistrict'] = 'Paineiras'; //$this->input->post('billingAddressDistrict'); //bairro do endereço de envio.
    		$data['billingAddressPostalCode'] = '25965703'; //$this->input->post('billingAddressPostalCode'); //CEP do endereço de envio.
    		$data['billingAddressCity'] = 'teresópolis'; //$this->input->post('billingAddressCity');
    		$data['billingAddressState'] = 'RJ'; //$this->input->post('billingAddressState');  Formato: Duas letras, representando a sigla do estado 
    		$data['billingAddressCountry'] = 'Brasil';
    		$data['currency'] = 'BRL';
    		$data['itemId1'] = '01';
    		$data['itemQuantity1'] = '1';
    		$data['itemDescription1'] = 'Mensalidade Maio 2018';
    		$data['reference'] = 'Mensalidade'; //referencia qualquer do nosso sistema
    		$data['shippingAddressRequired'] = 'false';
    		$data['itemAmount1'] = $this->input->post('itemAmount1'); //Valor do pagamento, Formato: Decimal, com duas casas decimais separadas por ponto
    
    		$emailPagseguro = "marcelo@contsimples.com.br";
    		$data = http_build_query($data);
    		$url = 'https://ws.sandbox.pagseguro.uol.com.br/v2/transactions'; //URL de teste
    
    		$curl = curl_init();
    
    		$headers = array('Content-Type: application/x-www-form-urlencoded; charset=ISO-8859-1');
    
    		curl_setopt($curl, CURLOPT_URL, $url . "?email=" . $emailPagseguro);
    		curl_setopt($curl, CURLOPT_POST, true);
    		curl_setopt( $curl,CURLOPT_HTTPHEADER, $headers );
    		curl_setopt( $curl,CURLOPT_RETURNTRANSFER, true );
    		curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
    		curl_setopt($curl, CURLOPT_POSTFIELDS, $data);
    		curl_setopt($curl, CURLOPT_HEADER, false);
    		$xml = curl_exec($curl);
    
    		curl_close($curl);
    
    		$xml= simplexml_load_string($xml);
    
    		$code =  $xml -> code;
    		$date =  $xml -> date;
    		$status =  $xml -> status;
    		$valor =  $xml -> grossAmount;
    		
            //aqui eu ja trato o xml e pego o dado que eu quero, vc pode dar um var_dump no $xml e ver qual dado quer
           /* 
            echo '<pre>';
            print_r($xml);
            echo '</pre>';
             */
    		$retornoCartao = array(
                'code' => $code,
                'date' => $date,
                'status' => $status,
                'valor' => $valor
    		);
    
            //echo '<pre>';
            //print_r($retornoCartao);
            //echo '</pre>';
            // wrp - return $retornoCartao;
            
        
        $query1 = "SELECT COUNT(cliente) AS `id` FROM `client_mensalidade_dados` where cliente='".$this->session->userdata('client_id')."'";
        $validador_dados = $this->db->query($query1)->row()->id;
        
        if ($validador_dados>0)  {
        
            $data_dados['nome']       = $this->input->post('cadNome');
            $data_dados['cpf_cnpj']   = $this->input->post('cadCPF');
            $data_dados['ano']        = $this->input->post('validadeAno');
            $data_dados['mes']        = $this->input->post('validadeMes');
            $data_dados['n_cartao']   = $this->input->post('numCartao');
            $data_dados['status']     = 'Atualizado';

            $this->db->where('cliente', $this->session->userdata('client_id'));
            $this->db->update('client_mensalidade_dados', $data_dados);

                            
            } else {
            
            $data_dados['cliente']      = $this->session->userdata('client_id');
            $data_dados['forma_pgto']   = 'cartao';
            $data_dados['nome']       = $this->input->post('cadNome');
            $data_dados['ano']        = $this->input->post('validadeAno');
            $data_dados['mes']        = $this->input->post('validadeMes');
            $data_dados['cvv']        = '';
            $data_dados['n_cartao']   = $this->input->post('numCartao');
            $data_dados['cpf_cnpj']   = $this->input->post('cadCPF');
            $data_dados['status']     = 'Novo';

            $this->db->insert('client_mensalidade_dados', $data_dados);
            }
            
            
         redirect(base_url() . 'index.php?client/pag_seguro/', 'refresh');
        }
    
        $page_data['pag_seguro']  = $this->db->get_where('w_mensalidade', array('cliente' => $this->session->userdata('client_id')))->result_array();
        $page_data['page_name']  = 'pag_seguro';
        $page_data['page_icon'] = 'file';
        $page_data['page_title'] = 'Pagamento com Cartão';
        $this->load->view('index', $page_data);
    }

/**** FIM - BLOCO  -   COBRANÇA |-> cobranca     *****/

/**** GESTÃO product*****/
    function product($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        else if ($param1 == 'personal_profile') {
            $page_data['personal_profile']   = true;
            $page_data['current_product_id'] = $param2;
        }
        $page_data['product']    = $this->db->get('product')->result_array();
        $page_data['page_name']  = 'product';
        $page_data['page_title'] = 'manage_product';
        $this->load->view('index', $page_data);
    }

/**** Página Serviços Avulsos*****/
    function serv_avulso($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url(), 'refresh');
        else if ($param1 == 'personal_profile') {
            $page_data['personal_profile']   = true;
            $page_data['current_product_id'] = $param2;
        }
        $page_data['page_name']  = 'serv_avulso';
        $page_data['page_icon']  = 'tasks';
        $page_data['page_title'] = 'Serviços Avulsos';
        $this->load->view('index', $page_data);
    }

/*****SITE/SYSTEM SETTINGS********
    function system_settings($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url() . 'index.php?login', 'refresh');

        if ($param2 == 'do_update') {
            $this->db->where('type', $param1);
            $this->db->update('settings', array(
                'description' => $this->input->post('description')
            ));
            $this->session->set_flashdata('flash_message', 'settings_updated');
            redirect(base_url() . 'index.php?client/system_settings/', 'refresh');
        }
        if ($param1 == 'upload_logo') {
            move_uploaded_file($_FILES['userfile']['tmp_name'], 'uploads/logo.png');
            $this->session->set_flashdata('flash_message', 'settings_updated');
            redirect(base_url() . 'index.php?client/system_settings/', 'refresh');
   }
        $page_data['page_name']  = 'system_settings';
        $page_data['page_title'] = 'ConfiguraÃ§Ãµes do Sistema';
        $page_data['settings']   = $this->db->get('settings')->result_array();
        $this->load->view('index', $page_data);
    }
  */
/****** GESTÃO DO USUÁRIO E TROCA DE SENHA ***/
    function manage_profile($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('client_login') != 1)
            redirect(base_url() . 'index.php?login', 'refresh');
        if ($param1 == 'update_profile_info') {
            $data['name']    = trim($this->input->post('name'));
            $data['address'] = trim($this->input->post('address'));
            $data['phone']   = trim($this->input->post('phone'));
            $data['email']   = trim($this->input->post('email'));

            $this->db->where('client_id', $this->session->userdata('client_id'));
            $this->db->update('client', $data);
            $this->session->set_flashdata('flash_message', 'account_updated');
            redirect(base_url() . 'index.php?client/manage_profile/', 'refresh');
        }
        if ($param1 == 'change_password') {
            $data['password']             = $this->input->post('password');
            $data['new_password']         = $this->input->post('new_password');
            $data['confirm_new_password'] = $this->input->post('confirm_new_password');

            $current_password = $this->db->get_where('client', array(
                'client_id' => $this->session->userdata('client_id')
            ))->row()->password;
            if ($current_password == md5($data['password']) && $data['new_password'] == $data['confirm_new_password']) {
                $this->db->where('client_id', $this->session->userdata('client_id'));
                $this->db->update('client', array(
                    'password' => md5($data['new_password'])
                ));
                $this->session->set_flashdata('flash_message', 'password_updated');
            } else {
                $this->session->set_flashdata('flash_message', 'password_mismatch');
            }
            redirect(base_url() . 'index.php?client/manage_profile/', 'refresh');
        }
        $page_data['page_name']  = 'manage_profile';
        $page_data['page_title'] = 'Gestão Usuário';
        $page_data['page_icon'] = 'user';
        $page_data['edit_data']  = $this->db->get_where('client', array(
            'client_id' => $this->session->userdata('client_id')
        ))->result_array();
        $this->load->view('index', $page_data);
    }

}
/****** GESTÃO DO USUÁRIO E TROCA DE SENHA ***/